Was ist WinRAR?

WinRAR ist die Windows-Version des RAR-Archivierers - einem leistungsstarken Tool, das es erlaubt, Archive zu erstellen, zu bearbeiten und zu verwalten. Es gibt verschiedene Versionen von RAR für unterschiedliche Betriebssysteme: Windows, Linux, FreeBSD, Mac OS X.

Es gibt zwei Versionen von WinRAR:

  • Eine Version mit grafischer Benutzeroberfläche - WinRAR.exe;
  • Eine Version für die Befehlszeile (Textmodus) - Rar.exe.

WinRAR und die SFX-Module von WinRAR erfordern Windows XP SP3 oder neuer.

Funktionen und Eigenschaften von WinRAR

  • Vollständige Unterstützung für RAR- und ZIP-2.0-Archive;
  • Äußerst hoch entwickelter, einzigartiger Kompressionsalgorithmus;
  • Grafische Benutzeroberfläche mit Unterstützung von Drag & drop und Assistenten;
  • Bedienung über die Kommandozeile;
  • Unterstützung von Nicht-RAR-Archiven (7Z, ACE, ARJ, BZ2, CAB, GZ, ISO, JAR, LZ, LZH, TAR, UUE, XZ, Z, 001 und einige Arten von ZIPX);
  • Solide Archivierung, welche die Kompressionsrate um 10 bis 50% im Vergleich zu den üblichen Methoden steigern kann, besonders dann, wenn viele kleine Dateien mit ähnlichen Inhalten gepackt werden;
  • Gesplittete Archive (Multi-Volumen);
  • Erstellung von selbstentpackenden Archiven (auch als gesplittetes Archiv) unter Verwendung des Standard-SFX-Moduls oder weiteren SFX-Modulen;
  • Wiederherstellung physikalisch beschädigter Archive;
  • Wiederherstellungs-Volumen erlauben eine Wiederherstellung fehlender Teile von gesplitteten Archiven.
  • Unterstützung von Unicode in Dateinamen;
  • Andere Servicefunktionen wie Verschlüsselung, Archivkommentare, Fehlerprotokollierung, usw.


Einschränkungen von WinRAR

Die Anzahl der Dateien, die zu einem Archiv hinzugefügt werden können, hängt von der Größe des freien Arbeitsspeichers und von der Länge der Dateinamen ab. Ungefähr 128 Byte Arbeitsspeicher werden pro archivierter Datei für ein RAR-Archiv verbraucht. Um zum Beispiel eine Million Dateien zu archivieren, benötigen Sie neben dem Speicher, den der Komprimierungsalgorithmus bereits belegt, zusätzlich weitere 128 MB. WinRAR wurde bereits erfolgreich im Umgang mit mehr als 1 Million Dateien getestet.

Die Größe eines RAR- und ZIP-Archivs sowie die Größe jeder einzelnen Datei in einem RAR- und ZIP-Archiv ist auf 8.589.934.591 GB (9.223.372.036.854.775.807 Bytes) beschränkt. Beachten Sie, dass Sie für die Erstellung eines Archivs größer als 4 GB ein Dateisystem verwenden müssen, dass Dateien dieser Größe unterstützt, wie z. B. NTFS.

Die maximale Länge des Passworts für die Verschlüsselung von Dateien beträgt 127 Zeichen. Längere Passwörter werden nach 127 Zeichen abgeschnitten und somit gekürzt.


Konsolenversion von RAR

Zusätzlich zu WinRAR finden Sie in der Distribution die Datei rar.exe. Sie ist auch eine RAR-Version für Windows, aber sie unterstützt nur die Eingabeaufforderung im Text-Modus. Die Konsolenversion ist nützlich zum Aufruf aus BAT- und CMD-Dateien, oder um sie in der Eingabeaufforderung usw. zu benutzen. Im Vergleich zu WinRAR unterstützt die Konsolenversion mehr Kommandozeilen-Befehle und -Schalter. Obwohl die Syntax der Kommandozeile von WinRAR, die im Kapitel "Syntax der Kommandozeile" beschrieben ist, auch auf die Konsolenversion von RAR zutrifft, enthält diese Hilfedatei nicht die Beschreibungen der Schalter und Kommandos, die nur von der Konsolenversion unterstützt werden. Für eine ausführliche Beschreibung der Funktionen und Eigenschaften der Konsolenversion lesen Sie die Datei rar.txt.


Danksagungen

Wir möchten Ron Dwight danken, der sehr viel für RAR und dessen Anwender getan hat. Es ist sehr bedauerlich, dass Ron die nächsten Versionen von WinRAR niemals sehen wird.

WinRAR enthält Quelltexte der Info-ZIP-Arbeitsgruppe. Die Quelltexte werden für die Verarbeitung von ZIP-Archiven verwendet.

Der Text-Kompressions-Algorithmus basiert auf PPMII von Dmitry Shkarins und auf dem Carryless Rangecoder von Dmitry Subbotin. Die Quelltexte sind Public-Domain und sind hier zu finden: ftp://ftp.elf.stuba.sk/pub/pc/pack/.

WinRARs Verschlüsselung enthält Teile der AES-Implementierung von Szymon Stefanek und Brian Gladman sowie Teile des SHA-1 Quelltextes von Steve Reid.

WinRAR verwendet eine CRC32-Funktion, die auf dem Slicing-by-8-Algorithmus von Intel basiert.

RAR-Archive enthalten wahlweise den BLAKE2sp-Hashwert, der von Jean-Philippe Aumasson, Samuel Neves, Zooko Wilcox-O'Hearn und Christian Winnerlein entworfen wurde.

Nützliche Tipps zur Verbesserung der Geschwindigkeit und der Kompressionsstärke von RAR wurden von Alexander Khoroshev und Bulat Ziganshin beigesteuert.

7z-Archive werden mit Hilfe der Bibliothek 7zxa.dll entpackt. Die Rechte an der Bibliothek besitzt Igor Pavlov, der Entwickler des 7-zip-Archivierers. Die Bibliothek 7zxa.dll wird unter der GNU Lesser General Public License (LGPL) Version 2.1 oder neuer vertrieben. Gemäß der LGPL dürfen Sie Teile der 7zxa.dll verändern und ausschließlich für das Debugging der geänderten Teile zurückentwickeln. XZ- und LZMA-ZIP-Archive werden mit dem Public Domain LZMA SDK von Igor Pavlov entpackt. Der Quelltext der Bibliothek 7zxa.dll und das LZMA SDK ist verfügbar unter www.7-zip.org.

Wir haben den Durchsatz der Reed-Solomon-Kodierung mit Hilfe des Fachartikels "Screaming Fast Galois Field Arithmetic Using Intel SIMD Instructions" von James S. Plank, Kevin M. Greenan und Ethan L. Miller verbessert. In diesem Zusammenhang danken wir Artem Drobanov und Bulat Ziganshin, die mit ihren Beispielen und Ideen dafür gesorgt haben, dass wir die Reed-Solomon-Kodierung effizienter machen konnten.

ACE-Archive werden mit Hilfe der Bibliothek unacev2.dll entpackt, welche von den Entwicklern von WinAce zur Verfügung gestellt wird - http://www.winace.com.

Francesco Indrio <om-studio@tiscali.it>, <omstudio@mail15.com> erstellte die meisten der WinRAR-Grafiken.

Die Idee der WinRAR-Shellerweiterung wurde von Ylian Saint-Hilaire und seinem ausgezeichneten Programm "RAR shell extension" übernommen.

Ein spezieller Dank geht an Andrey Spasibozhko für seine Hilfe bei der Entwicklung und Verbreitung von frühen RAR-Versionen.

WinRAR wurde von Michael Leimer http://leimer.name ins Deutsche übersetzt.


Schnellstart

Oberflächen- und Befehlszeilenmodus

WinRAR kann auf zwei verschiedenen Arten benutzt werden: mit einer grafischen Benutzeroberfläche (Windows-Standard) oder im Kommandozeilen-Modus. Um die Benutzeroberfläche zu starten, führen Sie einen Doppelklick auf das WinRAR-Symbol aus. Dann können Sie Schaltflächen und Menüs zum Archivieren und Entpacken benutzen. Für eine Schritt-für-Schritt-Anleitung lesen Sie die folgenden Themen.

  • Wie entpacke ich Dateien mit der grafischen Benutzeroberfläche von WinRAR
  • Wie packe ich Dateien mit der grafischen Benutzeroberfläche von WinRAR

Um WinRAR im Befehlszeilenmodus zu nutzen, ist es notwendig, entweder im Startmenü "Programme/Zubehör/Eingabeaufforderung" aufzurufen oder "Ausführen…" zu wählen. Daraufhin gibt man den Befehlstext ein. Sie können Beispiele für einfache Kommandozeilenbefehle zum Packen/Entpacken in der Beschreibung weiter unten finden. Eine detaillierte Beschreibung des Kommandozeilenmodus finden Sie im Abschnitt "Befehlszeilenmodus". Bitte beachten Sie, dass die grafische Benutzeroberfläche von WinRAR aufgerufen wird, wenn Sie WinRAR ohne Parameter starten.

  • Wie entpacke ich Dateien in der Kommandozeile
  • Wie packe ich Dateien in der Kommandozeile

Falls Sie "WinRAR im Explorer integrieren" nicht deaktiviert haben, als Sie WinRAR installiert haben, ist es auch möglich, Dateien direkt in der Windows-Oberfläche (Explorer oder Desktop) zu packen bzw. zu entpacken. Eine detaillierte Beschreibung finden Sie unten.

  • Wie entpacke ich Dateien im Explorer oder auf dem Desktop
  • Wie packe ich Dateien im Explorer oder auf dem Desktop


Schnellstart: Entpacken von Dateien mit der Benutzeroberfläche von WinRAR

Um Dateien mit Hilfe der grafischen Benutzeroberfläche von WinRAR zu entpacken, müssen Sie zuerst das Archiv in WinRAR öffnen. Dies können Sie auf verschiedene Arten erreichen:

  • Doppelklick auf ein Archiv (oder Drücken der Enter-Taste) in der Windowsoberfläche (Explorer oder Desktop). Wenn WinRAR während der Installation mit Archiven verknüpft wurde (das ist die Installations-Voreinstellung), wird das Archiv in WinRAR geöffnet. Sie können WinRAR auch jederzeit nach der Installation mit Hilfe des Dialogs "Einstellungen - Integration" mit Archiven verknüpfen;
  • Doppelklick auf einen Archivnamen (oder Drücken der Enter-Taste) im Fenster von WinRAR;
  • Ziehen eines Archivs in das WinRAR-Fenster oder auf das WinRAR-Symbol per Drag & drop. Sie sollten sicherstellen, dass WinRAR nicht schon den Inhalt eines anderen Archivs anzeigt, sonst wird das abgelegte Archiv zum angezeigten hinzugefügt;
  • Starten von WinRAR von der Befehlszeile mit nur einem Parameter - dem Archivnamen.

Wird ein Archiv in WinRAR geöffnet, wird dessen Inhalt angezeigt. Wählen Sie die Dateien/Verzeichnisse aus, die entpackt werden sollen. Sie können dies mit Umsch + Pfeiltasten oder durch Klicken mit der linken Maustaste erreichen (genau wie im Windows-Explorer und anderen Windows-Programmen). In WinRAR ist es ebenfalls möglich, mit Hilfe der Leertaste oder der Taste Einfg Dateien auszuwählen. Die Tasten "+" und "-" auf dem Ziffernblock der Tastatur erlauben es, Dateien/Dateigruppen über Dateimasken auszuwählen/abzuwählen.

Wenn Sie eine oder mehrere Dateien ausgewählt haben, klicken Sie auf das Symbol "Entp. nach" im oberen Bereich des WinRAR-Fensters oder drücken Sie Alt+E, geben das Zielverzeichnis in der Dialogbox ein und klicken auf OK. Diese Dialogbox enthält zusätzlich einige weitere Optionen. Für eine genauere Beschreibung lesen Sie bitte das Kapitel Dialog "Zielverzeichnis und Optionen".

Während des Entpackvorgangs wird ein Fenster mit einer Fortschrittsanzeige angezeigt. Wenn Sie den Entpackvorgang anhalten wollen, drücken Sie auf "Abbrechen" im Statusfenster. Um WinRAR in den System-Tray (rechts unten in der Taskleiste) zu minimieren, klicken Sie auf "Hintergrund". Wenn das Entpacken fehlerfrei beendet wurde, kehrt WinRAR zur Dateiliste zurück. Falls ein Fehler aufgetreten ist, wird ein Fenster mit Fehlermeldungen angezeigt.


Schnellstart: Entpacken von Dateien in der Eingabeaufforderung

Der Standardaufruf zum Entpacken von Dateien mit allen Verzeichnissen ist:

WinRAR X [ -Schalter ] <Archiv> [ Dateien ] [ @Dateiliste ] [ Zielverzeichnis\ ]

Um die Dateien ohne Verzeichnisse zu entpacken:

WinRAR E [ -Schalter ] <Archiv> [ Dateien ] [ @Dateiliste ] [ Zielverzeichnis\ ]

Wenn Sie zum Beispiel die Datei BRIEF.TXT in das aktuelle Verzeichnis aus dem Archiv BRIEFE.RAR entpacken möchten, geben folgendes Kommando ein:

WinRAR X BRIEF.RAR BRIEF.TXT

Die Archivendung ist optional und kann weggelassen werden.

Der nächste Befehl entpackt alle *.WAV Dateien aus dem Archiv Lieder in das Verzeichnis Musik:

WinRAR X Lieder *.WAV Musik\

Es ist auch möglich, die Dateien, die entpackt werden sollen, in einer Datei aufzulisten, anstatt sie in der Befehlszeile einzugeben. In diesem Fall muss der Name der Textdatei, welche die Liste der zu entpackenden Dateien enthält, WinRAR übergeben werden. Dies wird durch das Voranstellen des Klammeraffen @ vor den Dateilistennamen erreicht. Sie können z. B. eine Datei mit dem Namen Programmdateien erzeugen, welche die Zeilen *.exe und *.com enthält, und dann den Befehl

WinRAR X TOOLS @Programmdateien

ausführen, um alle Dateien mit der Erweiterung EXE und COM aus dem Archiv TOOLS in das aktuelle Verzeichnis zu entpacken.

Während des Entpackvorgangs wird ein Fenster mit statistischen Daten angezeigt. Wenn Sie den Entpackvorgang abbrechen wollen, drücken Sie auf "Abbrechen" im Statusfenster. Um WinRAR in den System-Tray (rechts unten in der Taskleiste) zu minimieren, klicken Sie auf "Hintergrund". Wenn das Entpacken fehlerfrei ablief, wird WinRAR beendet. Falls ein Fehler aufgetreten ist, wird ein Fenster mit Fehlermeldungen angezeigt.

Für eine detaillierte Beschreibung der Befehle und Schalter schauen Sie in der Beschreibung zum Syntax der Kommandozeile nach.


Schnellstart: Entpacken von Dateien im Explorer oder auf dem Desktop

Falls Sie "WinRAR im Explorer integrieren" nicht deaktiviert haben, als Sie WinRAR installiert haben, ist es auch möglich, Dateien direkt in der Windows-Oberfläche (Explorer oder Desktop) zu entpacken. Drücken Sie die rechte Maustaste über einen Archiv-Icon, wählen Sie "Dateien entpacken…", geben Sie das Zielverzeichnis in der Dialogbox an und klicken Sie auf "OK". Diese Dialogbox enthält einige weitere Einstellungen. Für eine genauere Beschreibung lesen Sie bitte das Kapitel Dialog "Zielverzeichnis und Optionen".

Sie können auch "Entpacken nach <Verzeichnisname>\" wählen, um die Dateien ohne weitere Abfragen in das vorgegebene Verzeichnis zu entpacken, oder wählen Sie "Hier entpacken", um die Dateien ins aktuelle Verzeichnis zu entpacken.

Wenn die Option "Kontextmenüs kaskadieren" im Dialog "Integrationseinstellungen" aktiviert ist, müssen Sie das Untermenü "WinRAR" öffnen, um Zugriff auf die oben beschriebenen Befehle zu erhalten. Andernfalls befinden sich die Befehle direkt auf oberster Ebene des Kontextmenüs.

Eine weitere Methode ist, eine oder mehrere Archive mit Hilfe der rechten Maustaste auf das Zielverzeichnis zu ziehen und in dem erscheinenden Menü "Hier entpacken" auszuwählen.


Schnellstart: Packen von Dateien mit der Benutzeroberfläche von WinRAR

Als erstes müssen Sie WinRAR starten. Doppelklicken Sie dazu auf das WinRAR-Icon oder drücken Sie die Enter-Taste, während das WinRAR-Icon selektiert ist. Sie können WinRAR auch starten, indem Sie im Startmenü unter Programme/WinRAR auf den Eintrag "WinRAR" klicken.

Wenn WinRAR läuft, zeigt es eine Liste der Dateien und Ordner im aktuellen Verzeichnis. Sie müssen nun in das Verzeichnis wechseln, das die zu packenden Dateien enthält. Drücken Sie Strg+D, klicken Sie auf das Disketten-Icon in der unteren linken Ecke oder wählen Sie das Laufwerk in der Laufwerksliste unter der Symbolleiste, um das Laufwerk zu wechseln. Drücken Sie Backspace, Strg+BildHoch, klicken Sie auf das "Pfeil oben"-Symbol unter der Symbolleiste oder machen Sie einen Doppelklick auf das Verzeichnis mit dem Namen "..", um in das nächsthöhere Verzeichnis zu wechseln. Drücken Sie Enter, Strg+BildRunter oder führen Sie einen Doppelklick auf einem Ordner aus, um in dieses Verzeichnis zu wechseln. Strg+\ wechselt in das Stammverzeichnis des aktuellen Laufwerks oder in das Verzeichnis, in dem sich das Archiv befindet.

Wenn Sie in das Verzeichnis mit den gewünschten Dateien gewechselt sind, wählen Sie die Dateien und Verzeichnisse aus, die Sie packen möchten. Sie können dies mit Umsch + Pfeiltasten oder durch Klicken mit der linken Maustaste erreichen (genau wie im Windows-Explorer und anderen Windows-Programmen). In WinRAR ist es ebenfalls möglich, mit Hilfe der Leertaste oder der Taste Einfg Dateien auszuwählen. Die Tasten "+" und "-" auf dem Ziffernblock der Tastatur erlauben es, Dateien/Dateigruppen über Dateimasken auszuwählen/abzuwählen.

Wenn Sie eine oder mehrere Dateien ausgewählt haben, klicken Sie auf das Symbol "Hinzufügen" im oberen Bereich des WinRAR-Fensters, drücken Sie Alt+A oder wählen Sie den Eintrag "Dateien zum Archiv hinzufügen" im Menü "Befehle". Geben Sie den gewünschten Archivnamen in die erscheinende Dialogbox ein oder akzeptieren Sie den vorgeschlagenen Namen. Sie können in diesem Dialog außerdem das Format des neuen Archivs (RAR oder ZIP ), die Kompressionsmethode, die Volumengröße und andere Archivparameter einstellen. Dieser Dialog wird detailliert im Kapitel Dialog "Archivname und Archivparameter einstellen" beschrieben. Klicken Sie auf OK, wenn Sie bereit sind, das Archiv zu erstellen.

Während des Packvorgangs wird ein Fenster mit Fortschrittsinformationen angezeigt. Wenn Sie den Packvorgang anhalten wollen, drücken Sie auf "Abbrechen" im Statusfenster. Um WinRAR in den System-Tray (rechts unten in der Taskleiste) zu minimieren, klicken Sie auf "Hintergrund". Wenn die Archivierung abgeschlossen ist, verschwindet das Statusfenster und erstellte Archiv wird die aktuell ausgewählte Datei.

Es ist auch möglich, Dateien zu einem bereits bestehenden RAR-Archiv mit Drag & drop hinzuzufügen. Dazu markieren Sie das entsprechende Archiv im WinRAR-Fenster und drücken Return (oder führen einen Doppelklick auf dessen Namen mit der Maus aus). WinRAR wird dann das Archiv einlesen und dessen Inhalt anzeigen. Nun können Sie Dateien zum Archiv hinzufügen, indem Sie Dateien aus einem anderen Programmfenster in das WinRAR-Fenster ziehen und dort fallen lassen.


Schnellstart: Packen von Dateien in der Eingabeaufforderung

Der Standardaufruf zum Packen von Dateien ist:

WinRAR A [ -Schalter ] <Archiv> [ Dateien ] [ @Dateiliste ]

Wenn Sie zum Beispiel die Datei BRIEF.TXT zum Archiv BRIEFE.RAR hinzufügen möchten, geben Sie Folgendes ein:

WinRAR A BRIEFE.RAR BRIEF.TXT

Wird eine Archivendung nicht angegeben, so benutzt WinRAR das Standard-Archivformat, welches im Standardkomprimierungsprofil ausgewählt wurde. Sie können das Archivformat aber auch explizit durch Angabe der Archivendung ".RAR" oder ".ZIP" festlegen.

Nächstes Beispiel: Hinzufügen aller *.WAV Dateien zu einem soliden RAR-Archiv Lieder:

WinRAR A -S Lieder.RAR *.WAV

Es ist auch möglich, die Dateien, die gepackt werden sollen, in einer Datei aufzulisten, anstatt sie in der Befehlszeile einzugeben. In diesem Fall muss der Name der Textdatei, welche die Liste der zu packenden Dateien enthält, WinRAR übergeben werden. Dies wird durch das Voranstellen des Klammeraffen @ vor den Dateilistennamen erreicht. Sie können z. B. eine Datei mit dem Namen Programmdateien erzeugen, welche die Zeilen *.exe und *.com enthält, und dann den Befehl

WinRAR A TOOLS.ZIP @Programmdateien

ausführen, um alle Dateien mit der Erweiterung .EXE und .COM aus dem aktuellen Verzeichnis zum ZIP-Archiv TOOLS hinzuzufügen.

Während des Packvorgangs wird ein Fenster mit statistischen Daten angezeigt. Wenn Sie den Packvorgang abbrechen wollen, drücken Sie auf "Abbrechen" im Statusfenster. Um WinRAR in den System-Tray (rechts unten in der Taskleiste) zu minimieren, klicken Sie auf "Hintergrund". Wenn das Packen fehlerfrei ablief, wird WinRAR beendet. Falls ein Fehler aufgetreten ist, wird ein Fenster mit Fehlermeldungen angezeigt.

Für eine detaillierte Beschreibung der Befehle und Schalter schauen Sie in der Beschreibung zum Syntax der Kommandozeile nach.


Schnellstart: Packen von Dateien im Explorer oder auf dem Desktop

Falls Sie "WinRAR im Explorer integrieren" nicht deaktiviert haben, als Sie WinRAR installiert haben, ist es auch möglich, Dateien direkt in der Windows-Oberfläche (Explorer oder Desktop) zu packen. Wählen Sie die Dateien, die Sie archivieren möchten, im Explorer oder auf dem Desktop aus, drücken Sie die rechte Maustaste über den ausgewählten Dateien und wählen Sie "Zum Archiv hinzufügen…". Geben Sie den gewünschten Archivnamen in die erscheinende Dialogbox ein oder akzeptieren Sie den vorgeschlagenen Namen. Sie können in diesem Dialog außerdem das Format des neuen Archivs (RAR oder ZIP ), die Kompressionsmethode, die Volumengröße und andere Archivparameter einstellen. Dieser Dialog wird detailliert im Kapitel Dialog "Archivname und Archivparameter einstellen" beschrieben. Klicken Sie auf "OK", wenn Sie alle Einstellungen vorgenommen haben. Das Archiv wird dann im gleichen Verzeichnis wie die selektierten Dateien erstellt.

Sie können auch "Zu <Archivname> hinzufügen" wählen, um die Dateien ohne weitere Abfragen in das vorgegebene Archiv zu packen. In diesem Fall werden die Komprimierungseinstellungen verwendet, die im Standardkomprimierungsprofil eingestellt wurden.

Wenn die Option "Kontextmenüs kaskadieren" im Dialog "Integrationseinstellungen" aktiviert ist, müssen Sie das Untermenü "WinRAR" öffnen, um Zugriff auf die oben beschriebenen Befehle zu erhalten. Andernfalls befinden sich die Befehle direkt auf oberster Ebene des Kontextmenüs.

Eine weitere Methode ist, Dateien auf ein bestehendes Archiv zu ziehen und sie fallen zu lassen. Die Dateien werden dann zu diesem Archiv hinzugefügt.


RAR im Vergleich zu ZIP

WinRAR ist in der Lage, Archive in zwei verschiedenen Formaten zu erstellen: RAR und ZIP. Einen Vergleich beider Formate finden im hier:

ZIP-Archive

Der Hauptvorteil von ZIP-Archiven ist deren Popularität. Beispielsweise sind die meisten Archive im Internet ZIP-Archive. Wenn Sie also ein Archiv an jemanden schicken wollen, von dem Sie nicht wissen, ob er WinRAR besitzt, um den Archivinhalt zu entpacken, ist es sinnvoll, das ZIP-Format zu benutzen. Andererseits können Sie auch ein selbstentpackendes Archiv verschicken. Diese Archive sind zwar etwas größer, können aber ohne zusätzliche Programme entpackt werden.

Ein weiterer Vorteil von ZIP-Archiven ist die Geschwindigkeit. ZIP-Archive werden normalerweise schneller erstellt als RAR-Archive.

RAR-Archive

Das RAR-Format bietet normalerweise eine bessere Kompressionsrate als ZIP, besonders bei der soliden Archivierung. Für gesplitteten Archive (Multi-Volumen) im RAR-Format bietet WinRAR mehr Möglichkeiten an, wie zum Beispiel selbstentpackende gesplittete Archive.

Das RAR-Format besitzt weiterhin einige wichtige Eigenschaften, die dem ZIP-Format vollkommen fehlen: Wiederherstellungsdaten, die es erlauben, physikalisch beschädigte Archive zu reparieren, oder die Möglichkeit, wichtige Archive abzuschließen, um sie vor unbeabsichtigter Veränderung zu schützen.

Sowohl das RAR- als auch das ZIP-Format ist in der Lage, Dateien von praktisch unbeschränkter Größe (bis zu 8.589.934.591 GB) zu handhaben.


RAR-5.0-Archivformat

WinRAR 5.0 führt eine neue Version des RAR-Archivformats ein.

Neue Funktionen und Eigenschaften des RAR-5.0-Formats sind unter anderem:

  • Wörterbuchgröße von bis zu 1 GB für die Komprimierung. Beim Packen von großen Dateien kann mit einem größeren Wörterbuch häufig eine bessere Kompressionsrate erzielt werden, insbesondere bei solider Archivierung.
  • Die Verschlüsselung basiert auf dem AES-256-Algorithmus, der theoretisch besser als der AES-128-Algorithmus beim RAR-4.x-Format ist.
  • Die Wiederherstellungsdaten (Recovery Record) verwenden nun Reed-Solomon-Fehlerkorrektur-Codes, die im Vergleich zu den RAR-4.x-Wiederherstellungsdaten besser mit mehrfachen Beschädigungen an verschiedenen Stellen eines Archivs umgehen können.
  • Höhere Geschwindigkeit bei allen Operationen, bei denen Wiederherstellungsdaten verarbeitet werden. Die maximale Anzahl von RAR+REV-Volumen beim RAR-5.0-Format ist nun 65535 statt 255.
  • Dateizeiten werden als koordinierte Weltzeit (UTC) gespeichert und nicht mehr als Ortszeit wie im RAR-4.x-Format. Der Austausch von Dateien über mehrere Zeitzonen hinweg wird durch den einheitlichen Zeitbezug vereinfacht.
  • Wahlweise kann die BLAKE2sp-Prüfsumme für Dateidaten verwendet werden. Im Gegensatz zur CRC32-Prüfsumme kann bei der BLAKE2-Prüfsumme praktisch ausgeschlossen werden, dass zwei verschiedene Dateien denselben Prüfsummenwert aufweisen. Dadurch kann die BLAKE2-Prüfsumme zur Identifizierung von Dateien verwendet werden.
  • Hinzufügen von Daten zum schnellen Öffnen zu einem Archiv, um den Zugriff auf Archivinhalte zu beschleunigen.
  • Multithreading-Unterstützung im Dekomprimierungsalgorithmus. Die höhere Geschwindigkeit bemerkt man beim Entpacken von großen Dateien, die sich nicht sehr gut für die Komprimierung eignen, sowie bei Dateien, welche die BLAKE2-Prüfsumme verwenden.
  • Unterstützung für das NTFS-Dateisystem: Analysepunkte (Reparse Points), symbolische Links (Symbolic Links) und harte Links (Hard Links) können archiviert und wiederhergestellt werden.
  • Möglichkeit, die zweite Kopie sowie die folgenden Kopien der gleichen Datei als Verweise auf die erste Kopie dieser Datei zu speichern.
  • Vollständige Unicodeunterstützung. Dateinamen und Archivkommentare werden im UTF-8-Format gespeichert.

Einige überflüssige und ineffiziente RAR-4.x-Funktionen sind nicht mehr Bestandteil des RAR-5.0-Formats:

  • Die im RAR-4.x-Format vorhandenen Spezialalgorithmen für die Text-, Audio-, Echtfarben- und die Intel-64-Bit-Programmcode-Komprimierung können in RAR-5.0- Archiven nicht verwendet werden. Dateien mit unkomprimierten Audiodaten und Grafikdateien mit unkomprimierten Echtfarbendaten, die von älteren RAR-Versionen als solche erkannt wurden, werden kaum noch verwendet. Die Verbreitung solcher Dateiformate hat stark abgenommen. Die Geschwindigkeit der Textkomprimierung ist bei der Verwendung moderner Mehrkernprozessoren im Vergleich zur Geschwindigkeit der gewöhnlichen RAR-Komprimierung zu gering. Auch wenn diese Algorithmen im RAR-5.0-Format nicht mehr unterstützt werden, WinRAR kann immer noch jedes RAR-4.x-Archiv entpacken, einschließlich der Archive, welche die vorher erwähnten Algorithmen verwenden. Das RAR-5.0-Format enthält immer noch die Algorithmen für die Intel-32-Bit-Programmcode-Komprimierung und die Deltakomprimierung. Diese funktionieren gut mit modernen Datentypen und sind ausreichend schnell auf moderner Hardware.
  • Das Erstellen von Volumennamen im alten Format (archiv.r00, archiv.r01,...) wird nicht unterstützt. Der Hauptgrund für diese Namen war die Kompatibilität mit dem MS-DOS-Dateisystem. Unter Betriebssystemen wie Windows ist dieses Namensschema nicht optimal, weil dort Dateierweiterungen für die Definition von Dateitypen und für die Verknüpfung mit einem bestimmten Programm verwendet werden.

Ältere Anwendungen und WinRAR vor Version 5.0 können RAR-5.0-Archive nicht als solche erkennen. Wenn sichergestellt werden soll, dass Archive mit Hilfe älterer Software entpackt werden kann, sollte das RAR-4.x-Format gewählt werden. Das Archivformat kann entweder im Dialog "Archivname und Archivparameter einstellen - Allgemein" ausgewählt oder in der Befehlszeile mit dem Schalter -ma festgelegt werden. Das RAR-4.x-Format sollte auch dann gewählt werden, wenn man den Text- oder Multimedia-Komprimierungsalgorithmus oder alte Volumennamen verwenden möchte.


Unterstützung von anderen Archivformaten

Zusätzlich zur vollständigen Unterstützung von RAR und ZIP stellt WinRAR einige Grundfunktionen für 7Z, ACE, ARJ, BZ2, CAB, GZ, ISO, JAR, LZ, LZH, TAR, UUE, XZ, Z Dateien bereit, welche von anderen Programmen erzeugt wurden: Anzeigen des Inhalts, Entpacken von Dateien, Anzeigen von Kommentaren und Archivinformationen. Für die Handhabung dieser Dateien benötigen sie keine externen Programme. Einige Arten von ZIPX-Archiven werden ebenfalls unterstützt.

Dateien, die in mehrere Teile aufgeteilt sind und die Dateierweiterungen .001, .002, ... haben, kann WinRAR zusammenfügen. Öffnen Sie zunächst die Datei mit der Erweiterung .001 als normales Archiv und entpacken Sie anschließend dessen Inhalt. Alle Teile der aufgeteilten Datei müssen sich vor dem Entpacken in demselben Verzeichnis befinden.


Solide Archive

Ein solides Archiv ist ein Archiv, das mit einer speziellen Kompressionsmethode, die einige oder alle Dateien in diesem Archiv als einen einzigen Datenstrom ansieht, gepackt wurde. WinRAR unterstützt solide Archive nur beim RAR-Archivformat, ZIP-Archive sind immer nicht-solide. In der Benutzeroberfläche lässt sich die solide Archivierung mit der Option "Solides Archiv erstellen" im Dialog "Archivname und Archivparameter einstellen - Allgemein" aktivieren, in der Befehlszeile gibt man dafür den Schalter -s an.

Solides Archivieren erhöht die Kompressionsrate erheblich, wenn viele kleine, gleichartige Dateien archiviert werden. Aber es gibt auch ein paar Nachteile:

  • Langsamere Erneuerung von existierenden soliden Archiven;
  • Um eine einzelne Datei aus einem soliden Archiv zu entpacken, müssen alle vorangehenden Dateien analysiert werden. Dies macht das Entpacken aus der Mitte eines soliden Archivs bedeutend langsamer als aus einem normalen Archiv. Falls aber alle Dateien aus einem soliden Archiv entpackt werden, wird die Extraktionsgeschwindigkeit nicht beeinflusst.
  • Wenn irgendeine Datei in einem soliden Archiv beschädigt ist, ist es unmöglich, alle die Dateien zu entpacken, die dem beschädigten Bereich folgen. Falls ein solides Archiv auf ein unzuverlässiges Medium, wie z. B. einer Diskette gespeichert wird, ist es empfehlenswert, Wiederherstellungsdaten hinzuzufügen.

Solide Archive sind vorzuziehen, wenn:

  • das Archiv selten erneuert wird;
  • es nicht notwendig ist, öfters einzelne oder ein größeren Teil der Dateien aus dem Archiv zu entpacken;
  • die Kompressionsrate wichtiger ist als Kompressionsgeschwindigkeit.

Normalerweise werden Dateien in soliden Archiven nach ihrer Erweiterung sortiert. Es ist jedoch möglich, die Sortierung mit dem Schalter -ds auszuschalten oder eine andere Sortierreihenfolge für die Dateien mit Hilfe einer speziellen Datei festzulegen: rarfiles.lst.

Gesplittete Archive (Volumen) und selbstentpackende Archive (SFX) können auch solide erstellt werden.

Lesen Sie dazu: Schalter -s, Schalter -ds, rarfiles.lst


Gesplittete Archive (Volumen)

WinRAR kann ein Archiv erstellen, das aus mehreren Dateien besteht. So ein Archiv bezeichnet man als gesplittetes Archiv, die einzelnen Dateien, aus denen das Archiv besteht, als Volumen. Im Allgemeinen wird dieser Archivtyp benutzt, um ein großes Archiv auf mehreren Wechsel-Datenträgern zu speichern oder per E-Mail zu verschicken.

WinRAR kann Volumen im RAR- und ZIP-Format erstellen. Ein anderer Name, der für ZIP-Volumen gebraucht wird, ist gesplittete ZIP-Dateien.

Standardmäßig haben RAR-Volumen Namen der Form 'volumenname.partNNN.rar', wobei NNN die Nummer des Volumens ist. Beim RAR-4.x-Format ist es mit dem Schalter -vn möglich, ein anderes, auf der Dateierweiterung basierendes Nummerierungssystem zu verwenden. In diesem Fall hat das erste Volumen in der Folge die Erweiterung ".rar", die nachfolgenden Volumen-Erweiterungen sind nummeriert von ".r00" bis ".r99". Bei RAR-5.0-Archiven wird der Schalter -vn und das auf der Dateierweiterung basierende Namensschema nicht unterstützt.

RAR-Volumen können auch solide erstellt und selbstentpackend sein. Das erste selbstentpackende Volumen hat eine andere Datei-Erweiterung (d.h. nicht .rar), zum Beispiel .exe für Windows-SFX-Volumen.

Um gesplittete RAR-Archive zu entpacken, müssen Sie den Entpackvorgang beim ersten Volumen starten. Befinden sich die Volumen auf einem nicht-auswechselbarem Medium wie einer Festplatte, so müssen sich alle Volumen eines Archivs im selben Verzeichnis befinden, bevor Sie mit dem Entpacken beginnen können.

ZIP-Volumen haben Namen der Form 'volumenname.zip', 'volumenname.z01', 'volumenname.z02'. Verwenden Sie für alle Archivoperationen wie z. B. das Öffnen und das Entpacken das Volumen mit der Dateierweiterung ".zip".

Im Gegensatz zu RAR-Volumen können ZIP-Volumen nicht selbstentpackend sein. Beim Erstellen und Entpacken von gesplitteten ZIP-Archiven muss WinRAR zur selben Zeit auf alle Volumen des Archivs zugreifen können. Daher ist es unmöglich, ZIP-Volumen auf Wechseldatenträgern zu entpacken oder zu erstellen, wenn sich immer nur ein Volumen auf dem Wechseldatenträger befindet. ZIP-Volumen müssen immer im selben Verzeichnis erstellt werden. Erst danach können die einzelnen Volumen bei Bedarf auf Wechseldatenträger kopiert werden. Beim Entpacken muss dann umgekeht vorgegangen werden. Zunächst müssen alle ZIP-Volumen in das selbe Verzeichnis kopiert werden. Anschließend kann das Entpacken gestartet werden.

Es ist nicht möglich, Dateien zu bestehenden Volumen hinzuzufügen, Dateien in bestehenden Volumen zu erneuern oder Dateien aus bestehenden Volumen zu löschen. Neue Volumen entstehen ausschließlich durch die Erstellung eines gesplitteten Archivs.

Seit der Version 3.40 speichert WinRAR die Nummer des Volumens im Volumen ab. Man kann diese Nummer oben im Dialog "Informationen anzeigen" sehen, wenn man den Befehl "Informationen anzeigen" auf ein Volumen anwendet. Diese Nummer kann sehr hilfreich sein, wenn die ursprünglichen Volumennamen verloren gegangen sind und die korrekten Namen manuell wiederhergestellt werden müssen.


Wiederherstellungs-Volumen

Wiederherstellungs-Volumen oder ".rev"-Dateien sind spezielle Dateien, die mit WinRAR erzeugt werden können. Sie erlauben es, fehlende und beschädigte Volumen eines gesplitteten Archivs wiederherzustellen, und können nur bei gesplitteten Archiven benutzt werden.

Dieses Merkmal kann für Backups sehr nützlich sein. Wenn Sie zum Beispiel ein gesplittetes Archiv in einer Newsgroup gepostet haben und ein Teil der Abonnenten hat einige der Dateien nicht erhalten, dann kann das Posten von Wiederherstellungs-Volumen anstelle gewöhnlicher Volumen die Anzahl der erneut zu postenden Dateien senken.

Jedes Wiederherstellungs-Volumen ist in der Lage, ein fehlendes RAR-Volumen wiederherzustellen. Wenn Sie zum Beispiel 30 Volumen und 3 Wiederherstellungs-Volumen haben, sind Sie in der Lage, 3 beliebige fehlende Volumen wiederherzustellen. Ist die Anzahl der ".rev"-Dateien kleiner als die Anzahl der fehlenden Volumen, dann ist eine Wiederherstellung unmöglich. Die Anzahl der normalen und der Wiederherstellungs-Volumen darf beim RAR-4.x-Archivformat 255 und beim RAR-5.0-Archivformat 65535 nicht überschreiten. Die Anzahl der Wiederherstellungs-Volumen muss kleiner sein als die Anzahl der RAR-Volumen.

Nach dem Erstellen der Wiederherstellungs-Volumen dürfen die ursprünglichen RAR-Volumen nicht mehr verändert werden. Der Wiederherstellungsalgorithmus verwendet sowohl die in den REV-Dateien als auch die in den RAR-Volumen gespeicherten Daten, um fehlende RAR-Volumen wiederherzustellen. Verändern Sie nach der Erstellung der REV-Dateien die RAR-Volumen - z.B. indem Sie die RAR-Volumen abschließen - wird die Wiederherstellung fehlender RAR-Volumen nicht gelingen.

In RAR-5.0-Wiederherstellungs-Volumen werden nicht nur Wiederherstellungsdaten gespeichert, sondern auch weitere wichtige Serviceinformationen, wie z.B. die Prüfsummen der geschützten RAR-Dateien. Daher sind die REV-Dateien etwas größer als die geschützten RAR-Volumen. Darauf muss man achten, wenn man einzelne RAR- und REV-Dateien auf Wechseldatenträger kopieren möchte. Bei der Erstellung muss dann eine Volumengröße angegeben werden, die ein paar Kilobyte kleiner ist als der verfügbare Speicherplatz auf dem Wechseldatenträger.

WinRAR stellt fehlende oder defekte Volumen entweder durch Klicken auf eine ".rev"-Datei oder durch Anwendung des Befehls rc wieder her. Automatisch erfolgt die Wiederherstellung, wenn WinRAR beim Entpacken das nächste Volumen nicht findet, dafür aber eine ausreichende Anzahl von ".rev"-Dateien.

Um Wiederherstellungs-Volumen zu erstellen, können Sie die Option "Wiederherstellungs-Volumen" im Dialog "Archivname und Archivparameter einstellen" oder die ähnliche Option beim Befehl "Archiv vor Zerstörung schützen" verwenden. Im Kommandozeilenmodus gibt es dafür den Schalter -rv oder den Befehl rv.

Originale Kopien von beschädigten Volumen werden vor der Rekonstruktion nach *.bad umbenannt. Zum Beispiel wird Volumenname.part03.rar umbenannt nach Volumenname.part03.rar.bad.


Selbstentpackende Archive (SFX-Archive)

Ein selbstentpackendes Archiv bzw. SFX(SelF-eXtracting)-Archiv ist ein Archiv, das mit einem ausführbaren Modul verbunden ist. Dieses Modul wird zum Entpacken der Dateien im Archiv benutzt, wenn das SFX-Archiv ausgeführt wird. Es wird daher kein externes Programm benötigt, um den Inhalt eines SFX-Archivs zu entpacken; es reicht, das Archiv auszuführen. Nichtsdestoweniger kann WinRAR mit SFX-Archiven umgehen wie mit anderen Archiven auch. Falls Sie also ein erhaltenes SFX-Archiv nicht ausführen möchten (z.B. wegen möglicher Viren), können Sie auch WinRAR verwenden, um den Archivinhalt anzuzeigen oder zu entpacken.

SFX-Archive haben normalerweise die Erweiterung ".exe" wie jedes andere ausführbare Programm.

SFX-Archive sind dann zweckmäßig, wenn Sie ein Archiv an jemanden weitergeben möchten, jedoch nicht wissen, ob derjenige ein passendes Programm zum Entpacken des Archivs besitzt. Sie können SFX-Archive auch verwenden, um Ihre eigene Software zu vertreiben. Die WinRAR-Installation ist beispielsweise ein SFX-Archiv, das auf dem RAR SFX-Modul mit grafischer Benutzeroberfläche Default.sfx basiert.

Um ein SFX-Archiv von der Kommandozeile aus zu erzeugen, benutzen Sie den Schalter -sfx für ein neues SFX-Archiv; um ein bestehendes Archiv in ein SFX-Archiv zu konvertieren, benutzen Sie den Befehl S. In der WinRAR-Benutzeroberfläche können Sie entweder die Option "Selbstentpackendes Archiv erstellen" im Dialog "Archivname und Archivparameter einstellen" wählen, wenn Sie ein neues Archiv erstellen, oder ein existierendes Archiv öffnen und das Symbol "SFX" anklicken.

Das WinRAR-Paket enthält mehrere SFX-Module. Alle SFX-Module haben die Endung ".sfx" und müssen sich im gleichen Verzeichnis wie WinRAR befinden. Standardmäßig verwendet WinRAR das Modul Default.sfx, aber Sie können natürlich das SFX-Modul direkt über den Schalter "-sfx" oder den Befehl "S" wählen. Um z.B. das Archiv MeinArchiv.rar in ein SFX-Archiv mit dem Modul WinCon.SFX zu konvertieren, geben Sie ein:

WinRAR SWinCon.SFX MeinArchiv.rar

In der WinRAR-Benutzeroberfläche können Sie das SFX-Modul auch in dem Menü wählen, das erscheint, wenn Sie den Befehl "Archiv in SFX konvertieren" ausführen.

Weitere Informationen zu den im WinRAR-Paket mitgelieferten SFX-Modulen können Sie hier lesen:

  • RAR und ZIP SFX-Modul mit GUI (Default.SFX und Zip.SFX)
  • RAR SFX-Modul für die Konsole (WinCon.SFX)


Verschlüsselung

Sowohl das RAR- als auch das ZIP-Format unterstützen Verschlüsselung. Um Dateien zu verschlüsseln, müssen Sie vor dem Archivieren oder direkt im Dialog "Archivname und Archivparameter einstellen" ein Passwort angeben. Von der Kommandozeile gibt man das Passwort mit dem Schalter -p[Pwt] an. In der WinRAR-Benutzeroberfläche geben Sie ein Passwort ein, indem Sie Strg+P drücken, den Befehl "Standardpasswort setzen" im Menü "Datei" wählen oder auf das kleine Schlüsselsymbol in der unteren linken Ecke des WinRAR-Fensters klicken. Um ein Passwort im Dialog "Archivname und Archivparameter einstellen" einzugeben, klicken Sie auf "Passwort festlegen…" im Karteireiter "Erweitert".

Im Gegensatz zum ZIP-Format erlaubt das RAR-Format nicht nur, die Daten in den Dateien zu verschlüsseln, sondern auch andere sicherheitskritische Archivbereiche: Dateinamen, Dateigrößen, Dateiattribute, Dateikommentare und andere Datenblöcke. Wenn Sie dies möchten, müssen Sie die Option "Dateinamen verschlüsseln" im Dialog "Standardpasswort eingeben" aktivieren, oder in der Kommandozeilenmodus den Schalter -hp[Pwt] anstelle des Schalters -p[Pwt] benutzen. Ohne ein Passwort ist es in derartig verschlüsselten Archiven unmöglich, selbst die Dateiliste anzuschauen.

Solide RAR-Archive und Archive mit verschlüsselten Dateinamen können nur ein und dasselbe Passwort für alle archivierten Dateien haben. Dagegen können Dateien in nicht-soliden RAR-Archiven ohne Verschlüsselung der Dateinamen und Dateien in ZIP-Archiven mit unterschiedlichen Passwörtern verschlüsselt sein.

Vergessen Sie bitte nicht, ein eingegebenes Passwort zu entfernen, wenn es nicht weiter benötigt wird. Sonst könnte es passieren, dass Sie versehentlich Dateien mit diesem Passwort verschlüsseln, ohne dass Sie es wünschen. Um ein Passwort zu entfernen, geben Sie nichts anstelle des Passworts ein oder schließen Sie WinRAR und starten es erneut. Solange ein Passwort existiert, ist die Farbe des Schlüsselsymbols unten links rot, ansonsten ist es gelb. Außerdem blinkt der Titel des Dialogs "Archivname und Archivparameter einstellen" zweimal auf, wenn eine Archivoperation mit einem Passwort begonnen wird.

Haben Sie die Option "Für alle Archive verwenden" im Passwort-Dialog aktiviert und gleichzeitig eine leere Zeichenkette als Passwort angegeben, werden bei den Befehlen zum Entpacken und Testen von Archiven alle verschlüsselten Archive und alle verschlüsselten Archivdateien übersprungen. In diesem Modus wird in der WinRAR-Statuszeile das Symbol "Schlüssel" nicht angezeigt.

Sie brauchen das Passwort nicht zu entfernen, wenn Sie es direkt im Dialog "Archivname und Archivparameter einstellen" eingegeben haben. Im Gegensatz zur anderen Eingabemethode ist dies Passwort nur für diese Archivoperation gültig und wird nach Beendigung des Vorgangs automatisch gelöscht.

Wenn verschlüsselte Dateien entpackt werden sollen, ist es nicht notwendig, das Passwort vor dem Beginn des Entpackvorgangs einzugeben, obwohl man das auch tun kann. Wenn man kein Passwort vorher eingegeben hat, und WinRAR stößt auf eine verschlüsselte Datei, so wird der Benutzer nach dem Passwort gefragt.

RAR-5.0-Archive werden durch AES-256 im CBC-Modus verschlüsselt. Bei RAR-4.x-Archiven kommt AES-128 im CBC-Modus zum Einsatz. Die RAR-5.0-Schlüsselberechnungsfunktion basiert auf PBKDF2 unter Verwendung von HMAC-SHA256.

Bei ZIP-Archiven wird standardmäßig der AES-256-Algorithmus im CTR-Modus verwendet. Die damit erstellten verschlüsselten Archive können jedoch inkompatibel zu einigen älteren Unzip-Tools sein. Um die bisherige ZIP-Verschlüsselung zu verwenden, aktivieren Sie die Option "Alte ZIP-2.0-Verschlüsselung" im Dialog "Passwort eingeben". Der alte ZIP-2.0-Verschlüsselungsalgorithmus bietet eine weitaus geringere Sicherheit als AES, die Kompatibilität zu älterer Software ist jedoch besser.

Auch wenn WinRAR die Verwendung von AES-256 sowohl beim RAR- als auch beim ZIP-Format erlaubt, machen die in RAR gewählten Schlüsselberechnungsfunktionsparameter die RAR-Verschlüsselungsimplementierung möglicherweise widerstandsfähiger gegen Brute-Force-Angriffe. Außerdem ermöglicht das RAR-Format die Verschlüsselung von Dateinamen und weiterer Dateieigenschaften. Wenn Sie wichtige Informationen verschlüsseln wollen, empfiehlt sich die Verwendung des RAR-Formats. Um ausreichende Sicherheit zu gewährleisten, sollten Sie Passwörter mit einer Länge von mindestens 8 Zeichen verwenden. Benutzen Sie auf keinen Fall Wörter irgendeiner Sprache; es ist besser, eine zufällige Kombination von Zeichen und Ziffern zu wählen. Beachten Sie, dass bei Passwörtern zwischen Groß- und Kleinschreibung unterschieden wird. Die maximale Länge des Passworts beträgt 127 Zeichen. Längere Passwörter werden nach 127 Zeichen abgeschnitten und somit gekürzt.

Ist die Option "Dateinamen verschlüsseln" deaktiviert, werden die Dateiprüfsummen in verschlüsselten RAR-5.0-Archiven durch einen speziellen Algorithmus verändert, der vom eingegebenen Passwort abhängt. Das ist wichtig, da sonst mit Hilfe der Prüfsumme ein Rückschluss auf den Dateiinhalt möglich ist, ohne das Passwort zu kennen. Dieses Risiko ist besonders hoch bei kleinen Dateien oder bei der Verwendung von BLAKE2-Dateiprüfsummen. Die Prüfsummen von verschlüsselten RAR-5.0-Archiven stimmen daher nicht mit echten CRC32- oder BLAKE2-Hashwerten überein. Ist die Option "Dateinamen verschlüsseln" aktiviert, werden die Prüfsummen ohne Änderung gespeichert, denn darauf kann nur zugegriffen werden, wenn ein gültiges Passwort angegeben wurde.

Denken Sie daran, dass es unmöglich ist, verschlüsselte Dateien ohne das Passwort wieder zu entpacken. Nicht einmal der Autor von WinRAR ist in der Lage, verschlüsselte Dateien zu entpacken.


Archivkommentar

Sie können optionale Textinformationen zu RAR- und ZIP-Archiven hinzufügen. Diese Informationen nennt man Archivkommentar. Um einen Kommentar manuell in der WinRAR-Benutzeroberfläche einem schon vorhandenen Archiv hinzuzufügen, benutzen Sie den Befehl "Archivkommentar hinzufügen". Um in der Kommandozeile einen Archivkommentar aus einer Datei zu lesen, wählen Sie den Befehl "c" oder den Schalter -z<Datei>.

Beim Archivieren von Dateien können Sie den Archivkommentar auch direkt im Dialog "Archivname und Archivparameter einstellen" eingeben.

Wenn ein Archiv mit einem Archivkommentar in WinRAR geöffnet wird und die Option "Archivkommentar anzeigen" im Dialog "Einstellungen - Allgemein" aktiviert ist, wird das Kommentarfenster rechts oberhalb der Dateiliste angezeigt. Sie können die Breite des Kommentarfensters ändern, indem Sie dessen linken Rand mit der Maus verschieben.


Archive vor Zerstörung schützen

Das RAR-Archivformat unterstützt einen speziellen Typ von redundanten Daten für die Wiederherstellung von beschädigten Archivdaten, welcher auch recovery record genannt wird. Wenn ein Archiv einen "recovery record" besitzt, vergrößert dieser das Archiv, jedoch kann es dann repariert werden, wenn es durch einen Defekt auf einem Datenträger oder durch andere Datenverluste physikalisch beschädigt wurde, vorausgesetzt der Schaden an dem Archiv ist nicht zu schwerwiegend. Die Reparatur eines beschädigten Archivs kann mit dem Befehl "Archiv reparieren" durchgeführt werden. Das ZIP-Format unterstützt Wiederherstellungsdaten (recovery record) nicht.

In der WinRAR-Benutzeroberfläche können Sie die Option "Wiederherstellungsdaten hinzufügen" im Dialog "Archivname und Archivparameter einstellen - Allgemein" aktivieren, um die Wiederherstellungsdaten zum Archiv hinzuzufügen. Eine andere Möglichkeit dafür ist die Aktivierung der Option "Wiederherstellungsdaten hinzufügen" im Standardkomprimierungsprofil. In diesem Fall werden die Wiederherstellungsdaten zu jedem Archiv hinzugefügt, das geändert wird - auf welche Art auch immer.

Möchten Sie die Wiederherstellungsdaten zu einen Archiv von der Befehlszeile aus hinzuzufügen, lesen Sie bitte die Beschreibungen zum Befehl "rr[N]" und zum Schalter -rr[N], die genau für diesen Zweck vorhanden sind.

Die RAR-5.0-Wiederherstellungsdaten verwenden Reed-Solomon-Fehlerkorrektur-Codes. Bei einer fortlaufenden Beschädigung in einem Archiv ist die Leistungsfähigkeit des alten und des neuen Fehlerkorrekturverfahrens ungefähr gleich. Wie bei RAR-4.x ist es mit den RAR-5.0-Wiederherstellungsdaten möglich, beschädigte Archivdaten mit einer etwas geringeren Größe als die Wiederherstellungsdaten zu reparieren. Die RAR-5.0-Wiederherstellungsdaten sind jedoch bei der Wiederherstellung von mehrfachen Beschädigungen an verschiedenen Stellen eines Archivs wesentlich effizienter als die RAR-4.x-Wiederherstellungsdaten.

RAR-4.x-Wiederherstellungsdaten bestehen aus 512 Bytes großen Sektoren und können nicht mehr als 524288 Sektoren enthalten. Daher ist die Maximalgröße der RAR-4.x-Wiederherstellungsdaten auf 256 MB beschränkt. Daraus folgt, dass bei RAR-4.x nur maximal 256 MB beschädigte Archivdaten repariert werden können. Beim RAR-5.0-Format können die Wiederherstellungsdaten genauso groß wie das zu schützende Archiv sein.

In der WinRAR-Benutzeroberfläche können Sie die Größe der Wiederherstellungsdaten im Dialog "Archivname und Archivparameter einstellen - Erweitert" als Prozent der Archivgröße angeben. Mit dem Befehl "Archiv vor Zerstörung schützen" kann die Größe ebenfalls festgelegt werden. Größere Wiederherstellungsdaten ermöglichen die Reparatur von mehr beschädigten Bereichen, vergrößern jedoch das Archiv und die Verarbeitung des Archivs dauert länger. Zwischen 3% und 10% der Archivgröße ist eine vernünftige Größe für die Wiederherstellungsdaten. Wegen dem Servicedaten-Overhead entspricht die sich ergebende Größe der Wiederherstellungsdaten nur ungefähr der vom Anwender angegebenen Größe in Prozent. Der Unterschied zwischen der angegebenen und der wirklichen Größe ist bei kleinen Archiven größer als bei großen Archiven.

Um ein beschädigtes Archiv mit Wiederherstellungsdaten zu reparieren, wenden Sie in der WinRAR-Benutzeroberfläche den Befehl "Archiv reparieren" darauf an. In der Befehlszeile benutzen Sie den Befehl "r". Das reparierte Archiv erhält den Namen fixed.archivname.rar, wobei 'archivname' der Name des ursprünglich (beschädigten) Archivs ist. Wenn ein beschädigtes Archiv keine Wiederherstellungsdaten enthält oder ein Archiv wegen starker Beschädigung nicht ganz wiederhergestellt werden kann, wird ein zweiter Schritt eingeleitet. In diesem Schritt wird nur die Archivstruktur rekonstruiert und es ist unmöglich, Dateien wiederherzustellen, bei denen die Überprüfung der Prüfsumme fehlgeschlagen ist, aber es ist immerhin noch möglich, unbeschädigte Dateien wiederherzustellen, auf die wegen der beschädigten Archivstruktur nicht mehr zugegriffen werden konnte. Dies ist allerdings nur für nicht-solide Archive sinnvoll. Bei Archiven mit verschlüsselten Dateinamen wird dieser zweite Schritt nicht ausgeführt, da solche Archive nur dann wiederhergestellt werden können, wenn sie Wiederherstellungsdaten enthalten.

Wenn die zweite Phase abgeschlossen ist, wird das rekonstruierte Archiv unter dem Namen rebuilt.archivname.rar gespeichert, wobei 'archivname' der Name des ursprünglichen Archivs ist.

Die RAR-5.0-Wiederherstellungsdaten sind selbst dann für die Reparatur eines Archivs verwendbar, wenn sie selbst beschädigt sind. Auch mit teilweise beschädigten Wiederherstellungsdaten können Beschädigungen im Archiv meist erfolgreich repariert werden. Es ist zu beachten, dass der Befehl "Reparieren" nur die Daten der archivierten Dateien korrigiert, Beschädigungen in den Wiederherstellungsdaten selbst werden jedoch nicht repariert. Daher müssen Sie nach einer erfolgreichen Archivreparatur die Wiederherstellungsdaten zum reparierten Archiv erneut hinzufügen.

Sowohl die 4.x- als auch die 5.0-Wiederherstellungsdaten sind dann am leistungsfähigsten und funktionieren am besten, wenn die Positionen der Daten im beschädigten Archiv sich nicht verschoben haben, also unverändert geblieben sind. Wenn Sie spezielle Software zum Kopieren von Archiven von beschädigten Datenträgern einsetzen, und Sie wählen können, ob die beschädigten Stellen mit Nullen gefüllt oder komplett entfernt werden sollen, sollten Sie einen Modus wählen, der beschädigte Stellen mit Nullen oder anderen Werten auffüllt. Dadurch bleiben die Archivdaten an ihren ursprünglichen Positionen. Auch wenn es nicht die beste Voraussetzung für eine Wiederherstellung ist, sind beide Versionen in der Lage, Archivdaten zu reparieren, bei denen Daten gelöscht oder eingefügt wurden, sich die Positionen der Archivdaten also verschoben haben. Mit RAR-5.0-Wiederherstellungsdaten können Blöcke eingefügter oder gelöschter Daten besser wiederhergestellt werden als mit den RAR-4.x-Wiederherstellungsdaten. In diesen Fällen arbeitet der RAR-5.0-"recovery record" effizienter.


Archive abschließen

Das RAR-Archivformat unterstützt das Abschließen von Archiven. Abgeschlossene Archive können von WinRAR nicht mehr verändert werden. Sie können wichtige Archive abschließen, um unbeabsichtigtes Ändern des Archivs zu verhindern.

Um ein Archiv abzuschließen, benutzen Sie in der WinRAR-Benutzeroberfläche den Befehl "Archiv abschließen", in der Kommandozeile den Befehl "K".


Wie man die optimalen Archivierungseinstellungen wählt

Wenn Sie ein neues Archiv erstellen, lassen sich im Karteireiter Allgemein im Dialog "Archivname und Archivparameter einstellen" verschiedene Parameter für die Archivierung einstellen. Zuerst müssen Sie das Archivformat auswählen, also RAR, ZIP oder RAR4. ZIP empfiehlt sich, wenn Sie nicht sicher sind, ob der Empfänger des Archivs WinRAR oder eine andere Software besitzt, die RAR-Archive entpacken kann. Andernfalls sollte man RAR auswählen, da es mehr Funktionen und eine höhere Kompression bietet. RAR4 ist die vorherige Version des RAR-Formats, bei dem wichtige Änderungen wie z.B. AES-256-Verschlüsselung, leistungsfähigere Wiederherstellungsdaten und größere Wörterbücher fehlen, die im RAR5-Format im Jahr 2013 mit WinRAR 5.0 eingeführt wurden. Deshalb können mit alter Software einschließlich WinRAR älter als Version 5.0 RAR-Archive im neuen Format nicht entpackt werden. Möchten Sie RAR-Archive erstellen, die auch mit älterer Software entpackt werden können, wählen Sie die RAR4-Option.

Unabhängig vom Archivformat ist der nächste Schritt die Auswahl der Kompressionsmethode. Wählen Sie eine der sechs Kompressionsmethoden: "speichern", "schnellste", "schnell", "normal", "gut" und "beste". Die Methode "beste" bietet die höchste, aber langsamste Kompression, "schnellste" bietet geringe Kompression, ist aber sehr schnell. Die Methode "speichern" kopiert die Dateien mit höchster Geschwindigkeit nur in das Archiv, ohne sie zu komprimieren. Die Methode "schnellste" ist am ehesten für tägliche Backups geeignet, "beste" für die Verbreitung im Internet und "normal" für den Alltagsgebrauch, wie z.B. die Komprimierung von E-Mailanhängen.

Wenn Sie das ZIP-Format gewählt haben, sind die Archivierungseinstellungen mit diesem Schritt beendet. Bei RAR und RAR5 gibt es noch zwei weitere wichtige Optionen, die Auswirkungen auf die Komprimierung haben: Wörterbuchgröße und solide Archivierung.

Das Wörterbuch ist der Speicherbereich, der vom Komprimierungsalgorithmus verwendet wird, um sich wiederholende Datenmuster zu finden und zu komprimieren. Ein größeres Wörterbuch für die Komprimierung verbessert in vielen Fällen die Kompressionsrate von großen Dateien, besonders bei solider Archivierung. Dann ist jedoch die Geschwindigkeit beim Packen geringer und der Speicherbedarf erhöht sich. Im Allgemeinen ist beim RAR-Format eine Wörterbuchgröße von 4 MB empfehlenswert, beim RAR5-(RAR 5.0)-Archivformat 32 MB. Lesen Sie den Abschnitt "Wörterbuchgröße" für weitere Informationen zur Wörterbuchgröße.

Durch die Aktivierung der Option "Solides Archiv erstellen" werden alle Dateien als ein Datenstrom angesehen und komprimiert. Dadurch erhöht sich die Kompressionsrate, insbesondere beim Archivieren von vielen kleinen ähnlichen Dateien. Allerdings sinkt dadurch die Geschwindigkeit bei späteren Archivänderungen und das Risiko eines Datenverlusts bei der Beschädigung des Archivs nimmt zu. Lesen Sie den Abschnitt "Solide Archive" für weitere Informationen zu diesem Modus.

Dieses sind die Haupteinstellungen, welche die Kompressionsrate und die Kompressionsgeschwindigkeit beeinflussen. Alle diese Einstellungen brauchen Sie nicht jedes Mal vor einem Archivierungsvorgang neu vornehmen. Legen Sie ihre bevorzugten Standardwerte einmalig im Standardkomprimierungsprofil fest. Das Standardkomprimierungsprofil finden Sie im Dialog "Einstellungen - Komprimierung".


Einführung in die WinRAR-Benutzeroberfläche

Dieser Abschnitt beschreibt kurz die Hauptelemente der WinRAR-Benutzeroberfläche.

WinRAR hat folgende Menüs: "Datei, "Befehle", "Extras", "Favoriten", "Optionen" und "Hilfe". Wählen Sie ein entsprechendes Thema aus, wenn Sie mehr über die Befehle der einzelnen Menüs erfahren möchten.

Das nächste Element der Benutzeroberfläche ist die Symbolleiste. Sie befindet sich unter den Menüs, aber über der Dateiliste. Die Schaltflächen der Symbolleiste entsprechen den Einträgen aus dem Menü "Befehle" (Beachten Sie, dass allen Einträgen zusätzlich noch Tastaturkürzel zugeordnet sind). Wenn WinRAR den Inhalt eines Archivs anzeigt, können einige Schaltflächen deaktiviert sein, weil die entsprechenden Archivmanagementfunktionen nicht auf das Archiv angewendet werden können. Wenn Sie wollen, können Sie im Dialog "Einstellungen - Allgemein" die anzuzeigenden Schaltflächen auswählen, die Anzeige der Schaltflächentexte abschalten oder die Größe der Schaltflächen bestimmen. Dazu können Sie auch mit der rechten Maustaste auf die Symbolleiste klicken.

Unter der Symbolleiste finden Sie ein kleines "Pfeil nach oben"-Symbol und die Laufwerksliste. Das "Pfeil nach oben"-Symbol dient dazu, eine Verzeichnisebene nach oben zu gelangen. Mit der Laufwerksliste können Sie das aktuelle Laufwerk auswählen oder z.B. die Netzwerkumgebung. Um das ausgewählte Laufwerk zu öffnen, klicken Sie mit der Maus darauf oder drücken Sie die Taste F4. Es ist möglich, das "Pfeil nach oben"-Symbol und die Laufwerksliste mit der Maus in die rechte Ecke der Symbolleiste zu ziehen. Um das Laufwerk zu wechseln, können Sie auch auf das kleine Laufwerkssymbol in der Statuszeile klicken oder die Tastenkombination Strg-D drücken.

Die Dateiliste befindet sich unterhalb der Symbolleiste. Sie zeigt entweder den Inhalt des aktuellen Verzeichnisses oder den Inhalt eines Archivs, wenn WinRAR ein Archiv geöffnet hat. Das ist der so genannten Dateimanagement- und der Archivmanagementmodus. Für jede Datei werden die folgenden Parameter angezeigt: Name, Größe, Typ und Änderungsdatum. Archivierte Dateien haben zusätzlich zwei Parameter: Gepackte Größe und Prüfsumme. Die Prüfsumme ist ein spezieller Wert, der mit Hilfe der Dateidaten berechnet wird und es erlaubt zu erkennen, ob die Datei beschädigt wurde. WinRAR kann für die Berechnung der Prüfsumme entweder den CRC32- oder den BLAKE2-Algorithmus verwenden.

Alle Parameter sind in Spalten angeordnet. Wenn Sie auf den Spaltentitel klicken, können Sie die Sortierreihenfolge der Dateien ändern (ein blauer Pfeil in der Titelleiste zeigt die Sortierrichtung an). Es ist auch möglich, die Breite der Spalten durch Ziehen der Spaltentrenner mit der Maus zu ändern. Einige weitere Einstellungen für die Dateiliste finden Sie im Dialog "Einstellungen - Dateiliste".

Wenn eine archivierte Datei verschlüsselt ist, dann wird der Dateiname am Ende mit einem Sternchen "*" versehen. Wenn die Datei in einem folgenden Volumen fortgesetzt wird, dann wird dies durch ein nachgestelltes "-->" gekennzeichnet. Wenn eine Datei aus einem vorangegangenen Volumen fortgesetzt wird, dann wird ein "<--" an den Dateinamen angehängt. Wenn eine Datei sowohl aus einem vorangegangenen als auch im folgenden Volumen fortgesetzt wird, folgt dem Dateinamen ein "<->".

Bevor man mit Dateien arbeiten kann, müssen diese in der Dateiliste ausgewählt werden. Zusätzlich zu der Standardmethode unter Windows zum Auswählen von Dateien bietet WinRAR einige zusätzliche Tasten für diesen Zweck an: Leertaste, Einfg, + und - auf dem Ziffernblock. Weitere Details finden Sie im Abschnitt "Dateien auswählen".

Die folgenden Tasten können verwendet werden, um sich in der Dateiliste zu bewegen. Backspace (BS) oder Strg+BildHoch oder ein Doppelklick auf das Verzeichnis mit dem Namen ".." wechselt in das nächsthöhere Verzeichnis auf dem Laufwerk oder im Archiv. Auf dieselbe Weise wird ein Archiv geschlossen, wenn man sich im Stammverzeichnis des Archivs befindet. Drücken Sie Enter oder Strg+BildRunter oder führen Sie ein Doppelklick auf ein beliebig anderes Verzeichnis aus, um in dieses zu wechseln. Die gleichen Aktionen auf einem Archivnamen bewirken das Öffnen des Archivs. Strg+\ wechselt in das Stammverzeichnis des aktuellen Laufwerks oder in das Verzeichnis, in dem sich das Archiv befindet.

Mit der Tastenkombination Strg+BildRunter kann versucht werden, eine Datei, die keine Archiv-Dateinamenerweiterung hat, als Archiv zu öffnen. Wenn Sie zum Beispiel überprüfen möchten, ob eine exe-Datei ein selbstentpackendes Archiv ist ohne diese Datei auszuführen, können Sie die Tastenkombination Strg+BildRunter auf dem Dateinamen drücken. Wenn es sich bei der Datei um ein SFX-Archiv handelt, wird WinRAR den Archivinhalt anzeigen.

Wenn Sie die rechte Maustaste in der Dateiliste drücken, wird ein Menü mit Dateimanagement- und Oberflächenfunktionen angezeigt. Diese Funktionen können auch über die normalen WinRAR-Menüs, die Symbolleiste und per Tastaturkürzel aufgerufen werden. Benutzen Sie die Zugriffsmethode, welche für Sie am bequemsten ist.

Der linke Teil des WinRAR-Fensters kann das Feld mit dem Verzeichnisbaum enthalten, wenn die entsprechende Option im Untermenü "Verzeichnisbaum" im Menü Optionen aktiviert ist. Der Verzeichnisbaum ist hervorragend geeignet, sich schnell in Datenträger- und Archivverzeichnissen zu bewegen. Sie können die Breite des Verzeichnisbaum-Feldes durch Ziehen des rechten Randes mit der Maus verändern.

Abhängig von der Option "Archivkommentar anzeigen" im Dialog "Einstellungen - Allgemein" und vom Vorhandensein eines Kommentars im geöffneten Archiv wird der rechte Teil der Dateiliste vom Archivkommentarfenster überdeckt. Sie können die Breite des Kommentarfensters ändern, indem Sie dessen linken Rand mit der Maus hin und her ziehen.

Die Statuszeile befindet sich unter der Dateiliste, unten am WinRAR-Fenster. Der linke Teil der Statuszeile enthält zwei kleine Symbole: "Laufwerk" und "Schlüssel". Wenn Sie auf das Laufwerkssymbol klicken, können Sie das aktuelle Laufwerk wechseln. Um das aktuelle Passwort zu ändern, klicken Sie auf das "Schlüssel"-Symbol. Beide Befehle finden sich ebenfalls im Menü "Datei". Standardmäßig ist das Schlüsselsymbol gelb, aber sobald ein Passwort eingegeben wurde, ist das Symbol rot. Der mittlere Teil der Statuszeile zeigt entweder die Gesamtgröße der ausgewählten Dateien oder Informationen über den aktuellen Vorgang. Der rechte Teil der Statuszeile zeigt die Anzahl und die Größe der Dateien im aktuellen Verzeichnis.


Datei- und Archivmanagementmodus

Die WinRAR-Benutzeroberfläche kann sich in einem der zwei Grundmodi befinden: Im Dateimanagementmodus oder im Archivmanagementmodus.

Im Dateimanagementmodus wird eine Liste der Dateien und Verzeichnisse des aktuellen Arbeitsverzeichnisses angezeigt. Sie können hier die Dateien und Verzeichnisse im üblichen Windows-Stil mit der Maus oder der Tastatur auswählen und verschiedene Dateioperationen wie zum Beispiel Archivieren oder Löschen ausführen. In diesem Modus ist es ebenfalls möglich, eine Gruppe von Archiven zu testen und zu entpacken.

Im Archivmanagementmodus wird eine Liste mit archivierten Dateien und Verzeichnissen des grade geöffneten Archivs angezeigt. Sie können Dateien und Verzeichnisse auswählen und Archivoperationen wie Entpacken, Testen oder Kommentieren ausführen.

In beiden Betriebsmodi können Sie das aktuelle Verzeichnis wechseln (real oder archiviert). Backspace (BS) oder Strg+BildHoch oder ein Doppelklick auf das Verzeichnis mit dem Namen ".." wechselt in das nächsthöhere Verzeichnis auf dem Laufwerk oder im Archiv. Wenn man sich im Stammverzeichnis des Archivs befindet, wird auf dieselbe Weise wird das Archiv geschlossen; WinRAR kehrt dann in den Dateimanagementmodus zurück. Drücken Sie Enter oder Strg+BildRunter oder führen Sie ein Doppelklick auf ein beliebig anderes Verzeichnis aus, um in dieses zu wechseln. Die gleichen Aktionen auf einem Archivnamen bewirken das Öffnen des Archivs. Strg+\ wechselt in das Stammverzeichnis des aktuellen Laufwerks oder in das Verzeichnis, in dem sich das Archiv befindet.

Um in WinRARs Dateimanagementmodus zu gelangen, starten Sie WinRAR einfach durch einen Doppelklick auf das WinRAR-Symbol oder starten Sie WinRAR von der Kommandozeile ohne Parameter.

Um in WinRARs Archivmanagementmodus zu gelangen, starten Sie WinRAR im Dateimanagementmodus, platzieren den Cursor auf dem gewünschten Archiv und drücken Enter oder benutzen den Befehl "Archiv öffnen" im Menü "Datei". Oder Sie führen einfach einen Doppelklick auf dem Archivnamen in der Windows-Benutzeroberfläche (Explorer oder Desktop) aus, um das Archiv in WinRAR zu öffnen. Damit dies jedoch funktioniert, muss WinRAR bei der Installation mit Archiven verknüpft worden sein (das ist die Voreinstellung bei der Installation). Sie können WinRAR auch jederzeit nach der Installation mit Hilfe des Dialogs "Einstellungen - Integration" mit Archiven verknüpfen. Und schließlich ist es auch möglich, in das gewünschte Archiv direkt von der Kommandozeile aus zu gelangen. Dazu übergibt man in der Kommandozeile den Archivnamen an WinRAR als einzigen Parameter.


Dateien auswählen

Bevor Sie irgendeine Operation ausführen können, müssen Sie Dateien und Verzeichnisse in der Dateiliste von WinRAR auswählen, auf die Sie die Operation anwenden möchten.

Wenn Sie nur eine Datei auswählen möchten, bewegen Sie nur den Cursor auf die Datei und starten Sie die Operation. Es gibt verschiedene Methoden der Dateiauswahl. Wie in anderen Windows-Anwendungen können Sie die Pfeiltasten oder die linke Maustaste zusammen mit gedrückter Umsch-Taste verwenden, um eine Gruppe von Dateien auszuwählen. Um verschiedene einzelne Dateien auszuwählen, halten Sie die Taste Strg gedrückt und klicken Sie auf die gewünschten Einträge. Drücken Sie Strg+A oder wählen Sie den Befehl "Alles auswählen" im Menü "Datei", um alle Dateien und Verzeichnisse im aktuellen Verzeichnis auszuwählen.

Alle oben beschriebenen Methoden bieten eine nicht permanente Dateiauswahl, welche aufgehoben wird, wenn Sie den Cursor bewegen. Obwohl die Standardmethoden meist ausreichen, ist es manchmal sinnvoll, eine beständige Auswahl zu haben, die es erlaubt, sich im aktuellen Verzeichnis zu bewegen, ohne die Auswahl der vorher markierten Dateien aufzuheben. WinRAR stellt hierfür verschiedene Tasten zu Verfügung:

Leertaste, Einfg | Wählt die Datei unter dem Cursor aus und bewegt den Cursor nach unten. Um die Auswahl der Datei wieder aufzuheben, die mit Leertaste oder Einfg ausgewählt wurde, drücken Sie erneut die Leertaste oder Einfg, während der Cursor auf dem Dateinamen steht. Oder Sie drücken die Taste "-" auf dem Ziffernblock ("Num -").
Num * (Ziffernblock) | Auswahl umkehren
Num + (Ziffernblock) | Wählt alle Dateien aus, die zu einer eingegebenen Dateimaske passen.
Num - (Ziffernblock) | Hebt die Auswahl aller Dateien auf, die zu einer eingegebenen Dateimaske passen.

Sind keine Dateien eines Archivs vor dem Entpacken oder Testen ausgewählt, werden alle archivierten Dateien entpackt bzw. getestet. Diese Regel gilt jedoch nur, wenn Dateien entpackt oder getestet werden.


Themen

Themen für die Benutzeroberfläche erlauben das normale Aussehen von WinRAR zu ändern, indem die Standard-Grafiken durch neue ersetzt werden. Themen werden als RAR-Archiv mit der Dateiendung ".theme.rar" verbreitet. Sie können weitere Themen im Abschnitt "Themes" der WinRAR-Homepage herunterladen. Um ein neues Thema zu installieren, öffnen Sie einfach das Themen-Archiv mit WinRAR genau wie andere RAR-Archive auch, z.B. durch einen Doppelklick auf das Icon des Archivs. Danach müssen Sie noch im Dialog, den WinRAR anzeigt, die Installation durch ein Klick auf die Schaltfläche "Ja" bestätigen.

Eine Liste aller installierten Themen befindet sich im Untermenü "Themen" des Menüs Optionen. Wählen Sie einen Eintrag der Liste aus, um das entsprechende Thema zu aktivieren. Weiterhin enthält dieses Menü den Befehl "Themen verwalten…", der Verwaltungsfunktionen für Themen zur Verfügung stellt, und den Befehl "Weitere Themen herunterladen…", der die Webseite mit weiteren Themen aufruft.

Die zu den Themen gehörenden Dateien werden in dem Unterverzeichnis "Themes" des Verzeichnisses %APPDATA%\WinRAR gespeichert.


Der WinRAR-Assistent

Die Benutzeroberfläche des WinRAR-Assistenten wurde für unerfahrene Benutzer entwickelt. Damit lassen sich die grundlegenden Pack- und Entpackoperationen in einem einfachen Schritt-für-Schritt-Verfahren durchführen.

Um den Assistenten aufzurufen, müssen Sie die Schaltfläche Assistent in der WinRAR-Symbolleiste anklicken. Standardmäßig ist diese Schaltfläche innerhalb und außerhalb von Archiven sichtbar, aber Sie können dieses Symbol wie alle anderen auch durch "Schaltflächen auswählen…" im Dialog "Einstellungen - Allgemein" ein- und ausblenden. Die Option "Assistent beim Start anzeigen" im selben Dialog startet den Assistenten immer dann, wenn WinRAR gestartet wird.

Jedes Dialogfenster des Assistenten enthält im oberen Bereich eine kurze Anleitung, die den Inhalt des Dialogs und mögliche Benutzeraktionen erklärt. Sie können auch auf "Hilfe" klicken, um genauere Anweisungen zu erhalten.


Assistent: Aktion auswählen

Hier müssen Sie die Aktion auswählen, die als nächstes durchgeführt werden soll.

Wenn Sie den Inhalt eines RAR, ZIP oder anderen Archivs entpacken möchten, wählen Sie die Option "Archiv entpacken". Zum Beispiel müssen Sie diese Option wählen, wenn Sie eine heruntergeladene Datei aus dem Internet entpacken möchten.

Wenn Sie ein neues Archiv erstellen und darin einige Ihrer Dateien in komprimierter Form speichern möchten, wählen Sie die Option "Neues Archiv erstellen". Es empfiehlt sich, Dateien zu komprimieren, bevor man sie per E-Mail versendet oder auf externe Datenträger kopiert. Das Packen von Dateien verringert nämlich deren Dateigröße.

Wenn Sie Dateien zu einem schon vorhandenen Archiv hinzufügen wollen, anstatt ein neues Archiv zu erzeugen, wählen Sie die Option "Dateien zu einem vorhandenen Archiv hinzufügen".

Nachdem Sie eine Aktion ausgewählt haben, klicken Sie auf "Weiter ->" im unteren Teil des Dialogs. Wenn Sie "Neues Archiv erstellen" oder "Dateien zu einem vorhandenen Archiv hinzufügen" gewählt haben, werden Sie im Dialog "Wählen Sie Dateien zum Hinzufügen" aufgefordert, Dateien auszuwählen, die Sie packen wollen. Falls Sie "Archiv entpacken" gewählt haben, gelangen Sie direkt zum nächsten Dialog "Archiv wählen".


Assistent: Archiv wählen

Hier müssen Sie ein Archiv wählen, das Sie entpacken möchten.

Klicken Sie auf "Suchen...", machen Sie Ihr Archiv ausfindig, platzieren Sie den Cursor auf dessen Name und klicken Sie auf "Öffnen". Anstelle von "Suchen..." können Sie auch ein Archiv per Drag & drop in den Dialog ziehen und es dort fallen lassen.

Nachdem Sie den Archivnamen gewählt haben, klicken Sie auf "Weiter ->" im unteren Teil des Dialogs.

Beachten Sie, dass WinRAR versucht, einen Archivnamen zu raten. Dieser Name wird auf den Namen eines schon existierenden Archivs auf dem Desktop gesetzt, wenn Sie den Dialog aktivieren. Wenn es wirklich das Archiv ist, das Sie entpacken wollten, klicken Sie einfach auf "Weiter ->". Wenn die Vermutung von WinRAR falsch war, wählen Sie einfach den gewünschten Archivnamen wie oben beschrieben aus.


Assistent: Archiv wählen

Hier müssen Sie ein Archiv wählen, dass Sie erstellen oder erneuern möchten.

Wenn Sie ein neues Archiv erstellen, schlägt WinRAR normalerweise irgendeinen Archivnamen vor. Sie können diesen Namen übernehmen oder einen anderen eingeben. Wenn das Feld "Standardverzeichnis für Archive" im Dialog "Einstellungen - Komprimierung" nicht leer ist, wird WinRAR vorschlagen, das Archiv in diesem Verzeichnis anzulegen. Andernfalls enthält der vorgeschlagene Archivname keine Pfadangabe, und das Archiv wird auf dem Desktop angelegt. Wenn Sie das Archiv in einem anderen Verzeichnis erstellen möchten, klicken Sie auf "Suchen...", wählen ein Verzeichnis für das Archiv aus, geben ein Archivname in das Feld "Dateiname" ein und klicken auf "Öffnen".

Wenn Sie Dateien zu einem schon vorhandenen Archiv hinzufügen möchten, können Sie auch auf "Suchen..." klicken, um das zu erneuernde Archiv ausfindig zu machen. Anstelle von "Suchen..." können Sie auch ein Archiv per Drag & drop in den Dialog ziehen und es dort fallen lassen.

Nachdem Sie den Archivnamen gewählt haben, klicken Sie auf "Weiter ->" im unteren Teil des Dialogs.


Assistent: Zielverzeichnis wählen

Hier müssen Sie ein Verzeichnis wählen, in das die Dateien aus dem Archiv entpackt werden.

Standardmäßig schlägt WinRAR vor, die zu entpackenden Dateien in dem Verzeichnis zu erzeugen, das in dem Feld "Standardverzeichnis für entpackte Dateien" im Dialog "Einstellungen - Verzeichnisse" angegeben wurde. Ist in dem Feld kein Verzeichnis angegeben, werden die Dateien auf den Desktop entpackt. Sie können den vorgeschlagenen Namen beibehalten oder mit einem Klick auf die Schaltfläche "Suchen..." das Verzeichnis manuell auswählen.

Nachdem Sie den Namen des Verzeichnisses gewählt haben, klicken Sie auf "Fertig stellen" im unteren Teil des Dialogs, um das Entpacken zu starten.


Assistent: Archivierungsoptionen

Hier können Sie einige zusätzliche Archivierungsoptionen auswählen.

Wenn Ihnen die Geschwindigkeit beim Packen wichtiger ist als die Kompressionsrate, aktivieren Sie die Option "Schneller, aber geringere Kompression".

Wenn Sie die Dateien nach erfolgreicher Archivierung löschen möchten, setzen Sie die Option "Dateien nach dem Archivieren löschen".

Wenn Sie ein selbstentpackendes Archiv erstellen möchten, aktivieren Sie die Option "Selbstentpackendes (SFX) Archiv (.exe) erstellen". Um solche Archive zu entpacken, braucht man WinRAR nicht. Diese Archive haben die Erweiterung ".exe", und es genügt, sie zu starten (Doppelklick auf deren Icon), um deren Inhalt zu entpacken.

Wenn Sie die zu archivierenden Dateien verschlüsseln wollen, können Sie die Schaltfläche "Passwort setzen…" betätigen und ein Passwort angeben. Vergessen Sie das Passwort nicht, denn es ist unmöglich, verschlüsselte Dateien ohne das richtige Passwort zu entpacken.

Wenn Sie ein neues Archiv erstellen, können Sie dieses auch in mehrere Teile (die so genannten Volumen) aufteilen. Manchmal ist es nützlicher, einige Dateien kleiner Größe zu haben als eine große Datei. Wenn Sie das möchten, geben Sie einfach die Dateigröße der einzelnen Teile in das Eingabefeld nahe am unteren Ende des Dialogs ein. Sie können die Größe in Bytes, Kilobytes, Megabytes oder Gigabytes angeben. Wählen Sie dazu den passenden Eintrag in der Dropdownliste rechts neben dem Eingabefeld für die Volumengröße. Die Eingabe von Nachkommastellen ist erlaubt.

Wenn Sie ein bereits existierendes Archiv erneuern, sind die Optionen zum Erstellen eines selbstentpackenden Archivs und zum Aufteilen eines Archivs in mehrere Teile deaktiviert. Sie sind nur für neu erstellte Archive wählbar.

Beachten Sie, dass alle Einstellungen in diesem Dialog optional sind, üblicherweise werden die Standardvorgaben beibehalten.

Nachdem Sie alle Einstellungen vorgenommen haben, klicken Sie auf "Fertig stellen" im unteren Teil des Dialogs, um den Archivierungsvorgang zu starten.


Dateien anzeigen

Wenn Sie den Befehl "Datei anzeigen" ausführen, zeigt WinRAR den Inhalt der Datei unter dem Cursor mit dem internen Betrachter in einem Fenster an, unabhängig vom Dateiinhalt oder den Einstellungen von WinRAR. Wenn Sie jedoch auf einem Dateinamen Return drücken, sind mehrere verschiedene Ergebnisse möglich. Wenn die Datei unter dem Cursor ein Archiv ist, dann öffnet WinRAR das Archiv und zeigt dessen Inhalt an. Andernfalls treten weitere Aktionen ein, die von den Einstellungen im Dialog "Einstellungen - Betrachter" abhängen. In diesem Dialog können Sie WinRAR zwingen, immer den internen Betrachter zu verwenden, Dateien immer im externen Betrachter zu öffnen, die Datei mit dem verknüpfte Programm zu öffnen oder jedes Mal vor dem Anzeigen von Dateien zu fragen, welche der oben beschriebenen Aktionen ausgeführt werden soll.

WinRAR kann benutzt werden, um normale Dateien anzuzeigen. Dabei spielt es keine Rolle, ob sich diese in einem Archiv befinden oder nicht. Wenn ein externes Programm aufgerufen wird, um eine archivierte Datei anzuzeigen, entpackt WinRAR die Datei in ein temporäres Verzeichnis, übergibt den Dateinamen an das externe Programm und wartet, bis das Programm beendet wird. Danach überprüft WinRAR die Zeit der letzten Änderung der Datei. Wenn die Zeit verändert wurde, bietet WinRAR Ihnen an, die Datei im Archiv zu erneuern. Danach wird das temporäre Verzeichnis zusammen mit der Datei gelöscht.

Beachten Sie, dass der Ablauf etwas verändert wird, wenn Enter auf einer archivierten Datei gedrückt wird, die die Erweiterung ".exe" hat. In diesem Fall entpackt WinRAR nicht nur die Datei selber, sondern den kompletten Inhalt des Archivs in das temporäre Verzeichnis und startet die ausführbare Datei. Die folgenden Schritte verlaufen ähnlich wie oben beschrieben: WinRAR wartet auf die Beendigung des Programms und überprüft dann die Zeiten der letzten Änderung der entpackten Dateien. Wenn die Zeiten verändert oder neue Dateien angelegt wurden, bietet WinRAR Ihnen an, das Archiv zu erneuern. Das temporäre Verzeichnis und dessen Inhalt wird daraufhin gelöscht. Diese Methode der Verarbeitung von ".exe"-Dateien erlaubt es, Programme direkt aus einem Archiv auszuführen. Zum Beispiel können Sie ein neues Programm direkt aus einem Archiv installieren, ohne es manuell zu entpacken: Öffnen Sie einfach das Archiv und drücken Sie Enter, während sich der Cursor auf einer der Programmdateien "setup.exe" oder "install.exe" befindet.


Interner Betrachter

Befehle des eingebauten Betrachters.

Menü/Eintrag | Kürzel | Funktion
Datei/Beenden | Alt+F4, Strg+W | Beendet den internen Betrachter
Bearbeiten/Kopieren | Strg+C | Kopiert den markierten Text in die Zwischenablage
Bearbeiten/Alles markieren | Strg+A | Markiert den ganzen angezeigten Text
Bearbeiten/Suchen… | Strg+F | Sucht nach einer Zeichenkette
Bearbeiten/Weitersuchen | F3 | Sucht das nächste Vorkommen einer Zeichenkette
Ansicht/Als Windows-Text | Strg+I | Windows-Zeichensatz für die Anzeige verwenden
Ansicht/Als DOS-Text | Strg+D | Dos-Zeichensatz für die Anzeige verwenden
Ansicht/Als Unicode-Text (UTF-16LE) |  | Als Unicode-Text mit der Kodierung UTF-16 Little Endian anzeigen
Ansicht/Als Unicode-Text (UTF-8) |  | Als Unicode-Text mit der Kodierung UTF-8 anzeigen
Ansicht/Zeilenumbruch | Strg+S | Zeilenumbruch an- und ausschalten
Ansicht/Schriftart auswählen… |  | Schriftart des Betrachters auswählen
Hilfe/Betrachterhilfe | F1 | Hilfe zum internen Betrachter anzeigen

Um den aktuellen Zeichensatz zu ändern, klicken Sie auf den rechten Teil der Statuszeile des Betrachters, wo der Name des aktuellen Zeichensatzes angezeigt wird. Der Standardzeichensatz kann im Dialog "Einstellungen - Betrachter" eingestellt werden.


Befehl "Dateien zum Archiv hinzufügen"

Dieser Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar.

Wenn WinRAR den Inhalt eines Datenträgers anzeigt, müssen Sie zuerst die Dateien und Verzeichnisse auswählen, welche archiviert werden sollen. Dann rufen Sie den Befehl "Dateien zum Archiv hinzufügen" entweder über das Menü "Befehle", die Schaltfläche "Hinzufügen" in der Symbolleiste oder mit der Tastenkombination Alt+A auf. Wählen Sie einen Archivnamen und weitere Archivparameter im Dialog "Archivname und Archivparameter einstellen" und drücken Sie die Taste Return, um den Archivierungsvorgang zu starten.

Zeigt WinRAR grade den Inhalt eines Archivs an, müssen Sie zuerst den Befehl "Dateien zum Archiv hinzufügen" aufrufen. Erst dann können Sie in dem erscheinenden Dialog Dateien auswählen und wie oben beschrieben den Archivnamen und weitere Archivparameter wählen.

Entsprechender Kommandozeilenbefehl: Befehl "a"


Befehl "Entpacke in angegebenes Verzeichnis"

Dieser Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar.

Im Archivmanagementmodus, wenn WinRAR den Archivinhalt anzeigt, müssen Sie zuerst archivierte Dateien und Verzeichnisse auswählen, die entpackt werden sollen. Dann führen Sie den Befehl "Entpacke in angegebenes Verzeichnis" aus, indem Sie das Menü "Befehle", die Schaltfläche "Entp. nach" in der Symbolleiste oder die Tastenkombination Alt+E benutzen. Im Dialog "Entpacken: Zielverzeichnis und Optionen" können Sie dann das Zielverzeichnis für die zu entpackenden Dateien angeben und ggf. zusätzliche Einstellungen vornehmen. Nachdem der Dialog geschlossen wurde, wird der Entpackvorgang gestartet.

Im Dateimanagementmodus ist es möglich, mehrere Archive auf einmal zu entpacken. Im Allgemeinen ist die Vorgehensweise ähnlich zu der im vorherigen Absatz, aber statt Dateien innerhalb des Archivs auszuwählen, müssen Sie Archive und Verzeichnisse, in denen WinRAR nach Archiven suchen soll, auswählen. Wenn irgendwelche Archive gefunden wurden, wird der Dialog "Entpacken: Zielverzeichnis und Optionen" angezeigt. Nachdem der Dialog geschlossen wurde, wird der Inhalt aller gefundenen Archive entpackt.

Entsprechender Kommandozeilenbefehl: Befehl "x"


Befehl "Teste archivierte Dateien"

Dieser Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar.

Im Archivmanagementmodus, wenn WinRAR den Archivinhalt anzeigt, müssen Sie zuerst archivierte Dateien und Verzeichnisse auswählen, die getestet werden sollen. Dann führen Sie den Befehl "Teste archivierte Dateien" aus, indem Sie das Menü "Befehle", die Schaltfläche "Testen" in der Symbolleiste oder die Tastenkombination Alt+T benutzen.

Alle Fehler, die während der Überprüfung der archivierten Dateien gefunden werden, werden im Fenster "WinRAR: Fehlermeldungen" angezeigt. Wird kein Fehler gefunden, zeigt WinRAR eine entsprechende Meldung an.

Im Dateimanagementmodus ist es möglich, mehrere Archive auf einmal zu testen. Im Allgemeinen ist die Vorgehensweise ähnlich zu der im vorherigen Absatz, aber statt Dateien innerhalb des Archivs auszuwählen, müssen Sie Archive und Verzeichnisse, in denen WinRAR nach Archiven suchen soll, auswählen. Wenn die Suche abgeschlossen ist, testet WinRAR die Inhalte aller gefundenen Archive.

Entsprechender Kommandozeilenbefehl: Befehl "t"


Befehl "Datei anzeigen"

Dieser Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar. Er öffnet die Datei unter dem Cursor im internen Betrachter. Um diesen Befehl auszuführen, können Sie entweder das Menü "Befehle", die Schaltfläche "Anzeigen" in der Symbolleiste oder die Tastenkombination Alt+V verwenden.

Lesen Sie dazu: Interner Betrachter, Dateien anzeigen


Befehl "Dateien löschen"

Dieser Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar. Im Dateimanagementmodus verschiebt er die gewählten Dateien und Verzeichnisse in den Papierkorb, sodass Sie die Chance haben, versehentlich gelöschte Dateien noch wiederherzustellen. Im Archivmanagementmodus jedoch löscht der Befehl die gewählten Dateien und Verzeichnisse vollständig aus dem Archiv. Es gibt keine Möglichkeit, diese wiederherzustellen. Seien Sie deshalb vorsichtig. Um diesen Befehl auszuführen, können Sie entweder das Menü "Befehle", die Schaltfläche "Löschen" in der Symbolleiste, die Tastenkombination Alt+D oder die Taste Entf benutzen.

Im Dateimanagementmodus können Sie auch Dateien unwiderruflich löschen. Drücken Sie Umsch+Entf anstelle von Entf, um Dateien nicht in den Papierkorb zu verschieben, sondern sie sofort zu löschen. Die Tastenkombination Umsch+Entf löscht ohne Rückfrage sogar Dateien mit den Attributen System oder Schreibgeschützt; auch das Löschen von Dateien mit Dateinamen, die nicht dem Standard entsprechen, ist damit möglich, wie z. B. das Löschen von Dateien mit Leerzeichen und Punkten am Ende des Dateinamens. Das normale Löschen von Dateien mit solchen Dateinamen über den Papierkorb kann fehlschlagen.

Entsprechender Kommandozeilenbefehl: Befehl "d"


Befehl "Datei umbenennen"

Dieser Befehl erlaubt die Umbenennung einer Datei oder eines Verzeichnisses unter dem Cursor. Der Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar. Das Umbenennen von Dateien innerhalb von Archiven ist beim RAR- und ZIP-Format möglich. Um diesen Befehl auszuführen, können Sie entweder das Menü "Befehle" oder die Tastenkombination F2 verwenden.

Der Befehl "Datei umbenennen" besitzt einige Einschränkungen, wenn mit gesplitteten Archiven gearbeitet wird. Es können nur die Dateien umbenannt werden, die im aktuellen Volumen enthalten sind. Wenn Sie Dateien in Volumen umbenennen wollen, müssen Sie die Option "Volumeninhalte zusammenfügen" im Dialog "Einstellungen - Dateiliste" deaktivieren und das Volumen öffnen, welches die umzubenennenden Dateien enthält.

Seien Sie vorsichtig, wenn Sie ein neuen Dateinamen wählen. Wenn der Dateiname Zeichen enthält, die das Dateisystem nicht unterstützt, können Sie nachher Probleme beim Entpacken dieser umbenannten Datei kriegen. In solch einer Situation benennen Sie die Datei im Archiv erneut um, sodass der Dateiname nur Zeichen enthält, die vom Dateisystem unterstützt werden.

Entsprechender Kommandozeilenbefehl: Befehl "rn"


Befehl "Datei drucken"

Dieser Befehl erlaubt den Ausdruck einer Datei unter dem Cursor. Der Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar. Um diesen Befehl auszuführen, können Sie entweder das Menü "Befehle" oder die Tastenkombination Strg+I verwenden.


Befehl "Ohne Bestätigung entpacken"

Dieser Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar. Wenn WinRAR sich in einem Archiv befindet, müssen Sie archivierte Dateien und Verzeichnisse auswählen, die entpackt werden sollen. Wenn Sie unkomprimierte Dateien im Dateimanagementmodus vor sich haben, wählen Sie Dateien und Verzeichnisse aus, die dann nach zu entpackenden Archiven durchsucht werden. Dann führen Sie den Befehl "Ohne Bestätigung entpacken" aus, indem Sie das Menü "Befehle", die Schaltfläche "Entpacken" in der Symbolleiste oder die Tastenkombination Alt+W benutzen. Die ausgewählten Dateien werden dann in das aktuelle Verzeichnis oder in das Standardverzeichnis für entpackte Dateien entpackt, wenn es im Dialog "Einstellungen - Verzeichnisse" angegeben wurde. Wenn Sie ein spezielles Zielverzeichnis wählen oder weitere Optionen einstellen möchten, benutzen Sie stattdessen den Befehl "Entpacke in angegebenes Verzeichnis".

Entsprechender Kommandozeilenbefehl: Befehl "x"


Befehl "Archivkommentar hinzufügen"

Dieser Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar. Wenn Sie sich innerhalb eines Archivs befinden, müssen Sie keine Dateien auswählen. Führen Sie einfach den Befehl "Archivkommentar hinzufügen" aus, indem Sie das Menü "Befehle", die Schaltfläche "Kommentar" in der Symbolleiste oder die Tastenkombination Alt+M benutzen. Geben Sie dann den Archivkommentar in dem erscheinenden Dialog ein. Wenn Sie unkomprimierte Dateien im Dateimanagementmodus vor sich haben, wählen Sie zuerst Dateien und Verzeichnisse aus, die dann nach zu kommentierenden Archiven durchsucht werden.

Entsprechender Kommandozeilenbefehl und -schalter: Befehl "c", Schalter -z<Datei>


Befehl "Archiv vor Zerstörung schützen"

Dieser Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar. Wenn Sie sich innerhalb eines Archivs befinden, müssen Sie keine Dateien auswählen. Führen Sie einfach den Befehl "Archiv vor Zerstörung schützen" aus, indem Sie das Menü "Befehle", die Schaltfläche "Schützen" in der Symbolleiste oder die Tastenkombination Alt+P benutzen. Wenn Sie unkomprimierte Dateien im Dateimanagementmodus vor sich haben, wählen Sie zuerst Dateien und Verzeichnisse aus, die dann nach zu schützenden Archiven durchsucht werden.

Dieser Befehl fügt Wiederherstellungsdaten zu dem aktuell geöffneten Archiv bzw. zu den ausgewählten Archiven hinzu. Dies kann später helfen, das Archiv nach einer geringen physikalischen Beschädigung der Archivdaten zu reparieren. Diese Option wird nur von RAR-Archiven unterstützt.

Wenn das geöffnete Archiv die erste Datei eines gesplitteten Archivs ist, können Sie für dieses Archiv zusätzlich Wiederherstellungs-Volumen erstellen. Geben Sie nur die Anzahl der ".rev"-Dateien an, die erstellt werden sollen. Sie können auch ein Prozentzeichen "%" an die gewünschte Anzahl anhängen. In diesem Fall entspricht die Anzahl der zu erstellenden ".rev"-Dateien dem Prozentsatz der Anzahl aller RAR-Volumen.

Entsprechende Kommandozeilenbefehle: Befehl "rr", Befehl "rv"


Befehl "Archiv abschließen"

Dieser Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar. Wenn Sie sich innerhalb eines Archivs befinden, müssen Sie keine Dateien auswählen. Führen Sie einfach den Befehl "Archiv abschließen" aus, indem Sie das Menü "Befehle", die Schaltfläche "Abschließen" in der Symbolleiste oder die Tastenkombination Alt+L benutzen. Wenn Sie unkomprimierte Dateien im Dateimanagementmodus vor sich haben, wählen Sie zuerst Dateien und Verzeichnisse aus, die dann nach abzuschließenden Archiven durchsucht werden.

Ein abgeschlossenes Archiv kann durch WinRAR nicht mehr verändert werden. Sie können wichtige Archive abschließen, um sie vor versehentlichen Änderungen zu schützen. Diese Option wird nur von RAR-Archiven unterstützt.

Entsprechender Kommandozeilenbefehl: Befehl "k"


Befehl "Archive nach Viren durchsuchen"

Dieser Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar. Er entpackt ein oder mehrere Archive in ein temporäres Verzeichnis und sucht in diesem Verzeichnis nach Viren mit Hilfe eines externen Virenscanners, der auf dem Computer des Benutzers installiert sein muss. Im Archivmanagementmodus wird nur das gerade geöffnete Archiv bearbeitet, im Dateimanagementmodus alle Archive, die in den ausgewählten Dateien und Verzeichnissen gefunden werden.

Der durch diesen Befehl angezeigten Dialog enthält folgende Felder.

Von WinRAR gefundene Virenscanner

Liste von Antivirensoftware, die auf einem Computer installiert ist, und von WinRAR erkannt wurde. Enthält die Liste mehrere Virenscanner, können Sie den auswählen, den Sie bevorzugen. Enthält die Liste nur den Eintrag "Benutzerdefiniert", konnte WinRAR keine Antivirensoftware finden. Dann müssen Sie die Virenscanner-Programmdatei und die Parameter manuell angeben.

Virenscanner-Programmdatei

Name und Pfad der Virenscanner-Programmdatei. Sie müssen dieses Feld nur dann verändern, wenn WinRAR keine auf Ihrem Computer installierte Antivirensoftware finden konnte und die Liste "Von WinRAR gefundene Virenscanner" nur den Eintrag "Benutzerdefiniert" enthält. In diesem Fall müssen Sie auf die Schaltfläche "Suchen..." klicken, um eine Virenscanner-Programmdatei zu finden, welche von WinRAR aufgerufen wird, um in den entpackten Dateien nach Viren zu suchen.

Parameter

Parameter, die an den Virenscanner übergeben werden. Sie müssen dieses Feld nur dann verändern, wenn WinRAR keine auf Ihrem Computer installierte Antivirensoftware finden konnte oder WinRAR ungültige Parameter an den Virenscanner übergibt. Zum Beispiel kann das passieren, wenn die Kommandozeilen-Syntax des Antivirenprogramms in einer neuen Version geändert wurde. Normalerweise benötigen Virenscanner nur einen Parameter - den Namen des Verzeichnisses mit den entpackten Dateien. WinRAR bezeichnet dieses Verzeichnis mit %f. Da der Verzeichnisname Leerzeichen enthalten kann, ist es notwendig, diesen in Anführungsstriche einzuschließen. Mit hoher Wahrscheinlichkeit müssen Sie "%f" in das Feld eintragen. Einige Virenscanner benötigen allerdings weitere Optionen, die Sie in deren Programmdokumentation finden.

Wenn Sie nur ein Antivirenprogramm verwenden und nicht jedesmal dessen Parameter ändern müssen, können Sie den Dialog zur Virenscannerauswahl unterdrücken, indem Sie die Option "Dialog zur Auswahl des Virenscanners zeigen" im Dialog "Einstellungen - Sicherheit" deaktivieren.

Bemerkungen

  1. WinRAR ist nicht in der Lage Viren von sich aus zu finden. WinRAR ruft eine Antivirensoftware auf, die bereits auf Ihrem Computer installiert ist. Besitzen Sie keine Antivirensoftware, können Sie diesen Befehl von WinRAR nicht verwenden;
  2. WinRAR zeigt keine Meldung an, wenn die Ausführung des Befehls beendet wurde. Sie sollten die vom Virenscanner angezeigten Informationen lesen, um festzustellen, ob ein Virus gefunden wurde;
  3. WinRAR entpackt alle ausgewählten Archive in ein temporäres Verzeichnis, bevor der Virenscanner aufgerufen wird. Ihre Festplatte muss ausreichend freien Speicherplatz haben, um die entpackten Dateien aufzunehmen. WinRAR löscht diese Dateien wieder, wenn die Virensuche abgeschlossen ist;
  4. WinRAR ist in der Lage, viele populäre Antivirenprogramme automatisch zu erkennen, sodass Sie normalerweise die Felder "Virenscanner-Programmdatei" und "Parameter" nicht zu editieren brauchen. Wählen Sie einfach nur einen Virenscanner aus der Liste oben im Dialog aus und klicken Sie auf die Schaltfläche "OK". Benutzen Sie die zwei anderen Felder nur, wenn diese Methode nicht funktioniert;
  5. WinRAR speichert die Parameter des zuletzt gestarteten Virenscanners und stellt diese wieder her, wenn Sie diesen Befehl erneut aufrufen.


Befehl "Archive konvertieren"

Dieser Befehl erlaubt die Neukomprimierung von Archiven von einem Format in ein anderes. Der Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar. Im Dateimanagementmodus können Sie mehrere Dateien und Verzeichnisse zum Verarbeiten auswählen. WinRAR durchsucht diese und konvertiert die gefundenen Archive. Im Archivmanagementmodus wird standardmäßig nur das aktuelle Archiv konvertiert. Der Dialog "Archive konvertieren" enthält mehrere Punkte, welche die Befehlsausführung regeln. Sie werden unten beschrieben.

Zu konvertierende Archive

Liste der Archive, die von WinRAR konvertiert werden. Sie können Einträge zu dieser Liste hinzufügen oder löschen, indem Sie die Schaltflächen "Hinzufügen..." und "Entfernen" verwenden. Die Schaltfläche "Entfernen" löscht nicht die Dateien auf dem Laufwerk, sie entfernt nur die Dateinamen aus der Liste der zu konvertierenden Archive.

Der Inhalt der Archivliste hängt vom folgenden Dialogparameter ab, der Archivformatliste.

Archivtypen

Hier können Sie auswählen, welche Archivformate Sie konvertieren möchten. Hinter den Archivformaten in dieser Liste kann eine in Klammern eingeschlossene Zahl auftauchen. Diese zeigt an, wie viele Archive diesen Typs gefunden wurden und bereit zur Konvertierung sind. Zum Beispiel bedeutet "zip(12)", dass WinRAR 12 Zip-Archive gefunden hat. Fehlt diese Nummer, wurden keine Archive diesen Typs gefunden.

Konvertierungsoptionen/Niedrigstes erlaubtes Größenverhältnis Neu/Alt

Diese Option erlaubt es, das niedrigste Verhältnis <Neue Archivgröße>/<Alte Archivgröße> in Prozent anzugeben, welches für die konvertierten Archive einzuhalten ist. Wenn Sie zum Beispiel das Verhältnis auf 100 setzen, wird WinRAR das bereits existierende Archiv behalten, wenn das neue Archiv größer als das alte ist. Ist diese Option deaktiviert, ignoriert WinRAR die Archivgrößen.

Konvertierungsoptionen/Komprimierung...

Die Schaltfläche "Komprimierung..." öffnet ein Dialog, in dem Sie verschiedene Parameter für die konvertierten Archive einstellen können. Zum Beispiel können Sie auswählen, ob die Archive im RAR-Format oder ZIP-Format erstellt werden.

Konvertierungsoptionen/Verzeichnis für konvertierte Archive

Hier können Sie ein Verzeichnis eingeben, in das die konvertierten Archive abgelegt werden. Ist dieses Eingabefeld leer, werden neue Archive in jeweils dem gleichen Verzeichnis abgelegt wie die alten zu konvertierenden Archive.

Konvertierungsoptionen/Original-Archive löschen

Wird diese Option gewählt, werden die alten originalen Archive gelöscht, nachdem sie erfolgreich konvertiert wurden.

Haben die originalen und die neuen Archive das gleiche Format und ist das Eingabefeld "Verzeichnis für konvertierte Archive" leer, so werden unabhängig von dieser Option die originalen Archive gelöscht.

Konvertierungsoptionen/Verschlüsselte Archive überspringen

Ist diese Option aktiviert, werden verschlüsselte Archive nicht verarbeitet. Das kann nützlich sein, wenn Sie den Befehl "Archive konvertieren" unbeaufsichtigt laufen lassen möchten, ohne dass Rückfragen zur Eingabe von Passwörtern erscheinen. Wenn Sie allerdings wissen, dass alle verschlüsselten Archive dasselbe Passwort haben, können Sie folgendermaßen vorgehen: Deaktivieren Sie diese Option und geben Sie im Menü "Datei" bei "Standardpasswort setzen..." ein Passwort an, bevor Sie den Befehl "Archive konvertieren" aufrufen.

Schaltfläche "Speichern"

Diese Schaltfläche speichert den Zustand aller Einstellungen im Dialog (außer die Liste "Zu konvertierende Archive"). Diese Einstellungen werden beim nächsten Aufruf des Dialogs wiederhergestellt. Sie können diese Schaltfläche verwenden, um Ihre Lieblings-Konvertierungseinstellungen zu speichern.

Bemerkungen

  1. WinRAR behält das neue Archiv nur, wenn es erfolgreich erzeugt, getestet und festgestellt wurde, dass die ungepackte Größe der enthaltenden Dateien gleich der Größe des entpackten Original-Archivs ist.
  2. Wenn möglich, versucht WinRAR Archivkommentare zu erhalten. Wenn ein Benutzer allerdings im Dialog, der durch die Schaltfläche "Komprimierung..." aufgerufen wird, ein Kommentar angegeben hat, hat dieser angegebene Kommentar eine höhere Priorität. Dateikommentare werden nicht konvertiert. Andere spezielle Archivinformationen wie NTFS-Datenströme und Dateisicherheitsdaten werden entweder konvertiert oder nicht. Das hängt von den Komprimierungseinstellungen und dem Archivformat ab.
  3. WinRAR entpackt vor der Konvertierung die originalen Archive in das Verzeichnis für temporäre Dateien. Sie müssen ausreichend freien Speicherplatz in diesem Verzeichnis zur Verfügung haben.
  4. Das Konvertieren von Archiven durch WinRAR kann fehlschlagen, wenn diese spezielle Daten wie Links oder Dateiversionen enthalten.


Befehl "Archiv reparieren"

Dieser Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar. Er nimmt an, dass die ausgewählen Dateien oder das geöffnete Archiv defekte Archive sind, und versucht, sie zu reparieren. Um diesen Befehl auszuführen, können Sie entweder das Menü "Extras", die Schaltfläche "Reparieren" in der Symbolleiste oder die Tastenkombination Alt+R benutzen.

WinRAR kann nur RAR- und ZIP-Archive reparieren. WinRAR versucht den Archivtyp selbstständig festzustellen, indem es die Archivdaten und die Archiverweiterung untersucht. Der Benutzer kann den Archivtyp auch manuell festlegen.

Das Quellarchiv wird dabei nicht verändert und das Ergebnis der Reparatur wird in einem neuen Archiv mit dem Namen fixed.archivname.rar oder rebuilt.archivname.rar gespeichert, wobei 'archivname' der Name des ursprünglichen Archivs ist.

Der Erfolg der Reparatur hängt vom Archivtyp und von der Art und Größe des beschädigten Bereichs ab. Die Wahrscheinlichkeit für eine erfolgreiche Reparatur eines RAR-Archivs ist erheblich größer, wenn das Archiv Wiederherstellungsdaten besitzt. Enthält ein Archiv kein Wiederherstellungsdaten, so sind die Chancen einer Reparatur bei soliden Archiven gering. Für Archive mit verschlüsselten Dateinamen ohne Wiederherstellungsdaten ist eine Reparatur nicht möglich.

Technische Details zum Thema Archivreparatur finden Sie in der Beschreibung zum Befehl "r" ("r" ist der entsprechende Kommandozeilenbefehl zum Befehl "Archiv reparieren").

Entsprechender Kommandozeilenbefehl: Befehl "r"


Befehl "Archiv in SFX konvertieren"

Dieser Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar. Er konvertiert ein "normales" Archiv in ein selbstentpackendes Archiv. Wenn Sie sich innerhalb eines Archivs befinden, müssen Sie keine Dateien auswählen, um diesen Vorgang auszuführen. Führen Sie einfach den Befehl "Archiv in SFX konvertieren" aus, indem Sie das Menü "Extras", die Schaltfläche "SFX" in der Symbolleiste oder die Tastenkombination Alt+X benutzen. Daraufhin wählen Sie das benötigte SFX-Modul aus der Liste aus. Wenn Sie unkomprimierte Dateien im Dateimanagementmodus vor sich haben, wählen Sie zuerst Dateien und Verzeichnisse aus, die dann nach zu konvertierenden Archiven durchsucht werden.

Wenn das Archiv schon ein selbstentpackendes Archiv ist, können Sie mit diesem Befehl das schon existierende SFX-Modul vom Archiv entfernen. In diesem Fall erstellt WinRAR ein neues Archiv mit demselben Inhalt aber ohne SFX-Modul. Das Originalarchiv wird nicht verändert.

Wenn Sie ein SFX-Modul mit GUI für Windows gewählt haben, welches automatisch vorgeschlagen wird, können Sie auf "Erweiterte SFX-Optionen…" klicken, um weitere SFX-Parameter wie Standardzielpfad, Fenstertitel und Fenstertext einzustellen. Lesen Sie das Thema Dialog "Erweiterte SFX-Optionen", um mehr Informationen darüber zu erfahren.

Die folgenden Themen beschreiben die im WinRAR-Paket mitgelieferten SFX-Module:

  • RAR und ZIP SFX-Modul mit GUI (Default.SFX und Zip.SFX)
  • RAR SFX-Modul für die Konsole (WinCon.SFX)

Entsprechender Kommandozeilenbefehl: Befehl "s"


Befehl "Dateien suchen"

Dieser Befehl ist im Dateimanagementmodus und im Archivmanagementmodus verfügbar. Durch die Benutzung des Dialogs "Dateien suchen" ist es möglich, nach Dateien zu suchen, die die angegebene Zeichenkette enthalten. Die Dateien können sich entweder im geöffneten Archiv oder in den ausgewählten Verzeichnissen und Laufwerken befinden. Die Elemente des Dialogs werden unten beschrieben.

Nach folgenden Dateinamen

Standardmäßig enthält das Eingabefeld "*". Das bedeutet, dass alle Dateien durchsucht werden. Sie können hier andere Dateimasken eingeben, zum Beispiel "*.txt", um nur in TXT-Dateien zu suchen. Es ist möglich, mehrere Dateimasken anzugeben (durch Leerzeichen getrennt). Möchten Sie ein Dateinamen eingeben, der Leerzeichen enthält, schließen Sie ihn in Anführungsstriche ein.

Enthaltener Text

Hier können Sie eine Zeichenkette eingeben, nach der gesucht wird. Wenn Sie dieses Feld leer lassen, zeigt WinRAR alle Dateien an, die den anderen angegebenen Kriterien entsprechen.

Groß-/Kleinschreibung beachten

Sucht die angegebene Zeichenkette unter Berücksichtigung der Groß- und Kleinschreibung.

Alle Zeichensätze verwenden

Verwendet bei der Zeichenkettensuche die ANSI-, Unicode- und OEM(MS-DOS)-Zeichensätze. Ist die Option deaktiviert, verwendet WinRAR nur den Standardzeichensatz von Windows (ANSI) während der Suche.

Hexadezimale Suche

Betrachtet die eingegebene Zeichenkette als eine Folge von hexadezimalen Werten (durch Leerzeichen voneinander getrennt).

Laufwerke und Verzeichnisse

Dieses Feld enthält eine Liste von Laufwerken, Verzeichnissen oder Archivnamen, in denen gesucht werden soll. Sie können aus der Drop-down-Liste die vorgegebenen Werte <Aktuelles Verzeichnis>, <Lokale Festplatten> oder auch die einzelnen Laufwerke auswählen.

Archivtypen

Archivtypen, in denen gesucht werden soll. Standardmäßig enthält das Eingabefeld "*", was "alle Archivformate" bedeutet. Sie können zum Beispiel "*.rar" eingeben, um nur in RAR-Archiven zu suchen. Es ist möglich, mehrere Archivtypmasken anzugeben (durch Leerzeichen getrennt). Aufgrund technischer Beschränkungen kann WinRAR nicht in ACE-Archiven nach Text suchen. In allen anderen Archivformaten, die von WinRAR unterstützt werden, wird gesucht.

Option "In Unterverzeichnissen suchen"

Zwingt WinRAR, nicht nur im angegebenen Verzeichnis, sondern auch in dessen Unterverzeichnissen zu suchen.

Option "In Dateien suchen"

Ist diese Option aktiviert, sucht WinRAR in normalen, nicht archivierten Dateien, die zum angegebenen Dateinamen passen.

Option "In Archiven suchen"

Aktiviert die Suche in archivierten Dateien. Sie können die beiden Optionen "In Dateien suchen" und "In Archiven suchen" aktivieren, um die gewünschte Zeichenkette sowohl in Archiven als auch in normalen Dateien zu suchen.

Option "Verschlüsselte überspringen"

Wird für die Suche innerhalb eines verschlüsselten Archivs ein Passwort benötigt, wird das verschlüsselte Archiv ohne Rückfrage übersprungen.

Schaltfläche "Speichern"

Diese Schaltfläche speichert den aktuellen Zustand des Dialogs. Dieser wird automatisch beim nächsten Aufruf des Dialogs wiederhergestellt.

Entsprechender Kommandozeilenbefehl: Befehl "i"


Befehl "Informationen anzeigen"

Dieser Befehl steht zu Verfügung, wenn sich WinRAR im Dateimanagementmodus oder im Archivmanagementmodus befindet. Führen Sie einfach den Befehl "Informationen anzeigen" aus, indem Sie das Menü "Extras", die Schaltfläche "Info" in der Symbolleiste oder die Tastenkombination Alt+I benutzen.

Im Dateimanagementmodus werden Informationen über die Inhalte der ausgewählten Dateien und Verzeichnisse angezeigt: die Gesamtgröße, die Anzahl der Dateien und Unterverzeichnisse, die Anzahl der Archive. Um die Ausführungsgeschwindigkeit zu erhöhen, werden Archive nur durch die Dateierweiterungen als Archive erkannt, sodass selbstentpackende Archive nicht mitgezählt werden. Das Einlesen der Dateien kann eine sehr lange Zeit in Anspruch nehmen. Sie können allerdings den Dialog jederzeit schließen.

Dateien belegen auf einem Datenträger Speichereinheiten fester Größe, die so genannten Cluster. Wenn zum Beispiel die Clustergröße 4096 Bytes beträgt, und Sie eine Datei der Größe 1 Byte anlegen, so belegt diese Datei in Wirklichkeit 4096 Bytes auf dem Datenträger. Um Ihnen also einen Ahnung davon zu vermitteln, wie viel Speicherplatz Ihre Dateien in Wirklichkeit beanspruchen und wie viel Speicherplatz Sie sparen, wenn Sie diese Dateien archivieren, zeigt der Dialog auch folgende Daten an: die Clustergröße des aktuellen Laufwerks, die wirkliche Gesamtgröße auf dem Datenträger der ausgewählten Dateien inklusive der nicht ganz gefüllten Cluster und den so genannten "Dateiüberhang" - die Gesamtgröße des verschwendeten Speicherplatzes durch die nicht ganz gefüllten Cluster.

Wenn das Einlesen der Dateien beendet ist, können Sie auf "Schätzen" klicken, um eine Prognose der Archivgröße und der Packzeit für die ausgewählten Dateien zu erhalten. Diese Prognose basiert auf der RAR-Kompressionsmethode "beste" unter der Annahme, dass der Datenträger schnell ist und das Lesen/Schreiben auf den Datenträger nicht lange dauert. Beachten Sie, dass diese Schätzungen sehr schnell und sehr grob erfolgen. Erwarten Sie daher hier keine genauen Ergebnisse. Dennoch kann man sehen, ob es sich lohnt, Zeit für eine Kompression der ausgewählten Daten aufzuwenden. Wenn Sie die Option "Automatisch starten" setzen, wird die Schätzung automatisch gestartet, wenn Sie den Dialog das nächste Mal öffnen, ohne dass es notwendig ist, auf "Schätzen" zu klicken.

Nach dem Ende des Einlesens ist es ebenfalls möglich, auf andere Seiten dieses Dialogs umzuschalten. Dort kann man verschiedene Archivoptionen wie ein Kommentar, Wiederherstellungsdaten, SFX-Modul, usw. angeben. Damit ist es möglich, Änderungen an allen RAR- und ZIP-Archiven in den ausgewählten Verzeichnissen und Dateien vorzunehmen. Anders als beim Einlesen der Dateien werden hier auch selbstentpackende Archive bearbeitet. Seien Sie vorsichtig mit dieser Operation, man kann damit die Parameter von Tausenden von Archiven auf einmal ändern. Diese Operation ist sehr mächtig, kann aber sehr gefährlich werden, wenn sie falsch angewendet wird.

Wenn Sie im Archivmanagementmodus innerhalb eines Archivs oder im Dateimanagementmodus mit nur einem ausgewählten Archiv den Befehl "Informationen anzeigen" ausführen, zeigt WinRAR folgende Informationen über das Archiv an:

  • Archivnamen (im Titel des Dialogs);
  • Archivtyp (solide [Solid], selbstentpackend [SFX], gesplittet [Volumen]) und Archivformat (RAR, ZIP, CAB, ARJ, LZH, usw.). Alle diese Parameter werden zusammen in einem einzigen Ausdruck oben im Dialog angezeigt;

Bei RAR-Volumen, die mit WinRAR 3.40 oder neuer erstellt wurden, enthält dieser Ausdruck zusätzlich eine Volumennummer. Die Nummer kann nützlich sein, wenn die ursprünglichen Volumennamen verloren gegangen sind und man die ursprünglich richtigen Namen der Volumen von Hand wiederherstellen muss;

  • Minimale Archiviererversion, die zum Entpacken benötigt wird. Bei manchen Archivformaten, wie zum Beispiel ZIPX, kann dieses Feld auch den Namen eines Komprimierungsalgorithmus' enthalten;
  • Betriebssystem, unter dem das Archiv erstellt wurde;
  • Gesamtanzahl der Dateien;
  • Gesamtgröße in Bytes (ungepackt und gepackt);
  • Gesamtkompressionsrate;
  • Größe des SFX-Moduls oder Null für nicht-selbstentpackende Archive;
  • Vorhandensein eines Archivkommentars;
  • Vorhandensein verschlüsselter Dateien;
  • ob das Archiv abgeschlossen ist;
  • Maximale Größe eines durchgängig beschädigten Bereichs, der bestenfalls noch mit den Wiederherstellungsdaten repariert werden kann, falls die Wiederherstellungsdaten im Archiv vorhanden sind;
  • Maximale Wörterbuchgröße, die von einer Datei im Archiv verwendet wurde.

Wenn das Archiv ein Archivkommentar besitzt, wird eine zusätzliche Seite im Dialog mit dem Kommentar angezeigt.

Genau wie im Dateimanagementmodus ist es möglich, auf andere Seiten des Dialogs umzuschalten, auf denen man verschiedene Parameter für das aktuelle Archiv angeben kann. Klicken Sie auf "Hilfe", um mehr über die Parameter zu erfahren.


Befehl "Bericht erstellen"

Dieser Befehl ist verfügbar, wenn sich WinRAR im Dateimanagementmodus oder Archivmanagementmodus befindet.

Im Archivmanagementmodus erstellt dieser Befehl einen Bericht, der die komplette Liste aller Dateien des gerade geöffneten Archivs enhält. Die Dateiauswahl wird ignoriert.

Im Dateimanagementmodus enthält der Bericht nur Informationen über die ausgewählten Objekte (Dateien und Verzeichnisse). Abhängig von den Parametern des Befehls kann der Bericht Informationen sowohl über normale Dateien als auch von Archivinhalten enthalten, die in den ausgewählten Objekten gefunden wurden. Wenn Sie ein Verzeichnis ausgewählt haben, wird WinRAR alle enthaltenen Dateien und Unterverzeichnisse ebenfalls verarbeiten.

Es ist möglich, den Stil des Berichts mit Hilfe der folgenden Parameter zu ändern.

Schreibe Bericht in die Datei

Hier können Sie einen Dateinamen angeben, unter dem der Bericht gespeichert wird. Wenn Sie den Bericht nicht in eine Datei speichern möchten, lassen Sie das Feld leer.

Bericht an den Drucker senden

Aktivieren Sie diese Option, wenn Sie den Bericht drucken möchten.

Bericht in die Zwischenablage kopieren

Aktivieren Sie diese Option, wenn Sie den Bericht in die Zwischenablage kopieren möchten. Um Daten in die Zwischenablage zu kopieren, wird immer ein Teil des Hauptspeichers (RAM) benötigt. Seien Sie also vorsichtig mit dieser Option, vor allem dann, wenn Sie Berichte mit einer Größe von mehreren Megabyte erstellen. In diesem Fall wird ein größerer Teil des Hauptspeichers benötigt, welches die Ausführungsgeschwindigkeit des Befehls herabsetzt.

Ausgabe-Format (HTML, Unicode-Text, Text)

Legt das Ausgabeformat für die Berichtsdatei fest. Die Formate HTML und Unicode-Text unterstützen Unicode, sodass nicht-englische Zeichen in Datei- und Archivnamen korrekt angezeigt werden. Das Format Text ist nicht kompatibel mit Unicode. Nicht-englische Zeichen können beschädigt werden und werden in Folge dessen falsch angezeigt.

Dateien sortieren nach (Originalreihenfolge, Name, Größe, Gepackte Größe, Änderungsdatum, Prüfsumme)

Hier können Sie die Sortierreihenfolge bestimmen. Setzen Sie diese auf Originalreihenfolge, um das Sortieren zu überspringen.

Archive separat sortieren

Ist diese Option aktiviert, wird der Inhalt jedes im Bericht enthaltenen Archivs unabhängig von allen anderen Archiven und Dateien sortiert, sodass alle Dateien desselben Archivs in der gleichen Gruppe platziert werden. Anderenfalls werden alle im Bericht enthaltenen Dateien als eine Einheit angesehen und sortiert, Archivgrenzen werden also ignoriert. Ist unter "Dateien sortieren nach" als Sortierreihenfolge "Originalreihenfolge" ausgewählt, so verändert diese Option die Sortierung nicht.

In den Bericht einschließen / Archive

Diese Option ist nur im Dateimanagementmodus verfügbar. Ist die Option aktiviert, untersucht WinRAR alle Dateien. Wenn ein Archiv gefunden wurde, wird dessen Inhalt in den Bericht mit aufgenommen. Wenn Sie eine Liste aller normalen Dateien auf ihrer Festplatte erhalten möchten und kein Interesse an Archivinhalten haben, deaktivieren Sie diese Option, um diesen Befehl zu beschleunigen.

In den Bericht einschließen / Normale Dateien

Diese Option ist nur im Dateimanagementmodus verfügbar. Ist die Option aktiviert, wird WinRAR nur normale Dateien in den Bericht aufnehmen. Benötigen Sie einen Bericht, der nur archivierte Dateien enthält, sollten Sie diese Option deaktivieren.

In den Bericht einschließen / Archivname

Ist diese Option aktiviert, wird im Bericht vor jeder Gruppe von Dateien aus einem Archiv der Archivname gesetzt. Wahrscheinlich werden Sie diese Option nur in einigen Spezialfällen deaktivieren wollen, z.B. wenn Sie den Bericht durch externe Programme weiterverarbeiten lassen.

In den Bericht einschließen / Gesamtinformation

Ist diese Option aktiviert, werden am Ende des Berichts Informationen über die Gesamtanzahl und Gesamtgröße der Dateien platziert. Ist die Option "Normale Dateien" aktiviert, stellt die Gesamtinformation nur die Anzahl und Größe der normalen Dateien dar, andernfalls nur die der archivierten Dateien. Es kann nicht die Gesamtgröße und -anzahl aller normalen und archivierten Dateien gezählt werden. Für Dateien, die auf unterschiedliche Volumen aufgeteilt sind, tragen nur die etwas zur Gesamtinformation bei, die im aktuellen Volumen beginnen. So wird verhindert, dass bei der Verarbeitung eines gesplitteten Archivs diese Dateien mehrmals in die Berechnung der Gesamtinformation eingehen.

In den Bericht einschließen / Dateigröße

Nimmt die Größe der unkomprimierten Datei mit in den Bericht auf.

In den Bericht einschließen / Gepackte Größe

Nimmt die Größe der gepackten Datei mit in den Bericht auf. Für normale Dateien entspricht dies nicht notwendigerweise der Größe der unkomprimierten Datei. Das ist nur bei Dateien auf NTFS-Laufwerken der Fall und wenn die Datei das Attribut "Komprimiert" hat.

In den Bericht einschließen / Dateidatum

Nimmt die Zeit der letzten Dateiänderung mit in den Bericht auf. Das Datumsformat ist immer JJJJ-MM-TT ss:mm, unabhängig von den Systemeinstellungen.

In den Bericht einschließen / Dateiprüfsumme

Nimmt die Dateiprüfsumme mit in den Bericht auf. Diese Option ist für archivierte und normale Dateien verfügbar. Bei archivierten Dateien hängt die Art der Prüfsumme vom Archivformat und den Archivierungsoptionen ab. Für normale Dateien ist das immer CRC32. Eine Aktivierung der Option für normale Dateien kann die Ausführung des Befehl erheblich verlangsamen, weil WinRAR dann zwangsläufig jede Datei komplett einlesen muss, um die jeweilige CRC32-Dateiprüfsumme zu berechnen. Archive enthalten für jede Datei bereits eine zuvor berechnete Prüfsumme. Daher treten bei archivierten Dateien keine zusätzlichen Wartezeiten durch Prüfsummen-Berechnungen auf.

Schaltfläche "Speichern"

Mit der Schaltfläche "Speichern" können Sie Standardwerte für alle Optionen in diesem Dialog außer dem Dateinamen für den Bericht speichern. WinRAR speichert zwei verschiedene Sätze von Standardwerten für diesen Befehl, einen für Archive und einen anderen für den Dateimanagementmodus.


Befehl "Benchmark"

Mit dem Befehl "Benchmark" können Sie die Performance des Komprimierungsalgorithmus von RAR auf verschiedenen Computern vergleichen.

Dieser Befehl erzeugt zufällige Daten, welche spezielle Wiederholungen enthält, sodass Prozessor und Hauptspeicher einer steigenden Belastung ausgesetzt werden. Diese Daten durchlaufen den RAR Komprimierungs- und Entpackalgorithmus. Das Ergebnis des Entpackalgorithmus wird dann mit den ursprünglichen Daten verglichen. Werden irgendwelche Unterschiede gefunden, meldet WinRAR im Befehlsfenster "Fehler gefunden - Ja". Solche Fehler können auf Probleme mit der Hardware hinweisen, z. B. auf unzuverlässigen Hauptspeicher. WinRAR zeigt ebenfalls die Größe der bereits verarbeiteten Daten, die aktuelle und die resultierende Komprimierungsgeschwindigkeit in Kilobyte pro Sekunde an. Sie können den Wert des Endergebnisses der Geschwindigkeit zum Vergleich der RAR-Performance unter verschiedenen Bedingungen verwenden. Zum Beispiel kann der Befehl "Benchmark" hilfreich sein, wenn Sie einen neuen Computer anschaffen wollen und wissen möchten, welcher Computer Daten schneller komprimiert. Für den Benchmark wird nur der allgemeine Komprimierungsalgorithmus mit der Kompressionsmethode "beste" mit einer Wörterbuchgröße von 4096 kB verwendet, alle anderen Filter und Algorithmen sind ausgeschaltet, sodass beim Benchmark die Performance des reinen RAR-Algorithmus mit den ungünstigsten Daten, die man sich für den Algorithmus denken kann, gemessen wird.

Mit der Option "Multithreading" können Sie die Leistung die zwei unterschiedlichen Versionen des RAR-Komprimierungsalgorithmus (den gewöhnlichen mit einem Thread und den für Multiprozessor-Architekturen optimierten mit mehreren Threads) miteinander vergleichen. Abhängig von den Ergebnissen können Sie das Multithreading im Dialog "Einstellungen - Allgemein" aktivieren oder deaktivieren.

Es dauert eine Weile, bis das zum Anfang leere Komprimierungs-Wörterbuch gefüllt ist. Solange das Wörterbuch nicht gefüllt ist, wird nur die aktuelle Geschwindigkeit angezeigt. Die Anzeige beginnt wenige Sekunden nach dem Aufruf des Befehls und wird regelmäßig alle paar Sekunden aktualisiert. Das Endergebnis wird erst angezeigt, wenn die gesammelten Statistiken es erlauben, ein korrektes Ergebnis zu errechnen. Nachdem das Endergebnis für die Geschwindigkeit festgestellt und ausgegeben wurde, wird dieser Wert im weiteren Verlauf nicht mehr verändert. Auch wenn die Daten zufällig sind - der Grad der Wiederholungen in den Daten und andere Parameter sind immer gleich. Dieser Befehl wird daher so gut wie immer den gleichen Wert für die aktuelle Geschwindigkeit anzeigen, unabhängig davon, wie lange der Benchmark läuft, vorausgesetzt die Systembelastung ändert sicht nicht.

Es kann nicht garantiert werden, dass unterschiedliche WinRAR-Versionen immer die gleichen Werte für die Komprimierungsgeschwindigkeiten melden. Wenn Sie diesen Befehl für den Performancevergleich verschiedener Computer verwenden, stellen Sie sicher, dass Sie die gleiche WinRAR-Version bei allen Tests verwenden. Außerdem wird empfohlen, vor dem Start eines Benchmarks alle anderen Programme zu schließen.

Der Befehl "Benchmark" wird nicht automatisch beendet, Sie müssen den Befehl manuell abbrechen. Während der Ausführung des Befehls wird die Festplatte nicht verwendet, alle Operationen laufen im Hauptspeicher ab.


Menü "Datei"

Befehl | Kürzel | Funktion
Archiv öffnen | Strg+O | Öffnet das angegebene Archiv. Sie können ein Archiv auch auf andere Arten öffnen.
Kopie des Archivs speichern unter... |  | Speichert eine Kopie des gerade in WinRAR geöffneten Archivs in ein anderes Verzeichnis.
Laufwerk wechseln | Strg+D | Aktuelles Laufwerk wechseln
Standardpasswort setzen | Strg+P | Standardpasswort einstellen. Das Passwort muss zweimal eingegeben werden, um die Fehlerfreiheit des eingegebenen Passworts sicherzustellen. Das Passwort wird dann für alle Pack- und Entpackoperationen verwenden.
Dateien in Zwischenablage kopieren | Strg+C | Kopiert die ausgewählten Archive oder Dateien in die Zwischenablage. Zum Beispiel können Sie ein paar Dateien in einem Archiv auswählen, Strg+C drücken, ein Verzeichnis im Explorer öffnen und Strg+V drücken, um die ausgewählten Dateien in dies Verzeichnis zu entpacken. Sie können auch in einem Texteditor Strg+V drücken, um nur die Dateinamen statt der Dateiinhalte einzufügen.
Dateien aus Zwischenablage einfügen | Strg+V | Das Einfügen von Dateien in WinRAR startet einen Archivierungsvorgang. Auf diese Weise können Sie Dateien im Explorer auswählen, und sie in WinRAR einfügen, um sie zu packen.
Pfade in Zwischenablage kopieren |  | Kopiert nur die vollständigen Pfade der ausgewählten Dateien oder Verzeichnisse in die Zwischenablage, nicht jedoch die Dateiinhalte.
Alles auswählen | Strg+A | Wählt alle Dateien und Verzeichnisse aus
Gruppe auswählen | Num + | Wählt alle Dateien und Verzeichnisse aus, die zur eingegebenen Maske passen.
Gruppenauswahl aufheben | Num - | Hebt die Auswahl aller Dateien und Verzeichnisse auf, die zur eingegebenen Maske passen.
Auswahl umkehren | Num * | Kehrt die gesamte Auswahl um.
Beenden | Alt+F4, Strg+W | WinRAR beenden

Abhängig von der Option "Zeige zuletzt geöffnete Archive" im Dialog "Einstellungen - Allgemein" tauchen bis zu vier Namen der zuletzt geöffneten Archive als Menüeintrage unterhalb von "Beenden" auf. Diese können Sie benutzen, um diese Archive in WinRAR schnell erneut zu öffnen.


Menü "Befehle"

Funktion | Kürzel
Dateien zum Archiv hinzufügen | Alt+A
Entpacke in angegebenes Verzeichnis | Alt+E
Teste archivierte Dateien | Alt+T
Datei anzeigen | Alt+V
Dateien löschen | Entf, Umsch+Entf
Datei umbenennen | F2
Datei drucken | Strg+I
Ohne Bestätigung entpacken | Alt+W
Archivkommentar hinzufügen | Alt+M
Archiv vor Zerstörung schützen | Alt+P
Archiv abschließen | Alt+L


Menü "Extras"

Funktion | Kürzel
Assistent |
Archive nach Viren durchsuchen | Alt+D
Archive konvertieren | Alt+Q
Archiv reparieren | Alt+R
Archiv in SFX konvertieren | Alt+X
Dateien suchen | F3
Informationen anzeigen | Alt+I
Bericht erstellen | Alt+G
Benchmark | Alt+B


Menü "Favoriten"

Das Menü "Favoriten" enthält eine Liste Ihrer bevorzugten Verzeichnisse und Archive. Sie können das aktuell geöffnete Archiv oder Verzeichnis mit dem Befehl "Zu Favoriten hinzufügen…" oder mit der Tastenkombination Strg+F zu dieser Liste hinzufügen. Die Eingabe von Beschreibungen ist optional; ist eine Beschreibung vorhanden, zeigt WinRAR diese im Menü an, andernfalls wird der Archivname oder der Verzeichnisname angezeigt.

Wenn Sie ein Archiv oder Verzeichnis aus der Liste auswählen, wird es in WinRAR geöffnet. Sie können die ersten zehn Favoriteneinträge auch ohne Benutzung des Menüs öffnen: Drücken Sie einfach die Tastenkombinationen Strg+1 … Strg+0. Strg+1 öffnet den ersten Favoriteneintrag, Strg+2 den zweiten, …, Strg+9 den neunten und Strg+0 den zehnten.

Mit dem Befehl "Favoriten verwalten…" können Sie Ihre Favoriten bearbeiten, löschen und in der Liste nach oben und nach unten bewegen. Wählen Sie die gewünschten Einträge aus und klicken Sie auf die entsprechenden Schaltflächen, um eine dieser Operationen dann auszuführen. Um ein Favorit zu löschen, können Sie neben der Schaltfläche "Löschen" auch die Taste Entf benutzen.


Menü "Optionen"

Der Befehl "Einstellungen…" in diesem Menü öffnet den Dialog mit folgenden Einstellungen für WinRAR: Allgemein, Komprimierung, Verzeichnisse, Dateiliste, Betrachter, Sicherheit und Integration. Wählen Sie eines dieser Themen für weitere Details. Die Tastenkombination für "Einstellungen…" ist Strg+S.

Sie können Ihre WinRAR-Einstellungen über die beiden entsprechenden Befehle im Untermenü "Import/Export" in eine Datei exportieren und später wieder importieren. Die Datei hat den Namen "Settings.reg" und standardmäßig wird sie im Verzeichnis %APPDATA%\WinRAR gespeichert und auch von dort geladen. Sie können allerdings im Dialog "WinRAR-Einstellungen laden aus" und im Dialog "WinRAR-Einstellungen speichern unter" ein anderes Verzeichnis auswählen. Durch das Laden der Einstellungen aus der Datei benötigen Sie weniger Zeit, um WinRAR erneut zu konfigurieren, zum Beispiel wenn Sie Windows neu installieren oder WinRAR auf einen anderen Rechner kopieren. Findet WinRAR keine Einstellungen in der Registry und die Datei "Settings.reg" ist im Verzeichnis %APPDATA%\WinRAR vorhanden, so werden die Einstellungen aus dieser Datei automatisch geladen. Ein Neustart von WinRAR ist notwendig, um einige der importierten Einstellungen zu übernehmen. Diese Befehle stehen nicht zur Verfügung, wenn die Datei WinRAR.ini für die Speicherung der Einstellungen verwendet wird.

Der Befehl "Erstelle WinRAR.ini-Datei" im Untermenü "Import/Export" erstellt eine neue WinRAR.ini-Datei und kopiert die vorhandenen WinRAR-Einstellungen von der Registry in diese Datei.

Das Untermenü "Dateiliste" enthält zwei Gruppen von Optionen. Der Befehl "Gesamtansicht" (Tastenkombination Strg+H) schaltet zwischen der klassischen Baumansicht und der Gesamtansicht um, bei der alle archivierten Dateien und Verzeichnisse in der gleichen Liste angezeigt werden. Er ist nur im Archivmanagementmodus anwendbar. Die andere Optionengruppe besteht aus den Einträgen "Liste" und "Details", welche das Aussehen der Dateiliste bestimmt. "Liste" schaltet die Dateiliste in den Mehrspaltenmodus, wobei nur die Dateinamen angezeigt werden. Dagegen aktiviert "Details" eine Ansicht mit mehr Informationen, wie z.B. Dateigrößen und andere Daten.

Das Untermenü "Verzeichnisbaum" erlaubt das An- und Ausschalten des Feldes mit dem Verzeichnisbaum. Sie können den Verzeichnisbaum für den Dateimanagementmodus (Menüeintrag "Datenträger-Verzeichnisse anzeigen") und den Archivmanagementmodus (Menüeintrag "Archiv-Verzeichnisse anzeigen") unabhängig voneinander anzeigen bzw. nicht anzeigen lassen. Eine andere Möglichkeit, den Verzeichnisbaum anzuzeigen/zu verbergen, ist die Tastenkombination Strg+T. Der Verzeichnisbaum ist hervorragend geeignet, sich schnell in Datenträger- und Archivverzeichnissen zu bewegen. Sie können die Breite des Verzeichnisbaum-Feldes durch Ziehen des rechten Randes mit der Maus verändern.

Das Untermenü "Themen" enthält neben der Liste der verfügbaren WinRAR-Benutzeroberflächenthemen den Befehl "Themen verwalten…", der Verwaltungsfunktionen für Themen zur Verfügung stellt, und den Befehl "Weitere Themen herunterladen…", der die Webseite mit weiteren Themen aufruft.

Das Untermenü "Namenskodierung" erlaubt die Festlegung einer Zeichenkodierung für archivierte Dateinamen.

Ein anderer Befehl in diesem Menü ist "Protokolldatei anzeigen…". Er öffnet im internen Betrachter den Inhalt der Datei rar.log, die sich im Verzeichnis %APPDATA%\WinRAR befindet. Beachten Sie, dass Sie die Option "Fehler in Datei protokollieren" im Dialog "Einstellungen - Allgemein" aktivieren müssen, damit WinRAR Fehler in seine Protokolldatei schreibt. Benutzen Sie den Menübefehl "Protokolldatei löschen", um den Inhalt der Protokolldatei zu löschen. Fehlerprotokollierung ist nur in der registrierten Version verfügbar.


Menü "Hilfe"

Wählen Sie den Befehl "Hilfethemen", um das Inhaltsverzeichnis der WinRAR-Hilfe anzuzeigen.

Wählen Sie den Eintrag "WinRAR-Homepage", um auf die internationale WinRAR-Homepage zu gelangen. Dort können Sie immer die neuste WinRAR-Version herunterladen und Ihre Shareware-Kopie von WinRAR online registrieren.

Der Befehl "Über WinRAR…" öffnet eine Dialogbox mit Versions- und Copyrightinformationen.


Wie man ein Archiv von der Windows-Oberfläche öffnet

Wenn Sie die Option "WinRAR mit Archiven verknüpfen" während der Installation nicht abgeschaltet haben, ist es sehr einfach, ein Archiv von der Windows-Oberfläche aus in WinRAR zu öffnen. Führen Sie einfach ein Doppelklick auf dem Archiv-Icon im Explorer oder auf dem Desktop aus.

Sie können WinRAR im Dialog "Einstellungen - Integration" auch nach der Installation mit Archiven verknüpfen.


Kontextmenüs benutzen

Wenn Sie die Option "WinRAR im Explorer integrieren" während der Installation nicht abgeschaltet haben, werden mehrere zusätzliche Einträge in die Datei- und Verzeichniskontextmenüs eingeblendet, die erscheinen, wenn Sie mit der rechten Maustaste auf ein Dateiicon im Explorer oder auf dem Desktop klicken.

Für Archive fügt WinRAR folgende Einträge hinzu: "Dateien entpacken…", "Hier entpacken" und "Entpacken nach <Verzeichnisname>", wobei <Verzeichnisname> durch den echten Verzeichnisnamen ersetzt wird. Alle Befehle rufen WinRAR auf, um den Archivinhalt zu entpacken. Der erste Befehl erlaubt es Ihnen jedoch, das Zielverzeichnis und zusätzliche Entpackoptionen im Dialog "Entpacken: Zielverzeichnis und Optionen" zu wählen, während der zweite Befehl einfach die Dateien in das aktuelle und der dritte Befehl die Dateien in das vorgeschlagene Verzeichnis entpackt, ohne noch einmal nachzufragen. Wenn Sie mehrere Archive entpacken möchten, enthält das Kontextmenü noch den Eintrag "Jedes Archiv in ein separates Verzeichnis entpacken". Damit werden die Archivinhalte in ein für jedes Archiv anderes Verzeichnis entpackt.

WinRAR verändert auch den Eintrag "Eigenschaften" im Kontextmenü eines Archivs, um Archivinformationen und einen eventuell vorhandenen Archivkommentar anzuzeigen. Die Archivinformationen gleichen denen, die beim Befehl "Informationen anzeigen" angezeigt werden.

Für normale Dateien und Verzeichnisse fügt WinRAR folgende Einträge hinzu: "Zum Archiv hinzufügen…", "Zu <Archivname> hinzufügen", "Packen und als E-Mail versenden…", "Zu <Archivname> hinzufügen und als E-Mail versenden", wobei <Archivname> durch den aktuellen Archivnamen ersetzt wird. Beide Befehle zum Hinzufügen veranlassen WinRAR, die ausgewählten Dateien zu einem Archiv hinzuzufügen. Der erste Befehl erlaubt es Ihnen jedoch, den Archivnamen und einige Packoptionen im Dialog "Archivname und Archivparameter" zu wählen, während der zweite Befehl die Dateien zum vorgeschlagenen Archiv hinzufügt, ohne noch einmal nachzufragen. Ähnlich ist es auch mit den beiden "E-Mail"-Befehlen: Sie packen die ausgewählten Dateien und hängen das erzeugte Archiv an eine E-Mail-Nachricht an. Der erste Befehl erlaubt es Ihnen jedoch, weitere Optionen zu wählen. Sie müssen ein MAPI-fähiges E-Mail-Programm installiert haben, um diese "E-Mail"-Befehle nutzen zu können (Die meisten modernen E-Mail-Programme unterstützen die MAPI-Schnittstelle).


Unterstützung von Drag & drop

WinRAR unterstützt die "Drag & drop"-Fähigkeiten von Windows.

Wenn im Dateimanagementmodus ein einzelnes Archiv auf WinRAR gezogen und fallen gelassen wird, zeigt WinRAR den Archivinhalt an und wechselt in den Archivmanagementmodus.

Wenn im Dateimanagementmodus eine oder mehrere Dateien, die keine Archive sind, auf WinRAR gezogen und fallen gelassen werden, fordert WinRAR zur Eingabe eines Archivnamens auf und fügt die Dateien diesem Archiv hinzu.

Wenn im Archivmanagementmodus ein einzelnes Archiv auf die Symbolleiste oder Adressleiste fallen gelassen wird, zeigt WinRAR den Inhalt dieses Archivs an. Möchten Sie eine oder mehrere Dateien zu dem gerade angezeigten Archiv hinzufügen, lassen Sie die Dateien über der Dateiliste von WinRAR fallen. Wenn die fallen gelassenen Dateien keine Archive sind, hat das Fallenlassen der Dateien auf die Symbolleiste oder Adressleiste den gleichen Effekt wie beim Fallenlassen auf die Dateiliste. Dateien können nur in RAR- und ZIP-Archive fallen gelassen werden.

Unabhängig vom aktuellen Modus und Archivformat können Sie immer Dateien aus WinRAR auf andere Programme ziehen.

Wenn Sie die Option "WinRAR im Explorer integrieren" während der Installation nicht abgeschaltet haben, können Sie Dateien auf RAR- oder ZIP-Archivsymbole auf dem Desktop ziehen, um Dateien zu einem Archiv hinzuzufügen. Wenn Sie ein Archiv mit der rechten Maustaste auf ein Verzeichnis ziehen und es dort fallen lassen, können Sie auch "Hier entpacken" in dem erscheinenden Kontextmenü wählen, um alle Dateien aus dem fallen gelassenen Archiv in das Zielverzeichnis zu entpacken. Wenn Sie eine einzelne Datei, die kein Archiv ist, oder mehrere Dateien mit der rechten Maustaste auf ein Zielverzeichnis ziehen und sie dort fallen lassen, können Sie mit den Befehlen "Zum Archiv hinzufügen..." und "Zu <Archiv> hinzufügen" im Kontextmenü ein Archiv im Zielverzeichnis mit diesen Dateien erstellen.


Syntax der Kommandozeile

Es ist auch möglich, WinRAR-Befehle aus der Kommandozeile auszuführen. Die allgemeine Syntax der Kommandozeile wird unten beschrieben:

WinRAR <Befehl> -<Schalter1> -<SchalterN> <Archiv> <Dateien...> <@Dateilisten...> <Zielverzeichnis\>

Befehl | Zeichenkombination, welche die Funktion angibt, die von WinRAR ausgeführt wird. Eine Liste aller Befehle von WinRAR finden Sie hier.
Schalter | Schalter legen ein speziellen Typ von Operationen fest, wie Kompressionsstärke, Archivtyp, usw. Eine Liste aller Schalter von WinRAR finden Sie hier.
Archiv | Der Name des Archivs, das bearbeitet werden soll.
Dateien | Die Name(n) der Dateien, die bearbeitet werden sollen.
Dateilisten | Dateilisten sind einfache Textdateien, die Namen von Dateien enthalten, die verarbeitet werden sollen. Dateinamen sollten direkt am Anfang jeder Zeile stehen. Es ist möglich, Kommentare hinter einen Doppelslash "//" in so eine Dateiliste einzufügen. Zum Beispiel können Sie eine Dateiliste backup.lst erzeugen, die den folgenden Inhalt hat: c:\arbeiten\dokumente\*.txt//Backup der Textdateien c:\arbeiten\bilder\*.bmp//Backup der Bilder c:\arbeiten\verschiedenes und dann folgenden Kommandozeilenbefehl ausführen: winrar a backup @backup.lst Sie können sowohl Dateinamen als auch Dateilisten in der gleichen Kommandozeile verwenden.
Zielverzeichnis | Wird nur zusammen mit den Befehlen e und x benutzt und gibt das Verzeichnis an, in das die Dateien entpackt werden sollen. Falls das Verzeichnis nicht existiert, wird es angelegt.

Bemerkungen

a) Wenn weder Dateien noch Dateilisten angegeben werden, wird *.* als Filter angenommen. WinRAR verarbeitet dann alle Dateien;

b) Wenn beim Erstellen eines Archiv eine Archiverweiterung nicht angegeben wird, wird WinRAR das Standardarchivformat verwenden, das im Standardkomprimierungsprofil ausgewählt wurde. Sie können jedoch durch Angabe der Erweiterungen ".rar" oder ".zip" das Archivformat explizit bestimmen;

Wenn beim Entpacken eines Archiv keine Archiverweiterung angegeben wird, nimmt WinRAR automatisch .rar als Erweiterung. Die Maske * bedeutet dann alle Archive mit der Erweiterung .rar. Möchten Sie alle Archive ohne eine Erweiterung verarbeiten, wählen Sie *. als Maske. Die Maske *.* wählt alle Dateien aus. Bei den meisten Vorgängen, wie z. B. beim Entpacken, Überprüfen und vielen anderen, ist die Verwendung von Wildcards im Archivnamen möglich. Beim Packen und Löschen sind Wildcards jedoch nicht erlaubt.

c) Schalter, die in der Kommandozeile angegeben werden, überschreiben die entsprechenden WinRAR-Einstellungen;

d) Bei den Befehlen c, e, s, t, rr, k und x können Wildcards im Archivnamen verwendet werden. So ist es möglich, mehr als ein Archiv mit einem Befehl zu bearbeiten. Darüber hinaus können Sie durch Angabe des Schalters -r bei diesen Befehlen WinRAR veranlassen, auch in den Unterverzeichnissen nach Archiven zu suchen;

e) Einige Befehle und Schalter sind nur auf RAR-Archive anwendbar, einige sowohl auf RAR- als auch auf ZIP-Archive und andere auf allen Archivformaten. Dies hängt jeweils vom Funktionsumfang ab, welches das Archivformat bietet;

f) Befehle und Schalter sind unempfindlich gegenüber Groß- und Kleinschreibung. Sie können sie sowohl in Groß- als auch in Kleinbuchstaben angeben;

g) Enthält irgendein Teil der Kommandozeile Leerzeichen, schließen Sie den Teil in "Anführungsstriche" ein.

Beispiele

  1. Füge das Verzeichnis "c:\Neuste Daten" zum Archiv Info.rar hinzu:

WinRAR a Info.rar "c:\Neuste Daten"

  2. Entpacke das Archiv Info.rar in das Verzeichnis d:\Daten:

WinRAR x Info.rar d:\Daten\


Alphabetische Liste der Befehle

a | Dateien zu einem Archiv hinzufügen
c | Archivkommentar hinzufügen
ch | Archivparameter ändern
cv | Archive konvertieren
cw | Archivkommentar in eine Datei schreiben
d | Dateien aus einem Archiv löschen
e | Dateien ohne Verzeichnisnamen aus einem Archiv entpacken
f | Im Archiv vorhandene Dateien erneuern
i | In Archiven nach einer Zeichenkette suchen
k | Archiv abschließen
m | Dateien und Verzeichnisse in ein Archiv verschieben
r | Beschädigtes Archiv reparieren
rc | Fehlende Volumen wiederherstellen
rn | Archivierte Dateien umbenennen
rr[N] | Wiederherstellungsdaten hinzufügen
rv[N] | Wiederherstellungs-Volumen erstellen
s[name] | Archiv in ein selbstentpackendes Archiv konvertieren
s- | SFX-Modul entfernen
t | Archivierte Dateien testen
u | Dateien im Archiv erneuern und hinzufügen
x | Dateien mit vollen Verzeichnisnamen aus einem Archiv entpacken


Befehl A - Zum Archiv hinzufügen

Fügt die angegebenen Dateien und Verzeichnisse zu einem Archiv hinzu. Dies ist der entsprechende Kommandozeilenbefehl des Befehls "Dateien zum Archiv hinzufügen".

Beachten Sie: Da Volumen nicht verändert werden können, kann dieser Befehl nicht zum Erneuern, sondern nur zum Erstellen eines Volumens verwendet werden.

Beispiele

  1. Füge alle Dateien *.hlp aus dem aktuellen Verzeichnis zum Archiv hilfedateien.rar hinzu:

WinRAR a hilfedateien *.hlp

  2. Archiviere alle Dateien aus dem aktuellen Verzeichnis und seinen Unterverzeichnissen in 363200 Byte große, solide selbstentpackende Volumen sicherung.part1.exe, sicherung.part2.rar, sicherung.part3.rar, …, und füge Wiederherstellungsdaten zu jedem Volumen hinzu:

WinRAR a -r -v362 -s -sfx -rr sicherung

Da keine Dateinamen angegeben sind, werden alle Dateien (*) gepackt.

  3. Es gibt einen Sonderfall: Wird ein Verzeichnisname als Argument angegeben und der Verzeichnisname enthält weder Wildcards noch Backslashes am Ende, so wird der gesamte Inhalt des Verzeichnisses und aller Unterverzeichnisse zum Archiv hinzugefügt, obwohl der Schalter -r nicht angegeben wurde.

Der folgende Befehl fügt alle Dateien aus dem Verzeichnis Bitmaps und aus dessen Unterverzeichnissen zum RAR-Archiv Bilder hinzu:

WinRAR a -r Bilder.rar Bitmaps

  4. Enthält der Verzeichnisname Wildcards oder Backslashes am Ende, gelten die normalen Regeln und es muss der Schalter -r angegeben werden, damit auch die Unterverzeichnisse verarbeitet werden.

Der folgende Befehl fügt alle Dateien aus dem Verzeichnis Bitmaps zum RAR-Archiv Bilder hinzu. Dateien aus den Unterverzeichnissen von Bitmaps werden nicht hinzugefügt, weil der Schalter -r nicht angegeben wurde:

WinRAR a Bilder.rar Bitmaps\*


Befehl C - Archivkommentar hinzufügen

Dieser Befehl dient dazu, ein Kommentar zu einem Archiv hinzuzufügen. Die maximale Kommentarlänge beträgt 256 kB für RAR- und 32768 Byte für ZIP-Archive. Es ist ebenfalls möglich, einen Kommentar mit dem Archivmanagementbefehl "Archivkommentar hinzufügen" hinzuzufügen.

Da Volumen nicht verändert werden können, ist dieser Befehl nicht auf Volumen anwendbar. Sie können jedoch den Schalter -z<Datei> benutzen, um ein Kommentar beim Erstellen eines Volumens hinzufügen.

Beispiele

  1. Füge ein Kommentar zum Archiv distrib.rar hinzu:

WinRAR c distrib.rar

  2. Kommentare können mit dem Schalter -z<Datei> aus einer Datei gelesen und hinzugefügt werden.

WinRAR c -zinfo.txt dummy


Befehl CH - Archivparameter ändern

Dieser Befehl verändert Archivparameter und kann zusammen mit den meisten Schaltern verwendet werden, die Archive verändern. Besonders praktisch ist die Verwendung des Befehls mit den Schaltern -cl, -cu, -tl, da es für diese Schalter keine entsprechenden Befehle gibt.

Der Befehl kann Archivdaten nicht neu komprimieren, verschlüsseln oder entschlüsseln und es ist damit auch nicht möglich, gesplittete Archive (Volumen) zu erstellen oder diese zusammenzuführen. Wird der Befehl 'ch' ohne Schalter verwendet, so werden die Archivdaten ohne irgendwelche Veränderungen kopiert.

Beispiel

Setze die Archivzeit auf die Zeit der neusten Datei im Archiv

WinRAR ch -tl dateiarchiv.rar


Befehl CV - Archive konvertieren

Dieser Befehl stellt den WinRAR-Benutzeroberflächen-Befehl "Archive konvertieren" in der Kommandozeile zur Verfügung. Man kann den Befehl mit dem Schalter -y kombinieren, um den Dialog "Archive konvertieren" zu überspringen und die Konvertierung mit den Standardparametern zu starten. Verwenden Sie den Knopf "Speichern" im Dialog "Archive konvertieren", um die Standardparameter zu ändern.

Beispiel

Konvertiere alle ZIP-Archive im Verzeichnis c:\dateien und verwende die Standardparameter für die Konvertierung von Archiven

WinRAR cv -y c:\dateien\*.zip


Befehl CW - Archivkommentar in eine Datei schreiben

Dieser Befehl speichert ein Archivkommentar in eine Datei. Das Format der ausgegebenen Datei wird durch den Schalter -sc bestimmt.

Beispiele

  1. Speichere den Archivkommentar des Archivs arc in die Datei kommentar.txt im ASCII-Format

WinRAR cw arc kommentar.txt

  2. Speichere den Archivkommentar des Archivs arc in die Datei unicode.txt im Unicode-Textformat

WinRAR cw -scuc arc unicode.txt


Befehl D - Aus Archiv löschen

Löscht die angegebenen Dateien und Verzeichnisse aus einem Archiv. Dies ist der entsprechende Kommandozeilenbefehl des Archivmanagementbefehls "Dateien löschen".

Bemerkungen

  1. Wenn nach dem Löschen alle Dateien aus einem Archiv entfernt worden sind, wird das leere Archiv gelöscht.
  2. Da Volumen nicht verändert werden können, ist dieser Befehl nicht auf Volumen anwendbar.

Beispiel

Lösche aus dem Archiv dummy alle Dateien *.dmy:

WinRAR d dummy *.dmy


Befehl E - Ohne Verzeichnisnamen aus einem Archiv entpacken

Entpackt alle Dateien aus einem Archiv in das aktuelle oder in das angegebene Verzeichnis, ohne die Verzeichnisstrukturen wiederherzustellen. Dies ist der entsprechende Kommandozeilenbefehl des Archivmanagementbefehls "Entpacke in angegebenes Verzeichnis", wobei die Option "Verzeichnisnamen nicht entpacken" im Dialog "Entpacken: Zielverzeichnis und Optionen" aktiviert ist.

Beispiel

Entpacke alle Dateien *.doc aus allen RAR-Archiven des aktuellen Verzeichnisses ins aktuelle Verzeichnis:

WinRAR e *.rar *.doc


Befehl F - Im Archiv vorhandene Dateien erneuern

Erneuert Dateien in einem Archiv nur, wenn die archivierten Dateien älter sind als die Dateien, die hinzugefügt werden sollen. Dieser Befehl fügt keine komplett neuen Dateien zu dem Archiv hinzu. Dies ist der entsprechende Kommandozeilenbefehl des Befehls "Dateien zum Archiv hinzufügen", wobei die Option "Nur im Archiv vorhandene Dateien erneuern" im Dialog "Archivname und Archivparameter einstellen" ausgewählt ist.

Da Volumen nicht verändert werden können, ist dieser Befehl nicht auf Volumen anwendbar.

Lesen Sie dazu auch: Befehl A - Zum Archiv hinzufügen


Befehl I - In Archiven nach einer Zeichenkette suchen

Befehl I[i|c|h|t]=<Zeichenkette> - In Archiven nach einer Zeichenkette suchen

Sucht und findet eine Zeichenkette in Archiven. Unterstützt folgende optionale Parameter:

i Suche unter Missachtung der Groß- und Kleinschreibung (Standard);

c Suche unter Berücksichtigung der Groß- und Kleinschreibung;

h hexadezimale Suche;

t Verwende bei der Suche die ANSI-, Unicode- und OEM-Zeichensätze;

Werden keine Parameter angegeben, ist es möglich, die vereinfachte Befehls-Syntax i<string> anstelle von i=<string> zu verwenden.

Es ist möglich, beim Parameter 't' weitere Parameter anzugeben, zum Beispiel löst "ict=Zeichenkette" eine Suche unter Beachtung der Groß- und Kleinschreibung aus, wobei alle oben erwähnten Zeichensätze verwendet werden.

Aufgrund technischer Beschränkungen unterstützt WinRAR derzeit eine Suche in ACE-Archiven nicht.

Beispiele:

  1. Sucht nach der Zeichenkette "erste Stufe" unter Beachtung der Groß- und Kleinschreibung in den Dateien *.txt in den Archiven *.rar auf dem Laufwerk C:.

WinRAR "ic=erste Stufe" -r c:\*.rar *.txt

  2. Sucht nach der hexadezimalen Zeichenkette f0 e0 ae ae ab 2d 83 e3 a9 in allen RAR-Archiven im Verzeichnis e:\texte.

WinRAR ih=f0e0aeaeab2d83e3a9 -r e:\texte\*.rar


Befehl K - Archiv abschließen

Dieser Befehl verhindert, dass weitere Archivänderungen durch WinRAR vorgenommen werden können. Dies ist der entsprechende Kommandozeilenbefehl des Archivmanagementbefehls "Archiv abschließen".

Beispiel:

WinRAR k release


Befehl M - Dateien und Verzeichnisse in ein Archiv verschieben

Vergleichbar mit dem Befehl a, aber die Dateien und Verzeichnisse werden gelöscht, nachdem der Packvorgang erfolgreich abgeschlossen wurde. Dies ist der entsprechende Kommandozeilenbefehl des Befehls "Dateien zum Archiv hinzufügen", wobei die Option "Dateien nach dem Archivieren löschen" im Dialog "Archivname und Archivparameter einstellen" aktiviert ist.

Da Volumen nicht verändert werden können, kann dieser Befehl nicht zum Erneuern eines gesplitteten Archivs verwendet werden; nur um ein neues zu erstellen.


Befehl R - Beschädigtes Archiv reparieren

Eine Archivreparatur besteht aus zwei Schritten. Zuerst wird im beschädigten Archiv nach einem "recovery record" gesucht (lesen Sie dazu: Befehl rr). Wenn das Archiv diese vorher zugefügten Wiederherstellungsdaten enthält, die beschädigten Daten fortlaufend sind und die Größe der beschädigten Daten kleiner ist als die Größe, die durch die Wiederherstellungsdaten repariert werden kann, ist die Chance einer erfolgreichen Wiederherstellung des Archivs sehr hoch. Wenn dieser Schritt beendet wurde, wird ein neues Archiv mit dem Namen fixed.archivname.rar erzeugt, wobei 'archivname' der Name des ursprünglich (beschädigten) Archivs ist.

Wenn ein beschädigtes Archiv keine Wiederherstellungsdaten enthält oder ein Archiv wegen starker Beschädigung nicht ganz wiederhergestellt werden kann, wird ein zweiter Schritt eingeleitet. In diesem Schritt wird nur die Archivstruktur rekonstruiert und es ist unmöglich, Dateien wiederherzustellen, bei denen die Überprüfung der Prüfsumme fehlgeschlagen ist, aber es ist immerhin noch möglich, unbeschädigte Dateien wiederherzustellen, auf die wegen der beschädigten Archivstruktur nicht mehr zugegriffen werden konnte. Dies ist allerdings nur für nicht-solide Archive sinnvoll. In einem beschädigten soliden Archiv kann im zweiten Schritt häufig nur die erste Datei wiederhergestellt werden. Bei Archiven mit verschlüsselten Dateinamen wird dieser zweite Schritt nicht ausgeführt, da solche Archive nur dann wiederhergestellt werden können, wenn sie Wiederherstellungsdaten enthalten.

Wenn dieser Schritt beendet ist, wird ein neues Archiv mit dem Namen rebuilt.archivname.rar erstellt, wobei 'archivname' der Name des ursprünglichen Archivs ist.

Standardmäßig werden reparierte Archive im aktuellen Verzeichnis erstellt. Durch zusätzliche Angabe des optionalen Parameters zielverzeichnis\ kann ein anderes Zielverzeichnis festgelegt werden.

Dies ist der entsprechende Kommandozeilenbefehl des Dateimanagementbefehls "Archiv reparieren".

Beispiel

Repariere das Archiv fehlerhaft.rar und schreibe das Ergebnis in das Verzeichnis 'c:\repariert':

WinRAR r fehlerhaft.rar c:\repariert\


Befehl RC - Fehlende Volumen wiederherstellen

Stellt fehlende Volumen eines gesplitteten Archivs mit Hilfe von Wiederherstellungs-Volumen (.rev Dateien) wieder her. Sie müssen als Archivnamen irgendeinen der noch vorhandenen Volumennamen angeben, zum Beispiel:

WinRAR rc backup.part03.rar

Sie können hier mehr über Wiederherstellungs-Volumen lesen.


Befehl RN - Archivierte Dateien umbenennen

Benennt Dateien innerhalb von Archiven um. Dieser Befehl wird vom RAR- und ZIP-Archivformat unterstützt. Die Syntax des Befehls ist:

winrar rn <archivname> <alter_name1> <neuer_name1> … <alter_nameN> <neuer_nameN>

Zum Beispiel benennt der folgende Befehl:

WinRAR rn daten.rar liesmich.txt liesmich.bak info.txt info.bak

im Archiv daten.rar die Datei liesmich.txt zu liesmich.bak und die Datei info.txt zu info.bak um.

Es ist möglich, Wildcards in den Parametern <alter_name> bzw. <neuer_name> zu verwenden, um einfache Änderungen an Dateinamen vorzunehmen, wie das Ändern von Dateiendungen. Zum Beispiel:

WinRAR rn daten.rar *.txt *.bak

Benennt alle Dateien *.txt nach *.bak um.

WinRAR prüft nicht, ob der neue Dateiname bereits im Archiv vorhanden ist. Sie müssen vorsichtig sein, um zwei gleiche Dateinamen zu vermeiden, besonders wenn Sie Wildcards verwenden. Ein derartiger Befehl ist potenziell gefährlich, weil ein falscher Wildcard die Dateinamen aller archivierten Dateien zerstören kann.


Befehl RR[N] - Wiederherstellungsdaten hinzufügen

Fügt redundante Daten für die Wiederherstellung von beschädigten Archivdaten ("recovery record") zu einem RAR-Archiv hinzu. Diese zusätzlichen Daten vergrößern zwar ein Archiv, ermöglichen jedoch im Fall eines Datenträgerfehlers oder bei anderen Datenverlusten die Wiederherstellung der archivierten Dateien, sofern die Beschädigungen des Archivs nicht zu schwerwiegend sind. Die Reparatur eines beschädigten Archivs kann mit dem Befehl "r" durchgeführt werden. Das ZIP-Archivformat unterstützt das Hinzufügen von Wiederherstellungsdaten nicht.

Die Wiederherstellungsdaten bei RAR-4.x- und RAR-5.0-Archiven unterscheiden sich grundlegend: Die Datenstrukturen und die verwendeten Algorithmen für die Wiederherstellung sind unterschiedlich.

Die RAR-4.x-Wiederherstellungsdaten basieren auf einem XOR-Algorithmus. Die Größe der 4.x-Wiederherstellungsdaten lässt sich als Anzahl von Wiederherstellungs-Sektoren oder als Prozentwert von der Archivgröße angeben. Um eine Sektorenanzahl anzugeben, gibt man die Anzahl direkt hinter 'rr' an, wie z.B. 'rr1000' für 1000 Sektoren. Für einen Prozentwert fügt man hinter der Prozentzahl das Zeichen 'p' oder '%' an, also z.B. 'rr5p' oder 'rr5%' für 5%. Beachten Sie, dass Sie unter Windows bei der Ausführung dieses Befehls in einer ".bat"- oder ".cmd"-Datei den Befehl "rr3%%" statt "rr3%" angeben müssen, weil der Befehlsinterpreter das einzelne "%"-Zeichen als Beginn eines Batchdatei-Parameters ansieht. In diesem Fall ist es praktischer, gleich 'p' statt '%' zu verwenden.

RAR-4.x-Wiederherstellungs-Sektoren sind 512 Bytes lang. Wenn die Daten in einem Bereich fortlaufend beschädigt sind, kann mit Hilfe eines Wiederherstellungs-Sektors 512 Bytes an Daten wiederhergestellt werden. Dieser Wert kann abnehmen, wenn in einem Bereich die Daten an mehreren unterschiedlichen Stellen beschädigt sind. Die Wiederherstellungsdaten eines RAR-4.x-Archivs können bis zu 524288 Wiederherstellungs-Sektoren groß sein.

Die ungefähre Größe des RAR-4.x-"recovery records" kann durch folgende Formel bestimmt werden: <Archivgröße>/256 + <Anzahl der Wiederherstellungs-Sektoren>*512 Bytes.

Die RAR-5.0-Wiederherstellungsdaten verwenden Reed-Solomon-Fehlerkorrektur-Codes. Bei einer fortlaufenden Beschädigung in einem Archiv ist die Leistungsfähigkeit des alten und des neuen Fehlerkorrekturverfahrens ungefähr gleich. Wie bei RAR-4.x ist es mit den RAR-5.0-Wiederherstellungsdaten möglich, beschädigte Archivdaten mit einer etwas geringeren Größe als die Wiederherstellungsdaten zu reparieren. Die RAR-5.0-Wiederherstellungsdaten sind jedoch bei der Wiederherstellung von mehrfachen Beschädigungen an verschiedenen Stellen eines Archivs wesentlich effizienter als die RAR-4.x-Wiederherstellungsdaten.

RAR-5.0-Wiederherstellungsdaten setzen sich nicht mehr aus 512-Byte-Sektoren zusammen und man kann die Größe nur noch in Prozent der Archivgröße angeben. Auch wenn das Zeichen '%' oder 'p' fehlt, behandelt RAR den angegebenen Wert beim RAR-5.0-Archivformat als Prozentwert. Daher bedeuten 'rr5' und 'rr5p' dasselbe: 5%. Wegen dem Servicedaten-Overhead entspricht die sich ergebende Größe der Wiederherstellungsdaten nur ungefähr der vom Anwender angegebenen Größe in Prozent. Der Unterschied zwischen der angegebenen und der wirklichen Größe ist bei kleinen Archiven größer als bei großen Archiven.

Die Größe der RAR-5.0-Wiederherstellungsdaten kann die Größe des zu schützenden Archivs nicht übersteigen. Daher kann man als Parameterwert nicht mehr als 100% angeben. Je größer die Wiederherstellungsdaten sind, desto länger dauert die Erstellung beim Hinzufügen zu einem Archiv und die Verarbeitung bei der Archivreparatur.

Sowohl die 4.x- als auch die 5.0-Wiederherstellungsdaten sind dann am leistungsfähigsten und funktionieren am besten, wenn die Positionen der Daten im beschädigten Archiv sich nicht verschoben haben, also unverändert geblieben sind. Wenn Sie spezielle Software zum Kopieren von Archiven von beschädigten Datenträgern einsetzen, und Sie wählen können, ob die beschädigten Stellen mit Nullen gefüllt oder komplett entfernt werden sollen, sollten Sie einen Modus wählen, der beschädigte Stellen mit Nullen oder anderen Werten auffüllt. Dadurch bleiben die Archivdaten an ihren ursprünglichen Positionen. Auch wenn es nicht die beste Voraussetzung für eine Wiederherstellung ist, sind beide Versionen in der Lage, Archivdaten zu reparieren, bei denen Daten gelöscht oder eingefügt wurden, sich die Positionen der Archivdaten also verschoben haben. Mit RAR-5.0-Wiederherstellungsdaten können Blöcke eingefügter oder gelöschter Daten besser wiederhergestellt werden als mit den RAR-4.x-Wiederherstellungsdaten. In diesen Fällen arbeitet der RAR-5.0-"recovery record" effizienter.

Wird der Befehl 'rr' ohne den Parameter verwendet, setzt WinRAR die Größe der Wiederherstellungsdaten standardmäßig auf 3% der Archivgröße.

Dies ist der entsprechende Kommandozeilenbefehl des Archivmanagementbefehls "Archiv vor Zerstörung schützen".

Beispiele

  1. Füge Wiederherstellungsdaten mit der Standardgröße (3%) zum Archiv backup hinzu:

WinRAR rr backup

  2. Füge Wiederherstellungsdaten zum Archiv bilder hinzu und setze die Größe der Wiederherstellungsdaten auf 5% der Archivgröße:

WinRAR rr5p bilder


Befehl RV[N] - Wiederherstellungs-Volumen erstellen

Erstellt Wiederherstellungs-Volumen (.rev Dateien), die später zur Wiederherstellung von fehlenden Volumen eines gesplitteten Archivs verwendet werden können.

Dieser Befehl ist nur für gesplittete RAR-Archive sinnvoll. Sie müssen den Namen des ersten Volumens eines gesplitteten Archivs angeben. Zum Beispiel:

WinRAR rv3 daten.part01.rar

Der optionale Parameter <N> gibt die Anzahl der zu erstellenden Wiederherstellungs-Volumen an und muss kleiner als die Anzahl der Volumen des gesplitteten Archivs sein. Sie können auch ein Prozentzeichen oder den Buchstaben 'p' an diesen Parameter anhängen. In diesem Fall wird die Anzahl der erstellten ".rev"-Dateien gleich dem Prozentsatz der Anzahl aller RAR-Volumen sein. Zum Beispiel:

WinRAR rv15% daten.part01.rar

Sie können hier mehr über Wiederherstellungs-Volumen lesen.


Befehl S[Name] - Archiv in ein selbstentpackendes Archiv konvertieren

Dieser Befehl erstellt ein selbstentpackendes Archiv (SFX), das alle darin enthaltenden Dateien entpackt, wenn es ausgeführt wird.

Es ist auch möglich, das erste Volumen eines gesplitteten Archivs selbstentpackend zu machen. Dann erhöht sich die Archivgröße um die Größe des SFX-Moduls. Falls SFX-Volumen mit dem Befehl a und den Schaltern "-v[<Größe>] -sfx" erstellt werden, brauchen Sie nicht die Volumengröße entsprechend anpassen - das erste Volumen wird automatisch mit der richtigen Größe erstellt.

Dies ist der entsprechende Kommandozeilenbefehl des Archivmanagementbefehls "Archiv in SFX konvertieren".

Beispiel

WinRAR s diamant

Standardmäßig verwendet WinRAR für RAR-Archive das SFX-Modul default.sfx, für ZIP-Archive das SFX-Modul zip.sfx. Beide müssen sich im selben Verzeichnis wie winrar.exe befinden. Es ist möglich, beim Befehl "s" den Namen eines anderen SFX-Moduls anzugeben.

Um zum Beispiel das SFX-Modul für die Windows-Console WinCon.sfx hinzuzufügen, führen Sie folgenden Befehl aus:

WinRAR sWinCon.sfx meine_installation


Befehl S- - SFX-Modul entfernen

Dieser Befehl entfernt ein SFX-Modul von einem vorhandenen selbstentpackenden Archiv (SFX).

WinRAR erstellt ein neues Archiv ohne das SFX-Modul, das ursprüngliche selbstentpackende Archiv wird nicht gelöscht.

Beispiel

WinRAR s- rarsetup.exe


Befehl T - Archivierte Dateien testen

Dieser Befehl entpackt alle Dateien im Archiv, ohne dass irgendwelche Dateien auf den Datenträger geschrieben werden, nur um die Integrität der angegebenen Dateien im Archiv zu überprüfen. Dies ist der entsprechende Kommandozeilenbefehl des Archivmanagementbefehls "Teste archivierte Dateien".

Beispiel:

Teste alle Archive *.rar auf dem aktuellen Laufwerk:

WinRAR t -r \*.rar


Befehl U - Dateien im Archiv erneuern und hinzufügen

Dieser Befehl erneuert ebenso wie der Befehl f Dateien in einem Archiv nur, wenn die archivierten Dateien älter sind als die Dateien, die hinzugefügt werden sollen. Im Gegensatz zu "f" werden aber auch neue Dateien hinzugefügt.

Dies ist der entsprechende Kommandozeilenbefehl des Befehls "Dateien zum Archiv hinzufügen", wobei der Updatemodus "Dateien hinzufügen und erneuern" im Dialog "Archivname und Archivparameter einstellen" ausgewählt ist.

Da Volumen nicht verändert werden können, ist dieser Befehl nicht auf Volumen anwendbar.

Lesen Sie dazu auch: Befehl A - Zum Archiv hinzufügen


Befehl X - Dateien mit vollen Verzeichnisnamen aus einem Archiv entpacken

Entpackt Dateien und Verzeichnisse mit vollen Verzeichnisnamen. Die Verzeichnisstruktur, die im Archiv gespeichert ist, wird komplett wiederhergestellt. Dies ist der entsprechende Kommandozeilenbefehl des Archivmanagementbefehls "Entpacke in angegebenes Verzeichnis".

Auf dieselbe Art wie der Befehl e kann dieser Befehl Dateien entweder ins aktuelle oder in das angegebene Verzeichnis entpacken.

Zum Beispiel entpackt der Befehl

WinRAR x Schriftarten *.ttf

die Dateien *.ttf aus dem Archiv Schriftarten ins aktuelle Verzeichnis, der Befehl

WinRAR x Schriftarten *.ttf NeueSchriftarten\

hingegen entpackt die Dateien *.ttf aus dem Archiv Schriftarten ins Verzeichnis NeueSchriftarten.

Sie müssen den Backslash "\" am Ende des Zielverzeichnisnamens wie oben im Beispiel verwenden, um das Zielverzeichnis kennzuzeichnen.


Alphabetische Liste der Schalter

-- | Schalterbearbeitung abbrechen
-@[+] | Dateilisten deaktivieren [aktivieren]
-ac | Archivattribut nach dem Packen oder Entpacken löschen
-ad | Archivname an das Zielverzeichnis anhängen
-af<Typ> | Archivformat festlegen
-ag[Format] | Archivnamen aus aktuellem Datum und aktueller Zeit erzeugen
-ai | Dateiattribute ignorieren
-ao | Dateien mit gesetztem Archivattribut hinzufügen
-ap<Pfad> | Verzeichnis innerhalb des Archivs setzen
-as | Archivinhalt synchronisieren
-cfg- | Standardprofil und Umgebungsvariable ignorieren
-cl | Dateinamen in Kleinbuchstaben umwandeln
-cp<Name> | Komprimierungsprofil auswählen
-cu | Dateinamen in Großbuchstaben umwandeln
-df | Dateien nach dem Archivieren löschen
-dh | Durch andere Anwendungen gesperrte Dateien öffnen
-dr | Dateien beim Löschen in den Papierkorb verschieben
-ds | Zu archivierende Dateien nicht sortieren
-dw | Dateien nach dem Archivieren sicher löschen
-ed | Leere Verzeichnisse nicht hinzufügen
-en | "Archivende"-Block nicht hinzufügen
-ep | Pfadangabe aus Namen entfernen
-ep1 | Stammverzeichnis aus Namen entfernen
-ep2 | Auf vollständige Pfadangabe erweitern
-ep3 | Auf vollständige Pfadangabe inklusive Laufwerksbuchstaben erweitern
-e[+]<Attr> | Dateien mit bestimmten Attributen ein- und ausschließen
-f | Bereits vorhandene Dateien erneuern
-hp[Pwt] | Dateidaten und Dateiköpfe verschlüsseln
-ht[b|c] | Hashverfahren [BLAKE2,CRC32] für Dateiprüfsumme wählen
-iadm | Administratorzugriff für SFX-Archive erfragen
-ibck | WinRAR im Hintergrund ausführen
-ieml[.][Adr] | Archiv als E-Mail versenden
-iicon<Name> | SFX-Icon angeben
-iimg<Name> | SFX-Logo angeben
-ilog[Name] | Fehler in eine Datei protokollieren
-inul | Fehlermeldungen ausschalten
-ioff | PC herunterfahren und ausschalten
-k | Archiv abschließen
-kb | Defekte entpackte Dateien behalten
-log[Format][=Name] | Dateinamen in Protokolldatei schreiben
-m<n> | Kompressionsmethode angeben
-ma[4|5] | Version des Archivformats festlegen
-mc<Par> | Erweiterte Komprimierungsparameter einstellen
-md<n>[k,m,g] | Wörterbuchgröße wählen
-me[Par] | Verschlüsselungsparameter einstellen
-ms[Liste] | Dateitypen angeben, die ohne Komprimierung im Archiv gespeichert werden
-mt<Threads> | Anzahl der Threads festlegen
-n<Dateimaske> | Zusätzlichen Filter auf die zu verarbeitenden Dateien anwenden
-n@<Liste> | Dateimasken für zusätzliche Filterung aus der Datei <Liste> lesen
-oc | NTFS-Attribut Komprimiert setzen
-oh | Harte Links als Links und nicht als Dateien speichern
-oi[-] | Gleiche Dateien als Verweise speichern
-ol | Symbolische Links als Links und nicht als Dateien speichern
-or | Dateien automatisch umbenennen
-os | NTFS-Datenströme speichern
-ow | Dateisicherheitsdaten speichern
-o[+|-] | Überschreibmodus festlegen
-p[Pwt] | Passwort setzen
-qo[-|+] | Daten zum schnellen Öffnen hinzufügen [nie|immer]
-r | Unterverzeichnisse rekursiv durchsuchen
-r- | Rekursion abschalten
-r0 | Unterverzeichnisse nur bei Namen mit Wildcards rekursiv durchsuchen
-ri<p>[:<s>] | Priorität und Ruhezeit setzen
-rr[N] | Wiederherstellungsdaten hinzufügen
-rv[N] | Wiederherstellungs-Volumen erstellen
-s | Solides Archiv erstellen
-s<N> | Solide Dateigruppen unter Verwendung einer bestimmten Dateianzahl erstellen
-sc<Zeichensatz>[Objekte] | Zeichensatz angeben
-se | Solide Dateigruppen unter Verwendung der Dateierweiterungen erstellen
-sfx[Name] | Selbstentpackendes Archiv erstellen
-sl<Größe> | Dateien kleiner als die angegebene Größe verarbeiten
-sm<Größe> | Dateien größer als die angegebene Größe verarbeiten
-sv | Unabhängige solide Volumen erstellen
-sv- | Abhängige solide Volumen erstellen
-s- | Keine solide Archivierung
-t | Dateien nach der Archivierung testen
-ta<Datum> | Dateien verarbeiten, die nach der angegebenen Zeit geändert wurden
-tb<Datum> | Dateien verarbeiten, die vor der angegebenen Zeit geändert wurden
-tk | Originale Archivzeit beibehalten
-tl | Archivzeit auf die Dateizeit der neusten Datei setzen
-tn<Zeit> | Dateien verarbeiten, die neuer als die angegebene Zeit sind
-to<Zeit> | Dateien verarbeiten, die älter als die angegebene Zeit sind
-ts[m|c|a][+|-|1] | Dateizeit (Änderung, Erstellung, Zugriff) speichern oder wiederherstellen
-u | Dateien erneuern
-v<n>[k|b|f|m|M] | Volumen erstellen
-vd | Laufwerksinhalt von Wechselmedien beim Erstellen von Volumen löschen
-ver[n] | Verschiedene Versionen einer Datei in einem Archiv ermöglichen
-vn | Alte Volumennamen verwenden
-vp | Pause vor jedem Volumen
-w<Pfad> | Verzeichnis für temporäre Dateien festlegen
-x<Datei> | Angegebene Datei ausschließen
-x@<Listendatei> | Dateien der Dateilistendatei ausschließen
-y | Alle Fragen mit "Ja" beantworten
-z<Datei> | Archivkommentar aus Datei lesen


Schalter -- - Schalterbearbeitung abbrechen

Dieser Schalter teilt WinRAR mit, dass es keine weiteren Schalter in der Befehlszeile gibt. Dies kann von Nutzen sein, wenn ein Archivname oder ein Dateiname mit dem Zeichen "-" beginnt. Ohne den Schalter "--" würde so ein Name als Schalter interpretiert werden.

Beispiel

Füge alle Dateien aus dem aktuellen Verzeichnis zum soliden Archiv -SeltsamerName hinzu:

WinRAR a -s -- -SeltsamerName


Schalter -@[+] - Dateilisten deaktivieren [aktivieren]

WinRAR behandelt Befehlszeilenparameter, die mit dem Zeichen '@' beginnen, als Dateilisten. Daher versucht WinRAR standardmäßig, die Dateiliste 'dateiname' einzulesen, wenn als Parameter '@dateiname' angegeben wurde. Existiert gleichzeitig jedoch die Datei '@dateiname', so behandelt WinRAR den Parameter als Datei mit dem Namen '@dateiname', anstatt die Dateiliste aus der Datei 'dateiname' einzulesen.

Mit dem Schalter -@[+] kann diese Zweideutigkeit verhindert werden. Der Schalter legt eindeutig fest, wie Parameter behandelt werden, die mit dem Zeichen '@' beginnen.

Gibt man -@ auf der Befehlszeile an, werden die nach diesem Schalter angegebenen Parameter mit dem Zeichen '@' am Anfang als Dateinamen angesehen und nicht als Dateilisten.

Gibt man -@+ auf der Befehlszeile an, werden die nach diesem Schalter angegebenen Parameter mit dem Zeichen '@' am Anfang als Dateilisten angesehen und nicht als Dateinamen.

Dieser Schalter wirkt sich nicht auf die Parameter aus, die vor diesem Schalter auf der Befehlszeile angegeben wurden.

Beispiel

Überprüfe die archivierte Datei '@home':

WinRAR t -@ notizen.rar @home


Schalter -AC - Archivattribut löschen

Dieser Schalter ist für Backup-Zwecke bestimmt. Wird er beim Archivieren benutzt, wird das Archivattribut bei Dateien nach dem erfolgreichen Packen gelöscht. Wird er beim Entpacken verwendet, löscht WinRAR das Archivattribut der entpackten Dateien. Der Schalter wirkt sich nicht auf die Attribute von Verzeichnissen aus.


Schalter -AD - Archivname an das Zielverzeichnis anhängen

Diese Option kann sehr nützlich beim Entpacken von mehreren Archiven sein. Standardmäßig legt WinRAR die Dateien aus allen Archiven im selben Verzeichnis ab. Dieser Schalter dagegen legt für die entpackten Dateien aus jedem Archiv ein eigenes Verzeichnis an.

Beispiel

WinRAR x -ad *.rar daten\

Für jedes entpackte Archiv legt WinRAR ein Unterverzeichnis im Verzeichnis 'daten' an.


Schalter -AF<Typ> - Archivformat festlegen

Dieser Schalter erlaubt es, ein Archivformat für neue Archive auf der WinRAR-Kommandozeile festzulegen. Der Parameter <Typ> kann 'rar' oder 'zip' sein.

Zum Beispiel erstellt 'winrar a -afzip arc' das ZIP-Archiv "arc.zip".

Dieser Schalter wird nur von WinRAR unterstützt. Die RAR-Version für die Windows-Konsole kann keine ZIP-Archive erstellen.


Schalter -AG[Format] - Archivnamen aus aktuellem Datum und aktueller Zeit erzeugen

Hängt das aktuelle Datum an den Archivnamen an, wenn ein Archiv bearbeitet oder ein neues Archiv erzeugt wird. Nützlich für tägliche Backups.

Das Format des angehängten Datums wird definiert durch den optionalen Parameter Format oder durch "YYYYMMDDHHMMSS", wenn dieser Parameter fehlt. Der Parameter Format kann die folgenden Zeichen enthalten:

Y | Jahr
M | Monat
MMM | Monatsnamen (Jan, Feb, usw.)
W | Kalenderwoche (eine Woche beginnt mit einem Montag)
A | Tag der Woche (Montag ist 1, Sonntag ist 7)
D | Tag des Monats
E | Tag des Jahres
H | Stunden
M | Minuten (wird als Minuten behandelt, wenn es nach Stunden auftritt)
I | Minuten (wird als Minuten behandelt, unabhängig von der Position von Stunden)
S | Sekunden
N | Archivnummer (nummerischer Wert, beginnt bei 1). Beim Archivieren sucht WinRAR nach einem bereits vorhandenen Archiv mit dem erzeugten Namen und erhöht im Falle der Existenz die Archivnummer, bis ein Name erzeugt wurde, der nicht verwendet wird. Das Formatzeichen 'N' wird beim Erstellen von mehrteiligen Archiven (Volumen) nicht unterstützt. Bei allen Nicht-Archivierungsvorgängen, wie z. B. beim Entpacken, wählt WinRAR das existierende Archiv mit dem Namen, das dem ersten nicht verwendeten Namen vorausgeht, oder setzt N auf 1, wenn dieses Archiv nicht existiert.

Jedes einzelne Zeichen der oben angegebenen Zeichenketten für das Formatieren repräsentiert genau ein Zeichen, was dem Archivnamen hinzugefügt wird. Verwenden Sie zum Beispiel WW für die Kalenderwoche mit zwei Ziffern oder YYYY für die Jahreszahl mit vier Ziffern.

Wenn das erste Zeichen von Format ein "+" ist, werden die Positionen von Datum und Archivnamen vertauscht, sodass das Datum vor dem Archivnamen steht.

Die Zeichenkette Format kann in '{' und '}' eingeschlossenen optionalen Text enthalten. Dieser Text wird in den Archivnamen eingefügt.

Alle anderen Zeichen werden zum Archivnamen ohne Änderungen hinzugefügt.

Wenn Sie eine bereits existierendes Archiv bearbeiten möchten, verwenden Sie den Schalter -ag mit Vorsicht. Abhängig von der Zeichenkette Format und der Zeit, die seit der vorherigen Verwendung von -ag vergangen ist, kann es passieren, dass die erzeugten und bestehenden Archivnamen nicht übereinstimmen. In diesem Fall erstellt oder öffnet WinRAR ein neues Archiv, anstatt das bestehende Archiv zu bearbeiten. Sie können mit dem Schalter -log den erzeugten Archivnamen in eine Datei schreiben und ihn für die weitere Verarbeitung aus der Datei lesen.

Beispiele

  1. Benutze das Standardformat YYYYMMDDHHMMSS

WinRAR a -ag backup

  2. Benutze das Format DD-MMM-YY

WinRAR t -agDD-MMM-YY backup

  3. Benutze das Format YYYYMMDDHHMM und setze das Datum vor den Archivnamen "backup"

WinRAR a -ag+YYYYMMDDHHMM backup

  4. Benutze das Format YYYY-WW-A und verwende zusätzliche Feldbeschreibungen

winrar a -agYYYY{Jahr}-WW{Woche}-A{WTag} backup

  5. Benutze das Format YYYYMMDD und die Archivnummer. Das erlaubt die Erzeugung von eindeutigen Namen, auch wenn das Format YYYYMMDD mehr als einmal am gleichen Tag verwendet wird

WinRAR a -agYYYYMMDD-NN backup


Schalter -AI - Dateiattribute ignorieren

Wird dieser Schalter beim Entpacken verwendet, setzt WinRAR die Dateiattribute der entpackten Dateien nicht auf die im Archiv gespeicherten Attributwerte. Mit diesem Schalter bleiben die Dateiattribute erhalten, die vom Betriebssystem einer neu erstellten Datei zugewiesen werden. Das betrifft die Dateiattribute "Archiv", "System", "Versteckt" und "Schreibgeschützt".

Wird dieser Schalter beim Archivieren verwendet, werden vordefinierte Werte, die typisch für Dateien und Verzeichnisse sind, anstelle der aktuellen Attributwerte im Archiv gespeichert.

Der Schalter wird beim Entpacken nur vom RAR- und ZIP-Format und beim Archivieren nur vom RAR-Format unterstützt.


Schalter -AO - Dateien mit gesetztem Archivattribut hinzufügen

Dieser Schalter ist für Backup-Zwecke bestimmt. Wird er beim Archivieren benutzt, werden nur Dateien mit gesetztem Archivattribut zum Archiv hinzugefügt. Der Schalter bewirkt bei Verzeichnissen nichts. Das heißt, es werden alle passenden Verzeichnisse unabhängig von ihren Attributen hinzugefügt. Es ist auch möglich, zusätzlich den Schalter -ed anzugeben. Dann werden alle Verzeichniseinträge übersprungen und nicht im Archiv gespeichert.

Beispiel

Füge alle Dateien auf Laufwerk C: mit gesetztem Archivattribut zum Archiv "f:backup" hinzu und lösche das Archivattribut der Dateien

WinRAR a -r -ac -ao f:backup c:\*.*


Schalter -AP - Verzeichnis innerhalb des Archivs setzen

Schalter -AP<Pfad> - Verzeichnis innerhalb des Archivs setzen

Beim Hinzufügen zu einem Archiv wird mit diesem Schalter das angegebene Verzeichnis allen Dateinamen vorangehängt. Beim Entpacken hingegen wird das angegebene Verzeichnis von den Dateinamen entfernt.

Wenn Sie zum Beispiel die Datei liesmich.txt ins das Verzeichnis DOKUMENTE\DEU des Archivs release hinzufügen möchten, können Sie diesen Befehl benutzen:

WinRAR a -apDOKUMENTE\DEU release liesmich.txt

Oder um alle Dateien im Verzeichnis DEU innerhalb des Archivs in das aktuelle Verzeichnis zu entpacken:

WinRAR x -apDOKUMENTE release DOKUMENTE\DEU\*.*

Der Schalter ist nur für RAR- und ZIP-Archive verfügbar.


Schalter -AS - Archivinhalt synchronisieren

Wenn dieser Schalter während des Archivierens benutzt wird, werden die Dateien aus dem Archiv entfernt, die nicht in der Liste der Dateien sind, die zum Archiv hinzugefügt werden sollen. Es ist sinnvoll, diesen Schalter in Kombination mit dem Schalter -u zu verwenden, um den Inhalt eines Archivs mit einem Verzeichnis abzugleichen.

Zum Beispiel bewirkt der Befehl:

WinRAR a -u -as backup quelltexte\*.cpp

dass das Archiv backup.rar nur noch "*.cpp"-Dateien aus dem Verzeichnis quelltexte enthält. Alle anderen Dateien werden aus dem Archiv gelöscht. Es läuft ähnlich ab wie beim Erstellen eines neuen Archivs, jedoch mit einem wichtigen Unterschied: Wenn keine Dateien seit dem letzten Backup verändert wurden, läuft der Vorgang bedeutend schneller ab als das Erstellen eines neuen Archivs.


Schalter -CFG- - Standardprofil und Umgebungsvariable ignorieren

Dieser Schalter weist WinRAR an, die gesetzten Optionen des Standard-Komprimierungsprofils, die Umgebungsvariable "RAR", das Standardverzeichnis für Archive und die Archivmasken im Dialog "Passwörter verwalten" zu ignorieren.


Schalter -CL - Dateinamen in Kleinbuchstaben umwandeln

Bei Benutzung dieses Schalters werden die Namen aller Dateien, die aus einem Archiv entpackt, zu einem Archiv hinzugefügt, in einem Archiv geändert oder erneuert werden, in Kleinbuchstaben umgewandelt. Das ist manchmal nützlich, wenn man mit einem Archiv von einem Betriebsystem, das Groß- und Kleinschreibung in Dateinamen nicht beachtet, zu einem Betriebssystem wechselt, das Groß- und Kleinschreibung von Dateinamen beachtet. Zum Beispiel, wenn man ein Archiv unter Unix entpackt, welches unter DOS erstellt wurde.

Beispiel

Entpacke alle Dateien aus "port.rar" und wandle alle Namen in Kleinbuchstaben um:

WinRAR x -cl port


Schalter -CP<Name> - Komprimierungsprofil auswählen

Mit Hilfe dieses Schalters können Sie Einstellungen laden, die in einem WinRAR-Komprimierungsprofil gespeichert wurden. Dazu ist die Angabe eines Profilnamens als Parameter für diesen Schalter erforderlich. Sind in dem gewählten Profil ausgewählte Dateien gespeichert, werden sowohl die im Profil gespeicherten als auch die in der Befehlszeile angegebenen Dateien komprimiert. Enthält das Profil einen Archivnamen, wird dieser Name beim Archivieren verwendet und Sie sollten keinen Archivnamen in der Befehlszeile angeben.

Beim Profilnamen wird zwischen Groß- und Kleinschreibung unterschieden. Geben Sie daher beim Parameter genau den Namen an, den Sie bei der Speicherung des Komprimierungsprofils angegeben haben.

Beispiel

Archiviere alle *.txt Dateien und verwende dafür die Einstellungen des Komprimierungsprofils "Meine Texte"

WinRAR a "-cpMeine Texte" texte *.txt


Schalter -CU - Dateinamen in Großbuchstaben umwandeln

Bei Benutzung dieses Schalters werden die Namen aller Dateien, die aus einem Archiv entpackt, zu einem Archiv hinzugefügt, in einem Archiv geändert oder erneuert werden, in Großbuchstaben umgewandelt.

Beispiel

Entpacke alle Dateien aus "port.rar" und wandle alle Namen in Großbuchstaben um:

WinRAR x -cu port


Schalter -DF - Dateien nach dem Archivieren löschen

Verschiebt Dateien in ein Archiv. Dieser Schalter zusammen mit dem Befehl a bewirkt das Gleiche wie der Befehl m.


Schalter -DH - Durch andere Anwendungen gesperrte Dateien öffnen

Erlaubt die Verarbeitung von Dateien, die von anderen Programmen zum Schreiben geöffnet sind.

Dieser Schalter ist dann eine Hilfe, wenn eine Anwendung einen lesenden Zugriff auf eine Datei erlaubt, aber wenn jegliche Arten des Dateizugriffs verboten sind, wird auch jede "Datei öffnen"-Operation scheitern.

Dieser Schalter kann gefährlich sein, weil er die Archivierung von Dateien erlaubt, die vielleicht grade von anderen Programmen geändert werden. Benutzen Sie den Schalter mit großer Vorsicht.

Wird der Schalter nicht angegeben, hängt die Verarbeitung von gesperrten Dateien von der Option "Durch andere Anwendungen gesperrte Dateien öffnen" im Standardkomprimierungsprofil ab.

Beispiel:

WinRAR a -dh dbf *.dbf


Schalter -DR - Dateien beim Löschen in den Papierkorb verschieben

Löscht die Dateien nach dem Archivieren und verschiebt sie in den Papierkorb.


Schalter -DS - Zu archivierende Dateien nicht sortieren

Dieser Schalter hat nur für solide RAR-Archive eine Bedeutung. Die Kompressionsrate in soliden Archiven hängt von der Dateireihenfolge ab. Normalerweise sortiert WinRAR die Dateien, die zu einem Archiv hinzugefügt werden sollen, nach deren Erweiterung. Sie können diese Sortierung mit dem Schalter -ds deaktivieren und versuchen, eine bessere Dateireihenfolge anzugeben. Allgemein gilt: Dateien mit ähnlichem Inhalt sollten dabei immer nah beieinander archiviert werden.

Beispiel

WinRAR a -s -ds tools *.com *.exe *.doc *.txt *.*

Die Dateien werden in der folgenden Reihenfolge hinzugefügt: *.com, *.exe, *.doc, *.txt, dann alle anderen Dateitypen.

Bemerkung

Die Datei rarfiles.lst kann auch verwendet werden, um die Reihenfolge von Dateien in soliden Archiven festzulegen.


Schalter -DW - Dateien nach dem Archivieren sicher löschen

Löscht die Dateien nach dem Archivieren. Vor dem Löschen werden die Dateien mit Null-Bytes überschrieben, sodass eine Wiederherstellung der Dateien (genauer: der Dateiinhalte) verhindert wird, die Dateien werden auf 0 Byte Größe verkleinert und erhalten einen temporären Dateinamen.

Beachten Sie, dass dieser Ansatz für das sichere Überschreiben nur für normale Festplatten funktioniert. Auf Solid-State-Drives ist aufgrund von Methoden zur Nutzungsverteilung (SSD Wear Leveling) und komplizierter Datenadressierung nicht sichergestellt, dass die ursprünglichen Dateidaten wirklich überschrieben werden.


Schalter -ED - Leere Verzeichnisse nicht hinzufügen

Dieser Schalter zeigt an, dass Verzeichnisse nicht im zu erstellenden Archiv gespeichert werden. Wenn so ein Archiv entpackt wird, erstellt WinRAR die nichtleeren Verzeichnisse aufgrund der Pfadinformationen der in den Verzeichnissen enthaltenen Dateien. Informationen über leere Verzeichnisse gehen verloren. Alle Eigenschaften von nichtleeren Verzeichnissen außer dem Namen (Zugriffsrechte, Datenströme, usw.) gehen ebenfalls verloren. Verwenden Sie daher diesen Schalter nur, wenn Sie solche Informationen nicht speichern möchten.

Wird -ed zusammen mit dem Befehl m oder dem Schalter -df verwendet, entfernt WinRAR leere Verzeichnisse nicht.


Schalter -EN - "Archivende"-Block nicht hinzufügen

Dieser Schalter wird bei RAR-Archiven im Format RAR 5.0 nicht unterstützt.

Normalerweise fügt WinRAR den "Archivende"-Block an das Ende eines neuen oder erneuerten Archivs an. Das macht es möglich, andere Daten, wie z.B. digitale Signaturen, ohne Probleme zu überspringen. In einigen Spezialfällen kann es allerdings nützlich sein, den "Archivende"-Block nicht hinzuzufügen. Wenn zum Beispiel ein Archiv zwischen zwei Systemen über eine unzuverlässige Verbindung übertragen wird, und zur gleichen Zeit der Sender neue Dateien zu dem Archiv hinzufügt, kann es wichtig sein, sicherzustellen, dass der bereits empfangene Teil der Datei am anderen Ende während der Übertragung nicht verändert wird.

Dieser Schalter kann nicht mit Volumen verwendet werden, weil der "Archivende"-Block wichtige Informationen für die korrekte Verarbeitung von Volumen enthält.


Schalter -EP - Pfadangabe aus Namen entfernen

Mit diesem Schalter werden Dateien ohne die Pfadinformationen zu einem Archiv hinzugefügt. Das kann dazu führen, dass mehrere Dateien mit demselben Namen in einem Archiv existieren.

Wird der Schalter beim Entpacken verwendet, werden die archvierten Pfade für die entpackten Daten ignoriert. Alle Dateien werden daher im selben Zielverzeichnis erstellt.

Beispiel

Archiviere ohne Pfadinformationen alle "*.bas"-Dateien des aktuellen Laufwerks:

WinRAR a -r -ep bsources \*.bas


Schalter -EP1 - Stammverzeichnis aus Namen entfernen

Speichert oder entpackt nicht den Pfad, der in der Kommandozeile angegeben wurde.

Beispiele

  1. Füge alle Dateien und Verzeichnisse aus dem Verzeichnis 'tmp' zum Archiv 'test' hinzu, speichere aber im Archiv bei den Namen nicht die Pfadinformation 'tmp\':

WinRAR a -ep1 -r test tmp\*

 Das ist gleichwertig zu den Befehlen:

cd tmp

WinRAR a -r ..\test

cd ..

  2. Entpacke alle Dateien, die zu der Dateimaske images\* passen, in das Verzeichnis dest\, entferne jedoch 'images\' von den Pfaden der zu erstellenden Dateien.

WinRAR x -ep1 data images\* dest\


Schalter -EP2 - Auf vollständige Pfadangabe erweitern

Speichert beim Archivieren die vollständigen Dateipfade (ohne den Laufwerksbuchstaben und dem führenden Backslash).


Schalter -EP3 - Auf vollständige Pfadangabe inklusive Laufwerksbuchstaben erweitern

Speichert beim Archivieren die vollständigen Dateipfade einschließlich dem Laufwerksbuchstaben. Die Trennzeichen zwischen Laufwerksbuchstaben und Pfadangaben (die Doppelpunkte) werden durch Unterstriche ersetzt.

Wird der Schalter -ep3 beim Entpacken verwendet, ersetzt WinRAR die Unterstriche wieder durch Doppelpunkte und erstellt die entpackten Dateien in ihren ursprünglichen Verzeichnissen und auf den ursprünglichen Laufwerken. Ein vom Benutzer ebenfalls angegebenes Zielverzeichnis wird ignoriert.

Der Schalter ersetzt beim Archivieren in UNC-Netzwerkpfaden die führenden Backslashes durch Unterstriche. \\server\freigabe wird also beim Archivieren zu __server\freigabe. Beim Entpacken werden die beiden Unterstriche wieder zu zwei Backslashes, der ursprüngliche Netzwerkpfad wird beim Entpacken so wiederhergestellt.

Dieser Schalter kann für ein Backup mehrerer Laufwerke in ein und dasselbe Archiv hilfreich sein. Zum Beispiel können Sie folgenden Befehl ausführen:

WinRAR a -ep3 -r Backup.rar c:\ d:\ e:\

um ein Backup zu erstellen, und

WinRAR x -ep3 Backup.rar

um es wiederherzustellen.

Aber seien Sie vorsichtig und verwenden Sie -ep3 nur dann, wenn Sie absolut sicher sind, dass das zu entpackende Archiv nicht irgendwelche schädlichen Dateien enthält. Mit anderen Worten: Verwenden Sie den Schalter nur, wenn Sie ein Archiv selbst erstellt haben oder dem Ersteller vollständig vertrauen. Dieser Schalter ermöglicht es, jede beliebige Datei an jedem beliebigen Ort auf Ihrem Computer einschließlich wichtiger Systemdateien zu überschreiben. Normalerweise sollte er nur für Backups und für die Wiederherstellung derselben verwendet werden.


Schalter -E[+]<Attr> - Dateien mit bestimmten Attributen ein- und ausschließen

Angabe einer Attributmaske <Attr>, die festlegt, welche Dateien und Verzeichnisse von der Verarbeitung ein- und ausgeschlossen werden. <Attr> ist eine dezimale, oktale (mit einer vorangestellten '0') oder eine hexadezimale (mit vorangestelltem '0x') Zahl.

Standardmäßig, ohne das Zeichen '+' vor <Attr>, definiert dieser Schalter die Attributmaske der auszuschließenden Dateien. Wenn also das Ergebnis der bitweisen UND-Operation zwischen <Attr> und den Dateiattributen nicht Null ist, wird die Datei nicht verarbeitet.

Ist das Zeichen '+' vorhanden, definiert der Schalter die Attributmaske der einzuschließenden Dateien. Nur Dateien, die mindestens eins der in der Attributmaske angegebenen Attribute haben, werden verarbeitet.

In der Windows-Version ist es auch möglich, die Symbole D, S, H, A und R anstelle der digitalen Maske (Zahlangabe) zu verwenden. Die Symbole stehen für folgende Attribute: D - Verzeichnis, S - System, H - Versteckt, A - Archiv, R - Schreibgeschützt. Die Attribute können in einer beliebigen Reihenfolge angegeben werden, die Reihenfolge ist nicht relevant.

-e<Attr> und -e+<Attr> können gleichzeitig in derselben Kommandozeile verwendet werden.

Beispiele

  1. Nur Verzeichnisnamen ohne deren Inhalte archivieren:

WinRAR a -r -e+d Verzeichnisse

  2. Packe weder Systemdateien noch versteckte Dateien:

WinRAR a -esh Dateien

  3. Entpacke nur nicht schreibgeschützte Dateien:

WinRAR x -er Dateien


Schalter -F - Bereits vorhandene Dateien erneuern

Der Schalter kann beim Entpacken oder Erstellen von Archiven verwendet werden. Die Befehls-/Schalterkombination "a -f" entspricht dem Befehl f. Sie können den Schalter "-f" auch mit dem Befehl m benutzen.

Wenn der Schalter "-f" zusammen mit den Befehlen x oder e verwendet wird, werden nur ältere Dateien durch die neueren Versionen aus dem Archiv ersetzt. Archivierte Dateien ohne eine Entsprechung außerhalb des Archivs werden nicht entpackt.

Die entsprechenden Optionen zu diesem Schalter in der Benutzeroberfläche von WinRAR sind die Optionen "Nur im Archiv vorhandene Dateien erneuern" im Dialog "Archivname und Archivparameter einstellen" und "Nur existierende Dateien ersetzen" im Dialog "Entpacken: Zielverzeichnis und Optionen".

Der Schalter wird nur vom RAR- und ZIP-Format unterstützt.


Schalter -HP[Pwt] - Dateidaten und Dateiköpfe verschlüsseln

Der Schalter ist vergleichbar mit dem Schalter -p[p], jedoch verschlüsselt der Schalter -p nur die Dateidaten, während die anderen Informationen wie Dateinamen sichtbar bleiben. Dieser Schalter verschlüsselt alle wichtigen Bereiche eines Archivs: Dateidaten, Dateinamen, Dateigrößen, Dateiattribute, Dateikommentare und andere Datenblöcke. Das bedeutet eine höhere Sicherheitsstufe.

Ohne das Passwort ist es dann sogar unmöglich, die Liste der Dateien in einem Archiv anzuschauen, das mit dem Schalter -hp verschlüsselt wurde.

Beispiel

Füge die Datei report.txt zum verschlüsselten Archiv geheim.rar hinzu unter Verwendung des Passworts 'fGzq5yKw':

WinRAR a -hpfGzq5yKw geheim report.txt


Schalter -HT[B|C] - Hashverfahren [BLAKE2,CRC32] für Dateiprüfsumme wählen

In RAR-Archiven wird die Unversehrtheit von Dateidaten durch Prüfsummen sichergestellt. Für jede Datei im Archiv wird eine Prüfsumme berechnet und gespeichert.

Standardmäßig verwendet WinRAR die CRC32-Funktion zu Berechnung der Prüfsumme. Beim RAR-5.0-Archivformat kann auch die BLAKE2-Hashfunktion anstelle der CRC32-Funktion gewählt werden.

Geben Sie den Schalter -htb für den BLAKE2-Hash und -htc für die CRC32-Funktion an. Da CRC32 der Standardalgorithmus ist, wird der Schalter -htc nur gebraucht, um den Modus -htb in der WinRAR-Konfiguration zu überschreiben.

Das Ergebnis der CRC32-Funktion ist ein 32 Bit breiter Wert. Die Eigenschaften von CRC32 ermöglichen es, die meisten unbeabsichtigten Datenfehler zu erkennen. Allerdings ist CRC32 nicht für die zuverlässige Identifizierung von Dateiinhalten geeignet. Anders ausgedrückt: Wenn zwei Dateien denselben CRC32-Wert haben, ist nicht gewährleistet, dass auch die Dateiinhalte übereinstimmen.

Das Ergebnis der BLAKE2-Hashfunktion ist ein 256 Bit breiter Wert. Da BLAKE2 aus kryptografischer Sicht eine starke Hashfunktion darstellt, ist praktisch sichergestellt, dass bei zwei Dateien mit derselben BLAKE2-Prüsumme auch die Dateiinhalte übereinstimmen. Eine BLAKE2-Prüfsumme ermöglicht eine zuverlässigere Erkennung von Fehlern in den Dateidaten als eine kürzere CRC32-Prüfsumme.

Da das Ergebnis der BLAKE2-Funktion länger ist und somit mehr Speicherplatz benötigt, wird ein Archiv bei der Verwendung von BLAKE2 (Schalter -htb) etwas größer als bei der Verwendung von CRC32.

Wenn die Archivheader nicht verschlüsselt sind (Schalter -hp nicht angegeben), werden die Prüfsummen bei verschlüsselten Dateien in RAR-5.0-Archiven mit Hilfe eines speziellen passwortabhängigen Algorithmus verändert. Dadurch ist es nicht mehr möglich, von den Prüfsummen auf die Inhalte der Dateien zu schließen. Die Prüfsummen von verschlüsselten Dateien in RAR-5.0-Archiven stimmen daher nicht mit echten CRC32- oder BLAKE2-Hashwerten überein.

Dieser Schalter wird nur für RAR-5.0-Archive unterstützt. Er muss daher zusammen mit dem Schalter -ma verwendet werden.

Dieser Schalter in der Befehlszeile ist gleichwertig zu der aktivierten Option "BLAKE2-Dateiprüfsumme verwenden" im Dialog "Archivname und Archivparameter einstellen - Optionen". in der WinRAR-Benutzeroberfläche.

Beispiel

Füge alle Dateien, die zu der Maske *.lst passen, zum Archiv listen.rar hinzu und verwende BLAKE2 für die Dateiprüfsummen

WinRAR a -ma -htb listen.rar *.lst


Schalter -IADM - Administratorzugriff für SFX-Archive erfragen

Verwenden Sie den Schalter -IADM, wenn Sie SFX-Archive erstellen möchten, die beim Start unter Windows Vista und neueren Windowsversionen nach einer Erlaubnis für den Administratorzugriff fragen. Dieser Schalter ändert nicht das Verhalten von SFX-Archiven unter älteren Windowsversionen.

Dieser Schalter entspricht in der WinRAR-Benutzeroberfläche der Option "Administratorzugriff erfragen" im Dialog "SFX-Optionen - Erweitert".

Beispiel

WinRAR a -sfx -iadm install.exe c:\daten


Schalter -IBCK - WinRAR im Hintergrund ausführen

Beim Beginn eines Archivoperation wird WinRAR in den System-Tray minimiert (als Icon rechts unten in die Taskleiste).

Dieser Schalter entspricht in der Benutzeroberfläche von WinRAR den Optionen "Archivieren im Hintergrund" im Dialog "Archivname und Archivparameter einstellen" und "Im Hintergrund entpacken" im Dialog "Entpacken: Zielverzeichnis und Optionen": Erweitert.


Schalter -IEML[.][Adr] - Archiv als E-Mail versenden

Hängt ein Archiv, das mit dem Befehl "Hinzufügen" erstellt oder erneuert wurde, an eine E-Mail-Nachricht an. Sie müssen ein MAPI-fähiges E-Mail-Programm installiert haben, um diesen Schalter benutzen zu können (Die meisten modernen E-Mail-Programme unterstützen die MAPI-Schnittstelle).

Sie können die E-Mail-Adresse des Empfängers direkt im Schalter angeben oder auch weglassen. Im letzteren Fall wird Ihr E-Mailprogramm nach der Mailadresse verlangen. Es ist möglich, mehrere E-Mail-Adressen anzugeben (durch Kommata oder Semikolons getrennt).

Wenn Sie ein Punkt "." an den Schalter -ieml anhängen, wird das Archiv gelöscht, nachdem es erfolgreich an ein E-Mail angehängt wurde.

Wird der Schalter bei der Erstellung eines gesplitteten Archivs benutzt, so wird jedes Volumen an ein eigenes E-Mail angehängt.


Schalter -IICON<Name> - SFX-Icon angeben

Gibt ein Icon an, dass in einem erstellten oder erneuerten selbstentpackenden Archiv verwendet wird. Der Parameter <Name> ist ein Name einer ICO-Datei. Wenn Sie den Schalter -iicon verwenden, dürfen Sie die SFX-Module nicht mit Hilfe von Programmen, die ausführbare Dateien packen können, komprimieren.

Dieser Schalter entspricht in der WinRAR-Benutzeroberfläche der Option "Lade SFX-Icon aus Datei" im Dialog "Erweiterte SFX-Optionen" - Text und Icon.

Beispiele

  1. Füge den Inhalt des Verzeichnisses c:\meine_dateien zum selbstentpackenden Archiv setup.exe hinzu und verwende c:\meine_icons\ver1.ico als SFX-Icon:

WinRAR a -sfx -iiconc:\meine_icons\ver1.ico setup.exe c:\meine_dateien

  2. Ersetze das Icon im bereits vorhandenen selbstentpackenden Archiv setup.exe durch das Icon ver2.ico im aktuellen Verzeichnis:

WinRAR s -iiconver2.ico setup.exe


Schalter -IIMG<Name> - SFX-Logo angeben

Gibt ein Bitmap-Bild an, dass in einem erstellten oder erneuerten selbstentpackenden Archiv als Logo angezeigt wird. Der Parameter <Name> ist ein Name einer BMP-Datei. Wenn Sie den Schalter -img verwenden möchten, dürfen Sie die SFX-Module nicht mit Hilfe von Programmen, die ausführbare Dateien packen können, komprimieren.

Dieser Schalter entspricht in der WinRAR-Benutzeroberfläche der Option "Lade SFX-Logo aus Datei" im Dialog "Erweiterte SFX-Optionen" - Text und Icon.

Die Größe des Standard-Logos beträgt 93x302 Pixel. Es wird empfohlen, nur Bitmap-Bilder zu verwenden, die gleich groß oder kleiner sind.

Beispiele

  1. Füge den Inhalt des Verzeichnisses c:\meinedateien zum selbstentpackenden Archiv setup.exe hinzu und verwende als SFX-Logo c:\bilder\logo.bmp:

WinRAR a -sfx -iimgc:\bilder\logo.bmp setup.exe c:\meinedateien

  2. Ersetze das Logo im bereits vorhandenen selbstentpackenden Archiv setup.exe durch das Logo logo2.bmp im aktuellen Verzeichnis:

WinRAR s -iimglogo2.bmp setup.exe


Schalter -ILOG[Name] - Fehler in eine Datei protokollieren

Schreibt Fehlermeldungen in die Datei rar.log im WinRAR-Verzeichnis. Sie können den Inhalt der Datei mit dem Befehl "Protokolldatei anzeigen" im Menü "Optionen" anschauen. Es ist möglich, im Schalter statt des Standardnamens rar.log ein anderen Namen für die Protokolldatei anzugeben, zum Beispiel "-ilogc:\log\backup.log". Wenn der angegebene Name keine Pfadangabe enthält, wird die Protokolldatei im Verzeichnis %APPDATA%\WinRAR erstellt.

Ist die Option "Fehler in Datei protokollieren" im Dialog "Einstellungen - Allgemein" eingeschaltet, werden die Fehlermeldungen auch ohne Angabe des Schalters -ilog in die Datei rar.log geschrieben.

Standardmäßig wird für die Protokolldatei die Textkodierung UTF-16 Little Endian verwendet. Die Kodierung lässt sich mit dem Schalter -sc<Zeichensatz>g ändern, wie zum Beispiel -scag für die Single-Byte-Kodierung des Betriebssystems.


Schalter -INUL - Fehlermeldungen ausschalten

Schaltet die Fehlermeldungen von WinRAR aus.


Schalter -IOFF - PC herunterfahren und ausschalten

Fährt den PC nach dem Ende der Archivoperation herunter und schaltet ihn aus. Die Hardware muss die "Power Off"-Funktion unterstützen.


Schalter -K - Archiv abschließen

Dieser Schalter verhindert jede weitere Veränderung eines Archivs durch WinRAR.


Schalter -KB - Defekte entpackte Dateien behalten

Dieser Schalter verhindert, dass WinRAR entpackte Dateien löscht, die nach dem Entpacken defekt sind (Dateien mit falscher Prüfsumme).


Schalter -LOG[Format][=Name] - Datei- / Archivnamen in Protokolldatei schreiben

Dieser Schalter schreibt bei Archivierungs-, Entpack- und Löschbefehlen beim RAR-Format und bei Archivierungsbefehlen beim ZIP-Format die Archiv- und Dateinamen in die angegebene Textdatei. Das Verhalten des Schalters lässt sich mit der Zeichenkette 'Format' festlegen. 'Format' kann aus einem oder mehreren der folgenden Zeichen bestehen:

A | Schreibe Archivnamen in die Protokolldatei. Wenn WinRAR Volumen erstellt oder bearbeitet, werden alle Volumennamen protokolliert.
F | Schreibe die Dateinamen aller verarbeiteten Dateien in die Protokolldatei. Es werden die Dateinamen beim Hinzufügen zu einem Archiv, beim Entpacken aus einem Archiv, beim Löschen und beim Auflisten von Dateien in einem Archiv protokolliert.
P | Wenn die Protokolldatei mit dem angegebenen Dateinamen existiert, hänge die Daten an die bestehende Datei an und erstelle keine neue Datei.
U | Schreibe die Daten im Unicode-Format.

Ist weder 'A' noch 'F' angegeben, wird automatisch 'A' angenommen.

Mit dem Paramter 'Name' kann der Name der Protokolldatei angegeben werden. Der 'Name' muss von der 'Format'-Zeichenfolge durch ein '='-Zeichen getrennt sein. Ist 'Name' nicht vorhanden, verwendet WinRAR den Standard-Dateinamen rarinfo.log.

Die mehrfache Verwendung des Schalters -log in derselben Befehlszeile ist erlaubt.

Dieser Schalter kann sehr nützlich sein, wenn man ein Archiv weiterverarbeiten möchte, das mit den Schaltern -ag oder -v in einer Batchdatei erstellt wurde. Dazu gibt man beim Erstellen eines Archivs -loga=archivname.txt an und liest anschließend mit einem geeigneten Batch-Befehl den von WinRAR erzeugten Archivnamen aus der Textdatei archivname.txt wieder ein: set /p name=<archivname.txt.

Nur beim RAR-Format werden alle Funktionen dieses Schalters unterstützt. Beim ZIP-Format trifft dies nur auf Archivierungsvorgänge zu. Von anderen Archivformaten wird dieser Schalter nicht unterstützt.

Beispiele

  1. Schreibe die Namen der erstellen Volumen in die Textdatei volumenliste.txt:

WinRAR a -v100m -loga=volumenliste.txt volume.rar c:\data

  2. Schreibe die erzeugten Archivnamen im Unicode-Format in die Textdatei backup.txt:

WinRAR a -ag -logau=backup.txt backup.rar meinedateien\*

  3. Schreibe die Namen der überprüften Volumen in die Textdatei volumenliste.txt und die Namen der überprüften archivierten Dateien in den Volumen in die Textdatei dateiliste.txt:

WinRAR t -log=volumenliste.txt -logf=dateiliste.txt volume.part01.rar


Schalter -M<n> - Kompressionsmethode angeben

Durch die Wahl der Ziffern 0 bis 5 für <n> können Sie eine geeignete Kompressionsmethode auswählen:

-m0 | speichern | Dateien ohne Kompression zum Archiv hinzufügen
-m1 | schnellste | Schnellstes Verfahren (geringste Kompression)
-m2 | schnell | Schnelles Kompressionsverfahren
-m3 | normal | Normales Kompressionsverfahren (Standard)
-m4 | gut | Gutes Kompressionsverfahren (stärkere Kompression)
-m5 | beste | Bestes Kompressionsverfahren (stärkste Kompression, aber am langsamsten)

Wird der Schalter nicht angegeben, benutzt WinRAR das "-m3"-Verfahren (Normale Kompression).

Die Kompressionsmethode kann auch aus der Liste "Kompressionsmethode" im Dialog "Archivname und Archivparameter einstellen" ausgewählt werden.


Schalter -MA[4|5] - Version des Archivformats festlegen

Standardmäßig erstellt WinRAR Archive im RAR-5.0-Format. Verwendet man den Schalter -ma4, so werden Archive im RAR-4.x-Format erstellt. Verwenden Sie den Schalter -ma5 oder nur -ma, um den in der Konfiguration gespeicherten Schalter -ma4 zu überschreiben und WinRAR zu zwingen, das RAR-5.0-Format zu verwenden.

Dieser Schalter wird nur beim Erstellen von Archiven verwendet. Beim Erneuern eines bereits vorhandenen Archivs wird er ignoriert.

Beispiel

Erstelle ein solides RAR-4.x-Archiv, komprimiere das Verzeichnis QuellVerz und verwende dafür ein 2 MB großes Wörterbuch:

WinRAR a -ma4 -md2m data QuellVerz


Schalter -MC<Par> - Erweiterte Komprimierungsparameter einstellen

Dieser Schalter ist hauptsächlich für Benchmarkzwecke und Experimente gedacht. Im Normalfall ist es besser, WinRAR die optimalen Parameter automatisch wählen zu lassen. Beachten Sie, dass der unsachgemäße Gebrauch dieses Schalters zu einer Verschlechterung der Performance und Kompressionsrate führen kann. Benutzen Sie den Schalter nur, wenn Sie genau wissen, was Sie tun.

Der Schalter hat folgende Syntax:

-mc[Param1][:Param2][Modul][+ oder -]

wobei <Modul> ein Zeichen ist, das den Teil des Kompressionsalgorithmus angibt, welcher konfiguriert werden soll. Es kann folgende Werte annehmen:

A | Audiokomprimierung;
C | Echtfarben(RGB)-Daten-Komprimierung;
D | Deltakomprimierung;
E | x86-Programmcode-Komprimierung;
I | Intel-Itanium-Programmcode-Komprimierung;
T | Textkomprimierung.

Beim RAR-5.0-Archivformat werden nur die Werte 'D' und 'E' unterstützt.

Das Zeichen "+" am Ende des Schalters wendet das ausgewählte Algorithmenmodul auf alle zu verarbeitenden Daten an, "-" schaltet das Modul vollständig ab. Wird kein Zeichen angegeben, wählt WinRAR basierend auf den aktuellen Daten und der Kompressionsmethode die Module automatisch aus. Der Schalter "-mc-" schaltet alle optionalen Algorithmenmodule ab und erlaubt nur die Anwendung des allgemeinen Komprimierungsalgorithmus.

Die Parameter <Param1> und <Param2> haben je nach gewähltem Algorithmenmodul verschiedene Bedeutungen. Sie werden unten beschrieben.

Audiokomprimierung, Deltakomprimierung

<Param1> ist die Anzahl der Bytekanäle (kann 1 - 31 sein).

WinRAR unterteilt Multibyte-Kanäle in einzelne Byte-Kanäle, zum Beispiel werden zwei 16-Bit Audiokanäle von WinRAR als vier Ein-Byte-Kanäle angesehen.

<Param2> wird ignoriert.

x86-Intel-Programmcode-Komprimierung, Intel-Itanium-Programmcode-Komprimierung, Echtfarben(RGB)-Daten-Komprimierung

<Param1> und <Param2> werden ignoriert.

Textkomprimierung

Der Algorithmus zur Textkomprimierung ermöglicht eine erhebliche Verbesserung der Kompressionsrate bei reinen Textdaten. Im Vergleich zu allgemeinen Komprimierungsalgorithmen in Multicore- und Multiprozessor-Umgebungen ist die Geschwindigkeit der Textkomprimierung beim Packen erheblich niedriger, da der Algorithmus mehrere CPU-Kerne nicht effizient nutzen kann. Auch die Geschwindigkeit beim Entpacken ist viel langsamer als bei allgemeinen Komprimierungsalgorithmen, sie ist unabhängig von der Anzahl der vorhandenen CPU-Kerne. Darum ist die Textkomprimierung standardmäßig abgeschaltet. Der Schalter -mct erlaubt WinRAR, den Textkomprimierungsalgorithmus auf geeignete Daten anzuwenden. Dann entscheidet WinRAR aufgrund der aktuellen Daten automatisch, ob der Textkomprimierungs-Algorithmus angewendet wird oder nicht. Der Schalter -mct+ wendet den Algorithmus zur Textkomprimierung auf alle zu komprimierenden Daten an.

Der Schalter -mct kann die Parameter <Param1> und <Param2> enthalten. Die vollständige Syntax lautet daher -mc[Param1][:Param2]t[+ oder -].

<Param1> ist der Grad des PPM-Algorithmus (kann 2 - 63 sein).

<Param2> ist der Speicher in Megabyte, der vom PPM-Algorithmus verwendet wird (1-128).

Der PPM-Algorithmus benötigt sowohl für die Komprimierung als auch für die Dekomprimierung die gleiche Menge an Speicher. Wenn Sie also eine zu große Speichermenge beim Erzeugen eines Archivs verwenden, können andere Leute beim Entpacken Probleme bekommen, wenn sie dazu ein Computer mit kleinerem Speicher verwenden. Entpacken wird zwar mit virtuellem Speicher möglich sein, der Vorgang wird aber sehr langsam ablaufen.

Beispiele

  1. Der Schalter -mc1a+ erzwingt die Verwendung der 8-Bit Mono Audiokomprimierung für alle Daten.
  2. Der Schalter -mc10:40t+ erzwingt die Verwendung des Textkomprimierungsalgorithmus für alle Daten, setzt den Grad der Komprimierung auf 10 und verwendet dabei 40 MB Speicher.
  3. Der Schalter -mc12t setzt den Textkomprimierungsgrad auf 12, wenn die Textkomprimierung verwendet wird, überlässt aber WinRAR die Entscheidung, wann die Textkomprimierung eingesetzt wird.

  4. Die Schalter -mct -mcd- erlaubt WinRAR, den Textkomprimierungsalgorithmus auf geeignete Daten anzuwenden, und schaltet die Deltakomprimierung ab.


Schalter -MD<n>[k,m,g] - Wörterbuchgröße wählen

Das Wörterbuch ist der Speicherbereich, der vom Komprimierungsalgorithmus verwendet wird, um sich wiederholende Datenmuster zu finden und zu komprimieren. Ist die Größe der zu komprimierenden Datei (oder die Gesamtgröße aller zu komprimierenden Dateien bei solider Archivierung) größer als die Wörterbuchgröße, führt eine Erhöhung der Wörterbuchgröße normalerweise zu einer Verbesserung der Kompressionsrate. Dann ist jedoch die Geschwindigkeit beim Packen geringer und der Speicherbedarf erhöht sich.

Beim RAR-4.x-Archivformat kann das Wörterbuch folgende Größen haben: 64 kB, 128 kB, 256 kB, 512 kB, 1 MB, 2 MB, 4 MB.

Beim RAR-5.0-Archivformat kann das Wörterbuch folgende Größen haben: 128 kB, 256 kB, 512 kB, 1 MB, 2 MB, 4 MB, 8 MB, 16 MB, 32 MB, 64 MB, 128 MB, 256 MB, 512 MB, 1 GB.

Durch Anhängen der Buchstaben 'k', 'm' und 'g' lässt sich die Größe in Kilo-, Mega- und Gigabyte angeben, z.B. -md64m für eine Wörterbuchgröße von 64 MB. Wird kein Buchstabe verwendet, wird automatisch Megabyte gewählt, der Schalter -md64m ist daher gleichwertig zu -md64.

Beim Archivieren benötigt WinRAR ungefähr das Sechsfache der angegebenen Wörterbuchgröße an Hauptspeicher. Die Wörterbuchgrößen 512 MB und 1 GB stehen daher nur in der 64-Bit-Version von WinRAR zur Verfügung. Unter Windows XP x64 kann beim Archivieren für die Wörterbuchgröße nur 128 MB oder weniger angegeben werden. Beim Entpacken wird etwas mehr als die einfache Wörterbuchgröße an Hauptspeicher benötigt. Daher kann man sowohl mit der 32-Bit-Version als auch mit der 64-Bit-Version von WinRAR Archive mit beliebigen Wörterbuchgrößen bis zu 1 GB entpacken.

Ist bei einem soliden Archiv die Gesamtgröße aller Dateien oder bei einem nicht soliden Archiv die Dateigröße der größten Datei weniger als halb so groß oder genauso groß wie die Größe des Wörterbuches, so kann WinRAR die Wörterbuchgröße herabsetzen. Das führt zu einem verringerten Speicherbedarf, ohne dass die Kompressionsrate sinkt.

Beim RAR-4.x-Archivformat beträgt die Standardgröße für das Wörterbuch 4 MB und beim RAR-5.0-Archivformat 32 MB.

ZIP-Archive werden von WinRAR immer mit 32 kB Wörterbuchgröße erstellt.

Die Wörterbuchgröße kann auch aus der Liste "Wörterbuchgröße" im Dialog "Archivname und Archivparameter einstellen - Allgemein" ausgewählt werden.

Beispiel

Erstelle ein solides Archiv im RAR-5.0-Format mit einer Wörterbuchgröße von 128 MB:

WinRAR a -s -ma -md128 lib *.dll


Schalter -ME[Par] - Verschlüsselungsparameter einstellen

Derzeit wird nur der Parameter "ZL" (ZIP legacy) unterstützt. Man kann den Schalter -mezl zusammen mit dem Schalter -p[Pwt] verwenden, um ein ZIP-Archiv zu erstellen, das mit dem alten ZIP-2.0-Verschlüsselungsalgorithmus verschlüsselt wird. Ohne den Schalter -mezl werden ZIP-Archive mit AES-256 verschlüsselt. Dieser Verschlüsselungsalgorithmus ist viel sicherer, kann aber inkompatibel zu einigen älteren Unzip-Tools sein.

Beispiel

Erstelle ein verschlüsseltes Archiv und verwende die alte ZIP-2.0-Verschlüsselung

WinRAR a -s -pmeinpasswort -mezl dokumente.zip *.txt


Schalter -MS - Dateitypen angeben, die ohne Komprimierung im Archiv gespeichert werden

Schalter -MS[Liste] - Dateitypen angeben, die ohne Komprimierung im Archiv gespeichert werden

Gibt Dateitypen an, die ohne Komprimierung gespeichert werden. Richtig eingesetzt, wird sich die Archivierungsgeschwindigkeit erhöhen, ohne dass die Kompressionsrate merklich geringer wird.

Der optionale Parameter <Liste> legt die Liste der Dateiendungen (durch Semikolons getrennt) fest. Zum Beispiel zwingt -msrar;zip;jpg WinRAR, alle RAR- und ZIP-Archive und alle JPG-Bilder ohne Komprimierung zu speichern. Es ist ebenfalls erlaubt, Wildcard-Dateimasken in der Liste anzugeben. So wird -ms*.rar;*.zip;*.jpg auch funktionieren. Die Angabe mehrerer Schalter -ms ist erlaubt, zum Beispiel -msrar -mszip statt -msrar;zip.

Wird <Liste> nicht angegeben, wird der Schalter -ms die Standardmenge von Dateierweiterungen verwenden. Diese enthält folgende Dateitypen:

7z, ace, arj, bz2, cab, gz, jpeg, jpg, lha, lz, lzh, mp3, rar, taz, tgz, xz, z, zip, zipx


Schalter -MT<Threads> - Anzahl der Threads festlegen

Der Parameter <Threads> kann Werte von 1 bis 32 annehmen. Der Parameter setzt einen Richtwert für die maximale Anzahl der aktiven Threads. Die angegebenen Anzahl gilt für den Komprimierungsalgorithmus und für andere WinRAR-Module, die mehrere Threads starten können. Obwohl WinRAR versucht, sich an den Richtwert zu halten, kann es manchmal vorkommen, dass die Anzahl der in Wirklichkeit verwendeten aktiven Threads größer ist als der angegebene Wert.

Eine Veränderung des Parameters <Threads> beeinflusst geringfügig die Komprimierungsrate. Das hat zur Folge, dass Archive, die mit unterschiedlichen -mt Schaltern erstellt werden, nicht exakt übereinstimmen - selbst dann nicht, wenn alle anderen Komprimierungseinstellungen gleich sind.

Wird der Schalter -mt nicht angegeben, versucht WinRAR die Anzahl der verfügbaren Prozessoren zu ermitteln und wählt anschließend automatisch die optimale Anzahl von Threads.


Schalter -N<Dateimaske> - Zusätzlichen Filter auf die zu verarbeitenden Dateien anwenden

Wendet die Dateimaske als zusätzlichen Filter auf die zu verarbeitenden Dateien an. Im Namen und Endung der Dateimaske können Wildcards verwendet werden. Für weitere Details zum Syntax von Dateimasken lesen Sie die Hilfe zum Schalter -x. Es ist möglich, den Schalter '-n' mehrmals in derselben Kommandozeile einzugeben. Der Schalter ersetzt nicht die normalen Dateimasken; diese müssen immer noch in der Kommandozeile eingegeben werden. Mit dem Schalter ist eine zusätzliche Filterung möglich, der die zu verarbeitenden Dateien auf die Dateien beschränkt, die zu der beim Schalter -n angegebenen Dateimaske passen. Dadurch ist es manchmal möglich, die Länge der Kommandozeile zu verkürzen.

Wenn Sie zum Beispiel alle *.txt und *.lst Dateien in den Verzeichnissen Projekt und Info packen möchten, können Sie Folgendes eingeben:

WinRAR a -r text Projekt\*.txt Projekt\*.lst Info\*.txt Info\*.lst

oder mit dem Schalter -n:

WinRAR a -r -n*.txt -n*.lst text Projekt Info


Schalter -N@<Liste> - Dateimasken für zusätzliche Filterung aus der Datei <Liste> lesen

Ähnlich wie der Schalter -n<Dateimaske>, im Gegensatz dazu werden die Dateimasken aus einer Datei gelesen.

Der Schalter ersetzt nicht normale Dateimasken-Listen in einer Datei oder die normalen Dateimasken; diese müssen immer noch in der Kommandozeile eingegeben werden. Mit dem Schalter ist eine zusätzliche Filterung möglich, der die zu verarbeitenden Dateien auf die Dateien beschränkt, die zu der beim Schalter -n angegebenen Dateimaske passen.

Beispiel

WinRAR a -r -n@liste.txt text Projekt Info @listendatei.txt


Schalter -OC - NTFS-Attribut "Komprimiert" setzen

Dieser Schalter ermöglicht es, beim Entpacken von Dateien den Status des NTFS-Attributs "Komprimiert" wiederherzustellen. WinRAR speichert beim Erstellen eines Archivs immer das Attribut "Komprimiert", aber stellt es erst dann wieder her, wenn der Schalter -oc angegeben wird. Dieser Schalter entspricht in der WinRAR-Benutzeroberfläche der Option "Attribut 'Komprimiert' setzen" im Karteireiter "Erweitert" des Entpackdialogs.

Dieser Schalter wird nur für RAR-Archive unterstützt.


Schalter -OH - Harte Links als Links und nicht als Dateien speichern

Wenn sich unter den zu archivierenden Dateien einige harte Links (NTFS Hard Links) befinden, wird der erste harte Link als Datei im Archiv gespeichert, die anderen harten Links in derselben Gruppe jedoch als Links auf die erste Datei. Beim Entpacken solcher Dateien erstellt WinRAR harte Links anstelle von normalen Dateien.

Nachdem das Archiv erstellt wurde, darf der erste harte Link im Archiv weder gelöscht noch umbenannt werden, weil sonst das Entpacken der folgenden Links nicht mehr möglich ist. Wird der erste Link geändert, werden auch die folgenden Links nach dem Entpacken den geänderten Inhalt haben. Der Befehl zum Entpacken muss den ersten harten Link beinhalten, nur dann werden die folgenden harten Links erfolgreich erstellt.

Der Schalter wird nur bei RAR-5.0-Archiven unterstützt.

Dieser Schalter in der Befehlszeile ist gleichwertig zu der Option Harte Links als Links speichern im Dialog "Archivname und Archivparameter einstellen - Erweitert" in der WinRAR-Benutzeroberfläche.


Schalter -OI[-][:<minGröße>] - Gleiche Dateien als Verweise speichern

Wird dieser Schalter angegeben, analysiert WinRAR die Inhalte aller zu archivierenden Dateien und beginnt erst dann mit der Archivierung. Werden identische Dateien gefunden (Dateien mit demselben Inhalt), wird nur die erste Datei als normale Datei im Archiv gespeichert, alle weiteren Dateien als Verweise auf die erste Datei. Damit ist eine Verringerung der Archivgröße möglich, für das resultierende Archiv ergeben sich jedoch einige Einschränkungen. Nachdem das Archiv erstellt wurde, darf die erste gespeicherte identische Datei weder umbenannt noch gelöscht werden, weil sonst das Entpacken der folgenden Dateien nicht mehr möglich ist, da diese als Verweise auf die erste Datei gespeichert sind. Wird die erste Datei geändert, werden auch die folgenden Dateien nach dem Entpacken den geänderten Inhalt haben. Der Befehl zum Entpacken muss die erste identische Datei beinhalten, nur dann werden die folgenden Dateien erfolgreich erstellt.

Der Schalter -oi sollte nur dann verwendet werden, wenn viele identische Dateien zu packen sind, das Archiv danach nicht mehr verändert und als Ganzes komplett entpackt wird oder es nicht notwendig ist, auch einzelne Dateien aus dem Archiv zu entpacken oder einzelne Dateien im Archiv beim Entpacken auszuschließen. Sind die identischen Dateien klein genug, sodass sie ins Wörterbuch passen, das mit dem Schalter -md<n> angegeben wurde, kann der Schalter -s eine anpassungsfähigere Lösung als -oi sein.

Der optionale Wert <minGröße> ermöglicht die Angabe einer unteren Grenze für die Dateigröße. Dateien kleiner als <minGröße> werden nicht analysiert und nicht in die Suche nach identischen Dateien einbezogen. Fehlt der Parameter, wird standardmäßig ein Wert von 64 kB angenommen. Wird ein zu kleiner Wert <minGröße> gewählt, kann das die Zeit für die Erkennung identischer Dateien erhöhen.

Der Schalter wird nur bei RAR-5.0-Archiven unterstützt.

Verwenden Sie den Schalter -oi-, um die in der WinRAR-Konfiguration angeschaltete Speicherung von gleichen Dateien als Verweise zu deaktivieren.

Dieser Schalter in der Befehlszeile ist gleichwertig zu der Option Gleiche Dateien als Verweise speichern im Dialog "Archivname und Archivparameter einstellen - Optionen" in der WinRAR-Benutzeroberfläche.

Beispiel:

Packe den Inhalt des aktuellen Verzeichnisses nach archiv.rar. Speichere dabei gleiche Dateien, die größer als 1000000 Bytes sind, als Verweise.

WinRAR a -oi:1000000 -ma archiv


Schalter -OL[A] - Symbolische Links als Links verarbeiten [absolute Pfade]

Schalter -OL - Symbolische Links als Links verarbeiten [absolute Pfade]

Speichere symbolische Links (Symbolic Links) und andere Analysepunkte (Reparse Points) im NTFS-Dateisystem als Links im Archiv. Die Inhalte, auf welche die Links verweisen, werden in diesem Fall nicht im Archiv gespeichert. Solche Archiveinträge werden beim Entpacken als symbolische Links oder Analysepunkte wiederhergestellt.

Der Schalter wird nur bei RAR-5.0-Archiven unterstützt.

Um symbolische Links beim Entpacken zu erstellen, kann es notwendig sein, WinRAR als Administrator ausführen.

WinRAR fügt beim Archivieren mit dem Schalter -ol alle Links unabhängig vom Link-Ziel hinzu. Standardmäßig entpackt WinRAR beim Entpacken symbolische Links nicht, deren Link-Ziel außerhalb des Zielverzeichisses liegt, die einen absoluten Pfad im Link-Ziel aufweisen, zu viele ".." im Link-Ziel haben oder andere möglicherweise gefährliche Parameter enthalten. Mit dem Schalter -ola kann das Entpacken solcher Links aktiviert werden.

Links, die auf Verzeichnisse außerhalb des Zielverzeichnisses beim Entpacken verweisen, können ein Sicherheitsrisiko darstellen. Aktivieren Sie das Entpacken solcher Links nur, wenn Sie sicher sind, dass der Inhalt des zu entpackenden Archivs sicher ist, wie z. B. Ihre eigenen Backups.

Symbolische Links, die WinRAR für ungefährlich hält, werden unabhängig vom Schalter -ol oder -ola immer entpackt.

Der Schalter -ol in der Befehlszeile ist gleichwertig zu der Option Symbolische Links als Links speichern im Dialog "Archivname und Archivparameter einstellen - Erweitert". Der Schalter -ola entspricht der Option "Absolute Pfade in symbolischen Links erlauben" im Dialog "Entpacken: Zielverzeichnis und Optionen": Erweitert in der WinRAR-Benutzeroberfläche.


Schalter -ONI - Möglicherweise inkompatible Namen erlauben.

Obwohl das NTFS-Dateisystem Dateinamen erlaubt, die mit Leerzeichen oder Punkten enden, können viele Windowsprogramme mit solchen Dateinamen nicht richtig umgehen. Wird der Schalter nicht angegeben, entfernt WinRAR beim Entpacken alle Leerzeichen und Punkte am Ende von Dateinamen, sofern welche vorhanden sind. Geben Sie diesen Schalter immer dann an, wenn solche Dateinamen genauso entpackt werden sollen wie sie sind.

Der Schalter -oni in der Befehlszeile ist gleichwertig zu der Option "Möglicherweise inkompatible Namen erlauben" im Dialog "Entpacken: Zielverzeichnis und Optionen - Erweitert".


Schalter -OR - Dateien automatisch umbenennen

Benennt entpackte Dateien automatisch um, wenn eine Datei mit dem selben Namen bereits existiert. Die umbenannten Dateien erhalten Namen nach dem Muster 'dateiname(N).txt', wobei 'dateiname.txt' der ursprüngliche Dateiname und 'N' eine Zahl ist, die bei 1 beginnt und erhöht wird, wenn die entsprechende Datei existiert.


Schalter -OS - NTFS-Datenströme speichern

Dieser Schalter hat nur für NTFS-Dateisysteme eine Bedeutung und erlaubt das Speichern alternativer Datenströme, die mit einer Datei verknüpft sind. Es ist empfehlenswert, den Schalter anzugeben, wenn Sie Software einsetzen, die Daten in alternativen Datenströmen ablegt, und Sie diese Datenstöme später wiederherstellen möchten.

Alternative Datenströme von NTFS-verschlüsselten Dateien werden nicht gespeichert.

Dieser Schalter entspricht in der WinRAR-Benutzeroberfläche der Option "Datenströme speichern" im Dialog "Archivname und Archivparameter einstellen".

Dieser Schalter wird nur für RAR-Archive unterstützt.


Schalter -OW - Dateisicherheitsdaten speichern

Benutzen Sie diesen Schalter beim Packen, um die Sicherheitsdaten (Berechtigungen) jeder Datei zu speichern, und beim Entpacken, um diese wiederherzustellen.

WinRAR speichert bei Angabe des Schalters Dateibesitzer, Gruppe, Zugriffsrechte und Revisionsinformationen, aber nur, wenn Sie die notwendigen Rechte zum Lesen dieser Daten besitzen. Beachten Sie, dass nur das NTFS-Dateisystem dateibasierende Sicherheitseinstellungen unterstützt.

Dieser Schalter entspricht in der WinRAR-Benutzeroberfläche der Option "Dateisicherheitsdaten speichern" im Dialog "Archivname und Archivparameter einstellen".

Dieser Schalter wird nur für RAR-Archive unterstützt.


Schalter -O[+|-] - Überschreibmodus festlegen

Dieser Schalter kann sowohl beim Entpacken als auch beim Erneuern von archivierten Dateien verwendet werden. Folgende Modi sind vorhanden:

-o | Vor dem Überschreiben nachfragen (Standardvorgabe beim Entpacken von Dateien)
-o+ | Vorhandene Dateien überschreiben (Standardvorgabe beim Erneuern archivierter Dateien);
-o- | Vorhandene Dateien überspringen.


Schalter -P[Pwt] - Passwort setzen

Setzt das Passwort <Pwt>, das beim Packen zum Verschlüsseln und beim Entpacken zum Entschlüsseln von Dateien verwendet wird. Bei Passwörtern wird zwischen Groß- und Kleinschreibung unterschieden. Die maximale Länge des Passworts beträgt 127 Zeichen. Längere Passwörter werden nach 127 Zeichen abgeschnitten und somit gekürzt. Wenn Sie das Passwort in der Kommandozeile weglassen, werden Sie aufgefordert, es einzugeben.

In der WinRAR-Benutzeroberfläche kann ein Passwort im Dialog "Standardpasswort eingeben" oder im Dialog "Archivname und Archivparameter eingeben" angegeben werden.

Beispiel

Füge den Inhalt des Verzeichnisses "Spiele" zum Archiv " Geheim" hinzu und verwende das Passwort "ZaBaToAd":

WinRAR a -pZaBaToAd -r Geheim Spiele\*.*

Bemerkungen

  1. Für eine höhere Sicherheit wählen Sie ein Passwort, das länger als 8 Zeichen ist. Vermeiden Sie Passwörter, die einfach zu erraten sind.
  2. Merken Sie sich ihre Passwörter. Wenn Sie das Passwort zu einem verschlüsselten Archiv vergessen, können Sie das Archiv nicht mehr entpacken.


Schalter -QO[-|+] - Daten zum schnellen Öffnen hinzufügen [nie|immer]

In RAR-Archiven wird jeder Dateiheader, der u. a. Informationen wie den Dateinamen, Dateizeiten, Dateigröße und Dateiattribute enthält, direkt vor den eigentlichen Daten der durch den Header beschriebenen Datei gespeichert. Durch dieses Vorgehen ist das Archiv besser gegen Beschädigungen geschützt als bei der Speicherung aller Dateiheader in einem zusammenhängenden Bereich. Wird nämlich dieser zusammenhängende Bereich mit den Headerdaten beschädigt oder teilweise entfernt, so kann auf den Archivinhalt nicht mehr zugegriffen werden, das ganze Archiv ist dann zerstört. Auch wenn das Speichern der Dateiheader direkt vor den Dateidaten zuverlässiger ist, hat das einen Nachteil. Wenn man den Archivinhalt schnell auslesen und anzeigen lassen möchte, wie zum Beispiel in der WinRAR-Benutzeroberfläche, dauert der Zugriff auf alle Dateiheader relativ lang und ist langsam, da die Dateiheader über das gesamte Archiv verteilt sind.

Um die Geschwindigkeit beim Öffnen von Archiven zu erhöhen und wie bisher auch das Archiv nicht von einem für Beschädigungen anfälligen Datenblock abhängig zu machen, können zu RAR-5.0-Archiven wahlweise Daten für das schnelle Öffnen hinzugefügt werden. Dieser Datensatz wird am Ende eines Archivs in einem zusammenhängenden Bereich gespeichert und enthält genau wie die über das gesamte Archiv verteilten Dateiheader die Dateinamen und weitere Dateiinformationen von Dateien im Archiv. Da dieser Bereich zusammenhängend ist, kann der Archivinhalt sehr schnell gelesen werden, ohne dass dafür sehr viele Spurwechselvorgänge auf dem Datenträger notwendig sind. Jeder Dateiheader in diesem Bereich ist durch eine Prüfsumme geschützt. Erkennt WinRAR, dass die Daten zum schnellen Öffnen einer Datei beschädigt sind, greift WinRAR auf den Dateiheader im Archiv zurück und liest diesen ein. Daher ist ein Archiv mit Daten zum schnellen Öffnen genauso gut gegen Beschädigungen geschützt wie eins ohne diese Daten.

Der Datensatz mit den Daten zum schnellen Öffnen enthält vollständige Dateiheader von Dateien im Archiv. Ein Dateiheader kann einige Zehn oder Hundert Bytes groß sein. Daher erhöht sich die Archivgröße beim Hinzufügen von Daten zum schnellen Öffnen um die Summe der Größe der hinzugefügten Dateiheader. Bemerkbar macht sich die Erhöhung der Archivgröße besonders beim Archivieren von sehr vielen kleinen Dateien, wenn diese ungefähr die gleiche Größe haben wie ihre Dateiheader. Wenn der Schalter -qo nicht angegeben oder ohne Parameter verwendet wird, kopiert WinRAR nur bei relativ großen Dateien die Dateiheader in den Datensatz für das schnelle Öffnen. Bei kleineren Dateien werden weiterhin die Dateiheader im Archiv verwendet. Dieses Vorgehen stellt einen guten Kompromiss zwischen der Geschwindigkeit beim Öffnen und der Archivgröße dar. Der Schwellenwert der Dateigröße, ab wann der Dateiheader zu den Daten für das schnelle Öffnen hinzugefügt wird, kann von der WinRAR-Version abhängen. Die höchstmögliche Geschwindigkeit beim Öffnen eines Archiv unabhängig von der Archivgröße erreicht man durch Angabe des Schalters -qo+. Dann werden alle Archivheader in den Datensatz zum schnellen Öffnen kopiert. Soll das Archiv jedoch möglichst klein sein und ist auch die Zeit nicht wichtig, die verschiedene Anwendungen zum Öffnen des Archivs benötigen, gibt man den Schalter -qo- an. Dann werden überhaupt keine Daten zum schnellen Öffnen hinzugefügt.

Möchten Sie den Performancegewinn dieses Schalters messen, achten Sie darauf, dass der Archivinhalt nicht im Cache des Datenträgers gehalten wird. Bei gecachten Archiven werden nämlich keine echten Spurwechsel auf dem Datenträger ausgeführt, die Zugriffe auf die Dateiheader laufen dann ebenfalls sehr schnell ab, auch wenn die Daten zum schnellen Öffnen nicht vorhanden sind.

Dieser Schalter in der Befehlszeile ist gleichwertig zu der Optionengruppe Daten zum schnellen Öffnen im Dialog "Archivname und Archivparameter einstellen - Optionen" in der WinRAR-Benutzeroberfläche.


Schalter -R - Unterverzeichnisse rekursiv durchsuchen

Aktiviert das rekursive Durchsuchen der Unterverzeichnisse. Kann mit folgenden Befehlen verwendet werden: a, u, f, m, x, e, t, k, rr, c und s.

Wird der Schalter mit den Befehlen a, u, f oder m verwendet, so werden sowohl alle Dateien in den Unterverzeichnissen als auch die Dateien im aktuellen Arbeitsverzeichnis verarbeitet.

Zusammen mit den Befehlen x, e, t, k, rr, c oder s werden alle Archive in den Unterverzeichnissen und alle Archive im aktuellen Arbeitsverzeichnis verarbeitet.

Beispiele

  1. Füge den Inhalt des Laufwerks C zum Archiv Backup hinzu:

WinRAR a -r Backup c:\*.*

  2. Teste alle Archive *.rar auf dem aktuellen Laufwerk:

WinRAR t -r \*.rar


Schalter -R- - Rekursion abschalten

Schaltet die rekursive Abarbeitung aller Unterverzeichnisse ab.

Auch ohne den Schalter -r schaltet WinRAR in manchen Situationen die Rekursion automatisch ein. Durch den Schalter -r- wird das unterbunden.

Wird beim Archivieren ein Verzeichnisname ohne Wildcards angegeben, so fügt WinRAR standardmäßig auch den Inhalt dieses Verzeichnisses zum Archiv hinzu, obwohl der Schalter -r nicht angegeben wurde. WinRAR schaltet die Rekursion ebenfalls automatisch an, wenn als Dateimaske das Wurzelverzeichnis eines Laufwerks ohne Wildcards angegeben wurde. Der Schalter -r- unterbindet dieses Verhalten.

Zum Beispiel fügt der Befehl

WinRAR a -r- archiv verzeichnisname

nur das leere Verzeichnis mit dem Namen 'verzeichnisname' zum Archiv hinzu. Der Inhalt des Verzeichnisses wird komplett ignoriert. Der Befehl

WinRAR a -r- archiv c:\

komprimiert nur die Dateien im Wurzelverzeichnis des Laufwerks c:. Dort vorhandene Unterverzeichnisse werden nicht rekursiv durchsucht und auch nicht zum Archiv hinzugefügt.


Schalter -R0 - Unterverzeichnisse nur bei Namen mit Wildcards rekursiv durchsuchen

Vergleichbar mit dem Schalter -r, allerdings werden bei den Befehlen a, u, f und m die Unterverzeichnisse nur bei Dateimasken rekursiv durchsucht, die die Wildcards '*' und '?' enthalten.

Dieser Schalter arbeitet nur mit Dateinamen. Verzeichnisnamen, die kein Dateinamen-Teil enthalten, wie zum Beispiel 'Ordnername', sind vom Schalter -r0 nicht betroffen. Die Inhalte dieser Verzeichnisse werden komplett zum Archiv hinzugefügt, wenn nicht der Schalter -r- angegeben wurde.

Beispiel

Füge alle *.doc-Dateien aus dem aktuellen Verzeichnis und dessen Unterverzeichnissen sowie die Datei liesmich.txt nur aus dem aktuellen Verzeichnis zu dem Archiv dokumente.rar hinzu. Wäre der Schalter -r statt -r0, würde WinRAR auch in den Unterverzeichnissen nach liesmich.txt suchen.

WinRAR a -r0 dokumente.rar *.doc liesmich.txt


Schalter -RI<p>[:<s>] - Priorität und Ruhezeit setzen

Dieser Schalter regelt die Systemauslastung durch WinRAR. Mögliche Werte für die Taskpriorität <p> sind 0 - 15.

Ist <p> gleich 0, verwendet WinRAR die Standardtaskpriorität. <p> gleich 1 setzt die niedrigst mögliche Priorität, 15 - die höchst mögliche.

Die Ruhezeit <s> ist ein Wert von 0 bis 1000 (Millisekunden). Dies ist die Zeitperiode, in der WinRAR nach Lese- oder Schreibvorgängen während einer Pack- oder Entpackoperation pausiert und die Kontrolle an das System übergibt. Werte von <s> ungleich 0 sind immer dann nützlich, wenn man die Systemauslastung weiter absenken muss, als es nur mit dem Parameter <p> erreicht werden könnte.

Beispiel

Führe WinRAR mit Standardpriorität und einer Ruhepause von 10 ms nach jedem Lese- und Schreibvorgang aus:

WinRAR a -ri0:10 Backup *.*


Schalter -RR[N] - Wiederherstellungsdaten hinzufügen

Dieser Schalter wird bei der Erstellung oder Änderung eines RAR-Archivs verwendet, um die Wiederherstellungsdaten zum Archiv hinzuzufügen. Für das RAR-4.x-Format ist der Parameter 'N' entweder die Anzahl der Wiederherstellungssektoren (n=1…524288) oder der Prozentwert von der Archivgröße, wenn das Zeichen '%' oder 'p' nach 'N' angegeben wird. Bei RAR-5.0-Archiven ist 'N' immer der Prozentwert von der Archivgröße, selbst wenn das Zeichen '%' oder 'p' fehlt.

Die Syntax dieses Schalters ist ähnlich zu dem beim Befehl "RR[N]". Für weitere Details lesen Sie bitte die Beschreibung zum Befehl RR[N] und den Abschnitt Archive vor Zerstörung schützen.

Dieser Schalter entspricht in der Benutzeroberfläche von WinRAR der Option "Wiederherstellungsdaten hinzufügen" im Dialog "Archivname und Archivparameter einstellen".

Beispiel

Füge alle Dateien *.txt aus dem aktuellen Verzeichnis zum Archiv Bücher hinzu und setze die Größe der Wiederherstellungsdaten auf 3% der Gesamtgröße des Archivs:

WinRAR a -rr3p Bücher *.txt


Schalter -RV[N] - Wiederherstellungs-Volumen erstellen

Dieser Schalter wird beim Erstellen eines gesplitteten RAR-Archivs verwendet, um Wiederherstellungs-Volumen zu erstellen. Seine Syntax ist der gleiche wie der des Befehls rv.


Schalter -S - Solides Archiv erstellen

Ein solides Archiv ist ein spezieller Archivtyp. Solide Archivierung verbessert die Kompressionsrate erheblich auf Kosten der Geschwindigkeit beim Erneuern des Archivs. Der Schalter hat nur dann eine Bedeutung, wenn ein neues RAR-Archiv erstellt wird.

Dieser Schalter entspricht in der Benutzeroberfläche von WinRAR der Option "Solides Archiv erstellen" im Dialog "Archivname und Archivparameter einstellen".

Beispiel

Füge alle Dateien *.c und *.h aus dem aktuellen Verzeichnis zum soliden Archiv Quelltexte hinzu:

WinRAR a -s Quelltexte *.c *.h

Für weitere Informationen lesen Sie den Abschnitt Solide Archive.


Schalter -S<N> - Solide Dateigruppen unter Verwendung einer bestimmten Dateianzahl erstellen

Vergleichbar mit dem Schalter -s, jedoch wird die solide Statistik nach dem Packen von <N> Dateien zurückgesetzt. Normalerweise sinkt dadurch die Kompressionsrate, dafür sinkt aber auch der Verlust an Daten im Falle eines defekten soliden Archivs.


Schalter -SC<Zeichensatz>[Objekte] - Zeichensatz angeben

Dieser Schalter ermöglicht die Angabe des Zeichensatzes für Dateien, die Dateilisten oder Archivkommentare enthalten (Listendateien bzw. Archivkommentardateien), sowie für Protokolldateien.

Die Angabe des Parameters 'Zeichensatz' ist zwingend erforderlich. Der Parameter 'Zeichensatz' kann eins der folgenden Werte haben:

U | Unicode UTF-16
F | Unicode UTF-8
A | Single-Byte-Kodierung des Betriebssystems. Unter Windows ist das die ANSI-Kodierung.
O | OEM-Kodierung (DOS)

Die Bytereihenfolge von Quell-UTF-16-Dateien, wie z. B. Listendateien oder Kommentare, wird mit Hilfe der Bytereihenfolge-Markierung (Byte Order Mark) erkannt. Fehlt die Bytereihenfolge-Markierung, wird Little-Endian als Bytereihenfolge angenommen.

Die Angabe des Parameters 'Objekte' ist optional. Der Parameter 'Objekte' kann eins der folgenden Werte haben:

G | Protokolldateien, die durch den Schalter -ilog erzeugt werden.
L | Listendateien
C | Kommentardateien

Es ist möglich, mehr als ein Objekt anzugeben, zum Beispiel -scolc. Fehlt der Parameter 'Objekte', wird der Parameter 'Zeichensatz' auf alle Objekte angewandt.

Dieser Schalter erlaubt die Angabe des Zeichensatzes für Dateien des Schalters -z<Datei>, für Dateien mit Dateiliste und Kommentardateien, die mit dem Befehl cw geschrieben werden.

Beispiele

  1. Lese Liste von Dateinamen aus der Datei 'liste' und verwende die OEM-Kodierung:

WinRAR a -scol daten @liste

  2. Lese die Datei kommentar.txt als Unicode-Datei:

WinRAR c -scuc -kommentar.txt daten

  3. Schreibe die Datei kommentar.txt als Unicode-Datei:

WinRAR cw -scuc daten kommentar.txt


Schalter -SE - Solide Dateigruppen unter Verwendung der Dateierweiterungen erstellen

Vergleichbar mit dem Schalter -s, jedoch wird die solide Statistik zurückgesetzt, sobald sich die Dateierweiterung ändert. Normalerweise sinkt dadurch die Kompressionsrate, dafür sinkt aber auch der Verlust an Daten im Falle eines defekten soliden Archivs.


Schalter -SFX[Name] - Selbstentpackendes Archiv erstellen

Wenn dieser Schalter bei der Erstellung eines neuen Archivs verwendet wird, wird ein selbstentpackendes Archiv (SFX) erstellt. Standardmäßig verwendet WinRAR als SFX-Modul die Datei Default.SFX für RAR-Archive und Zip.SFX für ZIP-Archive. Diese Module müssen sich im selben Verzeichnis wie winrar.exe befinden. Es ist möglich, mit dem Schalter "-sfx" einen anderen SFX-Modulnamen anzugeben.

Dieser Schalter entspricht in der WinRAR-Benutzeroberfläche der Option "Selbstentpackendes Archiv erstellen" im Dialog "Archivname und Archivparameter einstellen".

Beispiele

  1. Erstelle ein selbstentpackendes solides gesplittetes Archiv:

WinRAR a -sfx -v360 -s Spiele

  2. Erstelle ein selbstentpackendes Archiv mit dem SFX-Modul WinCon.SFX:

WinRAR a -sfxWinCon.SFX Geschenk.rar

Lesen Sie dazu auch: Befehl s[Name].


Schalter -SL<Größe> - Dateien kleiner als die angegebene Größe verarbeiten

Nur die Dateien verarbeiten, die kleiner sind als im Parameter <Größe> dieses Schalters angegeben. Der Parameter <Größe> muss in Bytes angegeben werden.

Der Schalter wird nur vom RAR- und ZIP-Format unterstützt.


Schalter -SM<Größe> - Dateien größer als die angegebene Größe verarbeiten

Nur die Dateien verarbeiten, die größer sind als im Parameter <Größe> dieses Schalters angegeben. Der Parameter <Größe> muss in Bytes angegeben werden.

Der Schalter wird nur vom RAR- und ZIP-Format unterstützt.


Schalter -SV - Unabhängige solide Volumen erstellen

Normalerweise versucht WinRAR, die solide Statistik so schnell wie möglich nach dem Beginn eines neuen Volumens zurückzusetzen. Das passiert aber nur, wenn nach einem vorangegangenen Zurücksetzen genügend Daten gepackt wurden (wenigstens ein paar Megabytes). Dieser Schalter zwingt WinRAR, die Größe der gepackten Daten zu ignorieren und die Statistik bei Volumen beliebiger Größe immer zurückzusetzen. Das senkt zwar die Kompressionsrate, aber erhöht die Chancen, ein Teil der Daten entpacken zu können, wenn ein Volumen eines soliden gesplitteten Archivs verloren gegangen ist oder beschädigt wurde.

Beachten Sie, dass WinRAR manchmal trotz Angabe dieses Schalters die Statistik nicht zurücksetzen kann. Zum Beispiel ist dies nicht möglich, wenn eine große Datei auf mehrere Volumen aufgeteilt wird. WinRAR kann die solide Statistik nur zwischen getrennten Dateien zurücksetzen, aber nicht innerhalb einer einzelnen Datei.

Der Schalter wird ignoriert, wenn kein gesplittetes Archiv erstellt wird.

Sie können diese Option auch in der RAR-Umgebungsvariable angeben, um diese dann in der Benutzeroberfläche von WinRAR zu benutzen.


Schalter -SV- - Abhängige solide Volumen erstellen

Verhindert, dass die solide Statistik zwischen Volumen zurückgesetzt wird. Dies erhöht zwar die Kompressionsrate geringfügig, aber die Chancen sinken erheblich, ein Teil der Daten entpacken zu können, wenn ein Volumen eines soliden gesplitteten Archivs verloren gegangen ist oder beschädigt wurde.

Der Schalter wird ignoriert, wenn kein gesplittetes Archiv erstellt wird.

Sie können diese Option auch in der RAR-Umgebungsvariable angeben, um diese dann in der Benutzeroberfläche von WinRAR zu benutzen.

Lesen Sie dazu auch: Schalter -sv


Schalter -S- - Keine solide Archivierung

Verwende keine solide Archivierung, auch wenn das im Standardkomprimierungsprofil angegeben wurde.


Schalter -T - Dateien nach der Archivierung testen

Testet die Dateien nach der Archivierung auf Fehler. Der Schalter ist besonders nützlich in Kombination mit dem Befehl "Verschieben". Dann werden die Dateien nur gelöscht, wenn das Archiv erfolgreich getestet wurde.


Schalter -TA<Datum> - Dateien verarbeiten, die nach dem angegebenen Datum geändert wurden

Verarbeite nur Dateien, die nach dem angegebenen Datum geändert wurden.

Das Format von <Datum> ist YYYYMMDDHHMMSS (YYYY=Jahreszahl, MM=Monat, DD=Tag, HH=Stunden, MM=Minuten, SS=Sekunden). Es ist möglich, Trennzeichen wie '-' oder ':' in das Datum einzufügen und nachfolgende Felder wegzulassen. Zum Beispiel ist der folgende Schalter korrekt: -ta2001-11-20. Intern wird er auf -ta20011120000000 erweitert und interpretiert als "Dateien, die nach der Uhrzeit 00:00:00 Uhr des 20. November 2001 geändert wurden".


Schalter -TB<Datum> - Dateien verarbeiten, die vor dem angegebenen Datum geändert wurden

Verarbeite nur Dateien, die vor dem angegebenen Datum geändert wurden.

Das Format von <Datum> ist YYYYMMDDHHMMSS (YYYY=Jahreszahl, MM=Monat, DD=Tag, HH=Stunden, MM=Minuten, SS=Sekunden). Es ist möglich, Trennzeichen wie '-' oder ':' in das Datum einzufügen und nachfolgende Felder wegzulassen. Zum Beispiel ist der folgende Schalter korrekt: -ta2001-11-20. Intern wird er auf -ta20011120000000 erweitert und interpretiert als "Dateien, die vor der Uhrzeit 00:00:00 Uhr des 20. November 2001 geändert wurden".


Schalter -TK - Originale Archivzeit beibehalten

Verhindert, dass WinRAR bei einer Archivänderung die Archivzeit verändert.


Schalter -TL - Archivzeit auf die Dateizeit der neusten Datei setzen

Setzt die Archivzeit auf die Zeit der neusten Datei im Archiv. Zwingt WinRAR, die Zeit eines veränderten Archivs auf die Zeit der neusten Datei im Archiv zu setzen.


Schalter -TN<Zeit> - Dateien verarbeiten, die neuer als die angegebene Zeit sind

Benutzen Sie diesen Schalter, um nur die Dateien zu verarbeiten, die neuer sind als die angegebene Zeitspanne. Das Format der Zeitangabe <Zeit> ist:

[<Anzahl der Tage>d][<Anzahl der Stunden>h][<Anzahl der Minuten>m][<Anzahl der Sekunden>s]

Verwenden Sie zum Beispiel den Schalter "-tn15d", um Dateien zu verarbeiten, die neuer als 15 Tage sind, und den Schalter "-tn2h30m", um Dateien zu verarbeiten, die neuer als 2 Stunden und 30 Minuten sind.


Schalter -TO<Zeit> - Dateien verarbeiten, die älter als die angegebene Zeit sind

Benutzen Sie diesen Schalter, um nur die Dateien zu verarbeiten, die älter sind als die angegebene Zeitspanne. Das Format der Zeitangabe <Zeit> ist:

[<Anzahl der Tage>d][<Anzahl der Stunden>h][<Anzahl der Minuten>m][<Anzahl der Sekunden>s]

Verwenden Sie zum Beispiel den Schalter "-to15d", um Dateien zu verarbeiten, die älter als 15 Tage sind, und den Schalter "-to2h30m", um Dateien zu verarbeiten, die älter als 2 Stunden und 30 Minuten sind.


Schalter -TS<m,c,a>[N][+|-] - Dateizeit (Änderung, Erstellung, Zugriff) speichern oder wiederherstellen

Schalter -TS[m|c|a][+|-|1] - Dateizeit (Änderung, Erstellung, Zugriff) speichern oder wiederherstellen

Bei Angabe des Schalters -tsm wird die Zeit der letzten Änderung, bei -tsc die Zeit der Erstellung und bei -tsa die Zeit des letzten Zugriffs einer Datei gespeichert. Die mehrfache Verwendung von -ts Schaltern ist möglich, wie z. B. -tsc -tsa. Wird 'm', 'c' oder 'a' beim Schalter nicht angegeben, werden alle drei Zeiten angenommen.

Hängen Sie ein '+' an, um eine Dateizeit mit maximal möglicher Präzision zu speichern. Der konkrete Wert der höchsten Genauigkeit hängt vom Betriebssystem und dem Dateisystem ab. Unter Windows kann das bis 100 Nanosekunden und unter Unix 1 Nanosekunde sein. Hängen Sie '1' an, um eine Präzision von 1 Sekunde vorzugeben, oder '-', um die Dateizeit nicht zu speichern. Sind '+', '-' oder '1' nicht vorhanden, wird '+' angenommen. Die Schalter -ts+ und -ts speichern demnach alle drei Dateizeiten mit höchster Präzision.

RAR-4.x-Archive enthalten immer die Zeit der letzten Änderung. Bei RAR-4.x-Archiven speichert der Schalter -tsm- weiterhin die Zeit der letzten Änderung, allerdings mit der niedrigsten möglichen Präzision von 2 Sekunden. Nur die Speicherung der zwei anderen Dateizeiten kann unterbunden werden, also die Speicherung der Zeit der Erstellung und des letzten Zugriffs. Bei RAR-5.0-Archiven hingegen ist es möglich, die Speicherung aller Dateizeiten einschließlich der Zeit der letzten Änderung zu verhindern. Bei den entpackten Dateien werden dann die Dateizeiten auf die aktuelle Zeit des Betriebssystems gesetzt. Die Schalterkombination -tsm- -tsc- -tsa- oder kurz -ts- speichert also bei RAR-4.x-Archiven die Zeiten der letzten Änderung mit geringer Präzision und bei RAR-5.0-Archiven überhaupt keine Dateizeiten.

Wird der Schalter -ts nicht angegeben, speichert WinRAR die Zeit der letzten Änderung mit höchster Präzision, die zwei anderen Dateizeiten werden nicht gespeichert.

Es ist notwendig, die Schalter -tsc and -tsa anzugeben, um beim Entpacken von Dateien die Zeit der Erstellung und die Zeit des letzten Zugriffs zu setzen. Standardmäßig setzt WinRAR nur die Zeit der letzten Änderung, selbst wenn ein Archiv die Zeit der Erstellung und die Zeit des letzten Zugriffs enthält. Verwenden Sie dann den Schalter -tsm- oder nur -ts-, um bei den entpackten Dateien die Zeiten der letzten Änderung auf die aktuelle Zeit des Betriebssystems statt auf die im Archiv gespeicherten Zeiten zu setzen.

Windows erlaubt das Setzen aller drei Zeiten beim Entpacken. Unter Unix kann die Zeit der letzten Änderung und des letzten Zugriffs, aber nicht die Zeit der Erstellung gesetzt werden.

Alle bisher beschriebenen Arten für die Speicherung und Wiederherstellung von Dateizeiten werden nur für das RAR-Format unterstützt. Bei ZIP-Archiven wird die Zeit der letzten Änderung mit höchster Genauigkeit in derselben Datenstruktur gespeichert wie die Zeit der Erstellung und die Zeit des letzten Zugriffs. Beim Packen ins ZIP-Format bewirkt daher der Schalter -ts oder -tsm die Speicherung aller drei Dateizeiten, die Schalter -tsa und -tsc werden ignoriert. Verwenden Sie den Schalter -ts oder -tsm, um alle Zeiten in höchster Genauigkeit zu speichern (Standardvorgabe beim Packen im ZIP-Format). Geben Sie -ts- oder -tsm- an, um nur die Zeit der letzten Änderung mit geringer Genauigkeit zu speichern. Beim Entpacken von ZIP-Archiven bestimmen die Schalter -tsm -tsc -tsa, welche Dateizeiten nach dem Entpacken einer Datei wieder gesetzt werden. Es gibt keinen Unterschied für die Verwendung dieser Schalter beim Entpacken aus einem RAR-Archiv und aus einem ZIP-Archiv.

Beipiele

  1. Speichere alle Dateizeiten mit der höchstmöglichen Genauigkeit:

WinRAR a -ts backup

  2. Stelle die Zeit der letzten Änderung und die Zeit des letzten Zugriffs wieder her. Der Schalter -tsm braucht nicht angegeben zu werden, weil WinRAR die Zeit der letzten Änderung standardmäßig setzt. Soll ausschließlich die Zeit der letzten Änderung wiederhergestellt werden, müssen die beiden Schalter -tsm- -tsa verwendet werden:

WinRAR x -tsa backup

  3. Speichere die Zeiten der letzten Änderung und die Zeiten der Erstellung mit geringer Genauigkeit.

WinRAR a -tsm1 -tsc1 backup


Schalter -U - Dateien erneuern

Kann sowohl beim Entpacken als auch bei der Erstellung von Archiven verwendet werden. Die Befehls/Schalterkombination a -u entspricht dem Befehl u. Sie können den Schalter "-u" auch mit dem Befehl m verwenden.

Wird der Schalter "-u" zusammen mit den Befehlen x oder e benutzt, werden ältere Dateien durch die neueren Versionen aus dem Archiv ersetzt. Im Gegensatz zum Schalter -f werden archivierte Dateien ohne eine entsprechende ungepackte Datei trotzdem entpackt.

Die entsprechenden Optionen zu diesem Schalter in der Benutzeroberfläche von WinRAR sind die Optionen "Dateien hinzufügen und erneuern" im Dialog "Archivname und Archivparameter einstellen" und "Dateien entpacken und erneuern" im Dialog "Entpacken: Zielverzeichnis und Optionen".

Der Schalter wird nur vom RAR- und ZIP-Format unterstützt.


Schalter -V<n>[k|b|f|m|M|g|G] - Volumen erstellen

Erstellt ein gesplittetes Archiv mit Volumen der Größe=<n>*1000 Bytes.

Standardmäßig wird bei diesem Schalter <n> mit tausend (1000) Bytes multipliziert (nicht mit 1024 Bytes). Sie können die Größe auch durch Anhängen verschiedener Buchstaben in anderen Maßeinheiten angeben: 'k' für Kilobyte, 'b' für Byte, 'm' für Megabyte, 'M' für Millionen von Bytes, 'g' für Gigabyte, 'G' für Milliarden von Bytes. Oder Sie wählen eines der vordefinierten Werte mit dem Buchstaben 'f' und anschließender Größenangabe aus. Die vordefinierten Größen können 360, 720, 1200, 1440 oder 2880 sein. Diese werden dann durch die entsprechenden Diskettengrößen ersetzt. Wird keine Größe angegeben, wird die automatische Größenerkennung verwendet.

Die Angabe von Nachkommastellen ist erlaubt. Als Dezimaltrennzeichen wird der Punkt "." verwendet. -v1.5g bedeutet zum Beispiel 1,5 Gigabytes.

Sie können mehrere -v Schalter angeben, um unterschiedliche Größen für verschiedene Volumen festzulegen. Zum Beispiel:

rar a -v100k -v200k -v300k archivname

setzt die Größe des ersten Volumen auf 100 kB, des zweiten Volumen auf 200 kB und für alle folgenden Volumen auf 300 kB.

Werden Volumen auf Wechseldatenträgern erstellt, so erscheint nach der Erstellung des ersten Volumens folgender Dialog:

Wollen Sie das nächste Volumen erstellen? Ja/Nein/Alle erstellen

Jetzt sollten Sie den Datenträger wechseln. Wenn Sie mit "Alle erstellen" antworten, werden alle Volumen ohne Pause dazwischen erstellt.

Standardmäßig haben RAR-Volumen Namen der Form 'volumenname.partNNN.rar', wobei NNN die Nummer des Volumens ist. Beim RAR-4.x-Format ist es mit dem Schalter -vn möglich, ein anderes, auf der Dateierweiterung basierendes Nummerierungssystem zu verwenden. In diesem Fall hat das erste Volumen in der Folge die Erweiterung ".rar", die nachfolgenden Volumen-Erweiterungen sind nummeriert von ".r00" bis ".r99". Bei RAR-5.0-Archiven wird der Schalter -vn und das auf der Dateierweiterung basierende Namensschema nicht unterstützt.

Um gesplittete Archive zu entpacken oder zu testen, müssen Sie nur den ersten Volumennamen verwenden. Existiert das nächste Volumen im aktuellen Laufwerk nicht, so erscheint folgender Dialog:

Datenträger mit dem Volumen <nächster Volumenname> einlegen. OK/Abbrechen

Legen Sie nun den Datenträger mit dem richtigen Volumen ein und drücken Sie "OK".

Archiv-Volumen, d.h. Teile eines gesplitteten Archivs, können nicht verändert werden. Die Befehle d, f, u oder s können daher nicht auf ein gesplittetes Archiv angewendet werden. Der Befehl a kann ausschließlich zur Erstellung eines neuen gesplitteten Archivs (Multi-Volumen-Archiv) benutzt werden.

Es ist möglich, wenn auch unwahrscheinlich, dass einzelne gepackte Dateien in einem Volumen größer sein können als im unkomprimierten Zustand. Das ist auf den Umstand zurückzuführen, dass die Kompressionsmethode "speichern" (keine Komprimierung, wenn die gepackte Datei größer als die ungepackte Datei ist) in gesplitteten Archiven nicht zur Verfügung steht.

Gesplittete Archive können solide und/oder selbstentpackend sein.

Die entsprechende Option zu diesem Schalter in der Benutzeroberfläche von WinRAR ist das Feld "Volumengröße (in Bytes)" im Dialog "Archivname und Archivparameter einstellen".

Beispiel

Erstelle 1200000 Byte große, solide, selbstentpackende Volumen:

WinRAR a -v1200 -s -sfx bilder


Schalter -VD - Laufwerksinhalt von Wechselmedien beim Erstellen von Volumen löschen

Alle Dateien und Verzeichnisse auf dem Zieldatenträger werden vor dem Beginn einer Archivoperation gelöscht, wenn der Schalter '-vd' verwendet wird. Wenn Sie Volumen erstellen, wird der Inhalt des Zieldatenträgers vor dem Erstellen jedes einzelnen Volumens gelöscht. Das ermöglicht Ihnen, auch auf nicht-leeren Wechselmedien Volumen zu erstellen. Stellen Sie sicher, dass sich auf den Datenträgern keine wichtigen Informationen befinden.

Der Schalter lässt sich nur auf Wechseldatenträger anwenden, Festplatten können durch die Verwendung des Schalters nicht gelöscht werden.


Schalter -VER[n] - Verschiedene Versionen einer Datei in einem Archiv ermöglichen

Zwingt WinRAR, vorherige Dateiversionen beim Erneuern eines vorhandenen Archivs darin zu belassen. Alte Versionen werden zu "dateiname;n " umbenannt, wobei 'n' die Versionsnummer ist.Dieser Schalter wird nur für RAR-Archive unterstützt.

Entpackt man ein Archiv ohne Angabe des Schalters "-ver", so entpackt WinRAR standardmäßig nur die zuletzt hinzugefügte Dateiversion (die Version ohne Versionsnummer am Ende des Dateinamens). Wenn Sie jedoch den Dateinamen mit der Versionsnummer exakt angeben, wird auch nur diese Version entpackt. Zum Beispiel entpackt der Befehl "winrar x archivname" nur die neusten Versionen, während der Befehl "winrar x archivname aufsatz.txt;5" nur die Datei "aufsatz.txt;5" entpackt, wenn diese Version im Archiv vorhanden ist.

Wird der Schalter "-ver" ohne eine Versionsnummer beim Entpacken angegeben, entpackt WinRAR alle Versionen aller Dateien, die zu der angegebenen Dateimaske passen. In diesem Fall werden die Versionsnummern von den entpackten Dateinamen nicht entfernt. Sie können auch eine konkrete Version aller Dateien entpacken, indem Sie diese Versionsnummer als Parameter hinter den Schalter "-ver" setzen. Das wird WinRAR veranlassen, nur diese Versionen zu entpacken und die Versionsnummern von den Dateinamen zu entfernen. Zum Beispiel entpackt der Befehl "winrar x -ver5 archivname" nur Dateien mit der Versionsnummer fünf.

Gibt man den Parameter 'n' beim Archivieren an, so begrenzt das die maximale Anzahl von Dateiversionen, die im Archiv gespeichert werden. Alte Dateiversionen, die über dieser Grenze liegen, werden gelöscht.


Schalter -VN - Alte Volumennamen verwenden

Standardmäßig haben RAR-Volumen Namen der Form "volumenname.partNNN.rar", wobei NNN die Nummer des Volumens ist. Beim RAR-4.x-Format ist es mit dem Schalter -vn möglich, ein anderes, auf der Dateierweiterung basierendes Nummerierungssystem zu verwenden. In diesem Fall hat das erste Volumen in der Folge die Erweiterung ".rar", die nachfolgenden Volumen-Erweiterungen sind nummeriert von ".r00" bis ".r99".

Bei RAR-5.0-Archiven wird der Schalter -vn und das auf der Dateierweiterung basierende Namensschema nicht unterstützt.


Schalter -VP - Pause vor jedem Volumen

Standardmäßig fragt WinRAR vor dem Verarbeiten des nächsten Volumens nur dann nach einer Bestätigung, wenn Volumen auf Wechseldatenträgern erstellt werden sollen und der verfügbare Speicherplatz auf dem Wechseldatenträger kleiner als die Volumengröße ist. Dieser Schalter zwingt WinRAR, diese Bestätigung immer vor dem Erstellen und Entpacken des nächsten Volumens anzufordern. Das kann zum Beispiel nützlich sein, wenn Sie jedes neue Volumen sofort nach der Erstellung auf einen anderen Datenträger kopieren möchten.


Schalter -W<Pfad> - Verzeichnis für temporäre Dateien festlegen

WinRAR muss für einige Operationen wie zum Beispiel die Änderung von Archiven temporäre Dateien und Verzeichnisse erstellen. Standardmäßig werden diese in dem Verzeichnis angelegt, das im Feld "Verzeichnis für temporäre Dateien" im Dialog "Einstellungen - Verzeichnisse" angegeben wurde. Wird WinRAR in der Befehlszeile verwendet, kann der dort angegebene Wert mit dem Schalter -W<Pfad> überschrieben werden.

Beispiel:

Füge ein neuen Kommentar zum Archiv info.rar hinzu und verwende dabei das Verzeichnis d:\tmp für temporäre Dateien:

WinRAR c -wd:\tmp -zkommentar.txt info.rar


Schalter -X<Datei> - Angegebene Datei ausschließen

Schließt die angegebene Datei oder das angegebene Verzeichnis von der Verarbeitung aus. Wildcards können sowohl im Dateinamen als auch in der Verzeichnisangabe der Dateimaske verwendet werden. Sie können den Schalter -x mehrmals in derselben Befehlszeile angeben, um mehrere Dateimasken anzugeben.

Enthält die Dateimaske Wildcards, wird sie auf alle Dateien im aktuellen Verzeichnis und dessen Unterverzeichnissen angewendet. Ohne Wildcards ist die Dateimaske nicht rekursiv: Die Dateimaske "dateiname" schließt beim Archivieren nur die Datei 'dateiname' im aktuellen Verzeichnis und beim Entpacken nur die Datei 'dateiname' im Stammverzeichnis des Archivs aus.

Verwenden Sie die Syntax "*\dateiname", um die Datei 'dateiname' rekursiv in allen Verzeichnissen und Unterverzeichnissen auszuschließen.

Kennen Sie den genauen Pfad einer Datei, können Sie mit dem Syntax "pfad\dateiname" diese eine Datei 'dateiname' im Verzeichnis "pfad" von der Verarbeitung ausschließen. Wird beim Entpacken eines Archiv die Syntax "-xpfad\dateiname" verwendet, muss "pfad" der Pfad innerhalb des Archivs sein und nicht der Dateipfad auf dem Datenträger nach dem Entpacken.

Standardmäßig werden Dateimasken, die Wildcards enthalten, nur auf Dateien angewendet. Benötigen Sie hingegen eine Maske mit Wildcards, die mehrere Verzeichnisse ausschließen soll, ist die Verwendung einer bestimmten Syntax erforderlich. Verzeichnismasken müssen das Zeichen \ an der letzten Stelle haben. Die Verzeichnismaske "*tmp*\" zum Beispiel schließt alle Verzeichnisse aus, die zu "*tmp*" passen, "*\tmp\" schließt hingegen alle 'tmp'-Verzeichnisse aus. Da beide Verzeichnismasken Wildcards enthalten, werden sie auf das aktuelle Verzeichnis und dessen Unterverzeichnissen angewendet. Verzeichnismasken werden nur beim RAR- und ZIP-Format unterstützt.

Möchten Sie genau ein Verzeichnis von der Verarbeitung ausschließen, geben Sie den genauen Verzeichnisnamen einschließlich des absoluten oder relativen Pfades ohne irgendwelche Wildcards an. In diesem Fall ist es nicht erforderlich, das Pfadtrennzeichen an die Maske anzuhängen. Nur bei Verzeichnismasken, die Wildcards enthalten, muss das Pfadtrennzeichen angehängt werden, um sie von Dateimasken unterscheiden zu können.

Beispiele

  1. Füge alle Dateien aus dem aktuellen Verzeichnis und dessen Unterverzeichnissen zu dem Archiv rawfiles hinzu. Schließe dabei jedoch alle Dateien mit der Dateiendung ".jpg" und ".avi" aus:

WinRAR a -r -x*.jpg -x*.avi rawfiles

  2. Komprimiere alle Dateien auf dem Laufwerk c: - außer Verzeichnisse mit dem Namen temp und Dateien, die sich in Verzeichnissen mit dem Namen temp befinden:

WinRAR a -r -x*\temp\ sicherungc c:\*

  3. Entpacke alle Dateien außer *.txt aus dem Archiv dokumente.rar

WinRAR x -x*.txt dokumente


Schalter -X@<Dateiliste> - Dateien der Dateilistendatei ausschließen

Schalter -X@<Listendatei> - Dateien der Dateilistendatei ausschließen

Schließt Dateien von der Verarbeitung aus, deren Dateinamen in der Listendatei <Listendatei> angegeben sind.

Beispiel

Füge alle Dateien "*.exe" zu dem Archiv bin hinzu, aber nicht Dateien, die in der Datei liste.txt angegeben sind:

WinRAR a -x@liste.txt bin *.exe


Schalter -Y - Alle Fragen mit "Ja" beantworten

Wenn dieser Schalter angegeben wird, beantwortet WinRAR automatisch alle Fragen mit "Ja".


Schalter -Z<Datei> - Archivkommentar aus Datei lesen

Wird dieser Schalter zusammen mit einem Befehl verwendet, der ein Archiv verändert, wird ein Archivkommentar aus der Datei <Datei> gelesen und dem Archiv hinzugefügt. Verwenden Sie diesen Schalter zusammen mit dem Schalter -sc, wenn Sie den Zeichensatz der Archivkommentar-Datei angeben möchten.

Beispiel

Füge alle Dateien aus dem aktuellen Verzeichnis zum soliden Archiv Rechnungen hinzu und füge einen Archivkommentar aus der Datei Beschreibung.diz zum Archiv hinzu:

WinRAR a -zBeschreibung.diz -s Rechnungen


Liste der WinRAR-Exit-Codes

Im Fall einer erfolgreichen Archivoperation beendet sich WinRAR mit den Code Null (0). Ein Exit-Code ungleich Null zeigt an, dass ein Fehler aufgetreten ist:

Code-Wert | Beschreibung
0 | Erfolgreiche Operation.
1 | Warnung. Es traten nicht schwerwiegende Fehler auf.
2 | Es trat ein schwerwiegender Fehler auf.
3 | Falsche Prüfsumme. Die Daten sind beschädigt.
4 | Es wurde versucht ein abgeschlossenes Archiv zu ändern.
5 | Schreibfehler.
6 | Fehler beim Öffnen einer Datei.
7 | Falsche Befehlszeilenoption.
8 | Nicht genügend Speicher.
9 | Fehler beim Erstellen einer Datei.
10 | Zu der angegebenen Dateimaske und den angegebenen Optionen wurden keine Dateien gefunden.
11 | Falsches Passwort.
255 | Benutzerabbruch.


Allgemeine Einstellungen

Dialog "Einstellungen - Allgemein"

Um diesen Dialog aufzurufen, wählen Sie den Befehl "Einstellungen…" im Menü "Optionen" und klicken dann auf den Karteireiter "Allgemein". Der Inhalt des Dialogs wird im Folgenden beschrieben.

System/Niedrige Priorität

Dieser Parameter wird verwendet, um die Systemauslastung durch WinRAR in einer Multitasking-Umgebung einzustellen. Sie brauchen diese Option nicht zu aktivieren, da normalerweise die voreingestellte Priorität die beste Wahl ist. Wenn Sie aber WinRAR oft im Hintergrund laufen lassen, während Sie mit anderen Anwendungen arbeiten, kann es sinnvoll sein, die Priorität auf niedrig zu setzen.

System/Multithreading

Ist diese Option aktiviert, verwendet WinRAR den Komprimierungsalgorithmus mit mehreren Threads (Multithreading-Version). Auf Multiprozessor-Hardware- oder Multi-Core-Architekturen ergibt sich eine höhere Geschwindigkeit. Standardmäßig ist diese Option aktiviert, wenn die Anzahl der vom Betriebssystem gemeldeten Prozessoren größer als eins ist. Selbst auf einem System mit nur einem Prozessor lässt sich diese Option manuell aktivieren, obwohl das nicht eine höhere Geschwindigkeit zur Folge hat.

Diese Option hat nicht nur Auswirkungen auf die Komprimierung, sondern auch auf andere WinRAR-Module, die mehrere Threads starten können. Normalerweise sind die durch WinRAR voreingestellten Werte für diese Option bereits optimal. Sie müssen daher bei dieser Option meist keine Anpassungen vornehmen.

Verlauf/Zeige zuletzt geöffnete Archive

Standardmäßig merkt sich WinRAR die Namen einiger zuletzt geöffneter Archive im Menü "Datei", so dass Sie darauf schnell wieder zugreifen können. Wenn Sie dies zum Beispiel aus Sicherheitsgründen nicht wollen, deaktivieren Sie diese Option.

Ist diese Option aktiviert, fügt WinRAR alle geöffneten Archive auch zur Windows-Liste "Zuletzt geöffnete Dokumente" hinzu. Ist die Option "Zeige zuletzt geöffnete Archive" deaktiviert, verwaltet Windows die Liste "Zuletzt geöffnete Dokumente" selbstständig. In diesem Fall hängt es von der verwendeten Windowsversion und den Windowseinstellungen ab, ob die Archivnamen zu der Liste "Zuletzt geöffnete Dokumente" hinzugefügt werden oder nicht.

Verlauf/Verlauf in Dialogen anzeigen

Einige Eingabefelder in vielen WinRAR-Dialogen unterstützen eine Liste der vorherigen Eingaben. Das erlaubt eine schnelle Wiederherstellung eines früheren Eingabewertes (ein Archivname, Zielverzeichnis, usw.). Es kann die Zeit herabsetzen, die ein Benutzer für eine Eingabe benötigt, aber wie bei der vorangegangenen Option lassen Sicherheitsüberlegungen diese Option in Mehrbenutzer-Umgebungen fragwürdig erscheinen. Wenn Sie Ihren Computer mit mehreren Leuten gemeinsam benutzen, möchten Sie diese Option vielleicht abschalten.

Symbolleiste/Große Schaltflächen

Schaltet zwischen großen (48x36 Pixel) oder kleinen (24x24) Schaltflächen um. Die Einstellung ist nur bei der Verwendung des Standard-Oberflächenthemas von WinRAR verfügbar.

Symbolleiste/Schaltflächentext anzeigen

Kontrolliert die Anzeige der Schaltfächenbeschriftungen unterhalb der Schaltflächen.

Symbolleiste/Symbolleisten fixieren

Verhindert das Verschieben und die Größenänderung der Symbolleisten durch den Benutzer. Sie können diese Option aktivieren, um unbeabsichtigtes Verändern der Symbolleistenpositionen und -größen zu verhindern, nachdem Sie die Symbolleisten ihren Bedürfnissen angepasst haben.

Symbolleiste/Symbolleisten…

Aktiviert den Dialog, der es erlaubt, die Haupt-Symbolleiste, die kleine zusätzliche Symbolleiste mit der Schaltfläche "Eine Ebene nach oben" und die Adressleiste mit Pfad- oder Archivinformationen an oder aus zu schalten.

Symbolleiste/Schaltflächen…

Klicken Sie auf "Schaltflächen…", um den Dialog zu öffnen, in dem Sie angeben können, welche Schaltflächen in der Symbolleiste angezeigt werden sollen.

Oberfläche/Assistent beim Start anzeigen

Zeigt nach dem Starten von WinRAR den Assistent für unerfahrene Benutzer an.

Oberfläche/Klänge aktivieren

Erlaubt WinRAR die Erzeugung von Klängen im Fall eines Fehlers oder nach Abschluss längerer Archivoperationen.

Oberfläche/Archivkommentar anzeigen

Zeigt ein Kommentarfenster an, wenn ein geöffnetes Archiv ein Kommentar besitzt.

Oberfläche/Benutze vorhandenes Fenster

Versucht man, ein neues Archiv mit dem Befehl "WinRAR <archivname>" oder durch einen Doppelklick auf ein Archivicon zu öffnen, und ein WinRAR-Fenster existiert schon, wird das Archiv im vorhandenen Fenster geöffnet. Ist diese Option nicht aktiviert, wird ein neues Fenster erzeugt.

Oberfläche/Immer im Vordergrund

Platziert das WinRAR-Fenster immer über alle anderen Programme. Sie sollten diese Option aktivieren, wenn Sie WinRAR oft als Ziel für "Drag & drop"-Operationen verwenden.

Oberfläche/Vollständigen Pfad in der Titelleiste

Zeigt den vollständigen Pfad des derzeit geöffneten Verzeichnisses oder Archivs in der WinRAR-Titelleiste an.

Oberfläche/Windows-Fortschrittsbalken

Bestimmt das Aussehen der Fortschrittsbalken im Fenster, welches während dem Ausführen einer Archivoperation beim Packen und Entpacken angezeigt wird. Ist die Option aktiviert, verwendet WinRAR die Standard-Fortschrittsbalken von Windows. Ist die Option deaktiviert, werden die WinRAR-Versionen der Fortschrittsbalken verwendet. In älteren Windows-Versionen ist es sinnvoll, diese Option abzuschalten, in Windows Vista und neueren Windowsversionen jedoch zu aktivieren, da dort Oberflächenelemente ein eindrucksvolles Aussehen haben. Beachten Sie, dass die Windows-Fortschrittsbalken nur zwei Farben haben, sodass sie im Gegensatz zu den WinRAR-Fortschrittsbalken die aktuelle Kompressionsrate nicht anzeigen. Die Kompressionsrate in Prozent wird aber auf jeden Fall in einer zusätzlichen Zeile im Fortschrittsfenster angezeigt.

Oberfläche/Taskleisten-Fortschrittsbalken

Wird diese Option aktiviert, zeigt WinRAR den Gesamtfortschitt von Archivoperationen auch im WinRAR-Icon auf der Windows-Taskleiste an. Die Anzeige des Gesamtfortschritts ist erst seit Windows 7 verfügbar. Die Option "Taskleisten-Fortschrittsbalken" ist in älteren Windowsversionen gesperrt und deaktiviert.

Fehlerprotokoll/Fehler in Datei protokollieren

Schreibt Fehlermeldungen und Informationen über Archivbeschädigungen in die Datei mit dem Namen rar.log im Verzeichnis %APPDATA%\WinRAR folder. Diese Option ist nur nach einer Registrierung verfügbar. Benutzen Sie den Befehl "Protokolldatei anzeigen" im Menü "Optionen", um den Inhalt der Protokolldatei anzuzeigen.

Fehlerprotokoll/Protokolldateigröße limitieren auf <nnn> Kilobytes

Begrenzt die Größe der von WinRAR erzeugten Fehlerprotokolldatei rar.log. Die kleinste erlaubte Protokolldateigröße ist 50 kB.


Komprimierungseinstellungen

Dialog "Einstellungen - Komprimierung"

Um diesen Dialog aufzurufen, wählen Sie den Befehl "Einstellungen…" im Menü "Optionen" und klicken dann auf den Karteireiter "Komprimierung". Der Inhalt des Dialogs wird im Folgenden beschrieben. Beachten Sie, dass die meisten Komprimierungseinstellungen durch einen Klick auf die Schaltfläche Komprimierungsprofile/Standard festlegen… festgelegt werden können.

Weitere Details zu den verschiedenen Komprimierungsparametern finden Sie im Abschnitt "Wie man die optimalen Archivierungseinstellungen wählt".

Komprimierungsprofile/Standard festlegen…

In dem Dialog, der erscheint, wenn man diese Schaltfläche angeklickt hat, können Sie Standardwerte für die meisten Komprimierungsoptionen einstellen. Für jede der Einstellungsoptionen können Sie die Online-Hilfe zu Rate ziehen, klicken Sie dazu zu jeder Zeit einfach auf die Schaltfläche "Hilfe", um eine detaillierte Beschreibung der Optionen zu lesen.

Die in diesem Dialog eingegebenen Optionen werden im Standardkomprimierungsprofil mit dem Namen "Standardprofil" gespeichert. Diese Einstellungen werden vor jeder Archivierungsoperation automatisch geladen.

Einige Parameter des Standard-Komprimierungsprofils werden nicht nur beim Hinzufügen von Dateien zu einem Archiv verwendet, sondern auch bei anderen Operationen zur Änderung eines Archivs, wie das Löschen oder Umbenennen von Dateien. In diesem Fall verwendet WinRAR nur diejenigen Parameter, die für die aktuelle Änderungsoperation geeignet sind. Beim Entpacken wird keine Option des Standard-Komprimierungsprofils verwendet.

Komprimierungsprofile/Verwalten…

Öffnet den Dialog zum Verwalten der Komprimierungsprofile. In diesem Dialog "Profile verwalten" können Sie vorhandene Profile löschen oder deren Parameter bearbeiten. Zum Beispiel können Sie ein Profil umbenennen oder ein Profil als Standard festlegen. Für weitere Informationen lesen Sie die zu diesem Dialog gehörige Online-Hilfe.

Volumengrößen/Volumengrößen festlegen…

Öffnet den Dialog "Volumengrößen festlegen". In diesem Dialog können Sie die Liste der vordefinierten Volumengrößen festlegen, die dem Feld "Volumengröße" im Dialog "Archivname und Archivparameter einstellen": Allgemein zugeordnet ist.

Dateitypen, die zunächst als Archive geöffnet werden

Hier kann festgelegt werden, was in der WinRAR-Dateiliste im Dateimanagementmodus bei Enter oder Doppelklick auf Dateien passieren soll, die ein Archiv enthalten, aber keine Archiv-Dateinamenserweiterung haben. Das betrifft nicht die Behandlung von normalen Archiven mit Dateinamenserweiterungen wie .rar oder .zip.

Geben Sie eine oder mehrere durch Leerzeichen getrennte Dateimasken an, um die Dateien auszuwählen, die als Archiv behandelt werden sollen. Alle Dateien, die keine Archiv-Dateinamenserweiterung haben und nicht zu den hier angegebene Dateimasken passen, werden entweder ausgeführt oder in den verknüpften Programmen geöffnet, sofern diese Programme verfügbar sind. Beispiel: Wenn die Dateimaske *.exe hier nicht angegeben ist und Sie drücken die Taste Enter auf einem selbstentpackenden exe-Archiv in der WinRAR-Dateiliste, wird WinRAR das SFX-Archiv ausführen, anstatt dessen Inhalt anzuzeigen.

Passt eine Datei zu einer der Dateimasken, versucht WinRAR zunächst, sie als Archiv zu öffnen. Nur wenn die Datei kein Archiv ist, wird sie als normale Datei behandelt. Diese Option wird in Archiven ignoriert, archivierte Dateien werden bei Enter immer mit den verknüpften Programmen geöffnet.

Unabhängig von dieser Option ist es immer möglich innerhalb und außerhalb eines Archiv eine Archivdatei zu öffnen, ganz gleich, ob sie eine Standard- oder Nicht-Standard-Dateinamenserweiterung hat. Drücken Sie dazu in der WinRAR-Dateiliste auf dem Dateinamen die Tastenkombination Strg+BildRunter.


Verzeichniseinstellungen

Dialog "Einstellungen - Verzeichnisse"

Um diesen Dialog aufzurufen, wählen Sie den Befehl "Einstellungen…" im Menü "Optionen" und klicken dann auf den Karteireiter "Verzeichnisse". Der Inhalt des Dialogs wird im Folgenden beschrieben.

Verzeichnis für temporäre Dateien

WinRAR benutzt dieses Verzeichnis, um temporäre Dateien abzulegen. Wenn dieses Feld leer gelassen wird, werden temporären Dateien und Verzeichnisse entweder im aktuellen Verzeichnis oder im Windows-Verzeichnis für temporäre Dateien angelegt. Welche der beiden Verzeichisse genutzt wird, ist abhängig von der Art des Befehls.

Der Anfangszustand dieses Parameters ist das Windows-Standardverzeichnis für temporäre Dateien. Haben Sie diesen Parameter geändert und möchten Sie ihn später wieder auf das Windows-Standardverzeichnis für temporäre Dateien zurücksetzen, können Sie %temp% anstelle des echten Verzeichnispfads angeben. WinRAR ersetzt dann diese Angabe vor dem Erstellen irgendwelcher temporären Dateien durch das Windows-Standardverzeichnis für temporäre Dateien.

Verzeichnis für temporäre Dateien/Nur für Wechseldatenträger verwenden

Für Festplatten ist es generell schneller, ein temporäres Archiv im aktuellen Verzeichnis zu erstellen, bei langsamen externen Datenträgern hingegen kann es effizienter sein, zuerst ein Archiv auf der Festplatte zu erstellen und es dann erst auf den Datenträger zu kopieren. Um dieses Verfahren zu wählen, sollten Sie das Verzeichnis für temporäre Dateien angeben und diese Option anstellen.

Die Option Nur für Wechseldatenträger verwenden wirkt sich nur auf Befehle aus, die eine Archivänderung zur Folge haben. Alle anderen Befehle profitieren nicht von dieser Option, sie ignorieren den derzeitigen Datenträgertyp.

Startverzeichnis

Sie können hier ein Verzeichnis angeben, das bei jedem Start von WinRAR geöffnet wird. Beachten Sie, dass diese Option nur eine Bedeutung hat, wenn die Option Letztes Verzeichnis beim Start wiederherstellen deaktiviert ist. Andernfalls wird das zuletzt geöffnete Verzeichnis angezeigt.

Startverzeichnis/Letztes Verzeichnis beim Start wiederherstellen

Wenn diese Option aktiviert ist, wechselt WinRAR in das zuletzt angezeigte Verzeichnis, wenn es ohne Parameter gestartet wird.

Standardverzeichnis für Archive

Wenn dieses Feld nicht leer ist und ein Archivname keine vollständige Pfadangabe enthält, wird ein Archiv im angegebenen Verzeichnis erzeugt. Wenn Sie zum Beispiel den Pfad zu Ihrem Desktop eingeben haben, erscheinen alle durch WinRAR erstellten Archive auf dem Desktop.

Wenn dieses Feld leer ist und ein Archivname keine vollständige Pfadangabe enthält, wird ein Archiv im gleichen Verzeichnis erzeugt wie die zu archivierenden Dateien.

Im Befehlszeilenmodus deaktiviert der Schalter -cfg- die meisten WinRAR-Einstellungen einschließlich das Standardverzeichnis für Archive.

Standardverzeichnis für entpackte Dateien

Hier können Sie ein Verzeichnisnamen angeben, der als Grundlage für Erstellung des Zielverzeichnisses bei den Befehlen "Ohne Bestätigung entpacken" und "Entpacke in angegebenes Verzeichnis" dient. WinRAR erstellt das Zielverzeichnis bei diesen Entpackbefehlen, indem es den Archivnamen an das hier angegebene Standardverzeichnis anhängt. Es ist praktisch, hier direkt den Desktop-Pfad anzugeben. Dann sehen Sie die entpackte Daten sofort auf Ihrem Desktop.

Im Gegensatz zum Standardverzeichnis für Archive wird das Standardverzeichnis für entpackte Dateien im Befehlszeilenmodus nicht verwendet. Nur beim Befehl "Dateien entpacken..." im WinRAR-Kontextmenüs im Windows Explorer wird es beachtet.

Archivname an Pfad anhängen

Diese Option bestimmt, ob der Archivname bei der Erstellung des Zielverzeichnispfads für die zu entpackenden Dateien an den Namen des Standardverzeichnisses bzw. an den im Dialog "Entpacken: Zielverzeichnis und Optionen" im Feld Zielverzeichnis vorgeschlagenen Verzeichnispfad angehängt wird oder nicht.

Überflüssigen Verzeichnisnamen am Ende des Zielverzeichnispfads entfernen

Diese Option funktioniert nur in Kontextmenüs des Windows Explorers, wenn ein Archiv ausgewählt ist, das im Wurzelverzeichnis ein einzelnes Verzeichnis und keine Dateien enthält, und der Kontextmenübefehl "Entpacken nach <Zielverzeichnis>\" ausgeführt wird. <Zielverzeichnis> ist der Name des Verzeichnisses, das von WinRAR vorgeschlagen wird, und das auf dem Archivnamen basiert. Treffen alle genannten Bedingungen zu, entfernt diese Option das oberste auf dem Archivnamen basierenden Verzeichnis (<Zielverzeichnis>) aus dem Zielverzeichnispfad.

Wenn Sie zum Beispiel das Archiv Bilder.rar mit dem Kontextmenübefehl "Entpacken nach Bilder\" entpacken und im Archiv Bilder.rar alle Dateien in dem einen Archivordner "Beispiele" sich befinden, so entpackt WinRAR alle Dateien nach "Bilder\Beispiele", wenn diese Option deaktiviert ist, und nach "Beispiele", wenn diese Option aktiviert ist. Dadurch spart man ein (Doppel-)Klick, man muss nicht mehr das Verzeichnis 'Bilder' öffnen, das nur das Verzeichnis 'Beispiele' enthält.

Diese Option führt zu einer zusätzlichen Verzögerung beim Start des Entpackvorgangs, weil WinRAR das Archiv untersuchen und dessen Verzeichnisstruktur analysieren muss. Beachten Sie, dass im Kontextmenü weiterhin der auf dem Archivnamen basierende Verzeichnisname angezeigt wird, selbst wenn dieses Verzeichnis beim Entpacken aus dem Zielverzeichnispfad entfernt werden wird. Die Anzeige des wirklichen Zielverzeichnisses bereits im Kontextmenü würde zu einer möglicherweise lästigen Verzögerung zwischen dem Rechtsklick auf ein Archiv und der Anzeige des Kontextmenüs führen.


Dateilisteneinstellungen

Dialog "Einstellungen - Dateiliste"

Um diesen Dialog aufzurufen, wählen Sie den Befehl "Einstellungen…" im Menü "Optionen" und klicken dann auf den Karteireiter "Dateiliste". Der Inhalt des Dialogs wird im Folgenden beschrieben.

Listentyp (Listenansicht oder Detailansicht)

Wählen Sie entweder die Listenansicht (mehrspaltig, nur die Dateisymbole werden angezeigt) oder die Detailansicht (einspaltig, mit zusätzlichen Informationen zu Größe, Datum und Typ für jede Datei). Der Standardmodus ist die Detailansicht.

Listenstil/Gitterlinien anzeigen

Zeigt die Gitterlinien in der Detailansicht der Dateiliste.

Listenstil/Ganze Zeile auswählen

Die ganze Zeile wird markiert (nicht nur der Dateiname).

Dateien/Archive zuerst anzeigen

Zeigt Archive vor allen anderen Dateien in der Dateiliste an, unabhängig davon, welcher Sortiermodus eingestellt ist.

Dateien/Verschlüsselte oder komprimierte NTFS-Dateien in anderer Farbe

Ist diese Option aktiviert, zeigt WinRAR alle Dateien mit den NTFS-Attributen "Komprimiert" bzw. "Verschlüsselt" in den gleichen Farben an wie der Windows Explorer. Standardmäßig ist das Blau für das Attribut "Komprimiert" und Grün für das Attribut "Verschlüsselt".

Dateien/Volumeninhalte zusammenfügen

Wenn diese Option aktiviert ist und Sie das erste Volumen eines gesplitteten Archivs öffnen, versucht WinRAR die Inhaltsverzeichnisse aller weiteren Volumen zu lesen und anzuzeigen, wenn sich diese im gleichen Verzeichnis wie das erste Volumen befinden. Man sieht also nicht nur die im ersten, sondern auch die in allen folgenden Volumen enthaltenden Dateien.

Dateien/Sekunden anzeigen

Ist diese Option aktiviert, werden die Sekunden bei den Dateizeiten in der Dateiliste angezeigt. Ohne diese Option zeigt WinRAR die Dateizeiten in der Dateiliste nur mit einer Genauigkeit von einer Minute an.

Dateien/Font wählen…

Wählt die Schriftart für die Dateiliste aus.

Auswahl

Hier können Sie einstellen, auf welche Art mit der Maus Dateien in der Dateiliste ausgewählt werden. Wählen Sie "Einfacher Klick zum Öffnen", wenn Sie Dateien und Verzeichnisse wie in einem Internetbrowser auswählen möchten. In diesem Modus können Sie auch wählen, ob die Dateinamen unterstrichen dargestellt werden sollen. Der Standardmodus von WinRAR ist "Doppelklick zum Öffnen".


Betrachtereinstellungen

Dialog "Einstellungen - Betrachter"

Um diesen Dialog aufzurufen, wählen Sie den Befehl "Einstellungen…" im Menü "Optionen" und klicken dann auf den Karteireiter "Betrachter". Der Inhalt des Dialogs wird im Folgenden beschrieben.

Betrachtertyp

Legt fest, was passieren soll, wenn der Benutzer die Taste "Enter" auf einer Datei drückt. Mögliche Aktionen sind:

Interner Betrachter | Den internen Betrachter von WinRAR benutzen
Externer Betrachter | Ein externen Betrachter benutzen. Hierzu sollten Sie den Namen im Feld "Externer Betrachter" angeben.
Verknüpftes Programm | Das mit der Dateierweiterung verknüpfte Programm benutzen
Nachfragen | Fragt den Benutzer bei jedem Tastendruck auf "Enter", welcher Betrachtertyp benutzt werden soll

Beachten Sie, dass diese Einstellungen für einige Dateitypen ignoriert werden: Im Dateimanagementmodus werden die Einstellungen bei Archiven und ausführbaren Dateien ignoriert. Bei einem Tastendruck auf "Enter" versucht WinRAR dann, die Archive zu öffnen und die ausführbaren Dateien zu starten. Im Archivmanagementmodus werden die Einstellungen bei denjenigen Dateitypen ignoriert, die im Feld "Gesamtes Archiv entpacken bei" im Dialog "Einstellungen - Betrachter" angegeben wurden. Wird die Taste "Enter" auf so einer archivierten Datei gedrückt, entpackt WinRAR das gesamte Archiv in ein temporäres Verzeichnis, startet die Datei, wartet darauf, das diese beendet wird, erneuert gegebenenfalls das Archiv und löscht dann das temporäre Verzeichnis mit allen darin enthaltenen Dateien. Dies stellt eine bequeme Möglichkeit dar, Programme direkt aus Archiven heraus zu installieren.

Im Gegensatz zur Taste "Enter" öffnet der Befehl "Datei anzeigen" eine Datei immer im internen Betrachter von WinRAR.

Interner Betrachter/DOS-Zeichensatz benutzen

Erkennt der interne Betrachter den Dateiinhalt als UTF-8 oder UTF-16 Little Endian, so werden die entsprechenden Zeichenkodierungen automatisch ausgewählt. Für alle anderen Dateien, die nicht als Unicode erkannt werden, wird der Zeichensatz auf "Windows-Text" gesetzt, wenn die Option "DOS-Zeichensatz benutzen" deaktiviert ist. Ist diese Option aktiviert, wird bei Nicht-Unicode-Dateien "DOS-Text" verwendet. Es ist auch möglich, den Zeichensatz der gerade geöffneten Datei für die Anzeige mit den Befehlen "Als …" im Menü "Anzeigen" des internen Betrachters zu wechseln.

Interner Betrachter/Existierendes Fenster benutzen

Ist die Option ausgeschaltet, öffnet WinRAR für jede anzuzeigende Datei ein weiteres Betrachterfenster. Ist die Option eingeschaltet, so wird ein vorhandenes Betrachterfenster für alle Dateien verwendet, sodass immer nur eine Instanz des internen Betrachters geöffnet ist.

Interner Betrachter/Zeilenumbruch

Schaltet zwischen dem Zeilenumbruch und Scrollen langer Zeilen im internen Betrachter um. Diese Option hat nur auf neue Betrachterfenster einen Einfluss, bereits geöffnete Betrachterfenster werden nicht verändert.

Gesamtes Archiv entpacken bei

Hier können Sie Dateimasken für Dateien definieren, die das Entpacken des gesamten Archivinhalts erforderlich machen, wenn der Benutzer auf eine archivierte Datei, die zu einer dieser Dateimasken passt, doppelklickt oder die Taste Enter auf einer solchen Datei drückt. Dateimasken müssen durch Leerzeichen voneinander getrennt werden. Wenn z. B. dieses Feld *.exe *.htm *.html enthält, entpackt WinRAR das komplette Archiv, bevor eine archivierte EXE- oder HTML-Datei ausgeführt wird. Diese Option ist für alle Dateitypen notwendig, die für das korrekte Ausführen oder Anzeigen Zugriff auf andere Dateien in dem Archiv benötigen.

WinRAR ignoriert die Einstellung "Betrachtertyp" für alle Dateitypen, die in dem Feld "Gesamtes Archiv entpacken bei" angegeben sind, und öffnet diese immer mit dem verknüpften Programm.

Änderungen ignorieren bei

Standardmäßig schlägt WinRAR vor, ein Archiv zu erneuern, wenn der Betrachter - also das Programm zur Betrachtung - die geöffnete Datei ändert oder irgendwelche neuen Dateien erstellt. Es ist möglich dieses Verhalten zu unterbinden. Dazu geben Sie im Feld "Änderungen ignorieren bei" eine oder mehrere durch Leerzeichen getrennte Masken an. WinRAR fragt nun bei allen Dateien, bei denen der Betrachter Dateien erstellt oder ändert und die zu eine der angegebenen Masken passen, nicht mehr nach, ob das Archiv erneuert werden soll.

Enthält das Feld zum Beispiel *.doc *.txt, werden alle .doc- und .txt-Dateien ignoriert, die durch externe oder zugeordnete Betrachter-Programme geändert oder erstellt wurden. Alle Änderungen, die der Anwender beim Betrachten in solchen Dateien vorgenommen hat, gehen verloren. Verwenden Sie die Dateimaske *, wenn Sie für alle zu betrachtenden Dateien das Erneuern von Archiven unterbinden möchten.

Bei dieser Option können Masken einen komplexen Syntax haben. Eine Maske kann aus einer Archivmaske und einer Dateimaske bestehen, die durch zwei Backslash-Zeichen voneinander getrennt sind: Archivmaske\\Dateimaske. Masken können Pfade enthalten, sodass Archive oder Dateien auf die angegebenen Verzeichnisse und Unterverzeichnisse beschränkt werden können. Die Verwendung von Umgebungsvariablen in Pfaden ist möglich. Möchten Sie die Option auf alle Archive oder alle Dateien anwenden, lassen Sie die 'Archivmaske\\' oder die 'Dateimaske' weg.

Zum Beispiel bedeutet *.rar\\*.txt alle .txt-Dateien in allen .rar-Archiven, *\\temp\* oder nur temp\* entspricht allen Dateien in 'temp'-Verzeichnissen innerhalb von Archiven und %temp%\*\\* oder %temp%\*\\ weist den Betrachter an, keine Archive zu erneuern, die sich im temporären Verzeichnis von Windows befinden.

Externer Betrachter

Ist die Option "Externer Betrachter" aktiviert, müssen Sie hier den Namen des Programms eingeben, das dann als Betrachter verwendet wird. Der Name der anzuzeigenden Datei wird diesem Programm als einziger Parameter übergeben.


Sicherheitseinstellungen

Dialog "Einstellungen - Sicherheit"

Um diesen Dialog aufzurufen, wählen Sie den Befehl "Einstellungen…" im Menü "Optionen" und klicken dann auf den Karteireiter "Sicherheit". Der Inhalt des Dialogs wird im Folgenden beschrieben.

Dateitypen vom Entpacken ausschließen

Wenn Sie diese Option aktivieren, können Sie eine Liste potenziell gefährlicher Dateimasken in das darunter liegende Eingabefeld eingeben. Es ist möglich, mehrere durch Leerzeichen getrennte Masken anzugeben. Beim Entpacken und Öffnen von archivierten Dateien überspringt WinRAR die Dateien, die zu irgendeiner der angegebenen Masken passen.

Diese Option kann hilfreich sein, um Benutzer vor infizierten E-Mail-Anhängen zu schützen. Wenn Sie zum Beispiel

*.scr *.pif *.exe

in dieses Eingabefeld eingeben, wird verhindert, dass Benutzer Dateien mit den Endungen .scr, .pif und .exe mit WinRAR entpacken, anschauen oder ausführen können.

Temporäre Dateien sicher löschen

Die Optionen dieser Gruppe bestimmen die Methode, wie WinRAR temporäre Dateien löscht, die bei der Bearbeitung von existierenden Archiven im temporären Verzeichnis von WinRAR erstellt werden. WinRAR erstellt temporäre Dateien auch beim Anschauen von archivierten Dateien mit dem internen und externen Betrachter, beim Ausführen einer archivierten Datei oder beim Entpacken von Dateien per Drag&drop.

Temporäre Dateien sicher löschen/Niemals

Ist "Niemals" ausgewählt, werden temporäre Dateien mit der Standard-Löschfunktion des Betriebssystems entfernt. Manchmal können diese gelöschten Dateien mit spezieller Software wiederhergestellt werden. Dies ist die schnellste, aber unsicherste Methode, um die temporäre Dateien zu löschen.

Temporäre Dateien sicher löschen/Immer

Ist "Immer" ausgewählt, werden die temporären Dateien vor dem Löschen mit Null-Bytes überschrieben, sodass eine Wiederherstellung der Dateiinhalte verhindert wird. Diese Methode ist deutlich langsamer, aber wesentlich sicherer.

Temporäre Dateien sicher löschen/Bei verschlüsselten Dateien

Wird "Bei verschlüsselten Dateien" ausgewählt, werden temporäre Dateien mit der langsamen und sicheren Überschreibmethode gelöscht, wenn WinRAR feststellt, dass diese Dateien in einem Archiv verschlüsselt enthalten sind. Andernfalls wird die schnelle Standardmethode verwendet.

Bemerkungen zu den Optionen "Temporäre Dateien sicher löschen"

  • Das sichere Überschreiben ist nur für normale Festplatten gedacht. Auf Solid-State-Drives ist aufgrund von Methoden zur Nutzungsverteilung (SSD Wear Leveling) und komplizierter Datenadressierung nicht sichergestellt, dass die ursprünglichen Dateidaten wirklich überschrieben werden.
  • Temporäre Dateien, die immer noch verwendet werden, können nicht sofort durch WinRAR gelöscht werden. Stattdessen werden, wenn Sie WinRAR das nächste Mal starten, alle temporären Dateien gelöscht oder sicher gelöscht, die älter als eine Stunde sind. Dasselbe passiert auch, wenn WinRAR nicht zuverlässig feststellen kann, ob temporäre Dateien noch von externen Anwendungen verwendet werden.
  • Diese Option gilt nur für temporäre Dateien, die nach dem Entpacken erstellt wurden. Die Option hat keine Auswirkungen auf verschiedene andere Arten von temporären Dateien, wie zum Beispiel die temporären Dateien, die beim Bearbeiten eines existierenden Archiv erstellt werden. Diese Dateien werden immer mit der schnellen Standard-Löschmethode entfernt.

Dialog zur Auswahl des Virenscanners zeigen

Diese Option ändert das Verhalten des Befehls "Archive nach Viren durchsuchen". Standardmäßig ist diese Option aktiviert, sodass WinRAR jedes Mal vor der Ausführung des Befehls "Archive nach Viren durchsuchen" die Möglichkeit anbietet, den Namen und die Parameter des Virenscanners auszuwählen bzw. anzugeben. Wenn Sie nur eine Antivirensoftware verwenden, können Sie den Dialog zur Auswahl des Antivirenprogramms überspringen. Dazu deaktivieren Sie diese Option einfach.


Integrationseinstellungen

Dialog "Einstellungen - Integration"

Um diesen Dialog aufzurufen, wählen Sie den Befehl "Einstellungen…" im Menü "Optionen" und klicken dann auf den Karteireiter "Integration". Die gleichen Einstellungen sind auch während der Installation von WinRAR verfügbar, d.h. es ist möglich, die unten beschriebenen Optionen sowohl während der Installation als auch später in den Einstellungen von WinRAR zu ändern.

WinRAR verknüpfen mit (RAR, ZIP, usw.)

Macht WinRAR zum Standardbetrachter für die ausgewählten Archivformate. Es ist vernünftig, diese Optionen angeschaltet zu lassen, denn das erlaubt es Ihnen, Archive einfach durch einen Doppelklick auf den Archivnamen oder Icon im Explorer oder auf dem Desktop in WinRAR zu öffnen. Sie können die Schaltfläche "Alle / Keine" drücken, um schnell alle Archivformate auszuwählen oder abzuwählen, falls alle Formate ausgewählt sind.

Benutzerdefinierte Archiv-Erweiterungen

Hier können Sie zusätzliche Dateinamenerweiterungen (Dateiendungen) für Archivformate angeben, sofern diese durch WinRAR unterstützt werden. Wenn Sie zum Beispiel Dateien mit der Erweiterung ".dat" im RAR-Format vorliegen haben, können Sie diese Dateien durch Eingabe von "dat" in diesem Feld WinRAR zuordnen. Im Kontextmenü vom "dat"-Dateien erscheinen nun auch alle Befehle zum Entpacken wie bei den unter "Winrar verknüpfen mit" angewählten Dateitypen. Wenn Sie mehrere Erweiterungen angeben, müssen Sie diese durch Leerzeichen voneinander trennen.

Diese Option steht nur in den WinRAR-Einstellungen zur Verfügung, im WinRAR-Installer ist sie nicht verfügbar.

Programmgruppe und Icons/WinRAR auf dem Desktop anzeigen

Erstellt ein WinRAR-Icon auf dem Desktop.

Programmgruppe und Icons/WinRAR im Startmenü anzeigen

Erstellt ein WinRAR-Icon im Startmenü.

Diese Option erstellt unter Windows XP ein WinRAR-Icon in der höchsten Ebene des klassischen Startmenüs. Seit Windows Vista dürfen Programme sich nicht mehr selbstständig oben ins Startmenü eintragen, stattdessen wird das Icon im Startmenü unter "Alle Programme" erstellt. Verwenden Sie unter Windows Vista und höher den Windows-Befehl "An Startmenü anheften", um das WinRAR-Icon oben ins Startmenü einzufügen.

Programmgruppe und Icons/WinRAR-Programmgruppe erstellen

Erstellt eine Programmgruppe mit dem Namen "WinRAR" im Startmenü unter Start/Programme.

Explorer-Integration/WinRAR in den Explorer integrieren

Erlaubt die Benutzung von Kontextmenüs und "Drag & drop" für die Bearbeitung von WinRAR-Archiven.

Explorer-Integration/Kontextmenüs kaskadieren

Platziert alle Einträge, die WinRAR in die Kontextmenüs von Dateien und Archiven vornimmt, in Untermenüs.

Explorer-Integration/Icons in Kontextmenüs

Fügt kleine Symbole zu den Einträgen hinzu, die WinRAR in die Kontextmenüs von Dateien und Archiven vorgenommen hat.

Explorer-Integration/Kontextmenü konfigurieren...

Wählt die anzuzeigenden Einträge in den Kontextmenüs des Explorers aus.


Komprimierungsprofile

Ein Komprimierungsprofil ist eine Zusammenstellung von verschiedenen Komprimierungsoptionen, die schnell abgerufen werden können, bevor ein Archivierungsvorgang gestartet wird. Anstatt den Archivtyp, die Volumengröße, die Kompressionsmethode und andere Einstellungen jedes Mal neu vornehmen zu müssen, wenn Sie ein neues Archiv erstellen, können Sie verschiedene Profile anlegen, die alle Einstellungen für Ihre typischen Archivierungsvorgänge beinhalten. Später können Sie dann aus dem Menü das benötigte Profil auswählen, um alle diese Einstellungen wiederherzustellen und zu übernehmen.

Komprimierungsprofile haben vom Anwender festgelegte Namen, die in der Profilliste angezeigt werden. Sie können ein Profil im Dialog "Archivname und Archivparameter einstellen" auswählen, indem Sie einfach auf die Schaltfläche "Profile…" klicken und dann einen Profilnamen in der Drop-down-Liste auswählen. Dadurch werden alle Einstellungen wiederhergestellt, die in diesem Profil gespeichert sind. WinRAR stellt einige vordefinierte Profile zur Verfügung, zum Beispiel zum Erstellen eines E-Mail-Anhangs und zum Backup von Dateien. Sie können diese Profile löschen, wenn Sie das möchten.

Es gibt zwei Möglichkeiten, ein neues Profil zu erstellen. Sie können den Dialog "Archivname und Archivparameter einstellen" öffnen, die gewünschten Einstellungen vornehmen, die Schaltfläche "Profile…" anklicken und den Menüeintrag "Aktuelle Einstellungen in einem neuen Profil speichern…" auswählen. Der nun erscheinende Dialog Profileinstellungen enthält ein Feld für den Profilnamen, in das man ein Namen für das neue Profil eingeben sollte. Darüber hinaus sind einige Profilparameter in diesem Dialog verfügbar. Die wichtigste Option ist "Profil als Standard festlegen". Wenn Sie diese Option aktivieren, wird das Profil automatisch vor jeder Archivoperation und einigen Archivänderungsoperationen ausgewählt. Andere Optionen erlauben es, Archivnamen und Dateinamen zu speichern, eine Verknüpfung auf dem Desktop zu erstellen und den Archivierungsvorgang sofort nach der Auswahl eines Profils zu starten. Für detaillierte Informationen über diese Optionen lesen Sie die Beschreibung zum Dialog "Profileinstellungen".

Eine andere Möglichkeit, ein neues Profil zu erstellen, ist es, die Schaltfläche "Standard festlegen…" im Dialog "Einstellungen - Komprimierung" anzuklicken. In diesem Fall braucht man nur die gewünschten Einstellungen im angezeigten Dialog vorzunehmen und auf "OK" zu klicken. Das durch diese Methode neu erstellte Profil wird das neue Standardprofil mit dem Namen "Standardprofil". In Gegensatz zur ersten Möglichkeit haben Sie bei dieser Methode keinen Zugriff auf erweiterte Parameter wie z.B. Archivnamen und Dateinamen zu speichern und eine Verknüpfung zu erstellen (Es ist bequem, ein Profil ohne weitere Nachfrage zu erstellen). Wenn Sie mehr Flexibilität benötigen, verwenden Sie die erste Möglichkeit.

Sie können die in einem Profil gespeicherten Komprimierungseinstellungen nicht ändern. Es ist aber möglich, Profilparameter wie z.B. den Namen oder die Festlegung als Standard zu ändern. Um die Profilparameter zu bearbeiten oder vorhandene Profile zu löschen, benutzen Sie den Dialog "Profile verwalten", der sowohl im Menü nach dem Klick auf "Profile…" im Dialog "Archivname und Archivparameter einstellen" als auch im Dialog "Einstellungen - Komprimierung" aufgerufen werden kann. In diesem Dialog können Sie u. a. ein neues Profil als Standard festlegen oder den Standardstatus von einem Profil entfernen.

Es ist möglich, Passwörter in Profilen zu speichern. Machen Sie sich jedoch bewusst, dass die abgespeicherten Passwörter in der Registry in einem unsicheren Format abgelegt sind. Daher könnte jeder, der Zugang zu Ihrem Rechner hat, diese Passwörter auslesen.


WinRAR.ini-Datei

Standardmäßig speichert WinRAR Einstellungen in der Registry. Dieser Ansatz ist sinnvoll, wenn WinRAR auf einem einzelnen Computer installiert und verwendet wird. Haben Sie hingegen vor, WinRAR auf einem Wechseldatenträger, wie z. B. ein USB-Stick, zu installieren und auf verschiedenen Computern auszuführen, möchten Sie möglicherweise verhindern, dass WinRAR irgendwelche Daten in der Registry dieser Computer schreibt.

Es ist möglich, die Registry-Zugriffe durch WinRAR auf eine Textdatei umzuleiten. Erstellt man eine leere Datei mit dem Namen WinRAR.ini im selben Verzeichnis wie WinRAR.exe oder im Verzeichnis %APPDATA%\WinRAR, so leitet WinRAR alle Zugriffe auf die Registry-Schlüssel HKEY_CURRENT_USER\Software\WinRAR und HKEY_LOCAL_MACHINE\Software\WinRAR auf diese Datei um. WinRAR sucht nach dieser Datei zuerst im eigenen Verzeichnis und danach im Verzeichnis %APPDATA%\WinRAR.

Verwenden Sie den Befehl "Erstelle WinRAR.ini-Datei" im Untermenü "Import/Export", um eine neue WinRAR.ini-Datei zu erstellen und die vorhandenen WinRAR-Einstellungen von der Registry in diese Datei zu kopieren. Anschließend müssen Sie eine so erstellte Datei entweder in das WinRAR.exe-Verzeichnis oder nach %APPDATA%\WinRAR kopieren, um die Umleitung zu aktivieren.

Üblicherweise werden die aktuellen Einstellungen nur beim Verlassen von WinRAR in die Datei WinRAR.ini geschrieben, bis dahin befinden sie sich im Arbeitsspeicher. Sie werden unter Beachtung der Groß- und Kleinschreibung als UTF-16LE-Zeichenketten in folgendem Format gespeichert:

<Wurzelschlüssel>\<Schlüsselname>=Wert

wobei <Wurzelschlüssel> HKCU für HKEY_CURRENT_USER, HKLM für HKEY_LOCAL_MACHINE oder Global für durch den Anwender manuell hinzugefügte globale Einstellungen sein kann. Zeichenkettenwerte sind in Anführungsstriche eingeschlossen ("Stringwert") und Byte-Arrays haben das Präfix "bin:".

Sie können die globalen Einstellungen verändern, um das Verhalten der Datei WinRAR.ini zu steuern. Wenn der Schreibzugriff auf die Datei WinRAR.ini nicht gesperrt ist, erstellt WinRAR die unten aufgelisteten Zeichenketten automatisch. Man braucht nur noch den Parameter hinter "=" zu bearbeiten, um eine Option zu ändern. Diese Zeichenketten werden am Anfang der Datei WinRAR.ini erstellt. Möchten Sie den Schreibzugriff durch das Dateiattribut "Schreibgeschützt" sperren, so müssen Sie möglicherweise vor dem Setzen des Dateiattribut "Schreibgeschützt" die passenden Zeichenketten manuell zur WinRAR.ini hinzufügen, ein Befehl pro Zeile. All diese Zeichenketten verwenden die UTF-16LE-Kodierung, zwischen Groß- und Kleinschreibung wird unterschieden. Geben sie daher die Zeichenketten genauso an, wie sie hier angegeben sind. Folgende globale Einstellungen sind stehen zur Verfügung:

Global\AppData=0

Verbietet WinRAR, auf das Verzeichnis APPDATA%\WinRAR zuzugreifen. Wenn Global\AppData=0 angegeben ist, sollten alle Dateien, die normalerweise in diesem Verzeichnis gespeichert sind, wie die Registrierungsschlüsseldatei oder Themen für die WinRAR-Oberfläche, im selben Verzeichnis wie WinRAR.exe gespeichet werden. Geben Sie Global\AppData=1 an, um WinRAR den Zugriff auf das Verzeichnis APPDATA%\WinRAR zu erlauben.

Global\Integration=0

Während WinRAR seine Registry-Schlüssel, die sich in den Zweigen HKEY_CURRENT_USER und HKEY_LOCAL_MACHINE befinden, in die Datei WinRAR.ini umleitet, muss WinRAR dennoch Daten in den Zweig HKEY_CLASSES_ROOT und anderen Teilen der Registry schreiben, um die Explorer-Shell-Erweiterung und die Dateiverknüpfungen einzurichten. Das passiert unter anderem bei der Verwendung des Dialogs "Einstellungen - Integration". Möchten Sie jegliche Operationen mit der Registry unterbinden, fügen Sie Global\Integration=0 zur Datei WinRAR.ini hinzu. Danach kann WinRAR die Integrationseinstellungen nicht mehr verändern. Dieser Befehl verhindert ebenfalls das Erstellen oder Löschen von WinRAR-Verknüpfungen auf dem Desktop und in der WinRAR-Programmgruppe. Geben Sie Global\Integration=1 an, um WinRAR die Integration in Windows zu erlauben.

Global\SaveSettings=0

Verhindert das Zurückschreiben der aktuellen Einstellungen in die Datei WinRAR.ini, sodass jede Konfigurationsänderung, die in der aktuellen WinRAR-Kopie vorgenommen wird, beim Beenden verloren geht. Dasselbe kann man auch erreichen, indem man bei der Datei WinRAR.ini das Attribut "Schreibgeschützt" setzt. Konfigurieren Sie daher WinRAR zunächst nach Ihren Wünschen und schließen Sie WinRAR, um die Einstellungen in eine Datei zu speichern. Erst dann fügen Sie den Befehl Global\SaveSettings=0 hinzu. Dieser Modus kann Auswirkungen auf andere WinRAR-Komponenten haben, die von WinRAR.ini abhängen, wie z. B. die WinRAR-Explorer-Erweiterung, die Änderungen im Dialog "Kontextmenüeinträge" dann nicht übernimmt. Geben Sie Global\SaveSettings=1 an, um das Speichern von Einstellungen in die Datei WinRAR.ini zu zuzulassen.

Bemerkungen

  • Im Gegensatz zu anderen Registry-Variablen wird beim Zugriff die Variable "AppData" nicht zur WinRAR.ini umgeleitet, sondern diese Variable wird immer aus der Registry gelesen. Der Grund dafür ist, dass diese Variable den Ort des Verzeichnisses %APPDATA%\WinRAR festlegt, und da die Datei WinRAR.ini ebenfalls in diesem Ordner abgelegt werden kann, muss ein Wert dieser Variablen bekannt sein, bevor auf WinRAR.ini zugegriffen wird.
  • Existiert die Datei winrar.ini im selben Verzeichnis wie der WinRAR-Installer, so wird diese winrar.ini nach dem Abschluss der Installation in das WinRAR-Programmverzeichnis kopiert.


RAR-Umgebungsvariable

Standardschalter können zur Windowsumgebungsvariable RAR unter Verwendung des Befehls SET hinzugefügt werden. Die meisten Schalter in dieser Variablen werden nur dann beachtet, wenn WinRAR von der Kommandozeile ausgeführt wird. Die Schalter -cl, -cu, -tk, -tl, -p werden sowohl im Modus mit der grafischen Benutzeroberfläche als auch im Befehlszeilenmodus beachtet.

Beispiel

Der Befehl

SET RAR=-s -m5 -md1024

zwingt WinRAR, wenn es aus der Kommandozeile ausgeführt wird, solide Archive mit der höchsten Kompression und einem 1024 kB großen Wörterbuch zu erstellen.


Registry-Variablen

In einer Mehrbenutzerumgebung kann es aus Sicherheitsgründen wichtig sein, einige Funktionen von WinRAR zu deaktivieren. Wenn Sie diese Funktionalität benötigen, legen Sie folgenden Registry-Schlüssel an:

HKEY_LOCAL_MACHINE\Software\WinRAR\Policy

oder

HKEY_CURRENT_USER\Software\WinRAR\Policy

Der Schlüssel unter HKEY_LOCAL_MACHINE hat eine höhere Priorität als der unter HKEY_CURRENT_USER.

Dieser Schlüssel kann folgende Werte enthalten:

Name des Wertes | Typ des Wertes | Beschreibung
Menu | DWORD | Wenn auf 0 gesetzt, wird das Hauptmenü von WinRAR ausgeblendet.
Settings | DWORD | Wenn auf 0 gesetzt, werden der Dialog "Einstellungen", die "Import/Export"-Befehle und das Kontextmenü in der Symbolleiste deaktiviert.
Password | DWORD | Wenn auf 0 gesetzt, wird das Ändern des Passworts für Archive verhindert. Es kann die Verschlüsselung wichtiger Daten vermeiden helfen.
OrgPassword | DWORD | Wenn auf 0 gesetzt, wird der Zugriff auf den Dialog "Passwörter verwalten" verhindert. Das unterbindet jedoch nicht den Zugriff auf die bereits im Dialog gespeicherten Passwörter. Diese müssen Sie vor dem Setzen der Registry-Variablen "OrgPasswords" löschen.
Shutdown | DWORD | Wenn auf 0 gesetzt, wird die Archivierungsoption "Nach dem Archivieren PC herunterfahren" deaktiviert, sodass ein Anwender den Rechner nicht herunterfahren kann.
Benchmark | DWORD | Wenn auf 0 gesetzt, wird der Befehl "Benchmark" deaktiviert. In Mehrbenutzerumgebungen könnte der Befehl "Benchmark" zur Verschwendung von gemeinsamer Rechenleistung verwendet werden.

Wurden diese Registry-Einträge geändert, ist möglicherweise ein Neustart von WinRAR notwendig, damit die neuen Einstellungen wirksam werden. Der Registry-Schlüssel "Policy" hat keine Auswirkungen auf die Konsolenversion von RAR (Datei rar.exe). Für eine erhöhte Sicherheit in Mehrbenutzerumgebungen kann es notwendig sein, die Datei Rar.exe zu löschen und nur WinRAR.exe zu behalten.

Sie können auch den Speicherort für das Verzeichnis %APPDATA%\WinRAR neu festlegen, indem Sie einen neuen Verzeichnispfad für die zusätzlichen Dateien von WinRAR in den Zeichenketten-Wert "AppData" im Registry-Schlüssel HKEY_CURRENT_USER\Software\WinRAR\Paths eintragen.


RARFILES.LST - Festlegen der Dateireihenfolge in soliden Archiven

Normalerweise werden die Dateien in soliden Archiven nach ihrer Erweiterung sortiert. Es ist möglich, eine andere Dateireihenfolge mit Hilfe einer besonderen Datei festzulegen: rarfiles.lst (sie sollte sich im gleichen Verzeichnis wie WinRAR.exe oder im Verzeichnis %APPDATA%\WinRAR befinden). Diese Datei wird schon mit der WinRAR-Distribution mitgeliefert, kann aber an eigene Bedürfnisse angepasst werden. Es ist eine reine Textdatei, die die Reihenfolge der Dateien bei der Erstellung von soliden Archiven festlegt. Die Datei rarfiles.lst kann Dateinamen, Wildcards und den speziellen Eintrag $default enthalten. Der Eintrag $default legt den Platz in der Reihenfolgenliste für Dateien fest, die nicht zu anderen Einträgen in der Datei rarfiles.lst passen.

Tipps zum Verbessern der Kompression und der Archivierungsgeschwindigkeit:

  • Ähnliche Dateien sollten im Archiv, wenn möglich, zusammengefasst werden;
  • Dateien, auf die sehr häufig zugegriffen wird, sollten an den Anfang gestellt werden.

Normalerweise haben Dateimasken eine höhere Priorität, je weiter sie an der Spitze der Liste stehen. Es gibt jedoch eine Ausnahme dieser Regel. Wenn rarfiles.lst mehrere Dateimasken enthält, sodass alle Dateien sowohl zur ersten als auch zu anderen Masken passen, hat die Dateimaske eine höhere Priorität, welche eine kleinere Menge von möglichen Dateinamen repräsentiert, gleichgültig an welcher Position sich diese Maske in der Liste befindet. Im Falle die beiden Masken *.cpp und d*.cpp zum Beispiel hat d*.cpp eine höhere Priorität, die Position von 'dateiname.cpp' wird nach der Maske 'd*.cpp' gewählt und nicht nach '*.cpp'.

Beispiel für die Datei rarfiles.lst

file_id.diz
readme.*
*.doc
*.txt
*.hlp
*.inf
*.exe
*.dll
$default
*.rar


RAR und ZIP SFX-Module mit GUI (Default.SFX und Zip.SFX)

Mit diesen beiden Modulen können Sie selbstentpackende Archive mit einer grafischen Benutzeroberfläche (GUI) für Windows erstellen.

Benutzen Sie das Modul Default.SFX für RAR-Archive und das Modul Zip.SFX für ZIP-Archive.

WinRAR x64 enthält Default64.SFX und Zip64.SFX, die 64-Bit-Versionen dieser Module. Standardmäßig verwendet WinRAR x64 die 32-Bit-Versionen, im Dialog SFX-Optionen: Modul können Sie jedoch die 64-Bit-Module ausdrücklich auswählen. Damit erstellte 64-Bit-SFX-Archive funktionieren nur unter Windows x64.

Beide Module unterstützen einfache Setup-Befehle und Kommandozeilenoptionen. Um mehr über Setup-Befehle und Kommandozeilenoptionen zu erfahren, lesen sie bitte folgende Themen:

  • Setup-Befehle der SFX-Module;
  • Kommandozeilenoptionen der SFX-Module.

Bemerkungen

  1. Es ist erlaubt, die Windows-Ressourcen der SFX-Module zu bearbeiten und an Ihre Bedürfnisse anzupassen. Zum Beispiel möchten Sie vielleicht die Größe des Startdialogs ändern oder Grafiken in den Startdialog einzufügen. WinRAR enthält keine Werkzeuge oder Anleitungen zum Bearbeiten von Ressourcen. Es ist ein ziemlich komplizierter Vorgang, und wenn Sie es tun wollen, brauchen Sie einen Ressourceneditor, und müssen wissen, wie man damit arbeitet. Sie brauchen die Ressourcen jedoch nicht zu bearbeiten, falls der Standard-SFX-Startdialog für Sie ausreicht. Möchten Sie nur das SFX-Bild oder das SFX-Icon ändern, brauchen Sie keinen Resourceneditor - Das können Sie im Dialog "Erweiterte SFX-Optionen" erledigen.
  2. Standardmäßig sind die Exit-Codes, die durch selbstentpackenden Archive mit grafischen Benutzeroberfläche beim Beenden zurückgegeben werden, dieselben wie die WinRAR-Exit-Codes. Es ist möglich, dieses Verhalten mit dem Befehl SetupCode zu ändern, sodass das selbstentpackenden Archiv auch den Exit-Code des Setup-Programms zurückgibt.


SFX-Module mit GUI: Setup-Befehle

WinRARs SFX-Module mit GUI unterstützen einfache Setup-Befehle. Sie können diese als Archivkommentar zu dem selbstentpackenden Archiv hinzufügen. Die Setup-Befehle sind unten aufgelistet. Für eine detaillierte Beschreibung eines Befehls klicken Sie auf den Namen des Befehls.

Delete | Löscht eine Datei, bevor der Entpackvorgang startet
License | Zeigt eine Programmlizenz an
Overwrite | Wählt den Überschreibmodus für Dateien
Path | Setzt das Standardzielverzeichnis
Presetup | Startet das angegebene Programm vor dem Entpacken
SavePath | Speichert das Zielverzeichnis
Setup | Startet das angegebene Programm nach dem erfolgreichen Entpacken
SetupCode | Auf das Beenden des Setup-Programms warten und Exit-Code zurückgeben
Shortcut | Erstellt eine Verknüpfung auf eine entpackte Datei
Silent | Unterdrückt den Startdialog
TempMode | Entpackt die Dateien in ein temporäres Verzeichnis
Text | Fügt Text ins SFX-Dialogfenster ein
Title | Setzt den Titel des SFX-Dialogs
Update | Wählt den Updatemodus für Dateien

SFX-Module erweitern die Umgebungsvariablen in den Befehlsparametern. Daher ist es z. B. erlaubt, folgende Befehle zu verwenden:

Path=%temp%\meinprogramm

Setup=meinsetup.exe %sfxpar%

(Details zu der Umgebungsvariablen sfxpar erfahren Sie unter Setup).

Hier können Sie ein einfaches Beispiel für ein komplettes Installationsskript sehen.


SFX-Module mit GUI: Kommandozeilenoptionen

WinRARs SFX-Module mit GUI unterstützen einige Kommandozeilenoptionen, die im Folgenden aufgelistet sind.

Option | Beschreibung
-d<Pfad> | Setzt das Zielverzeichnis für die entpackten Dateien.
-p<Pwt> | Passwort für verschlüsselte SFX-Archive angeben.
-s, -s1, -s2 | Ruhe-Modus (Silent mode). Der Schalter -s ist die Kurzform von -s1. Sowohl -s als auch -s1 unterdrücken die Anzeige des SFX-Dialog und die Fortschrittsanzeige beim Entpacken. -s1 unterdrückt auch die Anzeige des Lizenz-Dialogs. -s2 unterdrückt die Anzeige des SFX-Dialogs, die Fortschrittsanzeige wird jedoch angezeigt.
-sp<Par> | Wenn das beim SFX-Befehl "Setup" angegebene Programm keine Parameter hat, können mit Hilfe dieses Schalters Parameter für dieses Programm definiert werden. Gibt es bereits Parameter bei dem Befehl Setup, wird dieser Schalter ignoriert. Setup-Programme können die vollständige SFX-Befehlszeile auch aus der Umgebungsvariable sfxcmd auslesen. Die Umgebungsvariable sfxpar enthält hingegen nur die SFX-Befehlszeilenparameter ohne den führenden Modulnamen.

Um das Zeichen '?' (ein Fragezeichen) in einen Kommandozeilenparameter einzufügen, müssen Sie zwei aufeinanderfolgende Fragezeichen '??' angeben.


RAR SFX-Modul für die Konsole (WinCon.SFX)

Mit diesem Modul können Sie selbstentpackende Archive erstellen, die im Textmodus in der Windows-Eingabeaufforderung entpackt werden können. Dieses Modul kann nicht unter MS-DOS ausgeführt werden.

WinRAR x64 enthält WinCon64.SFX, die 64-Bit-Version dieses Moduls. Standardmäßig verwendet WinRAR x64 die 32-Bit-Version, im Dialog SFX-Optionen: Modul können Sie jedoch das 64-Bit-Modul ausdrücklich auswählen. Ein damit erstelltes 64-Bit-SFX-Archiv funktioniert nur unter Windows x64.

Dieses Modul unterstützt folgende Schalter in der Kommandozeile:

-e Dateien aus Archiv entpacken (Standardvorgang)

-t Archivierte Dateien testen

-v Ausführliche Liste des Archivinhalts anzeigen

-? Hilfe anzeigen

Die Exit-Codes, die durch selbstentpackenden Archive für die Konsole beim Beenden zurückgegeben werden, sind dieselben wie die WinRAR-Exit-Codes.


Häufig gestellte Fragen (FAQ)

In dieser FAQ enthaltene Fragen

F: Ich verstehe immer noch nicht, wie man mit WinRAR Dateien entpackt.

F: RAR bietet verschiedene Kompressionsmethoden an. Was sind die Vor- und Nachteile bei deren Verwendung? Welche Methode würden Sie für den täglichen Gebrauch empfehlen?

F: Ich habe viel über "solide" Archive gehört. Was sind das für Archive und wie kann ich diese einsetzen?

F: Wie können Benutzer meiner Internetseite (E-Mail-System, FTP-Server, usw.) Dateien aus RAR-Archiven entpacken, wenn RAR Shareware ist und man das Programm nach einer Testphase von 40 Tagen registrieren muss?

F: Wo erhalte ich die neuesten Versionen von WinRAR?

F: Ich erhalte beim Entpacken die Meldung "Prüfsummenfehler". Was bedeutet das?

F: Ich konnte Dateien aus einem soliden gesplitteten RAR-Archiv nicht entpacken, da ein Volumen beschädigt war. Bitte helfen Sie mir!

F: Ich habe mein Passwort vergessen. Bitte helfen Sie mir!

F: Warum löscht WinRAR nicht seine temporären Dateien im Windows-Temp-Verzeichnis?

F: Warum verwendet WinRAR nicht die maximal mögliche Wörterbuchgröße für meine Archive?

Fragen und Antworten

F: Ich verstehe immer noch nicht, wie man mit WinRAR Dateien entpackt.

A: Lesen Sie dazu bitte das Thema "Oberflächen- und Befehlszeilenmodus". Es enthält Verweise auf andere Themen, welche die verschiedenen Arten beschreiben, Dateien zu entpacken.

F: RAR bietet verschiedene Kompressionsmethoden an. Was sind die Vor- und Nachteile bei deren Verwendung? Welche Methode würden Sie für den täglichen Gebrauch empfehlen?

A: Ich habe versucht, diese Frage im Thema "Wie man die optimalen Archivierungseinstellungen wählt" zu beantworten.

F: Ich habe viel über "solide" Archive gehört. Was sind das für Archive und wie kann ich diese einsetzen?

A: Bitte lesen Sie dazu das Thema "Solide Archive".

F: Wie können Benutzer meiner Internetseite (E-Mail-System, FTP-Server, usw.) Dateien aus RAR-Archiven entpacken, wenn RAR Shareware ist und man das Programm nach einer Testphase von 40 Tagen registrieren muss?

A: Die RAR-Distribution enthält ein Werkzeug mit dem Namen "UnRAR" (UnRAR.EXE), welches von jedermann verwendet werden kann, der die von RAR erstellten Archive entpacken möchte, ohne dafür Lizenzgebühren zu bezahlen. Als zusätzlicher BONUS ist der Quelltext einer portablen Version von UnRAR auf der Website http://www.rarlab.com verfügbar. Beachten Sie, dass der RAR-Algorithmus gesetzlich geschützt ist und Sie die Quelltexte von UnRAR nicht verwenden dürfen, um den Algorithmus daraus erneut zu entwickeln.

F: Wo erhalte ich die neuesten Versionen von WinRAR?

A: Besuchen Sie die WinRAR-Homepage http://www.rarlab.com.

F: Ich erhalte beim Entpacken die Meldung "Prüfsummenfehler". Was bedeutet das?

A: Die entpackte Datei ist defekt, weil entweder das Archiv beschädigt ist oder Probleme mit der Hardware aufgetreten sind (meist Fehler auf dem Datenträger). Ist ein Archiv beschädigt, enthält es aber Wiederherstellungsdaten, können Sie versuchen, das Archiv zu reparieren. Ohne Wiederherstellungsdaten ist es unmöglich, beschädigte Daten wiederherzustellen. Beachten Sie, dass im Fall eines soliden Archivs alle Dateien verloren sind, die der beschädigten Datei folgen.

F: Ich konnte Dateien aus einem soliden gesplitteten RAR-Archiv nicht entpacken, da ein Volumen beschädigt war. Bitte helfen Sie mir!

A: Haben Sie Wiederherstellungs-Volumen für Ihr Archiv, platzieren Sie diese im selben Verzeichnis wie Ihre RAR-Volumen und klicken Sie doppelt auf das erste Wiederherstellungs-Volumen (REV-Datei), um die Wiederherstellung zu starten.
Sind Wiederherstellungs-Volumen nicht verfügbar oder war die Wiederherstellung damit nicht erfolgreich, versuchen Sie den Befehl "Reparieren" auf das beschädigte Volumen anzuwenden. Anschließend bennenen Sie das wiederhergestellte Volumen fixed.archivname.rar (oder rebuild.archivname.rar, wenn Wiederherstellungsdaten nicht gefunden werden konnten) in den ursprünglichen Volumennamen um. Nun versuchen Sie erneut, Ihr Archiv beginnend beim ersten Volumen zu entpacken.
Möchten Sie die Chancen auf eine erfolgreiche Reparatur Ihrer mehrteiligen RAR-Archive im Falle einer Beschädigung erhöhen, erstellen Sie Ihr Archiv mit Wiederherstellungsdaten oder erstellen Sie Wiederherstellungs-Volumen. Vermeiden Sie die Erstellung eines soliden Archivs, auch wenn das normale (nicht-solide) Archivieren zu einer geringeren Kompressionsrate führt.

A: Als erstes ist zu sagen, dass Sie Wiederherstellungsdaten zu einem Archiv hinzufügen sollten, wenn Sie Archive auf unzuverlässigen Datenträgern wie Disketten speichern. Im Allgemeinen ist es in diesem Fall nicht zu empfehlen, solide Archive zu verwenden; benutzen Sie stattdessen normale (nicht-solide) Archive.
Wenn Sie ein Volumen eines soliden Archivs beschädigt ist, versuchen Sie, das beschädigte Volumen zu reparieren. Das geht allerdings nur, wenn Wiederherstellungsdaten dem Archiv beim Erstellen hinzugefügt wurden. Sie können mit dem Befehl "Informationen anzeigen" prüfen, ob Wiederherstellungsdaten im Archiv vorhanden sind. Benennen Sie das reparierte Volumen fixed.archivname.rar (wenn eine Reparatur nicht möglich war, erstellt WinRAR nur rebuilt.archivname.rar) in den aktuellen Volumennamen um und versuchen Sie dann erneut, Ihr Archiv beginnend beim ersten Volumen zu entpacken.

F: Ich habe mein Passwort vergessen. Bitte helfen Sie mir!

A: Die WinRAR-Verschlüsselung enthält keine Hintertür. Selbst wenn ich ein Passwort für eins meiner Archive vergessen habe, gibt es für mich keine Möglichkeit, an die Daten zu kommen. Also fragen Sie bitte nicht mich, um Ihnen bei so einer Situation zu helfen.

F: Warum löscht WinRAR nicht seine temporären Dateien im Windows-Temp-Verzeichnis?

A: Dies geschieht, wenn sie "Drag & drop" zum Entpacken von Dateien benutzen oder archivierte Dateien mit einem externen Betrachter öffnen. In diesem Fall können die Dateien immer noch in Benutzung sein, wenn Sie WinRAR schließen. Und außerdem gibt es keinen verlässlichen Weg festzustellen, ob das externe Programm diese entpackten Dateien immer noch benötigt. Deshalb löscht WinRAR diese Dateien nicht sofort. Stattdessen werden beim nächsten Start von WinRAR alle temporären Dateien gelöscht, die älter als eine Stunde sind.
Wenn Sie überhaupt nicht möchten, dass das temporäre Verzeichnis beim Entpacken von Dateien verwendet wird, benutzen Sie anstelle von "Drag & drop" entweder den Befehl "Entpacken nach" in der WinRAR-Benutzeroberfläche oder den Menüeintrag "Entpacken nach" im Kontextmenü des Archivs.

F: Warum verwendet WinRAR nicht die maximal mögliche Wörterbuchgröße für meine Archive?

A: Auch wenn Sie in den Komprimierungseinstellungen die maximal mögliche Wörterbuchgröße eingestellt haben, setzt WinRAR beim Erstellen eines Archivs diesen Wert automatisch herab, wenn die Gesamtgröße der zu archivierenden Daten kleiner als die doppelte Wörterbuchgröße ist. Dadurch wird die Kompressionsrate nicht negativ beeinflusst und der Speicherverbrauch sinkt erheblich.


Hinweise

Wie man ein Programm aus einem Archiv heraus installiert

Sie können eine Anwendung direkt aus einem Archiv heraus installieren oder ausführen. Sie brauchen nur das Archiv öffnen und die Eingabetaste drücken, wenn der Cursor auf dem Eintrag setup.exe oder install.exe steht. Wird die Eingabetaste auf einer archivierten Datei mit der Erweiterung ".exe" gedrückt, entpackt WinRAR den gesamten Inhalt des Archivs in ein temporäres Verzeichnis und startet die ausführbare Datei. Wenn dieses Programm beendet wurde, überprüft WinRAR die Zeit der letzten Änderung der entpackten Dateien. Wenn irgendwelche Dateien geändert oder neue Dateien erzeugt wurden, fragt WinRAR nach, ob das Archiv erneuert werden soll, und löscht danach das temporäre Verzeichnis und dessen Inhalt.

Wenn Sie WinRAR zum Bearbeiten von Archiven verwenden möchten, aber ein externes Programm die Verknüpfungen zu den Archiven geändert hat

Einige Programme tragen sich als Standardarchivbetrachter ein, manchmal sogar ohne vorher nachzufragen. Wenn dies passiert und Sie wieder WinRAR mit Archiven verknüpfen wollen, wählen Sie den Menüpunkt "Einstellungen…" im Menü "Optionen", aktivieren den Dialog Integration, wählen die Archivformate aus, die mit WinRAR verknüpft werde sollen, und drücken die Eingabetaste.

Wie man WinRAR ohne Nachfragen installiert ("silent mode")

Wenn Sie WinRAR auf einer großen Anzahl von Computern installieren müssen, kann es sehr mühsam sein, alle Setup-Fragen wieder und wieder zu beantworten. In diesem Fall können Sie die WinRAR-Installation mit dem Schalter -s aufrufen, um alle Fragen zu überspringen und WinRAR mit den Standardeinstellungen zu installieren.


Endbenutzer-Lizenzvertrag

Der folgende Vertrag zur Nutzung des Archivierers RAR (und der Windows-Version WinRAR) - im Folgenden als "Software" bezeichnet - wird zwischen win.rar GmbH - im Folgenden als "Lizenzgeber" bezeichnet - und jedem, der diese Software installiert, darauf zugreift oder sie in irgendeiner anderen Art nutzt, - im Folgenden als "Anwender" bezeichnet - geschlossen.

  1. Der Autor und Inhaber aller Urheberrechte an der Software ist Alexander L. Roshal. Der Lizenzgeber und als solcher der Herausgeber der Lizenz und ausschließlicher Inhaber der weltweiten Rechte für die Reproduzierung und Vertrieb sowie der Rechte, die Software in jeglicher Form öffentlich zur Verfügung zu stellen, ist win.rar GmbH, Marienstr. 12, 10117 Berlin, Deutschland.

  2. Diese Software wird als Shareware vertrieben. Das bedeutet, dass jeder diese Software während eines Test-Zeitraums von höchstens 40 Tagen kostenlos nutzen darf. Soll die Software über die Testphase hinaus benutzt werden, muss der Anwender eine Lizenz erwerben.

  3. Die unlizensierte Testversion der Software darf ohne Einschränkungen verbreitet werden, sofern Umfang und Inhalt des Originalpakets nicht verändert werden. Es gelten folgende Einschränkungen:

    1. Niemand darf Teile des Original-Programmpakets (mit Ausnahme der Komponenten von UnRAR) ohne die schriftliche Genehmigung des Urheberrechtsinhabers verbreiten.

    2. Die unlizensierte Testversion der Software darf ohne schriftliche Genehmigung des Urheberrechtsinhabers nicht als Bestandteil eines anderen Softwarepakets verbreitet werden. Die Installationsdatei der Software darf nur in der ursprünglichen unveränderten Form zum Download angeboten werden. Der Download der Installationsdatei durch den Anwender darf weder durch weitere Hindernisse (z. B. Downloadgebühren) noch durch zusätzliche Bedingungen (z. B. Angabe von persönlichen Daten) erschwert werden.

    3. Die unveränderte Installationsdatei von WinRAR darf nur für sich alleine und nicht in Kombination mit anderer Software bereitgestellt werden. Jede Form von Bündelung mit anderer Software ist verboten. Ohne die schriftliche Genehmigung durch win.rar GmbH ist insbesondere die Verwendung von Installations- oder Downloadsoftware unzulässig, die neben WinRAR weitere Software in einem Paket bereitstellt.

    4. Hacks/Cracks, Registrierungsschlüssel oder Programme, die Registrierungsschlüssel erstellen, dürfen durch den Distributor der Testversion nicht gemeinsam mit der Testversion verbreitet werden. Es ist ebenfalls untersagt, auf solche zu verlinken oder auf derartige Möglichkeiten hinzuweisen.

    5. Werden die vorangehenden Bedingungen verletzt, erlischt die Erlaubnis zur Verbreitung der Software sofort und automatisch.

  4. Die Testversion der Software kann einen Erinnerungsdialog anzeigen, der den Anwender auffordert, eine Lizenz zu erwerben. Je nach Version und Konfiguration der Software enthält dieser Dialog entweder einen vordefinierten Text mit Links, der lokal geladen wird, oder eine Seite, die aus dem Internet nachgeladen wird. Diese Internetseite kann Informationen für den Erwerb einer Lizenz oder andere vom Lizenzgeber ausgewählte Inhalte enthalten, einschließlich Werbung. Beim Öffnen einer Internetseite überträgt die Software nur Parameter, die technisch für das erfolgreiche Öffnen einer Internetseite in einem Browser mit Hilfe des HTTP-Protokolls erforderlich sind.

  5. Die Software wird "so wie sie ist" zur Verfügung gestellt. Eine Gewährleistung gleich welcher Art wird nicht zugesichert und ist nicht inbegriffen. Die Benutzung geschieht auf eigenes Risiko. Weder der Autor, der Lizenzgeber, noch Handelsbevollmächtigte des Lizenzgebers können für Datenverluste, Schäden, entgangene Gewinne oder andere Arten von Verlusten haftbar gemacht werden, die während der Benutzung oder falschen Benutzung dieser Software entstehen.

  6. Es gibt zwei Arten von Lizenzen, die für die Software erteilt werden. Dies sind im Einzelnen:

    1. Eine Lizenz für die Nutzung auf einem Computer. Der Anwender erwirbt eine Einzelplatzlizenz für die Nutzung der Software auf einem Computer.

      Heimanwender dürfen ihre Einzelplatzlizenz auf allen Computern und mobilen Geräten (USB-Laufwerk, externe Festplatte, usw.) einsetzen, die sich im Eigentum des Lizenzinhabers befinden.

      Bei kommerziellen Anwendern ist eine Lizenz pro Computer oder mobilem Gerät erforderlich, auf dem die Software installiert ist.

    2. Eine Lizenz für die Nutzung auf mehreren Computern. Der Benutzer erwirbt eine genau definierte Anzahl von Nutzungslizenzen für die Nutzung durch den Käufer selbst oder die Arbeitnehmer des Käufers auf einer entsprechenden Anzahl an Computern.

      In einer Netzwerkumgebung (Client/Server) muss der Anwender für jeden Client (Workstation), auf dem die Software installiert ist, benutzt wird oder von dem aus auf die Software zugegriffen werden kann, eine lizensierte Kopie erwerben. Für jeden Client (Workstation) ist eine eigene lizensierte Kopie erforderlich, unabhängig davon, ob die Clients (Workstations) die Software gleichzeitig oder zu verschiedenen Zeitpunkten verwenden. Wenn Sie zum Beispiel in Ihrem Netzwerk 9 unterschiedliche Clients (Workstations) mit Zugriff auf RAR einsetzen möchten, müssen Sie 9 lizensierte Kopien erwerben.

    Einem Anwender, der eine Lizenz erworben hat, wird das nicht-exklusive Recht eingeräumt, die Software auf so vielen Computern, wie in den oben genannten Lizenzbestimmungen festgelegt, gemäß der Anzahl der erworbenen Lizenzen, zu legalen Zwecken zu verwenden.

  7. Außer den Kosten für den Erwerb einer Lizenz werden keine weiteren Lizenzgebühren fällig, auch nicht durch die Weitergabe von mit RAR erstellten Archiven, Volumen, selbstentpackenden Archiven oder selbstentpackenden Volumen. Inhaber einer Lizenz können ihre Kopien der Software zur Erstellung von Archiven und selbstentpackenden Archiven benutzen. Die Verbreitung dieser Archive ist frei von jeglichen weiteren Gebühren.

  8. Die lizensierte Software darf nicht vermietet oder verleast werden. Die Lizenz kann jedoch in vollem Umfang dauerhaft übertragen werden, wenn der neue Nutzer diesen Lizenzvertrag akzeptiert.

  9. Weitere Informationen zum Erwerb einer Lizenz entnehmen Sie bitte der Datei order.htm, die der Software beiliegt.

  10. Jeder Gebrauch der Software, der über diese Lizenzbestimmungen hinaus geht, also kopieren, emulieren, klonen, vermieten, leasen, verkaufen, verändern, dekompilieren, disassemblieren, sonstiges Reverse Engineering oder übertragen der lizenzierten Software oder eines Teils der lizenzierten Software, ist untersagt und führt zum sofortigen automatischen Erlöschen dieser Lizenz. Ein über diese Lizenzbestimmungen hinaus gehender Gebrauch der Software kann eine straf- und/oder zivilrechtliche Verfolgung nach sich ziehen.

    Der Programmcode von RAR, WinRAR und UnRAR sowie der Quelltext von UnRAR darf nicht dazu verwendet werden, den urheberrechtlich geschützten RAR-Komprimierungalgorithmus durch Reverse Engineering nachzubilden, sofern nicht die ausdrückliche schriftliche Genehmigung dazu vorliegt.

    Die Software kann Komponenten verwenden, die durch Dritte entwickelt wurden. Die Urheberrechte an diesen Komponenten liegen bei anderen. Weitere Informationen dazu erhalten Sie im Thema "Danksagungen" der WinRAR-Hilfedatei oder in der Textdatei acknow.txt bei anderen RAR-Versionen.

  11. Dieser Lizenzvertrag wird ausschließlich nur gemäß deutschem Recht ausgelegt. Sind Sie ein Händler, sind ausschließlich die Gerichte am eingetragenen Firmensitz von win.rar GmbH in Berlin/Deutschland zuständig für sämtliche Streitfälle, die in Verbindung mit diesem Lizenzvertrag oder dessen Gültigkeit entstehen.

  12. Die Installation und der Gebrauch dieser Software bedeuten eine Annahme der Bestimmungen und Bedingungen dieses Lizenzvertrages. Sollten Sie mit den Bestimmungen dieser Lizenz nicht einverstanden sein, müssen Sie alle Dateien dieser Software von Ihren Speichermedien löschen und die Benutzung der Software einstellen.

Maßgeblicher Lizenzvertrag (englisches Original):

END USER LICENSE AGREEMENT

The following agreement regarding RAR (and its Windows version - WinRAR) archiver - referred to as “software” - is made between win.rar GmbH - referred to as “licensor” - and anyone who is installing, accessing or in any other way using the software - referred to as “user”.

  1. The author and holder of the copyright of the software is Alexander L. Roshal. The licensor and as such issuer of the license and bearer of the worldwide exclusive usage rights including the rights to reproduce, distribute and make the software available to the public in any form is win.rar GmbH, Marienstr. 12, 10117 Berlin, Germany.

  2. The software is distributed as try before you buy. This means that anyone may use the software during a test period of a maximum of 40 days at no charge. Following this test period, the user must purchase a license to continue using the software.

  3. The software's trial version may be freely distributed, with exceptions noted below, provided the distribution package is not modified in any way.

    1. Nobody may distribute separate parts of the package, with the exception of the UnRAR components, without written permission.

    2. The software's unlicensed trial version may not be distributed inside of any other software package without written permission. The software must remain in the original unmodified installation file for download without any barrier and conditions to the user such as collecting fees for the download or making the download conditional on the user giving his contact data.

    3. The unmodified installation file of WinRAR must be provided pure and unpaired. Any bundling is interdicted. In particular the use of any install or download software which is providing any kind of download bundles is prohibited unless granted by win.rar GmbH in written form.

    4. Hacks/cracks, keys or key generators may not be included, pointed to or referred to by the distributor of the trial version.

    5. In case of violation of the precedent conditions the allowance lapses immediately and automatically.

  4. The trial version of the software can display a registration reminder dialog. Depending on the software version and configuration such dialog can contain either a predefined text and links loaded locally or a web page loaded from the internet. Such web page can contain licensing instructions or other materials according to the licensor's choice, including advertisement. When opening a web page, the software transfers only those parameters which are technically required by HTTP protocol to successfully open a web page in a browser.

  5. The software is distributed "as is". No warranty of any kind is expressed or implied. You use at your own risk. Neither the author, the licensor nor the agents of the licensor will be liable for data loss, damages, loss of profits or any other kind of loss while using or misusing this software.

  6. There are 2 basic types of licenses issued for the software. These are:

    1. A single computer usage license. The user purchases one license to use the software on one computer.

      Home users may use their single computer usage license on all computers and mobile devices (USB drive, external hard drive, etc.) which are property of the license owner.

      Business users require one license per computer or mobile device on which the software is installed.

    2. A multiple usage license. The user purchases a number of usage licenses for use, by the purchaser or the purchaser's employees on the same number of computers.

      In a network (server/client) environment the user must purchase a license copy for each separate client (workstation) on which the software is installed, used or accessed. A separate license copy for each client (workstation) is needed regardless of whether the clients (workstations) will use the software simultaneously or at different times. If for example you wish to have 9 different clients (workstations) in your network with access to RAR, you must purchase 9 license copies.

    A user who purchased a license, is granted a non-exclusive right to use the software on as many computers as defined by the licensing terms above according to the number of licenses purchased, for any legal purpose.

  7. There are no additional license fees, apart from the cost of the license, associated with the creation and distribution of RAR archives, volumes, self-extracting archives or self-extracting volumes. Owners of a license may use their copies of the software to produce archives and self-extracting archives and to distribute those archives free of any additional royalties.

  8. The licensed software may not be rented or leased but may be permanently transferred, in its entirety, if the recipient agrees to the terms of this license.

  9. To buy a license, please read the file order.htm provided with the software for details.

  10. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed software, or any subset of the licensed software, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

    Neither RAR binary code, WinRAR binary code, UnRAR source or UnRAR binary code may be used or reverse engineered to re-create the RAR compression algorithm, which is proprietary, without written permission.

    The software may be using components developed and/or copyrighted by third parties. Please read "Acknowledgments" help file topic for WinRAR or acknow.txt text file for other RAR versions for details.

  11. This License Agreement is construed solely and exclusively under German law. If you are a merchant, the courts at the registered office of win.rar GmbH in Berlin/Germany shall have exclusive jurisdiction for any and all disputes arising in connection with this License Agreement or its validity.

  12. Installing and using the software signifies acceptance of these terms and conditions of the license. If you do not agree with the terms of this license, you must remove all software files from your storage devices and cease to use the software.


Informationen zum Erwerb

Möchten Sie WinRAR und RAR nach der Testphase von 40 Tagen weiterhin einsetzen, müssen Sie eine Lizenz von einem der lokalen WinRAR-Vertriebspartner erwerben. Sie können auch die WinRAR-Homepage, besuchen, um online eine Lizenz zu erwerben oder die neuste Liste der lokalen Vertriebspartner anzuschauen.

Sobald die Lizenzgebühr bei uns eingegangen ist, erhalten Sie eine Registrierungsschlüsseldatei, die mit dem von Ihnen angegebenen Benutzernamen korrespondiert. Geben Sie beim Kauf einer Lizenz unbedingt eine gültige E-Mailadresse an, weil diese E-Mailadresse verwendet wird, um Ihnen die Registrierungsschlüsseldatei zukommen zu lassen.

Die Registrierungsemail enthält alle weiteren Informationen, die für die Registrierung notwendig sind. Folgen Sie bitte den dort angegebenen Anweisungen. Im Folgenden stellen wir kurz den typischen Ablauf einer Registrierung dar. Die Anweisungen im E-Mail sind aktueller als in dieser Datei und sollten Vorrang haben.

Verwenden Sie WinRAR, müssen Sie die Registrierungsschlüsseldatei (rarreg.key) in das WinRAR-Programmverzeichnis oder in das Verzeichnis %APPDATA%\WinRAR kopieren. Das Standard-WinRAR-Programmverzeichnis ist "C:\Program Files\WinRAR", es kann auch anders sein, weil das Installationsverzeichnis bei der WinRAR-Installation durch den Anwender angepasst werden kann. Sie können die Datei rarreg.key auch per Drag&drop auf das WinRAR-Fenster fallen lassen, um die Registrierung vorzunehmen.

Wenn der Schlüssel in einem RAR- oder ZIP-Archiv gepackt ist, entpacken Sie bitte die Datei rarreg.key aus dem Archiv, bevor Sie die Datei in das Installationsverzeichnis kopieren. Hat das Archiv den Namen rarkey.rar, können Sie den Registrierungsschlüssel installieren, indem Sie das Archiv mit WinRAR öffnen und die Rückfrage zur Bestätigung mit "Ja" beantworten.


Verknüpfung hinzufügen

Hier können Sie die Parameter einer neuen Verknüpfung eingeben, die nach dem Abschluss des Entpackvorgangs vom SFX-Archiv erstellt wird. Dieser Dialog enthält folgende Einstellungen:

Wo erstellen?

Wählen Sie aus, wo die Verknüpfung erstellt werden soll.

Quelldateiname

Name der archivierten Datei.

Zielverzeichnis

Verzeichnis, in dem die Verknüpfung angelegt wird. Wenn es nicht existiert, wird es vom SFX-Archiv angelegt.

Verknüpfungsbeschreibung

Ein Text, der die erstellte Verknüpfung beschreibt.

Verknüpfungsname

Name der ".lnk"-Datei (Verknüpfungsdatei), die vom SFX-Modul erzeugt wird.

Verknüpfungsicon

Name der Icondatei, die der Verknüpfung zugeordnet wird. Wird kein Icondateiname angegeben, wird das Standardicon verwendet. Enthält der Dateiname des Icons nicht den vollen Pfad, sucht das SFX-Archiv die Icondatei in dem Verzeichnis, das die entpackten Dateien enthält.

"Wo erstellen?" und "Quelldateiname" sind notwendige Angaben. Alle anderen Parameter sind optional.


Verzeichnis %APPDATA%\WinRAR

Alte Versionen von WinRAR legten zusätzliche Dateien wie den Registrierungsschlüssel, die Datei mit den exportierte Einstellungen "settings.reg", Themen und die Protokolldatei im selben Verzeichnis an, in der sich die Programmdatei von WinRAR befindet. Unter Windows Vista und folgenden Windows-Versionen ist es nicht mehr zu empfehlen, solche Daten im Programmverzeichnis zu speichern. Eine Software, die das dennoch versucht, wird möglicherweise nicht mehr funktionieren. Empfohlende Plätze für Anwendungsdaten sind Unterverzeichnisse im so genannten %APPDATA% Verzeichnis.

Der eigentliche Pfad von %APPDATA% hängt von der Windows-Version ab. Um das Verzeichnis %APPDATA% zu öffen, müssen Sie Folgendes tun: Starten Sie den Windows-Explorer oder öffnen Sie das Fenster "Arbeitsplatz", tippen Sie %APPDATA% in die Adressleiste und drücken Sie die Taste "Enter". WinRAR speichert seine Dateien im Unterverzeichnis "WinRAR" von %APPDATA%. Sie können auch %APPDATA%\WinRAR in die Adressleiste des Windows-Explorers eingeben, um direkt in das Datenverzeichnis von WinRAR zu gelangen.

Situationen, in denen Sie auf das Verzeichnis %APPDATA%\WinRAR manuell zugreifen müssen, gibt es selten. Zwei Beispiele dafür sind das Kopieren der Datei settings.reg auf einen anderen Rechner oder das Anschauen der Fehlerprotokolldatei mit einem externen Betrachter.

Beachten Sie, dass WinRAR den Registrierungsschlüssel und die Datei settings.reg sowohl im Verzeichnis %APPDATA%\WinRAR als auch im Programmverzeichnis von WinRAR sucht, wobei das Verzeichnis %APPDATA%\WinRAR den Vorrang hat.

Sie können den Ort des Verzeichisses %APPDATA%\WinRAR ändern, indem Sie den Wert "AppData" im Registrierungsschlüssel HKEY_CURRENT_USER\Software\WinRAR\Paths setzen. "AppData" setzen Sie auf den neuen Pfad zu den zusätzlichen Dateien (Anwendungsdaten) von WinRAR.


Archivtypen

Archivtypen und Archivparameter

  • RAR im Vergleich zu ZIP
  • RAR-5.0-Archivformat
  • Unterstützung von anderen Archivformaten
  • Solide Archive
  • Selbstentpackende Archive (SFX-Archive)
  • Gesplittete Archive (Volumen)
  • Wiederherstellungs-Volumen
  • Verschlüsselung
  • Archivkommentar
  • Archive vor Zerstörung schützen
  • Archive abschließen
  • Wie man die optimalen Archivierungseinstellungen wählt


Packen mit Passwort

In diesem Dialog können Sie ein Passwort eingeben, welches für das Archiv verwendet wird, das Sie gerade erstellen wollen. Das eingegebene Passwort ist nur für die aktuelle Archivoperation gültig. Wenn Sie hingegen ein global gültiges Passwort benötigen, können Sie dies eingeben, indem Sie den Befehl "Standardpasswort setzen…" im Menü "Datei" benutzen.

Wenn die Option "Passwort anzeigen" deaktiviert ist, müssen Sie das Passwort zweimal eingeben, um die Fehlerfreiheit des Passworts sicherzustellen.

Wenn Sie die Option "Dateinamen verschlüsseln" aktivieren, wird WinRAR nicht nur die Daten in den Dateien verschlüsseln, sondern auch andere sicherheitskritische Archivbereiche: Dateinamen, Dateigrößen, Dateiattribute, Dateikommentare und andere Datenblöcke. Das bedeutet eine höhere Sicherheitsstufe. Ohne ein Passwort ist es dann sogar unmöglich, die Liste der Dateien in einem Archiv anzuschauen, das mit dieser Option verschlüsselt wurde. Diese Option ist nur verfügbar, wenn Sie Dateien in RAR-Archive packen; das ZIP-Format unterstützt diese Option nicht.

Haben Sie bereits einige Passwörter gespeichert, können Sie auf diese zugreifen, indem Sie die Dropdown-Liste beim Eingabefeld "Passwort eingeben" oder die automatische Passwortvervollständigung benutzen. Klicken Sie auf die Schaltfläche "Passwörter verwalten…", um den Dialog "Passwörter verwalten" zu öffnen, wo Sie häufig verwendete Passwörter speichern können.

Sind die gespeicherten Passwörter durch ein Master-Passwort geschützt, müssen Sie das Master-Passwort angeben und auf "OK" drücken, um auf die Passwörter zuzugreifen. Ist das eingegebene Passwort nicht das Master-Passwort, behandelt dieser Dialog die angegebene Zeichenkette als gewöhnliches Passwort für Archivoperationen.


Dialog "Befehlsparameter"

Dieser Dialog erlaubt die Änderung der Option "Nach dem Archivieren PC herunterfahren", ohne die Archivierungsoperation, das Entpacken oder das Testen von Archiven abzubrechen.

Während einer Archivierungsoperation kann hier auch die Kompressionsmethode geändert werden. WinRAR kann dann in diesem Dialog jedoch weder von der Kompressionsmethode "speichern" zu einer anderen noch von einer anderen Kompressionsmethode zur Kompressionsmethode "speichern" wechseln.


Erweiterte Komprimierungsparameter

Normalerweise ist es nicht notwendig, die Einstellungen in diesem Dialog zu ändern. Es ist sicherer, WinRAR die optimalen Parameter automatisch wählen zu lassen. Beachten Sie, dass unsachgemäße Einstellungen in diesem Dialog zu einer schwerwiegenden Verschlechterung der Performance und Kompressionsrate führen kann. Ändern Sie die Parameter nur, wenn Sie genau wissen, was Sie tun.

Die meisten der folgenden Einstellungen werden nur durch das RAR-4.x-Archivformat unterstützt. Für ZIP sind diese Einstellungen nicht verfügbar. Bei RAR-5.0-Archiven kann nur die Deltakomprimierung und die 32-Bit Programmcode-Komprimierung angeschaltet werden.

Dieser Dialog enthält folgende Einstellungen.

Textkomprimierung/(Automatisch/Erzwingen/Ausschalten)

Die Textkomprimierung ermöglicht die Verbesserung der Kompressionsrate bei reinen Textdaten. Im Vergleich zu allgemeinen Komprimierungsalgorithmen ist die Geschwindigkeit der Textkomprimierung beim Packen und Entpacken sehr viel schlechter. Der Algorithmus für die Textkomprimierung ist nicht so sehr für die Verwendung mehrerer Prozessoren ausgelegt. Daher ist der Standardzustand dieser Option "Ausschalten". Die Auswahl von "Automatisch" erlaubt WinRAR, die Textkomprimierung zu verwenden. WinRAR entscheidet dann aufgrund der aktuellen Daten selbst, wann der Textkomprimierungs-Algorithmus verwendet wird. "Erzwingen" wendet den Algorithmus zur Textkomprimierung auf alle zu komprimierenden Daten an. In diesem Fall müssen Sie jedoch mit einer langsameren Geschwindigkeit beim Packen und Entpacken rechnen.

Textkomprimierung/Vorhersagegrad

Stellt den Vorhersagegrad des PPM-Algorithmus ein (der Kern der RAR-Textkomprimierung). Erlaubt sind Werte von 2 bis 63. Höhere Werte erhöhen normalerweise leicht die Kompressionsrate von redundanten Daten, aber nur, wenn genügend Speicherplatz für den PPM-Algorithmus zur Verfügung steht. Speichermangel kann sich dagegen negativ auswirken. Höhere Werte für den Vorhersagegrad verlangsamen die Pack- und die Entpackgeschwindigkeit. Wird dieses Feld auf 0 gesetzt, wählt WinRAR den Vorhersagegrad automatisch.

Textkomprimierung/Speicherbenutzung in MB

Speicher in Megabyte, der für den PPM-Algorithmus verwendet wird (kann 1 bis 128 sein). Höhere Werte können die Kompressionsrate verbessern, denken Sie jedoch daran, dass der PPM-Algorithmus sowohl für die Komprimierung als auch für die Dekomprimierung die gleiche Menge an Speicher benötigt. Wenn Sie also eine zu große Speichermenge beim Erzeugen eines Archivs verwenden, können andere Leute beim Entpacken Probleme bekommen, wenn sie dazu ein Computer mit kleinerem Speicher verwenden. Wird dieses Feld auf 0 gesetzt, wählt WinRAR die Speichermenge automatisch.

Audiokomprimierung/(Automatisch/Erzwingen/Ausschalten)

Ist "Automatisch" gewählt, entscheidet WinRAR aufgrund der aktuellen Daten selbst, wann die Audiokomprimierung verwendet wird, und das auch nur, wenn die Kompressionsmethode "normal", "gut" oder "beste" ausgewählt ist. "Erzwingen" wendet den Algorithmus zur Audiokomprimierung auf alle zu komprimierenden Daten an. Das macht nur Sinn, wenn Sie sicher sind, dass alle zu komprimierenden Dateien aus Audio-Rohdaten bestehen. "Ausschalten" verbietet die Anwendung des Algorithmus zur Audiokomprimierung komplett.

Die Audiokomprimierung wurde entwickelt, um Audio-Rohdaten wie z.B. WAV-Dateien zu verarbeiten. Die Audiokomprimierung erhöht nicht die Kompressionsrate bei bereit komprimierten Audiodateien wie z.B. MP3-Dateien.

Audiokomprimierung/Kanäle

Anzahl der Bytekanäle (kann 1 bis 31 sein).

WinRAR unterteilt Multibyte-Kanäle in einzelne Byte-Kanäle, zum Beispiel werden zwei 16-Bit Audiokanäle von WinRAR als vier Ein-Byte-Kanäle angesehen. Wird dieses Feld auf 0 gesetzt, erkennt WinRAR die Anzahl der Kanäle automatisch.

Echtfarbenkomprimierung/(Automatisch/Erzwingen/Ausschalten)

Ist "Automatisch" gewählt, entscheidet WinRAR aufgrund der aktuellen Daten selbst, wann die Echtfarbenkomprimierung verwendet wird, und das auch nur, wenn die Kompressionsmethode "normal", "gut" oder "beste" ausgewählt ist. "Erzwingen" wendet den Algorithmus zur Echtfarbenkomprimierung auf alle zu komprimierenden Daten an. Das macht nur Sinn, wenn Sie sicher sind, dass alle zu komprimierenden Dateien aus Echtfarben(RGB)-Daten bestehen. "Ausschalten" verbietet die Anwendung des Algorithmus zur Echtfarbenkomprimierung komplett.

Die Echtfarbenkomprimierung wurde entwickelt, um RGB-basierte Echtfarben-Rohdaten wie z.B. 24-Bit BMP-Dateien zu verarbeiten. Die Echtfarbenkomprimierung erhöht nicht die Kompressionsrate bei bereit komprimierten Dateien wie z.B. JPG-Dateien.

x86-Programmcode-Komprimierung anschalten

Erlaubt WinRAR, die Kompressionsrate von ausführbaren Dateien für x86-Prozessoren durch den Einsatz eines Algorithmus zu verbessern, der speziell für diese Art von Daten optimiert ist. Der Algorithmus kann sowohl für 32-Bit- als auch für 64-Bit-Intel-Programmcode sehr effizient sein.

Itanium-Programmcode-Komprimierung anschalten

Erlaubt WinRAR, die Kompressionsrate von ausführbaren Dateien für Intel-Itanium-Prozessoren durch den Einsatz eines Algorithmus zu verbessern, der speziell für diese Art von Daten optimiert ist.

Deltakomprimierung anschalten

Erlaubt WinRAR, die Kompressionsrate von strukturierten Tabellendaten durch den Einsatz eines Algorithmus zu verbessern, der speziell für diese Art von Daten optimiert ist.

Schaltfläche Standard

Setzt alle Optionen in diesem Dialog auf die Standardwerte zurück.


Kontextmenüeinträge

In der Optionengruppe "Einträge, die im Kontextmenü angezeigt werden sollen." können Sie die Einträge auswählen, die in die Kontextmenüs des Explorers eingefügt werden. Die Kontextmenüeinträge werden angezeigt, wenn Sie mit der rechten Maustaste auf ein Datei- oder Archivsymbol im Explorer oder auf dem Desktop klicken.

Die Optionen der Gruppe "Drag&drop-Kontextmenü" können verwendet werden, um die Befehle zum Archivieren und Packen vom Kontextmenü zu entfernen, das nach einem Drag&drop von Dateien angezeigt wird. Standardmäßig sind diese Optionen aktiviert, sodass WinRAR beim Loslassen der rechten Maustaste nach dem Drag&drop vorschlägt, Dateien zu archivieren bzw. Archive in ein Zielverzeichnis zu entpacken.

Die Optionen der Gruppe "Erkennung von SFX-Archiven aktiv für" bestimmen für die Explorer-Kontextmenüs, auf welchen Datenträgern bzw. Laufwerken .exe-Dateien untersucht werden, ob es sich um selbstextrahierende (SFX-) Archive handelt. Die Untersuchung des Dateiinhalts einer ausführbaren Datei und das Feststellen, ob es ein selbstextrahierendes (SFX) Archiv ist, hat eine gewisse Wartezeit bis zur Anzeige des Kontextmenüs bei einem Rechtsklick mit der Maus auf eine ".exe"-Datei zur Folge, weil WinRAR die Dateidaten lesen und analysieren muss, um herauszufinden, ob es sich um ein SFX-Archiv handelt. Bei schnellen lokalen Festplatten ist diese Verzögerung zu vernachlässigen und kaum zu bemerken, aber bei langsamen Netzlaufwerken macht sich diese Verzögerung bemerkbar. Diese Gruppe von Optionen erlaubt es, die Untersuchung von .exe-Dateien für lokale Datenträger, Netzlaufwerke und anderen Laufwerken wie CD-ROM- und USB-Laufwerke unabhängig voneinander ein- oder auszuschalten. Wird eine Option deaktiviert, so sieht man bei einem Rechtsklick auf ein selbstextrahierendes Archiv keine Kontextmenüeinträge mehr, die mit selbstextrahierenden Archiven zusammenhängen. Deaktivieren Sie diese Optionen daher nur, wenn Sie wirklich störende Verzögerungen beim Rechtsklick auf ".exe"-Dateien bemerken.


Dialog "Volumengrößen festlegen"

Dieser Dialog erlaubt die Anpassung der Liste der vordefinierten Volumengrößen, die dem Feld "Volumengröße" im Dialog "Archivname und Archivparameter einstellen": Allgemein zugeordnet ist.

Verwenden Sie die Optionen "Voreingestellte Größen", um Datenträgergrößen auszuwählen, die in der Liste angezeigt werden sollen. Benötigen Sie einen Wert, der unter "Voreingestellte Größen" fehlt, können Sie bis zu vier zusätzliche Listeneinträge unter "Benutzerdefinierte Größen" angeben. "Bezeichnung" ist eine beliebige kurze Text-Zeichenkette, "Größe in Bytes" ein nummerischer Wert in Bytes. Sie können die Bezeichnung weggelassen, wenn Sie möchten.

Die Option ""automatisch" in der Liste zeigen" in "Weitere Einträge" bestimmt, ob der Eintrag "automatisch" in der Liste auftaucht. Wenn Sie die automatische Erkennung von Volumengrößen beim Packen auf Wechseldatenträgern nie verwenden, können Sie diese Option deaktivieren, um die Liste kürzer zu machen.

Bei der Option "Einträge für Verlauf" gibt man die Anzahl der vorher vom Benutzer eingegebenen Werte an, die am Anfang der Liste angezeigt werden sollen. Sie können den Wert auf Null setzen, wenn Sie den Verlauf der manuell eingegebenen Volumengrößen überhaupt nicht benötigen. Der maximale Wert dieses Parameters ist 9.


Standardpasswort eingeben

In diesem Dialog können Sie ein Standardpasswort eingeben, welches beim Hinzufügen, Entpacken, Testen und Anzeigen verwendet wird.

Wenn die Option "Passwort anzeigen" deaktiviert ist und eine Passwortrückfrage für eine Archivoperation erfolgt, müssen Sie das Passwort zweimal eingeben, um die Fehlerfreiheit des Passworts sicherzustellen.

Wenn Sie die Option "Dateinamen verschlüsseln" aktivieren, wird WinRAR nicht nur die Daten in den Dateien verschlüsseln, sondern auch andere sicherheitskritische Archivbereiche: Dateinamen, Dateigrößen, Dateiattribute, Dateikommentare und andere Datenblöcke. Das bedeutet eine höhere Sicherheitsstufe. Ohne ein Passwort ist es dann sogar unmöglich, die Liste der Dateien in einem Archiv anzuschauen, das mit dieser Option verschlüsselt wurde. Diese Option ist nur sinnvoll, wenn Sie Dateien in RAR-Archive packen. Beim Entpacken von Dateien mit dem Standardpasswort oder bei der Verwendung des ZIP-Formats wird diese Option ignoriert.

Die Option "Alte ZIP-2.0-Verschlüsselung" verfügbar, wenn Dateien zu einem ZIP-Archiv hinzugefügt werden. Damit wird für diese Dateien der alte ZIP-2.0-Verschlüsselungsalgorithmus aktiviert und verwendet. Ist diese Option deaktiviert, werden ZIP-Archive mit AES-256 verschlüsselt. Dieser Verschlüsselungsalgorithmus ist viel sicherer, kann aber inkompatibel zu einigen älteren Unzip-Tools sein.

Haben Sie die Option "Für alle Archive verwenden" aktiviert und gleichzeitig eine leere Zeichenkette als Passwort angegeben, werden bei den Befehlen zum Entpacken und Testen von Archiven alle verschlüsselten Archive und verschlüsselten Archivdateien übersprungen. Alle Zugriffsversuche auf verschlüsselte Archive und verschlüsselte Archivdateien werden ebenfalls unterbunden, bis man diese Option deaktiviert. Dieser Modus ist sehr hilfreich, wenn Sie mehrere Archive unbeaufsichtigt entpacken und Passwortrückfragen vermeiden möchten. Die Option "Für alle Archive verwenden" steht bei einem nichtleeren Standardpasswort nicht zur Verfügung, weil dann das nichtleere Standardpasswort automatisch für alle Archive verwendet werden würde, ohne dass es eine Passwort-Rückfrage zur Einstellung weiterer Optionen gibt.

Haben Sie bereits einige Passwörter gespeichert, können Sie auf diese zugreifen, indem Sie die Dropdown-Liste beim Eingabefeld "Passwort eingeben" oder die automatische Passwortvervollständigung benutzen. Klicken Sie auf die Schaltfläche "Passwörter verwalten…", um den Dialog "Passwörter verwalten" zu öffnen, wo Sie häufig verwendete Passwörter speichern können.

Sind die gespeicherten Passwörter durch ein Master-Passwort geschützt, müssen Sie das Master-Passwort angeben und auf "OK" drücken, um auf die Passwörter zuzugreifen. Ist das eingegebene Passwort nicht das Master-Passwort, behandelt dieser Dialog die angegebene Zeichenkette als gewöhnliches Passwort für Archivoperationen.


Ausführen einer Archivoperation

Eine Archivoperation wird gerade ausgeführt. Warten Sie, bis der Vorgang beendet ist, oder drücken Sie Schaltfläche "Abbruch", um die Ausführung sofort abzubrechen. Während eines Pack- oder Entpackvorgangs können Sie auch die Schaltflächen "Hintergrund" und "Pause" betätigen. "Hintergrund" minimiert WinRAR in die System-Tray (rechts unten in der Taskleiste). WinRAR wird automatisch nach Beenden des aktuellen Vorgangs wiederhergestellt. Sie können aber auch auf das kleine WinRAR-Symbol im System-Tray klicken, um WinRAR wiederherzustellen. Die Schaltfläche "Pause" unterbricht den aktuellen Vorgang, Sie müssen zum Fortsetzen auf "Fortsetzen" klicken.

Beim Packen und Entpacken zeigt der Fortschrittsbalken im oberen Teil des Fensters den Fortschritt der Verarbeitung der aktuellen Datei an.

Während einer Archivierungsoperation und einigen Entpackoperationen wird ein zusätzlicher Fortschrittsbalken im unteren Teil des Fensters angezeigt, der den Gesamtfortschritt des Vorgangs anzeigt. Das Aussehen des Fortschrittsbalkens hängt von der Option "Windows-Fortschrittsbalken" im Dialog "Einstellungen - Allgemein" ab. Ist diese Option deaktiviert, verwendet WinRAR bei der Archivierung von Dateien für den Gesamtfortschrittsbalken drei Farben. Der gelbliche Teil steht für die bereits komprimierten Daten, der hellgraue Teil für die schon gelesenen und verarbeiteten Daten. Durch einen Vergleich des gelben mit dem grauen Teil des Fortschrittsbalkens können Sie demnach die Kompressionsrate abschätzen. Ist die Option "Windows-Fortschrittsbalken" aktiviert, werden nur zwei Farben verwendet. In beiden Fällen wird die Kompressionsrate auch in einer zusätzlichen Zeile des Fensters angezeigt.

Während einer Archivierungsoperation, beim Entpacken von Dateien und beim Testen von Archiven erlaubt die Schaltfläche "Modus..." die Option "Nach dem Archivieren PC herunterfahren" zu ändern. Während einer Archivierungsoperation kann auch die Kompressionsmethode geändert werden. WinRAR kann dann in diesem Dialog jedoch weder von der Kompressionsmethode "speichern" zu einer anderen noch von einer anderen Kompressionsmethode zur Kompressionsmethode "speichern" wechseln.


Dialog "Entpacken: Zielverzeichnis und Optionen": Erweitert

Sie können folgende Optionen in diesem Dialog einstellen:

Dateizeiten

Zeit der letzten Änderung setzen/Zeit der Erstellung setzen/Zeit des letzten Zugriffs setzen

Windows-Dateisysteme enthalten drei verschiedene Zeit-Felder für jede Datei: letzte Änderung, Erstellung und letzter Zugriff. Standardmäßig speichert WinRAR nur die Zeit der letzten Änderung, aber durch die Aktivierung der Dateizeit-Optionen im Karteireiter Zeit des Archivierungsdialogs können Sie die Speicherung der Zeit der Erstellung und des letzten Zugriffs veranlassen. Auch wenn ein gewünschtes Zeit-Feld in einem Archiv vorhanden ist, ist es dennoch notwendig, die entsprechende Dateizeit-Option im Entpack-Dialog zu aktivieren, um die gewünschte Zeit wiederherzustellen. Ob diese Optionen verfügbar sind, hängt vom vorliegenden Archivformat ab, manche Archivformate unterstützen diese Optionen nicht.

Attribute

Archivattribut löschen

Löscht das Archivattribut der entpackten Dateien. Dieser Schalter wurde für Backup-Zwecke entwickelt.

Dateisicherheitsdaten setzen

Diese Option hat nur für NTFS-Dateisysteme eine Bedeutung und erlaubt die Wiederherstellung folgender Informationen, wenn diese vorher im Archiv gespeichert wurden: Dateibesitzer, Gruppe, Zugriffsrechte und Revisionsinformationen. Dazu ist es vorher notwendig, die Option "Dateisicherheitsdaten speichern" im Karteireiter Erweitert des Archivierungsdialogs zu aktivieren, um bei der Erstellung eines Archivs die Sicherheitsdaten zu speichern. Um von dieser Möglichkeit Gebrauch machen zu können, müssen Sie die notwendigen Rechte besitzen. Die Verarbeitung von Sicherheitsdaten kann die Geschwindigkeit von Archivierungsvorgängen herabsetzen. Aktivieren Sie diese Option daher nur, wenn Sie dessen Bedeutung verstehen und diese wirklich benötigen. Bei Heimanwendern ist in den meisten Fällen die Verarbeitung von Sicherheitsdaten nicht erforderlich.

Diese Option wird nur von RAR-Archiven unterstützt.

Attribut "Komprimiert" setzen

Diese Option ermöglicht es, beim Entpacken von Dateien den Status des NTFS-Attributs "Komprimiert" wiederherzustellen. WinRAR speichert beim Erstellen eines Archivs immer das Attribut "Komprimiert", aber stellt es erst dann wieder her, wenn diese Option aktiviert wird.

Diese Option wird nur von RAR-Archiven unterstützt.

Dateipfade

Relative Pfade entpacken

Dieser Modus wird standardmäßig verwendet. Wenn Sie sich in der WinRAR-Oberfläche in einem Unterverzeichnis eines Archivs befinden, wird der Verzeichnispfad einschließlich des aktuellen Unterverzeichnisses beim Entpacken nicht berücksichtigt. Befinden Sie sich zum Beispiel im Archivverzeichnis "Backup\MeineDaten" und entpacken Sie das darin enthaltene Verzeichnis "Bilder", so wird dieses Verzeichnis als "Bilder" und nicht als "Backup\MeineDaten\Bilder" entpackt.

Befinden Sie sich hingegen im Stammverzeichnis eines Archivs oder starten Sie das Entpacken mit Hilfe des Kontextmenüs im Windows Explorer, arbeitet dieser Modus genauso wie der Modus bei der Option Vollständige Pfade entpacken.

Vollständige Pfade entpacken

WinRAR entpackt den Inhalt des Archivs einschließlich der vollen Pfadinformationen in das Zielverzeichnis. Im Gegensatz zum Modus Relative Pfade entpacken werden die Pfadinformationen immer komplett entpackt, unabhängig vom aktuellen Archivverzeichnis.

Pfade nicht entpacken

Wenn dieser Modus aktiviert ist, werden alle im Archiv ausgewählten Dateien im Stammverzeichnis und alle Dateien in den ausgewählten Unterverzeichnissen in das Zielverzeichnis entpackt. Die gespeicherten Verzeichnispfade werden ignoriert.

Absolute Pfade entpacken

Wenn bei der Erstellung eines Archivs der Modus "Volle Pfade inklusiv Laufwerksbuchstaben speichern" im Karteireiter "Dateien" des Archivierungsdialogs ausgewählt wurde und Sie die Option "Absolute Pfade entpacken" auswählen, erstellt WinRAR die entpackten Dateien in ihren ursprünglichen Verzeichnissen und auf den ursprünglichen Laufwerken. Seien Sie vorsichtig, wählen Sie diese Option nur dann, wenn Sie absolut sicher sind, dass das Archiv keine schädlichen Dateien enthält. Mögliche Vorteile und Gefahren des Modus "Absolute Pfade entpacken" finden Sie in der Beschreibung des Schalters -ep3, welcher in der Befehlszeile die Entsprechung für diese WinRAR-Option ist. Diese Option wird nur von RAR- und ZIP-Archiven unterstützt.

Archive löschen

Niemals

Entpackte Archive werden nicht gelöscht.

Nachfragen

Vor dem Löschen von entpackten Archiven wird ein Bestätigungsdialog angezeigt.

Immer

Entpackte Archive werden ohne Bestätigung gelöscht.

WinRAR löscht ein Archiv nur, wenn es ohne Fehler entpackt wurde und alle enthaltenen archivierten Dateien zum Entpacken ausgewählt worden sind. Wenn Sie ein mehrteiliges Archiv (Multi-Volumen) entpacken, werden alle Teile (Volumen) des Archivs gelöscht.

Beachten Sie, dass Sie den Zustand dieser Option mit der Schaltfläche "Einstellungen speichern" im Dialog "Entpacken: Zielverzeichnis und Optionen - Allgemein" speichern können. Das hat auch Auswirkungen auf die Kommandozeile und auf die Entpackbefehle in den Explorer-Kontextmenüs. Verwenden Sie die Modi "Nachfragen" und besonders "Immer" mit Vorsicht. Bei unsachgemäßer Verwendung dieser Option kann das Löschen von entpackten Archiven Datenverluste nach sich ziehen.

Verschiedenes

Im Hintergrund entpacken

Minimiert WinRAR beim Start des Entpackvorgangs in den System-Tray (als Icon rechts unten in die Taskleiste).

Warten, falls andere WinRAR-Kopien aktiv sind

Wartet in einer Warteschlange, während andere WinRAR-Kopien ein Archiv erstellen, ändern oder entpacken. Erst wenn die Archiv-Operationen der anderen WinRAR-Kopien abgeschlossen oder pausiert sind, wird die Archivoperation gestartet. Wenn Sie mehrere Archivierungs- oder Dekomprimierungsaufgaben hintereinander durchführen möchten, kann diese Option die Anzahl der Laufwerkssuchvorgänge (Seeks) reduzieren helfen. Die durchschnittliche Performance wird verbessert.

Sie können diese Option für die aktuelle Archivoperation außer Kraft setzen, indem Sie die Schaltfläche "Fortfahren" im Fortschritts-Fenster anklicken. Nachdem Sie auf "Fortfahren" geklickt haben, hört WinRAR auf, auf andere WinRAR-Kopien zu warten, unabhängig davon, ob die anderen Kopien gerade eine Archivoperation ausführen oder nicht.

Diese Option wird bei 7z-Archiven nicht unterstützt.

Absolute Pfade in symbolischen Links erlauben

Ist diese Option deaktiviert, werden beim Entpacken symbolische Links nicht entpackt, deren Link-Ziel außerhalb des Zielverzeichisses liegt, die einen absoluten Pfad aufweisen, zu viele ".." im Link-Ziel haben oder andere möglicherweise gefährliche Parameter enthalten. Links, die auf Verzeichnisse außerhalb des Zielverzeichnisses beim Entpacken verweisen, können ein Sicherheitsrisiko darstellen. Aktivieren Sie diese Option nur, wenn Sie sicher sind, dass der Inhalt des zu entpackenden Archivs sicher ist, wie z. B. Ihre eigenen Backups.

Symbolische Links, die WinRAR für ungefährlich hält, werden unabhängig von dieser Option immer entpackt.

Möglicherweise inkompatible Namen erlauben

Obwohl das NTFS-Dateisystem Dateinamen erlaubt, die mit Leerzeichen oder Punkten enden, können viele Windowsprogramme mit solchen Dateinamen nicht richtig umgehen. Ist diese Option deaktiviert, entfernt WinRAR beim Entpacken alle Leerzeichen und Punkte am Ende von Dateinamen, sofern welche vorhanden sind.


Dialog "Entpacken: Zielverzeichnis und Optionen": Allgemein

Dieser Dialog ermöglicht es, das Zielverzeichnis für die entpackten Dateien auszuwählen und einige allgemeine Optionen zu setzen. Standardmäßig hat dieses Verzeichnis den gleichen Namen wie das Archiv und wird im aktuellen Verzeichnis angelegt. Sie können diese Standardvorgabe im Dialog "Einstellungen - Komprimierung" ändern. Sie können einen neuen Verzeichnispfad im Feld "Zielverzeichnis" eingeben (wird erstellt, wenn er nicht schon existiert) oder ein vorhandenes Verzeichnis aus dem Verzeichnisbaum auswählen.

Der Dialog versucht automatisch während der Eingabe den eingegebenen Verzeichnisnamen auszuwählen, allerdings nur nach einer kleinen Verzögerung (ungefähr 0,5 s) und auch nur dann, wenn der eingegebene Verzeichnispfad einen Laufwerksbuchstaben enthält und die Auswahl nicht zu viel Zeit in Anspruch nimmt. Wenn das Verzeichnis nicht existiert, wird entweder das übergeordnete Verzeichnis oder das zur Eingabe ähnlich lautende Verzeichnis ausgewählt. Durch Drücken der Schaltfläche Anzeigen können Sie den Dialog auch zwingen, den eingegebenen Verzeichnisnamen sofort zu suchen. Dies kann nützlich sein, um das Verzeichnis zu finden, das nicht vom Benutzer eingegeben, sondern beim Öffnen des Dialogs als Standardvorgabe vorgeschlagen wurde oder die automatische Auswahl abgebrochen wurde, weil die Suche zu lange dauerte.

Mit der Schaltfläche Neues Verzeichnis können Sie ein neues Verzeichnis erstellen. Das neue Verzeichnis wird in dem aktuell ausgewählten Verzeichnis im Verzeichnisbaum oder in dem Feld "Zielverzeichnis" angegebenen Verzeichnis erstellt, abhängig davon, was Sie zuletzt geändert haben. Verwenden Sie die Taste F2, um Verzeichnisse im Verzeichnisbaum umzubenennen, die Taste Entf, um Verzeichnisse zu löschen, und die Taste F5, um den Inhalt des Verzeichnisbaums zu aktualisieren.

Die Größe des Entpack-Dialogs lässt sich anpassen. Durch Ziehen mit der Maus an den Rändern können Sie den Dialog auf die gewünschte Größe bringen, um mehr Platz für den Verzeichnisbaum zu schaffen. WinRAR speichert die neue Größe des Dialogs.

Der Dialog bietet darüber hinaus folgende zusätzliche Optionen:

Updatemodus

Dateien entpacken und ersetzen (Standardvorgabe)

Entpackt alle ausgewählten Dateien.

Dateien entpacken und erneuern

Entpackt nur ausgewählte Dateien, die entweder im Zielverzeichnis nicht existieren oder älter als die archivierten Versionen sind.

Nur existierende Dateien ersetzen

Entpackt nur ausgewählte Dateien, die im Zielverzeichnis existieren und älter als die entsprechenden Dateien im Archiv sind. Wenn eine Datei auf dem Datenträger nicht existiert, wird sie übersprungen.

Überschreiben

Vorher nachfragen (Standardvorgabe)

WinRAR fragt nach, bevor es Dateien überschreibt.

Ohne Bestätigung

Dateien werden ohne irgendwelche Nachfragen überschrieben.

Vorhandene Dateien überspringen

Bereits vorhandene Dateien werden nicht überschrieben.

Automatisch umbenennen

Benennt entpackte Dateien automatisch um, wenn eine Datei mit dem selben Namen bereits existiert. Die umbenannten Dateien erhalten Namen nach dem Muster 'dateiname(N).txt', wobei 'dateiname.txt' der ursprüngliche Dateiname und 'N' eine Zahl ist.

Verschiedenes

Archive in Unterverzeichnisse entpacken

Diese Option steht nur zu Verfügung, wenn mehr als ein Archiv entpackt wird. Der Inhalt jedes einzelnen Archivs wird jeweils in ein separates Unterverzeichnis entpackt. Die Namen dieser Unterverzeichnisse entsprechen den Namen der darin entpackten Archive.

Defekte Dateien behalten

WinRAR wird Dateien nicht löschen, die nicht erfolgreich entpackt wurden, wenn zum Beispiel das Archiv beschädigt ist (Standardmäßig löscht WinRAR solche Dateien). Auf diese Weise können Sie versuchen, einen Teil der Informationen aus einer defekten Datei zu retten.

Dateien im Explorer anzeigen

Nachdem das Entpacken abgeschlossen ist, öffnet WinRAR ein Explorer-Fenster, welches den Inhalt des Zielverzeichnisses anzeigt.

Einstellungen speichern

Klicken Sie auf die Schaltfläche "Einstellungen speichern", wenn Sie den aktuellen Zustand beider Teile (Allgemein und Erweitert) des Dialogs "Entpacken: Zielverzeichnis und Optionen" sichern möchten. Der gespeicherte Zustand wird zum Standard und wird wiederhergestellt, wenn der Dialog das nächste Mal aktiviert wird. WinRAR speichert alle Optionen außer das Zielverzeichnis. Möchten Sie ein Zielverzeichnis als Standard vorgeben, verwenden Sie den Dialog "Einstellungen - Komprimierung".


Passwort für die zu entpackende Datei eingeben

Sie versuchen eine verschlüsselte Datei zu entpacken oder den Inhalt eines verschlüsselten Archivs anzeigen zu lassen. Geben Sie das Passwort ein oder brechen Sie das Entpacken ab.

Entpacken Sie mehrere Archive auf einmal, können Sie die Option "Für alle Archive verwenden" aktivieren, um das eingegebene Passwort für alle Archive zu verwenden. Diese Option ist nicht verfügbar, wenn nur ein Archiv bearbeitet wird. Mit Hilfe dieser Option ist es möglich, verschlüsselte Archive von der aktuellen Archivoperation auszuschließen. Dazu geben Sie als Passwort einfach eine leere Zeichenkette an und aktivieren Sie die Option "Für alle Archive verwenden".

Haben Sie bereits einige Passwörter gespeichert, können Sie auf diese zugreifen, indem Sie die Dropdown-Liste beim Eingabefeld "Passwort eingeben" oder die automatische Passwortvervollständigung benutzen. Klicken Sie auf die Schaltfläche "Passwörter verwalten...", um den Dialog "Passwörter verwalten" zu öffnen, wo Sie häufig verwendete Passwörter speichern können.

Sind die gespeicherten Passwörter durch ein Master-Passwort geschützt, müssen Sie das Master-Passwort angeben und auf "OK" drücken, um auf die Passwörter zuzugreifen. Ist das eingegebene Passwort nicht das Master-Passwort, behandelt dieser Dialog die angegebene Zeichenkette als gewöhnliches Passwort für Archivoperationen.


Dialog "Archivname und Archivparameter einstellen": Erweitert

Dateisicherheitsdaten speichern

Diese Option hat nur für NTFS-Dateisysteme eine Bedeutung und erlaubt das Speichern folgender Informationen: Dateibesitzer, Gruppe, Zugriffsrechte und Revisionsinformationen. Um von dieser Möglichkeit Gebrauch machen zu können, müssen Sie die notwendigen Rechte zum Lesen dieser Daten besitzen. Die Verarbeitung von Sicherheitsdaten kann die Geschwindigkeit von Archivierungsvorgängen herabsetzen. Aktivieren Sie diese Option daher nur, wenn Sie dessen Bedeutung verstehen und diese wirklich benötigen. Bei Heimanwendern ist in den meisten Fällen die Verarbeitung von Sicherheitsdaten nicht erforderlich.

Diese Option wird nur für RAR-Archive unterstützt.

Datenströme speichern

Diese Option hat nur für NTFS-Dateisysteme eine Bedeutung und erlaubt das Speichern alternativer Datenströme, die mit einer Datei verknüpft sind. Es ist empfehlenswert, den Schalter anzugeben, wenn Sie Software einsetzen, die Daten in alternativen Datenströmen ablegt. Alternative Datenströme von NTFS-verschlüsselten Dateien werden nicht gespeichert.

Diese Option wird nur für RAR-Archive unterstützt.

Symbolische Links als Links speichern

Speichert symbolische Links (Symbolic Links) und andere Analysepunkte (Reparse Points) im NTFS-Dateisystem als Links im Archiv. Die Inhalte, auf welche die Links verweisen, werden in diesem Fall nicht im Archiv gespeichert. Solche Archiveinträge werden beim Entpacken als symbolische Links oder Analysepunkte wiederhergestellt. Um symbolische Links beim Entpacken zu erstellen, kann es notwendig sein, WinRAR als Administrator ausführen. Symbolische Links, die auf Verzeichnisse außerhalb des Zielverzeichnisses beim Entpacken verweisen, die im Link-Ziel einen absoluten Pfad aufweisen, zu viele ".." haben oder andere möglicherweise gefährliche Parameter enthalten, können ein Sicherheitsrisiko darstellen und werden nur dann entpackt, wenn die Option "Absolute Pfade in symbolischen Links erlauben" im Dialog "Entpacken: Zielverzeichnis und Optionen - Erweitert" aktiviert ist oder der Schalter -ola angegeben wurde. Wird nur für RAR-5.0-Archive unterstützt.

Harte Links als Links speichern

Wenn sich unter den zu archivierenden Dateien einige harte Links (NTFS Hard Links) befinden, wird der erste harte Link als Datei im Archiv gespeichert, die anderen harten Links in derselben Gruppe jedoch als Links auf die erste Datei. Beim Entpacken solcher Dateien erstellt WinRAR harte Links anstelle von normalen Dateien.

Nachdem das Archiv erstellt wurde, darf der erste harte Link im Archiv weder gelöscht noch umbenannt werden, weil sonst das Entpacken der folgenden Links nicht mehr möglich ist. Wird der erste Link geändert, werden auch die folgenden Links nach dem Entpacken den geänderten Inhalt haben. Der Befehl zum Entpacken muss den ersten harten Link beinhalten, nur dann werden die folgenden harten Links erfolgreich erstellt. Wird nur für RAR-5.0-Archive unterstützt.

Nach jedem Volumen pausieren

Standardmäßig fragt WinRAR nur bei Wechseldatenträgern vor dem Erstellen und Entpacken des nächsten Volumens nach einer Bestätigung. Dieser Schalter zwingt WinRAR, diese Bestätigung immer anzufordern. Dieses kann nützlich sein, wenn der Plattenplatz knapp ist und Sie jedes Volumen sofort nach der Erzeugung jeweils auf einen anderen Datenträger kopieren möchten.

Diese Option wird nur für RAR-Volumen unterstützt.

Alte Volumennamen verwenden

Standardmäßig haben RAR-Volumen Namen der Form "volumenname.partNNN.rar", wobei NNN die Nummer des Volumens ist. Beim RAR-4.x-Format ist es mit dieser Option möglich, ein anderes, auf der Dateierweiterung basierendes Nummerierungssystem zu verwenden. In diesem Fall hat das erste Volumen in der Folge die Erweiterung ".rar", die nachfolgenden Volumen-Erweiterungen sind nummeriert von ".r00" bis ".r99". Bei RAR-5.0-Archiven wird diese Option und das auf der Dateierweiterung basierende Namensschema nicht unterstützt.

Wiederherstellungs-Volumen

Diese Option steht nur zu Verfügung, wenn sie ein gesplittetes RAR-Archiv erstellen. In diesem Fall müssen Sie die Anzahl der zu erstellenden Wiederherstellungs-Volumen angeben. Sie können auch ein Prozentzeichen an diese Zahl anhängen. In diesem Fall wird die Anzahl der erstellten ".rev"-Dateien gleich dem Prozentsatz der Anzahl aller RAR-Volumen sein. Jedes Wiederherstellungs-Volumen erlaubt es Ihnen, ein fehlendes Volumen wiederherzustellen. Mehr über dieses Feature können Sie hier nachlesen.

Archivieren im Hintergrund

Beim Beginn des Archivierungsvorgangs wird WinRAR in den System-Tray minimiert (als Icon rechts unten in die Taskleiste).

Nach dem Archivieren PC herunterfahren

Fährt den PC nach dem Ende der Archivoperation herunter und schaltet ihn aus. Die Hardware muss die "Power Off"-Funktion unterstützen.

Warten, falls andere WinRAR-Kopien aktiv sind

Wartet in einer Warteschlange, während andere WinRAR-Kopien ein Archiv erstellen, ändern oder entpacken. Erst wenn die Archiv-Operationen der anderen WinRAR-Kopien abgeschlossen oder pausiert sind, wird die Archivoperation gestartet. Wenn Sie mehrere Archivierungs- oder Dekomprimierungsaufgaben hintereinander durchführen möchten, kann diese Option die Anzahl der Laufwerkssuchvorgänge (Seeks) reduzieren helfen. Die durchschnittliche Performance wird verbessert.

Sie können diese Option für die aktuelle Archivoperation außer Kraft setzen, indem Sie die Schaltfläche "Fortfahren" im Fortschritts-Fenster anklicken. Nachdem Sie auf "Fortfahren" geklickt haben, hört WinRAR auf, auf andere WinRAR-Kopien zu warten, unabhängig davon, ob die anderen Kopien gerade eine Archivoperation ausführen oder nicht.

Wiederherstellungsdaten

Bestimmt die Größe der Wiederherstellungsdaten in Prozent von der gesamten Archivgröße. Größere Wiederherstellungsdaten ermöglichen die Reparatur von sehr schwerwiegenden Schäden, allerdings nimmt dann die Größe des Archivs und die Zeit für die Verarbeitung des Archivs zu. Ein Wert von 3 - 10 % ist vermutlich optimal. Der Wert in diesem Eingabefeld wird nur dann verwendet, wenn die Option "Wiederherstellungsdaten hinzufügen" im Karteireiter Allgemein in diesem Dialog aktiviert ist. Es ist nicht möglich, den Wert auf Null zu setzen. Wenn Sie keine Wiederherstellungsdaten benötigen, deaktivieren Sie die Option "Wiederherstellungsdaten hinzufügen".

Kompression…

Öffnet den Dialog "Erweiterte Komprimierungsparameter", in dem Sie die verschiedenen Module des Kompressionsalgorithmus von WinRAR konfigurieren können. Unsachgemäße Einstellungen in diesem Dialog können zu einer dramatischen Verschlechterung der Performance führen. Seien Sie deshalb vorsichtig.

SFX-Optionen…

Damit können ein selbstentpackendes Modul auswählen und optionale SFX-Parameter wie das Zielverzeichnis und den Fenstertitel einstellen. Beachten Sie, dass die SFX-Parameter nur für die SFX-Module mit GUI für Windows einstellbar sind. Die SFX-Module für die Konsole und andere Nicht-Windows-SFX-Module unterstützen diese Einstellungen nicht. Die Schaltfläche "SFX-Optionen" ist nur verfügbar, wenn die Option "Selbstentpackendes Archiv erstellen" im Karteireiter Allgemein in diesem Dialog aktiviert ist.

Es ist möglich, die eingestellten SFX-Optionen in einem Komprimierungsprofil zu speichern, WinRAR erstellt aus diesen Einstellungen die entsprechenden SFX-Befehle und fügt diese zum Archivkommentar hinzu.


Dialog "Archivname und Archivparameter einstellen": Backup

Zieldatenträger vor dem Archivieren löschen

Alle Dateien und Verzeichnisse auf dem Zieldatenträger werden vor dem Beginn einer Archivoperation gelöscht. Wenn Sie Volumen erstellen, wird der Inhalt des Zieldatenträgers vor dem Erstellen jedes einzelnen Volumens gelöscht. Das ermöglicht Ihnen, Archive auch auf nicht-leeren Wechselmedien zu erstellen. Stellen Sie sicher, dass sich auf den Datenträgern keine wichtigen Informationen befinden. Die Option lässt sich nur auf Wechseldatenträger anwenden, Festplatten können durch die Verwendung der Option nicht gelöscht werden.

Nur Dateien mit gesetztem Archivattribut hinzufügen

Nur Dateien mit gesetztem Archivattribut werden hinzugefügt. Verzeichnisse werden immer hinzugefügt, unabhängig von ihren Attributen. Diese Option wurde für Backup-Zwecke entwickelt.

Archivattribut nach dem Archivieren löschen

Löscht das Archivattribut bei allen erfolgreich gepackten Dateien. Attribute von Verzeichnissen werden nicht geändert. Diese Option wurde für Backup-Zwecke entwickelt.

Durch andere Anwendungen gesperrte Dateien öffnen

Erlaubt die Verarbeitung von Dateien, die von anderen Programmen zum Schreiben geöffnet sind. Diese Option kann gefährlich sein, weil es die Archivierung von Dateien erlaubt, die vielleicht gerade von anderen Programmen geändert werden. Benutzen Sie diese Option mit großer Vorsicht.

Archivnamen aus folgender Maske erzeugen

Hängt das aktuelle Datum an den Archivnamen an, wenn ein neues Archiv erzeugt wird. Nützlich für tägliche Backups. Das Format des Datums wird durch die angegebene Maske bestimmt. Für weitere Informationen lesen Sie die Beschreibung zum Schalter -ag.

Vorherige Dateiversionen erhalten

Zwingt WinRAR, vorherige Dateiversionen beim Erneuern eines vorhandenen Archivs darin zu belassen. Alte Versionen werden zu "dateiname;n" umbenannt, wobei 'n' die Versionsnummer ist. Wird nur von RAR-Archiven unterstützt.


Dialog "Archivname und Archivparameter einstellen": Kommentar

Hier können Sie einen Archivkommentar eingeben, der zu dem neuen oder erneuerten Archiv hinzugefügt wird. Sie können entweder den Namen einer Datei, welche ein Archivkommentar enthält, im Feld "Archivkommentar aus Datei laden" angeben oder den Kommentar von Hand im Feld "Archivkommentar manuell eingeben" eingeben.


Dialog "Archivname und Archivparameter einstellen": Dateien

Dateien hinzufügen

Namen der zu komprimierenden Dateien und Verzeichnisse. Dieses Eingabefeld wird automatisch mit den vorher ausgewählten Dateinamen gefüllt. Wenn notwendig, können Sie die Dateinamen bearbeiten und die Schaltfläche "Hinzufügen…" drücken, um weitere Dateien auszuwählen, die dann zu der Liste hinzugefügt werden.

Sie können auch Wildcards in das Eingabefeld eingeben, in diesem Fall durchsucht WinRAR das aktuelle Verzeichnis und alle Unterverzeichnisse nach Dateien, die zu der Dateimaske passen. Möchten Sie mehrere Dateimasken angeben, trennen Sie diese durch Leerzeichen. Enthält eine Dateimaske Leerzeichen, müssen Sie die Dateimaske in Anführungsstriche "" einschließen. Zum Beispiel können Sie

*.txt *.doc "set 1.*"

eingeben, um alle ".txt"- und ".doc"-Dateien zu archivieren.

Dateien ausschließen

Dateimasken und Dateinamen, die von der Archivierung ausgeschlossen werden. Wildcards können in den Verzeichnisnamen und in den Dateinamen der Dateimasken verwendet werden. Möchten Sie mehrere Dateimasken angeben, trennen Sie diese durch Leerzeichen. Enthält eine Dateimaske Leerzeichen, müssen Sie die Dateimaske in Anführungsstriche "" einschließen. Zum Beispiel können Sie

c:\temp\info.txt *.bak *.tmp *\temp\

eingeben, um die Datei c:\temp\info.txt, alle ".bak"- und ".tmp"-Dateien sowie alle Verzeichnisse mit dem Namen "temp" und die darin enthaltenen Dateien auszuschließen. Sie können die Dateinamen auch manuell eingeben oder die Schaltfläche "Hinzufügen…" drücken, um weitere Dateien auszuwählen, die dann zu der Liste der auszuschließenden Dateien hinzugefügt werden.

Weitere Informationen über den Syntax der Dateimasken für den Ausschluss von Dateien finden Sie in der Beschreibung zum Schalter -x. Dieser Schalter verwendet für die Dateimasken dasselbe Format wie das Eingabefeld "Dateien ausschließen".

Dateien ohne Kompression speichern

Dateimasken und Dateinamen, die ohne Kompression archiviert werden. Diese Option kann verwendet werden, um bereits komprimierte Dateien zu archivieren. Die erhöht die Archivierungsgeschwindigkeit, ohne dass die Kompressionsrate merklich sinkt. Möchten Sie mehrere Dateimasken angeben, trennen Sie diese durch Leerzeichen. Enthält eine Dateimaske Leerzeichen, müssen Sie die Dateimaske in Anführungsstriche "" einschließen. Zum Beispiel geben Sie

*.rar *.zip *.jpg

ein, um alle RAR- und ZIP-Archive und JPG-Bilder ohne Kompression zu archivieren.

Dateipfade

Wählen Sie, wie die Dateipfade im Archiv gespeichert werden sollen. WinRAR kann Pfadangaben auf folgende Arten speichern: relativ zum aktuellen Verzeichnis (Standardvorgabe), mit vollen Dateipfaden ohne den Laufwerksbuchstaben und dem führenden Backslash, ohne jede Pfadangabe (nur die Dateinamen).

Wenn Sie Dateinamen ohne jede Pfadinformationen speichern, ist es möglich, ein Archiv zu erstellen, das mehrere Dateien mit demselben Namen enthält. Benutzen Sie die Option "Keine Pfade speichern" daher mit der entsprechenden Vorsicht.

Wenn Sie volle Pfade inkl. Laufwerksbuchstaben speichern, ersetzt WinRAR die Trennzeichen zwischen Laufwerksbuchstaben und Pfadangaben (die Doppelpunkte) durch Unterstriche. Wenn Sie die Option "Absolute Pfade entpacken" im Karteireiter "Erweitert" des Dialogs "Entpacken: Zielverzeichnis und Optionen" auswählen, ersetzt WinRAR die Unterstriche wieder durch Doppelpunkte und erstellt die entpackten Dateien in ihren ursprünglichen Verzeichnissen und auf den ursprünglichen Laufwerken. Mögliche Vorteile und Gefahren des Modus "Volle Pfade inkl. Laufwerksbuchstaben speichern" finden Sie in der Beschreibung des Schalters -ep3, welcher in der Befehlszeile die Entsprechung für diese WinRAR-Option ist.

Jede Datei in ein unterschiedliches Archiv

Archiviert jede ausgewählte Datei und jedes ausgewählte Verzeichnis in ein eigenes Archiv. Wenn Sie diese Option aktivieren, wird der eingegebene Archivname nur als Zielverzeichnispfad für neue Archive behandelt (Wenn es kein Verzeichnis ist, wird der Teil mit dem Dateinamen ignoriert), und die Archivnamen werden auf Basis der Dateinamen erzeugt.

Sende Archiv per E-Mail an [<Adresse>] [und dann löschen]

Diese Option erlaubt es, ein erstelltes Archiv an ein E-Mail anzuhängen. Sie müssen ein MAPI-fähiges E-Mail-Programm installiert haben, um diese Option benutzen zu können (Die meisten modernen E-Mail-Programme unterstützen die MAPI-Schnittstelle). Wenn Sie hier keine E-Mailadresse eingeben, wird Ihr E-Mailprogramm nach der Mailadresse verlangen. Es ist möglich, mehrere E-Mail-Adressen anzugeben (durch Kommata oder Semikolons getrennt). Wenn Sie die Option "und dann löschen" aktivieren, wird das Archiv gelöscht, nachdem es erfolgreich an ein E-Mail angehängt wurde.

Wird die Option "Sende Archiv per E-Mail an" bei der Erstellung eines gesplitteten Archivs benutzt, so wird jedes Volumen an ein eigenes E-Mail angehängt.


Dialog "Archivname und Archivparameter einstellen": Allgemein

Der Dialog enthält die folgenden Elemente:

Archivname

Geben Sie den Namen entweder von Hand ein, oder klicken Sie auf "Suchen…", um nach dem Archivnamen zu suchen. Sie können ein Namen eingeben, der einen Laufwerksbuchstaben oder den vollständigen Pfad zu dem Archiv enthält.

Profile...

Öffnet das Menü, welches Ihnen ermöglicht, Profile neu zu erstellen, zu verwalten und Komprimierungsprofile auszuwählen. Komprimierungsprofile ermöglichen Ihnen, vorher gespeicherte Komprimierungseinstellungen schnell wiederherzustellen oder Standardeinstellungen für diesen Dialog anzugeben. WinRAR stellt einige vordefinierte Profile zur Verfügung, die optimal zum Erstellen von E-Mail-Anhängen, zum Backup von Dateien und für andere Aufgaben geeignet sind. Der Name des derzeit aktiven Profils wird oberhalb der Schaltfläche "Profile..." angezeigt. Bitte lesen Sie den Abschnitt Komprimierungsprofile für weitere Informationen.

Archivformat (RAR, RAR5, ZIP)

Legt das Format des neu zu erstellenden Archivs fest. Wählen Sie RAR für das neuste RAR-5.0-Format, RAR4 für das zu WinRAR 4.x kompatible RAR-Format oder ZIP für die Erstellung eines ZIP-Archivs. Abhängig von dem gewählten Archivformat werden einige erweiterte Optionen deaktiviert, die vom Zielformat nicht unterstützt werden. Beim Erneuern eines bereits vorhandenen Archivs wird diese Option ignoriert und WinRAR verwendet das Format des zu erneuernden Archivs.

Kompressionsmethode

Wählen Sie zwischen den Methoden "speichern", "schnellste", "schnell", "normal", "gut" und "beste". Die Methode "speichern" kopiert die Dateien mit höchster Geschwindigkeit nur in das Archiv, ohne sie zu komprimieren. Alle folgenden Methoden komprimieren die Daten, von der Methode "schnellste" bis "beste" nimmt die Kompressionsrate zu und die Geschwindigkeit bei der Komprimierung ab.

Wörterbuchgröße

Größe des Speicherbereichs, der verwendet wird, um sich wiederholende Muster in den zu verarbeitenden Daten zu finden und zu komprimieren. Ein größeres Wörterbuch für die Komprimierung verbessert in vielen Fällen die Kompressionsrate von großen Dateien, besonders beim Erstellen eines soliden Archivs. Ein größeres Wörterbuch führt zu einer geringeren Geschwindigkeit beim Packen und zu einem höheren Speicherbedarf. Der Speicherbedarf beim Komprimieren beträgt ungefähr das Sechsfache der Wörterbuchgröße, beim Dekomprimieren etwas mehr als die einfache Wörterbuchgröße. Damit ein RAR-5.0-Archiv auf unterschiedlichen Computern entpackt werden kann, auch auf solchen mit wenig Arbeitsspeicher, sollte man die maximale Wörterbuchgröße vermeiden und einen mittelgroßen Wert wählen, also 32 oder 64 MB.

Die maximale Wörterbuchgröße bei RAR-4.x-Archiven beträgt 4 MB. Das RAR-5.0-Format ermöglicht die Erstellung von Archiven mit einer Wörterbuchgröße von bis zu 1 GB bei der 64-Bit-Version von WinRAR und bis zu 256 MB bei der 32-Bit-Version (bis zu 128 MB unter Windows XP x86). Beim Entpacken wird weniger Hauptspeicher benötigt als beim Packen. Daher kann man sowohl mit der 32-Bit-Version als auch mit der 64-Bit-Version von WinRAR Archive mit beliebigen Wörterbuchgrößen bis zu 1 GB entpacken, vorausgesetzt der Computer verfügt über mehr als 1 GB freien Hauptspeicher. Beim ZIP-Format hat das Wörterbuch die feste Größe von 32 kB.

Ist bei einem soliden Archiv die Gesamtgröße aller Dateien oder bei einem nicht soliden Archiv die Dateigröße der größten Datei weniger als halb so groß oder genauso groß wie die Größe des Wörterbuches, so kann WinRAR die Wörterbuchgröße herabsetzen. Das führt zu einem verringerten Speicherbedarf, ohne dass die Kompressionsrate sinkt.

Volumengröße

Möchten Sie ein gesplittetes Archiv erstellen, geben Sie hier die Größe eines einzelnen Teils (Volumen) des gesplitteten Archivs an. Sie können die Größeneinheit aus der Dropdownliste rechts neben dem Feld auswählen. "B" bedeutet in der Liste Byte, "kB" - Kilobyte, "MB" - Megabyte und "GB" - Gigabyte.

Die Eingabe von Nachkommastellen bei der Volumengröße ist erlaubt. Als Dezimaltrennzeichen muss das in den "Regionalen Einstellungen" von Windows festgelegte Dezimaltrennzeichen verwendet werden.

Die Größeneinheit kann auch durch Anhängen eines oder zweier Zeichen an die Volumengröße gewählt werden. Der Kleinbuchstaben 'k' bedeutet Kilobyte, der Großbuchstabe 'K' Tausende von Bytes, 'm' bedeutet Megabyte, 'M' - Millionen von Bytes, 'g' - Gigabyte, 'G' - Milliarden von Bytes. "KB", "MB" und "GB" hat immer die Bedeutung Kilobyte, Megabyte und Gigabyte, unabhängig von der Groß- oder Kleinschreibung.

Zu dem Eingabefeld für die Volumengröße gehört eine Dropdownliste, die zuvor eingegebene, vordefinierte und durch den Anwender festgelegte Werte enthält. Sie können die Liste verwenden, um schnell eine der enthaltenen Werte auszuwählen. Diese Liste kann mit dem Dialog "Volumengrößen festlegen" an Ihre Bedürfnisse angepasst werden. Um zu diesem Dialog zu gelangen, drücken Sie die Schaltfläche "Volumengrößen festlegen…" im Dialog "Einstellungen - Komprimierung".

Wenn Sie auf Wechseldatenträgern ein RAR-Archiv erstellen, können Sie den Eintrag "automatisch" aus der Liste auswählen. Dann wird WinRAR die Volumengröße für jedes neue Volumen automatisch einstellen.

Updatemodus

  • Dateien hinzufügen und ersetzen (Standardvorgabe). Ersetzt immer archivierte Dateien, welche die gleichen Namen haben wie die Dateien, die hinzugefügt werden sollen. Fügt darüber hinaus immer die Dateien hinzu, die im Archiv nicht vorhanden sind.
  • Dateien hinzufügen und erneuern. Ersetzt archivierte Dateien nur, wenn die Dateien, die hinzugefügt werden sollen, neuer sind. Fügt darüber hinaus immer die Dateien hinzu, die im Archiv nicht vorhanden sind.
  • Nur im Archiv vorhandene Dateien erneuern. Ersetzt archivierte Dateien nur, wenn die Dateien, die hinzugefügt werden sollen, neuer sind. Fügt die Dateien NICHT hinzu, die im Archiv nicht vorhanden sind.
  • Vor dem Überschreiben nachfragen. Fordert eine Bestätigung beim Überschreiben von archivierten Dateien an, welche die gleichen Namen haben wie die Dateien, die hinzugefügt werden sollen. Fügt darüber hinaus immer die Dateien hinzu, die im Archiv nicht vorhanden sind.
  • Vorhandene Dateien überspringen. Ersetzt nie archivierte Dateien, welche die gleichen Namen haben wie die Dateien, die hinzugefügt werden sollen. Fügt darüber hinaus immer die Dateien hinzu, die im Archiv nicht vorhanden sind.
  • Archivinhalt synchronisieren. Ersetzt archivierte Dateien nur, wenn die Dateien, die hinzugefügt werden sollen, neuer sind. Fügt darüber hinaus die Dateien hinzu, die im Archiv nicht vorhanden sind. Löscht archivierte Dateien, die nicht unter den Dateien sind, die hinzugefügt werden sollen. Es sieht ähnlich aus wie das Erstellen eines neuen Archivs, jedoch mit einem wichtigen Unterschied: Wenn keine Dateien seit dem letzten Backup verändert wurden, läuft der Vorgang bedeutend schneller ab als das Erstellen eines neuen Archivs.

Dateien nach dem Archivieren löschen

Löscht die Quelldateien, nachdem sie erfolgreich archiviert wurden.

Selbstentpackendes Archiv erstellen

Erstellt ein selbstentpackendes Archiv (exe-Datei), das ohne Hilfe eines anderen Programms entpackt werden kann. Sie können dann im Karteireiter "Erweitert" in diesem Dialog die Art des SFX-Moduls auswählen und einige andere SFX-Parameter wie das Zielverzeichnis einstellen.

Solides Archiv erstellen

Erstellt ein solides Archiv. Normalerweise bringt dies höhere Kompressionsraten mit sich; es gibt aber dann einige Einschränkungen. Für weitere Details lesen Sie die Beschreibung über solide Archive.

Wiederherstellungsdaten hinzufügen

Fügt Wiederherstellungsdaten zum Archiv hinzu, die im Fall einer Archivbeschädigung bei der Wiederherstellung des Archivs hilfreich sein können. Sie können die Größe der Wiederherstellungsdaten im Karteireiter "Erweitert" in diesem Dialog einstellen. Der Standardwert ist 3% der gesamten Archivgröße.

Archivierte Dateien testen

Testet die Dateien nach der Archivierung. Diese Option ist besonders nützlich, wenn die Option "Dateien nach dem Archivieren löschen" ebenfalls aktiviert ist. Dann werden die Dateien nur gelöscht, wenn das Archiv erfolgreich getestet wurde.

Archiv vor Veränderung schützen

Ein abgeschlossenes Archiv kann durch WinRAR nicht mehr verändert werden. Sie können wichtige Archive abschließen, um sie vor versehentlichen Änderungen zu schützen.

Passwort festlegen…

Legt ein Passwort für die Verschlüsselung der archivierten Dateien fest. Es ist nur während des folgenden Archivierungsvorgangs gültig und überschreibt das Standardpasswort, welches im Menü "Datei" eingegeben wurde. Existiert ein Standardpasswort, wird es nach dem Abschluss des Archivierungsvorgangs wiederhergestellt. Ist kein Standardpasswort vorhanden, gibt es auch nach Abschluss des Archivierungsvorgangs keins.


Dialog "Archivname und Archivparameter einstellen"

Dieser Dialog wird angezeigt, wenn der Befehl "Dateien zum Archiv hinzufügen" aufgerufen wird, bevor irgendwelche Dateien zum Archiv hinzugefügt werden.

Die Einstellungen in diesem Dialog sind in verschiedenen Gruppen eingeteilt. Wählen Sie eine der unten aufgeführten Einträge, um eine detaillierte Beschreibung der entsprechenden Gruppe zu erhalten:

  • Allgemein
  • Erweitert
  • Optionen
  • Dateien
  • Backup
  • Zeit
  • Kommentar


Dialog "Archivname und Archivparameter einstellen": Optionen

Löschmodus

Alle unten aufgeführte Optionen bestimmen das Verhalten der Option "Dateien nach dem Archivieren löschen" im Dialog "Archivname und Archivparameter einstellen": Allgemein. Diese Optionen haben nur Auswirkungen, wenn die Option "Dateien nach dem Archivieren löschen" aktiviert wurde. Das Standardverhalten der Option "Dateien nach dem Archivieren löschen" können Sie durch Auswahl einer dieser Optionen im Standard-Komprimierungsprofil festlegen.

Dateien löschen

Dateien werden normal gelöscht. Die Löschung der Dateien ist dauerhaft, aber nicht sicher, sodass es manchmal möglich ist, die Dateien mit spezieller Software wiederherzustellen.

Dateien in den Papierkorb verschieben

Gelöschte Dateien werden in den Papierkorb verschoben.

Dateien sicher löschen

Vor dem Löschen werden die Dateien mit Null-Bytes überschrieben, sodass eine Wiederherstellung der Dateien (genauer: der Dateiinhalte) verhindert wird, die Dateien werden auf 0 Byte Größe verkleinert und erhalten einen temporären Dateinamen.

Beachten Sie, dass dieser Ansatz für das sichere Überschreiben nur für normale Festplatten funktioniert. Auf Solid-State-Drives ist aufgrund von Methoden zur Nutzungsverteilung (SSD Wear Leveling) und komplizierter Datenadressierung nicht sichergestellt, dass die ursprünglichen Dateidaten wirklich überschrieben werden.

Dateien sicher löschen, wenn Passwort gesetzt ist

Ist diese Option aktiviert und werden Dateien mit einem Passwort archiviert, wird der Modus "Dateien sicher löschen" aktiviert, unabhängig von anderen Optionen in der Optionsgruppe "Löschmodus".

Es macht keinen Sinn, diese Option direkt im Dialog "Archivname und Archivparameter einstellen": Optionen zu aktivieren, denn dort kann man direkt die Option "Dateien sicher löschen" aktivieren. Diese Option ist für die Verwendung in Komprimierungsprofilen gedacht. Möchten Sie verschlüsselte Dateien immer sicher löschen, aktivieren Sie die Option "Dateien sicher löschen, wenn Passwort gesetzt ist" im Standard-Komprimierungsprofil.

Archiveigenschaften

BLAKE2-Dateiprüfsumme verwenden

Speichert BLAKE2-Dateiprüfsummen. Nur für das RAR-5.0-Archivformat verfügbar.

In RAR-Archiven wird die Unversehrtheit von Dateidaten durch Prüfsummen sichergestellt. Für jede Datei im Archiv wird eine Prüfsumme berechnet und gespeichert. Standardmäßig verwendet WinRAR die CRC32-Funktion zu Berechnung der Prüfsumme. Beim RAR-5.0-Archivformat kann auch die BLAKE2sp-Version der BLAKE2-Hashfunktion anstelle der CRC32-Funktion gewählt werden.

Das Ergebnis der CRC32-Funktion ist ein 32 Bit breiter Wert. Die Eigenschaften von CRC32 ermöglichen es, die meisten unbeabsichtigten Datenfehler zu erkennen. Allerdings ist CRC32 nicht für die zuverlässige Identifizierung von Dateiinhalten geeignet. Anders ausgedrückt: Wenn zwei Dateien denselben CRC32-Wert haben, ist nicht gewährleistet, dass auch die Dateiinhalte übereinstimmen.

Das Ergebnis der BLAKE2-Hashfunktion ist ein 256 Bit breiter Wert. Da BLAKE2 aus kryptografischer Sicht eine starke Hashfunktion darstellt, ist praktisch sichergestellt, dass bei zwei Dateien mit derselben BLAKE2-Prüsumme auch die Dateiinhalte übereinstimmen. Eine BLAKE2-Prüfsumme ermöglicht eine zuverlässigere Erkennung von Fehlern in den Dateidaten als eine kürzere CRC32-Prüfsumme.

Da das Ergebnis der BLAKE2-Funktion länger ist und somit mehr Speicherplatz benötigt, wird ein Archiv bei der Verwendung dieser Option etwas größer als bei der Verwendung von CRC32.

Wenn die Archivheader nicht verschlüsselt sind (Option "Dateinamen verschlüsseln" nicht aktiviert), werden die Prüfsummen bei verschlüsselten Dateien in RAR-5.0-Archiven mit Hilfe eines speziellen passwortabhängigen Algorithmus verändert. Dadurch ist es nicht mehr möglich, von den Prüfsummen auf die Inhalte der Dateien zu schließen. Die Prüfsummen von verschlüsselten Dateien in RAR-5.0-Archiven stimmen daher nicht mit echten CRC32- oder BLAKE2-Hashwerten überein.

Gleiche Dateien als Verweise speichern

Ist diese Option aktiviert, analysiert WinRAR die Inhalte aller zu archivierenden Dateien und beginnt erst dann mit der Archivierung. Werden identische Dateien größer als 64 kB gefunden (Dateien mit demselben Inhalt), wird nur die erste Datei als normale Datei im Archiv gespeichert, alle weiteren Dateien als Verweise auf die erste Datei. Damit ist eine Verringerung der Archivgröße möglich, für das resultierende Archiv ergeben sich jedoch einige Einschränkungen. Nachdem das Archiv erstellt wurde, darf die erste gespeicherte identische Datei weder umbenannt noch gelöscht werden, weil sonst das Entpacken der folgenden Dateien nicht mehr möglich ist, da diese als Verweise auf die erste Datei gespeichert sind. Wird die erste Datei geändert, werden auch die folgenden Dateien nach dem Entpacken den geänderten Inhalt haben. Der Befehl zum Entpacken muss die erste identische Datei beinhalten, nur dann werden die folgenden Dateien erfolgreich erstellt.

Diese Option sollte nur dann verwendet werden, wenn viele identische Dateien zu packen sind, das Archiv danach nicht mehr verändert und als Ganzes komplett entpackt wird oder es nicht notwendig ist, auch einzelne Dateien aus dem Archiv zu entpacken oder einzelne Dateien im Archiv beim Entpacken auszuschließen. Sind die identischen Dateien klein genug, sodass sie ins Wörterbuch passen, kann eine solide Archivierung eine anpassungsfähigere Lösung als diese Option sein.

Wird nur für RAR-5.0-Archive unterstützt.

Daten zum schnellen Öffnen

In RAR-Archiven wird jeder Dateiheader, der u. a. Informationen wie den Dateinamen, Dateizeiten, Dateigröße und Dateiattribute enthält, direkt vor den eigentlichen Daten der durch den Header beschriebenen Datei gespeichert. Durch dieses Vorgehen ist das Archiv besser gegen Beschädigungen geschützt als bei der Speicherung aller Dateiheader in einem zusammenhängenden Bereich. Wird nämlich dieser zusammenhängende Bereich mit den Headerdaten beschädigt oder teilweise entfernt, so kann auf den Archivinhalt nicht mehr zugegriffen werden, das ganze Archiv ist dann zerstört. Auch wenn das Speichern der Dateiheader direkt vor den Dateidaten zuverlässiger ist, hat das einen Nachteil. Wenn man den Archivinhalt schnell auslesen und anzeigen lassen möchte, wie zum Beispiel in der WinRAR-Benutzeroberfläche, dauert der Zugriff auf alle Dateiheader relativ lang und ist langsam, da die Dateiheader über das gesamte Archiv verteilt sind.

Um die Geschwindigkeit beim Öffnen von Archiven zu erhöhen und wie bisher auch das Archiv nicht von einem für Beschädigungen anfälligen Datenblock abhängig zu machen, können zu RAR-5.0-Archiven wahlweise Daten für das schnelle Öffnen hinzugefügt werden. Dieser Datensatz wird am Ende eines Archivs in einem zusammenhängenden Bereich gespeichert und enthält genau wie die über das gesamte Archiv verteilten Dateiheader die Dateinamen und weitere Dateiinformationen von Dateien im Archiv. Da dieser Bereich zusammenhängend ist, kann der Archivinhalt sehr schnell gelesen werden, ohne dass dafür sehr viele Spurwechselvorgänge auf dem Datenträger notwendig sind. Jeder Dateiheader in diesem Bereich ist durch eine Prüfsumme geschützt. Erkennt WinRAR, dass die Daten zum schnellen Öffnen einer Datei beschädigt sind, greift WinRAR auf den Dateiheader im Archiv zurück und liest diesen ein. Daher ist ein Archiv mit Daten zum schnellen Öffnen genauso gut gegen Beschädigungen geschützt wie eins ohne diese Daten.

Der Datensatz mit den Daten zum schnellen Öffnen enthält vollständige Dateiheader von Dateien im Archiv. Ein Dateiheader kann einige Zehn oder Hundert Bytes groß sein. Daher erhöht sich die Archivgröße beim Hinzufügen von Daten zum schnellen Öffnen um die Summe der Größe der hinzugefügten Dateiheader. Bemerkbar macht sich die Erhöhung der Archivgröße besonders beim Archivieren von sehr vielen kleinen Dateien, wenn diese ungefähr die gleiche Größe haben wie ihre Dateiheader. Im Modus "Für größere Dateien hinzufügen" kopiert WinRAR standardmäßig nur bei relativ großen Dateien die Dateiheader in den Datensatz für das schnelle Öffnen. Bei kleineren Dateien werden weiterhin die Dateiheader im Archiv verwendet. Dieses Vorgehen stellt einen guten Kompromiss zwischen der Geschwindigkeit beim Öffnen und der Archivgröße dar. Der Schwellenwert der Dateigröße, ab wann der Dateiheader zu den Daten für das schnelle Öffnen hinzugefügt wird, kann von der WinRAR-Version abhängen. Die höchstmögliche Geschwindigkeit beim Öffnen eines Archiv unabhängig von der Archivgröße erreicht man mit dem Modus "Für alle Dateien hinzufügen". Dann werden alle Archivheader in den Datensatz zum schnellen Öffnen kopiert. Soll das Archiv jedoch möglichst klein sein und ist auch die Zeit nicht wichtig, die verschiedene Anwendungen zum Öffnen des Archivs benötigen, wählen Sie den Modus "Nicht hinzufügen" aus. Dann werden überhaupt keine Daten zum schnellen Öffnen hinzugefügt.

Möchten Sie den Performancegewinn dieser Option messen, achten Sie darauf, dass der Archivinhalt nicht im Cache des Datenträgers gehalten wird. Bei gecachten Archiven werden nämlich keine echten Spurwechsel auf dem Datenträger ausgeführt, die Zugriffe auf die Dateiheader laufen dann ebenfalls sehr schnell ab, auch wenn die Daten zum schnellen Öffnen nicht vorhanden sind.


Dialog "Archivname und Archivparameter einstellen": Zeit

Zeit der letzten Änderung, der Erstellung, des letzten Zugriffs speichern

Aktiviert für Dateien die Speicherung der Zeiten der letzten Änderung, der Erstellung, des letzten Zugriffs im Archiv. Wird nur für RAR-Archive unterstützt. Nur beim RAR-5.0-Archivformat kann die Speicherung der Zeiten der letzten Änderung unterbunden werden. Wird eine der Dateizeiten nicht im Archiv gespeichert, wird für sie beim Entpacken die aktuelle Zeit des Betriebssystems angenommen.

Beachten Sie, dass Sie die Optionen "Zeit der Erstellung setzen" und "Zeit des letzten Zugriffs setzen" im Karteireiter "Erweitert" des Dialogs "Entpacken: Zielverzeichnis und Optionen" aktivieren müssen, um diese Zeiten beim Entpacken von Dateien wiederherzustellen. Die Option "Zeit der letzten Änderung setzen" ist beim Entpacken standardmäßig aktiviert.

Mit hoher Genauigkeit speichern

Ist diese Option deaktiviert, wird die Zeit der letzten Änderung einer Datei bei RAR-4.x- und ZIP-Archiven mit einer Genauigkeit von zwei Sekunden und bei RAR-5.x-Archiven mit einer Genauigkeit von einer Sekunde gespeichert. Durch die Aktivierung dieser Option erhöht sich die Archivgröße leicht, ermöglicht aber die Sicherung der Dateizeit mit einer Genauigkeit von 0,0000001 Sekunden.

Ist diese Option beim ZIP-Format aktiviert, werden alle drei Dateizeiten (Zeit der letzten Änderung, der Erstellung, des letzten Zugriffs) mit hoher Genauigkeit gespeichert. Im Gegensatz zum RAR-Format ist es beim ZIP-Format nicht möglich, eine einzelne Dateizeit mit hoher Genauigkeit zu speichern.

Dateien einschließen: egal / älter als / neuer als / geändert vor / geändert nach

Die Standardvorgabe bei dieser Option ist "egal", sodass WinRAR alle ausgewählten Dateien unabhängig von deren Dateizeiten archiviert. Wenn Sie die Option auf "älter als" oder "neuer als" ändern, zwingen Sie WinRAR, nur Dateien zu archivieren, deren Zeit der letzten Änderung älter oder neuer als eine angegebene Anzahl an Tagen, Stunden und Minuten ist. Zum Beispiel kann das sehr nützlich sein, wenn Sie nur Dateien archivieren möchten, die innerhalb der letzen 3 Tagen geändert wurden. Wenn Sie "geändert vor" oder "geändert nach" wählen, werden nur Dateien berücksichtigt, deren Zeit der letzten Änderung älter oder neuer als das konkret angegebene Datum ist.

Archivzeit setzen auf: Aktuelle Systemzeit / Ursprüngliche Archivzeit / Zeit der neusten Datei

Die Standardvorgabe bei dieser Option ist "Aktuelle Systemzeit", sodass die Zeit der letzten Änderung jedes neuen oder geänderten Archivs auf die aktuelle Systemzeit gesetzt wird. Sie können diese Option aber auch auf "Ursprüngliche Archivzeit" setzen, um zu verhindern, dass die Archivzeit sich ändert. Wenn Sie "Zeit der neusten Datei" wählen, wird die Zeit der letzten Änderung eines geänderten Archivs auf die Zeit der neusten Datei in diesem Archiv gesetzt.


AES-Implementierung von Brian Gladman

Die Ver- und Entschlüsselungsroutinen von WinRAR verwenden Teile des Codes der AES-Implementierung von Brian Gladman, die unter folgenden Bedingungen lizensiert ist:

Copyright (c) 2002, Dr Brian Gladman < >, Worcester, UK.

All rights reserved.

LICENSE TERMS

The free distribution and use of this software in both source and binary form is allowed (with or without changes) provided that:

  1. distributions of this source code include the above copyright notice, this list of conditions and the following disclaimer;
  2. distributions in binary form include the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other associated materials;
  3. the copyright holder's name is not used to endorse products built using this software without specific written permission.

ALTERNATIVELY, provided that this notice is retained in full, this product may be distributed under the terms of the GNU General Public License (GPL), in which case the provisions of the GPL apply INSTEAD OF those given above.

DISCLAIMER

This software is provided 'as is' with no explicit or implied warranties in respect of its properties, including, but not limited to, correctness and/or fitness for purpose.

Die Quelltexte dieses Pakets sowie weitere Links auf kryptografische Projekte und Technologien findet man auf der Internetseite von Brian Gladman.


Dialog "Archiv - Optionen"

Dieser Dialog fasst die folgenden Befehle zusammen: Archiv vor Zerstörung schützen, Wiederherstellungs-Volumen erstellen und Archiv abschließen. Diese Befehle werden nur vom RAR-Archivformat unterstützt.

Der Schutz eines Archivs kann helfen, das Archiv später im Fall eines kleinen physikalischen Schadens in den Archivdaten zu reparieren. Wenn Sie ein Archiv vor Zerstörung schützen möchten, müssen Sie die Größe der Wiederherstellungsdaten in Prozent der Gesamtarchivgröße angeben. Der größte erlaubte Wert beträgt 100%. Wenn Sie das Feld auf 0 setzen, werden keine Wiederherstellungsdaten hinzugefügt. Größere Wiederherstellungsdaten ermöglichen die Reparatur von schwerwiegenden Schäden, allerdings nimmt die Größe des Archivs zu. Ein Wert von 3 - 5% ist vermutlich optimal.

Eine spezielle Möglichkeit, ein Archiv zu schützen, ist die Erstellung von Wiederherstellungs-Volumen. Dies ist nur möglich, wenn ein geöffnetes Archiv das erste Volumen eines gesplitteten Archivs ist. In diesem Fall müssen Sie nur die Anzahl der zu erstellenden ".rev"-Dateien wählen. Sie können auch ein Prozentzeichen an diesen Parameter anhängen. In diesem Fall wird die Anzahl der erstellten ".rev"-Dateien gleich dem Prozentsatz der Anzahl aller RAR-Volumen sein. Jedes Wiederherstellungs-Volumen ist in der Lage, ein fehlendes RAR-Volumen wiederherzustellen. Sie können hier mehr über diese Option lesen.

Wenn Sie die Option "Unterbinde Archivänderungen" aktivieren, wird das Archiv abgeschlossen. Das bedeutet, dass WinRAR zukünftig solch ein Archiv nicht mehr verändern kann. Sie können wichtige Archive abschließen, um sie vor versehentlichen Änderungen durch WinRAR zu schützen.

Wiederherstellungs-Volumen haben Vorrang vor allen anderen Optionen in diesem Dialog und können nicht zusammen mit diesen verwendet werden. Wird für die Anzahl der zu erstellenden ".rev"-Dateien eine Zahl größer als Null angegeben, werden die Parameter für die Wiederherstellungsdaten und das Abschließen des Archivs ignoriert. WinRAR erstellt dann ausschließlich Wiederherstellungs-Volumen.


Info-ZIP-Quelltext

WinRAR enthält Quelltexte der Info-ZIP-Arbeitsgruppe. Die Quelltexte werden für die Verarbeitung von ZIP-Archiven verwendet. Der ursprüngliche Info-ZIP-Quelltext ist im Internet unter ftp://ftp.info-zip.org/pub/infozip/ und www.info-zip.org frei verfügbar.

Info-Zip-Lizenz

This is version 2009-Jan-02 of the Info-ZIP license. The definitive version of this document should be available at ftp://ftp.info-zip.org/pub/infozip/license.html indefinitely and a copy at http://www.info-zip.org/pub/infozip/license.html.

Copyright (c) 1990-2009 Info-ZIP. All rights reserved.

For the purposes of this copyright and license, "Info-ZIP" is defined as the following set of individuals:

Mark Adler, John Bush, Karl Davis, Harald Denker, Jean-Michel Dubois, Jean-loup Gailly, Hunter Goatley, Ed Gordon, Ian Gorman, Chris Herborth, Dirk Haase, Greg Hartwig, Robert Heath, Jonathan Hudson, Paul Kienitz, David Kirschbaum, Johnny Lee, Onno van der Linden, Igor Mandrichenko, Steve P. Miller, Sergio Monesi, Keith Owens, George Petrov, Greg Roelofs, Kai Uwe Rommel, Steve Salisbury, Dave Smith, Steven M. Schweda, Christian Spieler, Cosmin Truta, Antoine Verheijen, Paul von Behren, Rich Wales, Mike White.

This software is provided "as is," without warranty of any kind, express or implied. In no event shall Info-ZIP or its contributors be held liable for any direct, indirect, incidental, special or consequential damages arising out of the use of or inability to use this software.

Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the above disclaimer and the following restrictions:

  1. Redistributions of source code (in whole or in part) must retain the above copyright notice, definition, disclaimer, and this list of conditions.

  2. Redistributions in binary form (compiled executables and libraries) must reproduce the above copyright notice, definition, disclaimer, and this list of conditions in documentation and/or other materials provided with the distribution. Additional documentation is not needed for executables where a command line license option provides these and a note regarding this option is in the executable's startup banner. The sole exception to this condition is redistribution of a standard UnZipSFX binary (including SFXWiz) as part of a self-extracting archive; that is permitted without inclusion of this license, as long as the normal SFX banner has not been removed from the binary or disabled.

  3. Altered versions--including, but not limited to, ports to new operating systems, existing ports with new graphical interfaces, versions with modified or added functionality, and dynamic, shared, or static library versions not from Info-ZIP--must be plainly marked as such and must not be misrepresented as being the original source or, if binaries, compiled from the original source. Such altered versions also must not be misrepresented as being Info-ZIP releases--including, but not limited to, labeling of the altered versions with the names "Info-ZIP" (or any variation thereof, including, but not limited to, different capitalizations), "Pocket UnZip," "WiZ" or "MacZip" without the explicit permission of Info-ZIP. Such altered versions are further prohibited from misrepresentative use of the Zip-Bugs or Info-ZIP e-mail addresses or the Info-ZIP URL(s), such as to imply Info-ZIP will provide support for the altered versions.

  4. Info-ZIP retains the right to use the names "Info-ZIP," "Zip," "UnZip," "UnZipSFX," "WiZ," "Pocket UnZip," "Pocket Zip," and "MacZip" for its own source and binary releases.


Intel Slicing-by-8-CRC32-Algorithmus

WinRAR verwendet eine CRC32-Funktion, die auf dem Slicing-by-8-Algorithmus von Intel basiert.

Der ursprüngliche Quelltext des Slicing-by-8-Algorithmus' ist im Internet unter sourceforge.net/projects/slicing-by-8 verfügbar. Der Quelltext ist lizensiert unter der BSD-Lizenz, die unter http://www.opensource.org/licenses/bsd-license.html eingesehen werden kann. Der Text der BSD-Lizenz wird hier ebenfalls zur Verfügung gestellt:

Copyright (c) 2004-2006 Intel Corporation.
All Rights Reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Lizenz und Informationen zum Erwerb

Wählen Sie eins der folgenden Themen:

  • Lizenz für WinRAR
  • Informationen zum Erwerb


Master-Passwort eingeben

Geben Sie das Master-Passwort ein, um die in der Registry gespeicherten Passworteinträge zu verschlüsseln und sie vor unberechtigtem Zugriff zu schützen. Danach müssen Sie das Master-Passwort im Dialog "Passwort eingeben" angeben, um auf diese Passworteinträge zuzugreifen. Wurde das Master-Passwort einmal angegeben, ist es gültig, bis WinRAR geschlossen wird. Schließen Sie WinRAR und öffnen Sie WinRAR erneut, nachdem Sie das Master-Passwort angegeben haben, wenn Sie sehen möchten, wie dieser Schutz funktioniert. Geben Sie ein leeres Passwort an, um die Verschlüsselung von den vorher geschützten Passworteinträgen zu entfernen.

Die Passworteinträge werden erst dann verschlüsselt, wenn Sie im vorherigen Dialog "Passwörter verwalten" auf die Schaltfläche "OK" klicken, und nicht sofort nach dem Schließen dieses Master-Passwort-Eingabe-Dialogs.


Passwort im Komprimierungsprofil speichern

Solange kein Master-Passwort festgelegt wurde, sind die in Komprimierungsprofilen gespeicherten Passwörter nicht sicher verschlüsselt. Jeder, der Zugang zu Ihrem Rechner hat, kann die Passwörter auslesen. Sie können ein Master-Passwort eingeben, um das in der Registry gespeicherte Passwort zu verschlüsseln und es vor unberechtigtem Zugriff zu schützen. Danach müssen Sie dieses Master-Passwort im Dialog "Passwort eingeben" angeben, um auf so ein Komprimierungsprofil zuzugreifen.

Sie können dasselbe Master-Passwort wie im Passwortmanager verwenden oder ein anderes Passwort wählen. Es ist sogar möglich, für jedes Komprimierungsprofil ein anderes Master-Passwort zu vergeben. Die Verwendung mehrerer Komprimierungsprofile könnte dann jedoch unbequem werden.

Wurde das Master-Passwort einmal angegeben, ist es gültig für alle weiteren Lesezugriffe auf das Komprimierungsprofil bis WinRAR geschlossen oder ein Komprimierungsprofil mit einem anderen Master-Passwort ausgewählt wird. Schließen Sie WinRAR und öffnen Sie WinRAR erneut, nachdem Sie das Master-Passwort angegeben haben, wenn Sie sehen möchten, wie dieser Schutz funktioniert.


Namenskodierung

Das Menü "Namenskodierung" kann aus dem Menü "Optionen" heraus oder mit der Tastenkombination Strg+E geöffnet werden. Es erlaubt die Wahl der Zeichenkodierung für archivierte Dateinamen. Die Auswahl einer Kodierung wirkt sich auf die Anzeige von Dateien und Verzeichnissen in Archiven und auf Befehle zum Entpacken aus. Normalerweise ist die Auswahl "Automatisch" ausreichend. WinRAR wählt dann automatisch eine Kodierung aus, die zu den aktuellen Windows-Spracheinstellungen und den typischen Archivformatparametern passt. Ist das Ergebnis der automatischen Ermittlung nicht zufriedenstellend, kann eine andere Zeichenkodierung aus der im Menü angezeigten Liste von Codepages auswählt werden.

Die durch den Anwender getroffene Auswahl bleibt aktiv, bis WinRAR geschlossen oder eine andere Auswahl in diesem Menü getroffen wird. Möchten Sie die aktuelle Auswahl im Menü dauerhaft speichern, wählen Sie den Menüeintrag "Aktuelle Auswahl speichern" aus. Speichern Sie ihre Auswahl nur, wenn Sie eine große Anzahl von Archiven verarbeiten möchten, die alle dieselbe Codepage nutzen, die Codepage durch WinRAR nicht automatisch erkannt wird oder erkannt werden soll. Andernfalls ist "Automatisch" die bessere Wahl. Um die Standardeinstellung wiederherzustellen, können Sie jederzeit den Eintrag "Automatisch" im Menü auswählen und anschließend den Menüeintrag "Aktuelle Auswahl speichern" anklicken.

Enthält ein Archiv Unicode-Dateinamen und wird das durch WinRAR zuverlässig erkannt, ignoriert WinRAR die getroffene Auswahl in diesem Menü und verwendet Unicode-Namen. Die Auswahl im Menü "Namenskodierung" wird nur dann verwendet, wenn keine Unicode-Namen verfügbar sind oder die Kodierung nicht sicher erkannt werden kann. Dieses Menü kann beim Anzeigen von archivierten und nicht archivierten Dateien aufgerufen werden, die ausgewählte Codepage gilt jedoch nur für archivierte Dateinamen. Bei normalen, nicht archivierten Dateien wird die ausgewählte Codepage ignoriert.


Dialog "Profile verwalten"

In diesem Dialog können Sie einige Parameter von existierenden Komprimierungsprofilen bearbeiten oder Profile löschen. Sie können hier keine neuen Profile anlegen. Wie man neue Profile erstellt, wird im Abschnitt Komprimierungsprofile beschrieben.

Um die Parameter eines Profils zu bearbeiten, müssen Sie den Cursor auf den Profilnamen platzieren, auf die Schaltfläche "Bearbeiten" klicken und die Parameter im Dialog "Profileinstellungen" auf die gewünschten Werte setzen. Beachten Sie, dass die in einem Profil gespeicherten Komprimierungseinstellungen nicht geändert werden können. Sie können nur einige Profilparameter wie den Namen oder die Festlegung als Standard ändern. Wenn Sie die Komprimierungseinstellungen ändern möchten, müssen Sie ein neues Profil erstellen, das denselben Namen hat wie das vorhandene Profil.

Um ein Profil zu löschen, platzieren Sie den Cursor auf dessen Namen und klicken Sie auf die Schaltfläche "Löschen".

Verwenden Sie die Schaltflächen "Rauf" und "Runter", um ein Profil, auf das der Cursor steht, in der Liste zu verschieben.

Sie können das Standardprofil in der Liste in diesem Dialog sehr einfach erkennen: Links neben dem Namen befindet sich das kleine WinRAR-Icon (die Bücher).


Dialog "Themen verwalten"

Mit diesem Dialog können Sie die WinRAR-Benutzeroberflächenthemen verwalten.

Klicken Sie auf die Schaltfläche "Auswählen", um das Thema unter dem Cursor zu aktivieren. Benutzen Sie die Schaltfläche "Hinzufügen", um eine neues Themendatei zu installlieren. "Löschen" entfernt das Thema unter dem Cursor aus der Liste und löscht alle Dateien des Themas vom Datenträger. Anschließend können Sie dieses Thema nicht mehr auswählen.

Die Option "Auf Archiv-Symbole anwenden" wirkt sich auf alle Themen aus. Ist die Option deaktiviert, verändern Themen nur die Grafiken in WinRAR, die Icons für RAR-, ZIP- und andere Archive im Windows Explorer bleiben unverändert. Bei aktivierter Option werden sowohl die Grafiken in WinRAR als auch die Archivicons geändert. Wird der Wert der Option "Auf Archiv-Symbole anwenden" geändert, müssen Sie im Gegensatz zu den anderen Befehlen in diesem Dialog die Schaltfläche "OK" betätigen, damit der geänderter Wert übernommen wird.


Dialog "Passwörter verwalten"

Der Dialog "Passwörter verwalten" bietet eine Möglichkeit, häufig verwendete Passwörter zu speichern und darauf später schnell zuzugreifen. Der Dialog enthält die Liste der vom Anwender gespeicherten Passwort-Einträge. Normalerweise werden die Passwort-Beschriftungen und die Archivmasken in dieser Liste angezeigt. Wurde jedoch für ein Passwort-Eintrag keine Passwort-Beschriftung eingegeben, wird der Passwort-Text anstelle der Passwort-Beschriftung in der Spalte "Beschriftung" angezeigt.

Sie können den Dialog "Passwörter verwalten" vom normalen WinRAR-Passwort-Dialog aus öffnen. Klicken Sie dazu einfach auf die Schaltfläche "Passwörter verwalten...", während Sie das Standardpasswort eingeben oder WinRAR bei einer verschlüsselten Datei bzw. einem verschlüsselten Archiv nach einem Passwort fragt.

Klicken Sie auf die Schaltfläche "Hinzufügen", um ein neuen Passwort-Eintrag an der Position unterhalb des Cursors zu der Liste hinzuzufügen. Dadurch wird der Dialog "Passwort-Eintrag bearbeiten" geöffnet, in dem Sie den eigentlichen Text des Passworts, eine Beschriftung und eine Archivmaske festlegen können. Weitere Details über diese Optionen finden Sie im Kapitel Dialog "Passwort-Eintrag bearbeiten".

Die Schaltfläche "Löschen" entfernt alle ausgewählten Passwort-Einträge. Mit der Schaltfläche "Bearbeiten" können die Parameter des Passwort-Eintrags unter dem Cursor mit Hilfe des Dialogs "Passwort-Eintrag bearbeiten" geändert werden. "Rauf" und "Runter" verändert die Position aller ausgewählten Passwort-Einträge in der Liste.

Klicken Sie auf die Schaltfläche "Master-Passwort festlegen…", geben Sie ein Master-Passwort ein und klicken Sie im Dialog "Passwörter verwalten" auf die Schaltfläche "OK", um die Passworteinträge zu verschlüsseln und sie vor unberechtigtem Zugriff zu schützen. Danach müssen Sie das Master-Passwort im Dialog "Passwort eingeben" angeben, um auf diese Passworteinträge zuzugreifen. Wurde das Master-Passwort einmal angegeben, ist es gültig, bis WinRAR geschlossen wird. Schließen Sie WinRAR und öffnen Sie WinRAR erneut, nachdem Sie das Master-Passwort angegeben haben, wenn Sie sehen möchten, wie dieser Schutz funktioniert. Geben Sie ein leeres Passwort an, um die Verschlüsselung von den vorher geschützten Passworteinträgen zu entfernen.

Ist das Master-Passwort nicht festgelegt, werden die abgespeicherten Passwörter in der Registry in einem unsicheren Format abgelegt. Daher kann jeder, der Zugang zu Ihrem Rechner hat, diese Passwörter auslesen. Der Passwortmanager macht zwar das Arbeiten mit Passwörtern komfortabler, doch müssen Sie sich die Sicherheitsrisiken immer vor Augen halten und abwägen, ob Sie den Passwortmanager verwenden sollten oder nicht. Wenn die durch ein Passwort geschützten Informationen sensibel oder vertraulich sind, sollten Sie den Passwortmanager nicht verwenden oder nur dann verwenden, wenn der Computer selbst vor unbefugtem Zugriff geschützt ist oder ein Master-Passwort gesetzt ist.

Die Option "Automatische Vervollständigung" erlaubt die automatische Vervollständigung von Passwörtern während der Eingabe. Es genügt bereits die ersten Buchstaben eines Passworts oder einer Passwort-Beschriftung einzugeben. Wenn das entsprechendes Passwort oder die entsprechende Passwort-Beschriftung in der Liste der gespeicherten Passwört-Einträge gefunden wird, schlägt WinRAR den kompletten Text vor. Die automatische Vervollständigung funktioniert nur dann, wenn die Option "Passwort anzeigen" im Dialog "Passwort eingeben" aktiviert wurde. Sind die Passwörter versteckt, so ist auch die automatische Vervollständigung abgeschaltet. Wurde eine Beschriftung für ein gespeicherten Passwort-Eintrag angegeben, so funktioniert die automatische Vervollständigung nur für die Beschriftung und nicht für das eigentliche Passwort.

Um alle Änderungen in der Passwort-Liste im Dialog "Passwörter verwalten" zu übernehmen und zu speichern, müssen Sie auf die Schaltfläche "OK" klicken.

Auf die gespeicherten Passwörter können Sie im Passwort-Dialog zugreifen, indem Sie die Dropdown-Liste beim Eingabefeld "Passwort eingeben" oder die automatische Passwortvervollständigung benutzen.


Überschreiben einer Datei bestätigen

Die Datei existiert schon. Sie können die Datei überschreiben (Schaltfläche Ja), nicht überschreiben (Schaltfläche Nein), Umbenennen, alle Dateien überschreiben (Schaltfläche Alle), automatisch umbenennen (Schaltfläche Alle umbennenen), alle existierenden Dateien nicht überschreiben (Schaltfläche Keine) oder den aktuellen Vorgang abbrechen (Schaltfläche Abbruch).

Wird "Alle umbenennen" gewählt, erhalten die umbenannten Dateien Namen nach dem Muster 'dateiname(N).txt', wobei 'dateiname.txt' der ursprüngliche Dateiname und 'N' eine Zahl ist.


Dialog "Profileinstellungen"

In diesem Dialog können Sie einem neu erstellten Komprimierungsprofil einen Namen geben oder die Parameter vorhandener Profile bearbeiten. Der Dialog enthält folgende Einträge:

Profilname

Der Profilname ist eine Textzeichenfolge, die ein Profil beschreibt. Der Name darf Leerzeichen enthalten, z.B. ist der Name "E-Mail-Anhang erstellen" zulässig. Es wird empfohlen, den Profilen aussagekräftige Namen zu geben, denn das vereinfacht deren Wiedererkennung und Verwaltung. Dieses Feld muss ausgefüllt werden und darf nicht leer sein.

Archivnamen speichern

Wenn diese Option aktiviert ist, wird der im darunter liegenden Feld angegebene Archivname im Profil gespeichert und bei der Auswahl dieses Profils wiederhergestellt. Wenn diese Option deaktiviert ist, wird ein Archivname wie gewöhnlich von WinRAR vorgeschlagen.

Ausgewählte Dateinamen speichern

Wenn diese Option aktiviert ist, werden die im darunter liegenden Feld angegebenen Dateinamen im Profil gespeichert. Wenn Sie dies Profil also später auswählen, komprimiert WinRAR die in dem Profil gespeicherten Dateien anstelle der Dateien, die vor der Aktivierung des Profils ausgewählt waren.

Zunächst enthält dieses Feld die Namen der Dateien, die gerade in der Dateiliste von WinRAR ausgewählt sind. Sie können diese Liste bearbeiten oder hier neue Dateinamen eingeben. Verzeichnisnamen und Wildcards sind dabei erlaubt. Zum Beispiel können Sie ein Profil erstellen, das als ausgewählten Dateinamen "C:\" enthält, um ein Backup des gesamten Laufwerks C: anzufertigen.

Wenn diese Option deaktiviert ist, komprimiert WinRAR die aktuell ausgewählten Dateien.

Profil als Standard festlegen

Wenn ein Profil als Standard markiert ist, wird es automatisch ausgewählt, wenn der Dialog "Archivname und Archivparameter einstellen" vor jeder Archivoperation geöffnet wird. Es ist nützlich, ein Profil mit Ihren favorisierten Komprimierungseinstellungen zu erstellen, damit Sie diese nicht jedes Mal neu einstellen müssen. Es kann nur ein Profil als Standard definiert werden. Wenn kein Profil als Standard markiert ist, wird der Dialog "Archivname und Archivparameter einstellen" mit den Standardarchivierungseinstellungen von WinRAR initialisiert.

Einige Parameter des Standard-Komprimierungsprofils werden nicht nur beim Hinzufügen von Dateien zu einem Archiv verwendet, sondern auch bei anderen Operationen zur Änderung eines Archivs, wie das Löschen oder Umbenennen von Dateien. In diesem Fall verwendet WinRAR nur diejenigen Parameter, die für die aktuelle Änderungsoperation geeignet sind. Beim Entpacken wird keine Option des Standard-Komprimierungsprofils verwendet.

Sofort ausführen

Wenn Sie ein Profil mit der aktivierten Option Sofort ausführen wählen, wird der Archivierungsvorgang sofort gestartet, ohne dass die Möglichkeit besteht, Komprimierungseinstellungen oder den Archivnamen zu ändern. Dies kann für Routinearchivierungen nützlich sein, weil Sie nicht jedes Mal nach der Auswahl so eines Profils auf "OK" klicken müssen.

Verknüpfung auf dem Desktop erstellen

Diese Option steht nur zur Verfügung, wenn die Option Ausgewählte Dateinamen speichern aktiviert ist. Wenn diese Option gewählt wurde, erstellt WinRAR ein Icon mit dem Profilnamen auf dem Desktop. Sie können dann das Profil später aktivieren, in dem Sie einfach auf das Icon klicken. Sie können zum Beispiel ein Profil zum Sichern Ihrer Daten erzeugen und ein Icon dafür auf dem Desktop erstellen, um auf diese Weise die Ausführung zu vereinfachen.

Zum Kontextmenü hinzufügen

Ist diese Option aktiviert, so wird der Name des Profils in den Kontextmenüs des Windows Explorers angezeigt, sodass aus den Kontextmenüs heraus ein Profil aktiviert werden kann. Haben Sie die Option "Sofort ausführen" aktiviert, so beginnt der Archivierungsvorgang sofort nach der Auswahl eines Profils im Kontextmenü. Ist "Sofort ausführen" deaktiviert, so erscheint zunächst der Dialog "Archivname und Archivparameter einstellen". Ist die Option "Archivnamen speichern" aktiviert, verwendet WinRAR den gespeicherten Archivnamen für das neue Archiv. Ist die Option "Ausgewählte Dateinamen speichern" aktiviert, werden sowohl die im Profil gespeicherten Namen als auch die im Windows Explorer ausgewählten Namen zum Archiv hinzugefügt.


Dialog "Passwort-Eintrag bearbeiten"

Der Dialog "Passwort-Eintrag bearbeiten" erscheint beim Klick auf die Schaltfläche "Hinzufügen" oder "Bearbeiten" im Dialog "Passwörter verwalten". Sie können in diesem Dialog also entweder einen neuen Passwort-Eintrag erstellen oder ein bereits vorhandenen Passwort-Eintrag bearbeiten. Ein Passwort-Eintrag besteht aus dem eigentlichen Text des Passworts, einer Beschriftung, einer Archivmaske im Feld "Für folgende Archive verwenden" und der Option "Ohne Rückfrage übernehmen".

Das Feld "Passwort-Text" ist die einzige Pflichtangabe. Es muss das zu speichernde Passwort enthalten.

Sie können das Feld "Passwort-Beschriftung" verwenden, wenn Sie verhindern wollen, dass echte Passwörter im Passwort-Dialog sichtbar werden. Geben Sie in diesem Fall irgendeine Beschriftung für das Passwort an. Immer wenn Sie ein Passwort eingeben müssen, können Sie statt dem echten Passwort die Passwort-Beschriftung angeben. WinRAR ersetzt dann die eingegebene Beschriftung automatisch durch das dazugehörige Passwort. Wenn Sie im Passwort-Dialog eine Passwort-Beschriftung eingegeben haben, werden Sie darüber durch die Meldung "Passwort-Beschriftung angegeben." oberhalb des Passwort-Eingabefeldes informiert.

Nachdem Sie zum Beispiel Fhtfl34Shu als Password-Text und home als Password-Beschriftung eingeben haben, können Sie home anstelle von Fhtfl34Shu im Passwort-Dialog eingeben. Die Ersetzung der Passwort-Beschriftung durch den Passwort-Text funktioniert nur im Dialog "Passwort eingeben". Im Befehlszeilenmodus und beim Schalter "-p[pwd]" werden keine Ersetzungen vorgenommmen.

Passwort-Beschriftungen müssen sich voneinander unterscheiden, jede Beschriftung darf es nur einmal geben. Eine Beschriftung darf nicht genauso lauten wie irgendeine andere Beschriftung oder irgendein anderes Passwort. Groß- und Kleinschreibung wird bei einer Beschriftung nicht beachtet, home und Home werden als gleich angesehen.

Wird sowohl der Passwort-Text als auch die Passwort-Beschriftung angegeben, wird die Passwort-Beschriftung in der Spalte "Beschriftung" der Passwortliste im Dialog "Passwörter verwalten" angezeigt. Wird nur der Passwort-Text angegeben, wird der Passwort-Text in der Passwortliste angezeigt.

Im Feld "Für folgende Archive verwenden" können ein oder mehrere Archivnamen oder Archivdateimasken (nur Dateinamen, ohne Pfad) angegeben werden, die durch Leerzeichen voneinander getrennt werden müssen. Ein Archivname, der Leerzeichen enthält, muss in Anführungsstriche (Zeichen ") eingeschlossen werden. Passt der Name des zu entpackenden Archivs zu einem der vorhandenen Archivmasken, wählt WinRAR automatisch das Passwort, was im Feld "Passwort-Text" angegeben wurde. Ist die Option "Ohne Rückfrage übernehmen" deaktiviert, wird das ausgewählte Passwort in das Feld "Passwort eingeben" im Dialog "Passwort eingeben" übernommen und der Anwender hat die Möglichkeit, das Passwort zu ändern. Ist die Option "Ohne Rückfrage übernehmen" aktiviert, wird das ausgewählte Passwort sofort ohne Rückfrage übernommen.

Wenn Sie zum Beispiel MailDGWT58 als Passwort-Text und meinemails*.rar meinemails*.zip im Feld "Für folgende Archive verwenden" eingeben, wird beim Entpacken von Archiven mit Namen, die zu den Archivmasken meinemails*.rar und meinemails*.zip passen, automatisch MailDGWT58 als Passwort ausgewählt und in den Passwort-Dialog übernommen. Diese Automatik funktioniert nur beim Entpacken, jedoch nicht beim Archivieren.

Machen Sie sich bewusst, dass die abgespeicherten Passwörter in der Registry unverschlüsselt als Text abgelegt sind. Daher kann jeder, der Zugang zu Ihrem Rechner hat, die Passwörter sehen. Der Passwortmanager macht zwar das Arbeiten mit Passwörtern komfortabler, doch müssen Sie sich die Sicherheitsrisiken immer vor Augen halten und abwägen, ob Sie den Passwortmanager verwenden sollten oder nicht. Wenn die durch ein Passwort geschützten Informationen sensibel oder vertraulich sind, sollten Sie den Passwortmanager nicht verwenden oder nur dann verwenden, wenn der Computer selbst vor unbefugtem Zugriff geschützt ist.


Dialog "Suchergebnisse"

Dieser Dialog enthält Dateien, die mit Hilfe des Befehls "Dateien suchen" gefunden wurden. Sie können eine oder mehrere Dateien auswählen und dann auf die Schaltfläche "Entp. nach" klicken, um diese Dateien zu entpacken. Sie können auch auf die Schaltfläche "Anzeigen" klicken, um eine Datei unterhalb des Cursors anzuzeigen, oder auf die Schaltfläche "Hinspringen", um im Hauptfenster von WinRAR den Cursor auf diese Datei zu bewegen.

Aufgrund technischer Beschränkungen werden Operationen mit gefundenen Dateien während einer laufenden Suche erst mit einer kleinen Verzögerung gestartet. WinRAR führt den Befehl nur dann aus, wenn das aktuell durchsuchte Archiv geschlossen ist.


Dialog "Erweiterte SFX-Optionen"

Dieser Dialog wird angezeigt, wenn der Befehl "Archiv in SFX konvertieren" aufgerufen und dann die Schaltfläche "Erweiterte SFX-Optionen…" angeklickt wird. In diesem Dialog lassen sich eine Anzahl von Parametern für selbstentpackende Archive wie das Standardzielverzeichnis, den Fenstertitel und Fenstertext angeben. Aus diesen Angaben wird dann automatisch ein Skript mit Skriptbefehlen erzeugt (Eine Beschreibung der Skriptbefehle finden Sie im Abschnitt über die SFX-Module für Windows). Sie brauchen daher nicht die Skriptsprache erlernen und die Befehle von Hand eingeben; stellen Sie einfach die gewünschten Optionen ein.

Beachten Sie, dass diese SFX-Parameter nur mit SFX-Modulen mit GUI für Windows verwendet werden können. SFX-Parameter werden von SFX-Modulen für die Windows-Konsole und anderen nicht-Windows SFX-Modulen nicht unterstützt.

Die SFX-Parameter in diesem Dialog sind in ein paar Unterdialogen zusammengefasst, die im Folgenden beschrieben werden:

  • SFX-Optionen: Allgemein
  • SFX-Optionen: Setup
  • SFX-Optionen: Modi
  • SFX-Optionen: Erweitert
  • SFX-Optionen: Update
  • SFX-Optionen: Text und Icon
  • SFX-Optionen: Lizenz
  • SFX-Optionen: Modul


SFX-Befehle: Delete

Delete=<Dateiname>

Löscht die angegebene Datei im Zielverzeichnis, bevor das Archiv entpackt wird. Mehrere Delete-Befehle sind erlaubt.

Wird die im Befehl Delete angegebene Datei verwendet und kann nicht gelöscht werden, versucht das SFX-Modul, diese Datei vor dem Entpacken des Archivs in einen temporären Namen umzubenennen und diese dann nach einem Windows-Neustart zu löschen. Der Erfolg dieser Operation hängt von der jeweiligen Windowsversion ab.

Beispiel

Delete=winrar95.exe

Delete=rarlng.dll


SFX-Befehle: License

License=<Titel des Lizenz-Dialogs>

{

Lizenztext1

Lizenztext2

…

}

Zeigt eine Softwarelizenz an, wenn das selbstentpackende Archiv gestartet wird. Der Benutzer kann den Lizenztext entweder akzeptieren und den Entpackvorgang fortsetzen oder ablehnen und beenden.

Die Lizenz kann im HTML-Format oder als reiner Text angegeben werden. Im letzten Fall fasst das SFX-Modul die angegebenen Texte zusammen und formatiert diese neu, damit sie optimal in den Dialog passen. Möchten Sie einen neuen Absatz beginnen, brauchen Sie nur eine Leerzeile davor einfügen.

Durch die Verwendung von HTML können Sie Farben, Schriftarten und Formatierung des anzuzeigenden Textes bestimmen. Eine Beschreibung der Syntax von HTML ist auf der Website vom The World Wide Web Consortium verfügbar. Es ist auch möglich, den HTML-Text mit einem beliebigen Web-Editor zu erstellen.

Besteht der Text aus mehreren Zeichenketten, interpretiert das SFX-Modul das Zeichen "}" als die Markierung für das Textende. Sie sollten also niemals dieses Zeichen an die erste Position einer Zeichenkette setzen. Benötigen Sie das Zeichen "}" dennoch am Anfang einer Zeichenkette, fügen Sie davor ein Leerzeichen ein.

Beispiel

License=Lizenzvereinbarung für Endbenutzer

{

Alle Rechte für RAR verbleiben ausschließlich beim Autor.

Dieses Programm ist Shareware. Jeder darf diese Software während einer Testphase einsetzen.

Nach dieser Testphase MÜSSEN Sie das Programm registrieren.

}


SFX-Optionen: Erweitert

Dieser Dialog ist Teil des Dialogs "Erweiterte SFX-Optionen" und beinhaltet die folgenden Einstellungen:

Dateien, die im Zielverzeichnis gelöscht werden sollen

Das SFX-Modul wird versuchen, vor dem Beginn des Entpackvorgangs die angegebene Datei oder angegebenen Dateien im Zielverzeichnis zu löschen. Sie können hier mehr als eine Datei eingeben, in diesem Fall müssen die Dateinamen durch Leerzeichen voneinander getrennt werden.

Wird eine der angegebenen Dateien verwendet und kann nicht gelöscht werden, versucht das SFX-Modul, diese Datei vor dem Entpacken des Archivs in einen temporären Namen umzubenennen und diese dann nach einem Windows-Neustart zu löschen. Der Erfolg dieser Operation hängt von der jeweiligen Windowsversion ab.

Entsprechender SFX-Skriptbefehl - Delete

Verknüpfungen

Erstellt Verknüpfungen auf archivierte Dateien, nachdem sie entpackt wurden. Drücken Sie die Schaltfläche "Hinzufügen…", um eine neue Verknüpfung zu definieren. Eine Beschreibung der Verknüpfungsparameter finden Sie im Abschnitt zum Skriptbefehl Shortcut. In dem Text-Bereich unterhalb der Schaltfläche "Hinzufügen…" können die bereits definierten Verknüpfungen noch einmal bearbeitet werden, falls das notwendig ist.

Entsprechender SFX-Skriptbefehl - Shortcut

Administratorzugriff erfragen

Setzen Sie diese Option, wenn Sie SFX-Archive erstellen möchten, die beim Start unter Windows Vista und neueren Windowsversionen nach einer Erlaubnis für den Administratorzugriff fragen. Dieser Schalter ändert nicht das Verhalten von SFX-Archiven unter älteren Windowsversionen.

Entsprechender Kommandozeilenschalter: -iadm.


SFX-Optionen: Allgemein

Dieser Dialog ist Teil des Dialogs "Erweiterte SFX-Optionen" und beinhaltet die folgenden Einstellungen:

Verzeichnis zum Entpacken

Setzt das Standardzielverzeichnis für die entpackten Dateien. Sie können wählen, wo dieses Verzeichnis angelegt werden soll: Im Verzeichnis "Programme" des aktuellen Benutzers oder im aktuellen Verzeichnis. Sie können hier aber auch einen absoluten Verzeichnispfad angeben. In den ersten beiden Fällen darf der eingegebene Pfad weder ein Laufwerksbuchstaben noch ein führenden Backslash "\" enthalten. Im dritten Fall muss ein Laufwerksbuchstabe oder ein führender Backslash "\" enthalten sein.

Entsprechender SFX-Skriptbefehl - Path

Verzeichnis zum Entpacken/Pfade speichern und wiederherstellen

Diese Option erlaubt es dem SFX-Modul, das vom Benutzer eingegebene Zielverzeichnis in der Registry zu speichern und wiederherzustellen, wenn ein SFX-Archiv mit derselben Angabe im Feld Verzeichnis zum Entpacken ausgeführt wird. Der ursprüngliche Pfad wird der Liste hinzugefügt, die mit dem Eingabefeld für das Zielverzeichnis verknüpft ist. Der Benutzer kann so zwischen dem vorher eingegebenen und dem originalen Pfad wählen.

Diese Option kann sehr nützlich sein, wenn man neue Versionen oder Upgrades irgendeiner Software in das gleiche Verzeichnis installieren muss. Dann braucht das vorgeschlagene Zielverzeichnis nur einmalig zum gewünschten Zielverzeichnis abgeändert zu werden, anstatt es jedesmal neu einzugeben.

Diese Option kann nur zusammen mit einem nichtleeren Eingabefeld Verzeichnis zum Entpacken verwendet werden.

Entsprechender SFX-Skriptbefehl - SavePath

Einstellungen als Standard speichern

Diese Schaltfläche wird nur angezeigt, wenn der Dialog "Erweiterte SFX-Optionen" vom Befehl "Archiv in SFX konvertieren" aufgerufen wird. Damit werden sämtliche Einstellungen in allen Unterdialogen des Dialogs gespeichert. Die gespeicherten Einstellungen werden nur dann verwendet, wenn ein Archiv in ein SFX-Archiv konvertiert werden soll. Benutzen Sie das Standardkomprimierungsprofil, um für alle anderen Befehle, die Archive verändern, Standardvorgaben zu machen.


SFX-Optionen: Lizenz

Dieser Dialog ist Teil des Dialogs "Erweiterte SFX-Optionen" und beinhaltet die folgenden Einstellungen:

Titel des Lizenzfensters

Legt den angegebenen Text als Titel des Lizenz-Fensters fest.

Entsprechender SFX-Skriptbefehl - License

Lizenztext

Zeigt den eingegebenen Text als Softwarelizenz an, wenn das selbstentpackende Archiv gestartet wird. Der Benutzer kann den Lizenztext entweder akzeptieren und den Entpackvorgang fortsetzen oder ablehnen und beenden.

Die Lizenz kann im HTML-Format oder als reiner Text angegeben werden. Im letzten Fall fasst das SFX-Modul die angegebenen Texte zusammen und formatiert diese neu, damit sie optimal in den Dialog passen. Möchten Sie einen neuen Absatz beginnen, brauchen Sie nur eine Leerzeile davor einfügen.

Durch die Verwendung von HTML können Sie Farben, Schriftarten und Formatierung des anzuzeigenden Textes bestimmen. Eine Beschreibung der Syntax von HTML ist auf der Website vom The World Wide Web Consortium verfügbar. Es ist auch möglich, den HTML-Text mit einem beliebigen Web-Editor zu erstellen.

Entsprechender SFX-Skriptbefehl - License

Lade Lizenztext aus Datei

Läd den Inhalt einer gewählten Datei als Lizenztext.


SFX-Optionen: Modi

Dieser Dialog ist Teil des Dialogs "Erweiterte SFX-Optionen" und beinhaltet die folgenden Einstellungen:

Temporärer Modus/In temporäres Verzeichnis entpacken

Dieser Befehl veranlasst das SFX-Modul, ein temporäres Verzeichnis anzulegen, alle Dateien aus dem Archiv in dies Verzeichnis zu entpacken, das im Feld Setup-Programm/Nach dem Entpacken ausführen angegebene Programm auszuführen und nach der Beendigung des Setupprogramms das temporäre Verzeichnis einschließlich dessen Inhalt zu löschen. Das SFX-Modul versetzt sich während dieser Operationen automatisch in den Anzeigemodus "Startdialog überspringen" (wird unten genauer beschrieben). Als Anzeigemodus kann jedoch auch "Alles ausblenden" gewählt werden, dann wird überhaupt kein Dialog angezeigt. Das temporäre Verzeichnis mit den entpackten Dateien wird als aktuelles Arbeitsverzeichnis für das Setupprogramm festgelegt.

Sie können zwei weitere optionale Parameter angeben. Der erste optionale Parameter enthält die Frage, die vor dem Entpacken angezeigt wird. In diesem Fall beginnt der Entpackvorgang nur, wenn der Benutzer auf die Schaltfläche "Ja" klickt. Der zweite optionale Parameter bestimmt den Titel des Dialogs, in welchem die Frage erscheint.

Wenn die Option In temporäres Verzeichnis entpacken aktiviert ist, sollten Sie auch ein Setupprogramm angeben. Ist ein Setupprogramm angegeben, ignoriert das SFX-Modul das im Feld Verzeichnis zum Entpacken angegebene Verzeichnis.

Diese Option funktioniert möglicherweise nicht mit Setupprogrammen, deren Kindprozesse erst nach Setupprogramm beendet werden. Für weitere Details lesen Sie die Beschreibung des Befehls TempMode.

Entsprechender SFX-Skriptbefehl - TempMode

Anzeigemodus

Standardmäßig verlangt ein SFX-Archiv nach einer Bestätigung, bevor das Entpacken beginnt. Außerdem erlaubt es dem Benutzer, das Zielverzeichnis zu wechseln. Wenn Sie den "Anzeigemodus" auf "Startdialog überspringen" setzen, wird diese Bestätigung übersprungen. Wählen Sie "Alles ausblenden", wenn Sie auch nicht möchten, dass der SFX-Lizenzdialog und der Fortschritt des Entpackvorgangs angezeigt wird.

Entsprechender SFX-Skriptbefehl - Silent


SFX-Optionen: Modul

Dieser Dialog ist Teil des Dialogs "Erweiterte SFX-Optionen" und erlaubt es, ein selbstentpackendes Modul (SFX-Modul) auszuwählen. Beachten Sie, dass nicht alle SFX-Module die erweiterten SFX-Optionen unterstützen. Die erweiterten SFX-Optionen werden von den RAR und ZIP SFX-Modulen mit GUI (Default.SFX und Zip.SFX), aber nicht vom RAR SFX-Modul für die Konsole (WinCon.SFX) unterstützt.


SFX-Optionen: Setup

Dieser Dialog ist Teil des Dialogs "Erweiterte SFX-Optionen" und beinhaltet die folgenden Einstellungen:

Setup-Programm/Nach dem Entpacken ausführen

Das SFX-Modul wird versuchen, nach dem erfolgreichen Abschluss des Entpackvorgangs das angegebene Programm auszuführen. Das Verzeichnis, welches die entpackten Dateien beinhaltet, wird zum aktuellen Verzeichnis, bevor das Programm ausgeführt wird. Enthält der Name des Programms Leerzeichen, muss er in Anführungsstriche eingeschlossen werden.

Die Angabe mehrerer Setup-Programme ist hier erlaubt, ein Programm pro Zeile. Wenn Sie nicht möchten, dass alle Setup-Programme zur selben Zeit gestartet werden, aktivieren Sie die Option "Auf Setup-Programm warten und Exit-Code zurückgeben".

Lesen Sie die Bemerkungen zum SFX-Befehl Setup, um weitere Details zu erfahren.

Entsprechender SFX-Skriptbefehl - Setup

Setup-Programm/Vor dem Entpacken ausführen

Das SFX-Modul wird versuchen, vor dem Beginn des Entpackvorgangs das angegebene Programm auszuführen, das Programm muss bereits auf dem Datenträger vorhanden sein. Das Zielverzeichnis wird zum aktuellen Verzeichnis, bevor das Programm ausgeführt wird. Enthält der Name des Programms Leerzeichen, muss er in Anführungsstriche eingeschlossen werden. Sie können diesen Befehl zum Beispiel dazu benutzen, eine ältere Version eines Programms zu entfernen, wenn Sie eine neue Version über die alte installieren.

Die Angabe mehrerer Setup-Programme ist hier erlaubt, ein Programm pro Zeile. Wenn Sie nicht möchten, dass alle Setup-Programme zur selben Zeit gestartet werden, aktivieren Sie die Option "Auf Setup-Programm warten und Exit-Code zurückgeben".

Entsprechender SFX-Skriptbefehl - Presetup

Setup-Programm/Auf Setup-Programm warten und Exit-Code zurückgeben

Ist diese Option aktiviert, wartet das SFX-Archiv, bis ein Setup-Programm beendet wurde, und gibt den um 1000 erhöhten Exit-Code des Setup-Programms als Exit-Code des SFX-Archivs zurück.

Wenn das SFX-Archiv wegen eines Fehlers ein Setup-Programm nicht starten konnte, gibt das SFX-Archiv eigene Fehlercodes zurück. Diese Fehlercodes sind dieselben wie die WinRAR-Exit-Codes. Sie sind immer kleiner als 1000. Lesen Sie die Dokumentation zum SFX-Befehl SetupCode, um weitere Details zu erfahren.

Entsprechender SFX-Skriptbefehl - SetupCode


SFX-Optionen: Text und Icon

Dieser Dialog ist Teil des Dialogs "Erweiterte SFX-Optionen" und beinhaltet die folgenden Einstellungen:

Titel des SFX-Fensters

Legt den angegebenen Text als Titel des SFX-Fensters fest.

Entsprechender SFX-Skriptbefehl - Title

Text, der im SFX-Fenster angezeigt wird

Der Befehl fügt die im HTML- oder Nur-Text-Format angegebenen Zeichenketten zum Textausgabefenster des SFX-Moduls hinzu.

Enthält das Ausgabefenster nur reinen Text, fasst das SFX-Modul die angegebenen Texte zusammen und formatiert diese neu, damit sie optimal in den Dialog passen. Möchten Sie einen neuen Absatz beginnen, brauchen Sie nur eine Leerzeile davor einfügen.

Durch die Verwendung von HTML können Sie Farben, Schriftarten und Formatierung des anzuzeigenden Textes bestimmen. Eine Beschreibung der Syntax von HTML ist auf der Website vom The World Wide Web Consortium verfügbar. Es ist auch möglich, den HTML-Text mit einem beliebigen Web-Editor zu erstellen.

Entsprechender SFX-Skriptbefehl - Text

Lade Text aus Datei

Läd den Inhalt einer gewählten Datei als Text, der im SFX-Fenster angezeigt wird.

Lade SFX-Logo aus Datei

Angabe einer Bitmap-Bilddatei (*.bmp), das als Logo im erstellten oder erneuerten SFX-Archiv angezeigt wird.

Die Größe des Standard-Logos beträgt 93x302 Pixel. Es wird empfohlen, nur Bitmap-Bilder zu verwenden, die gleich groß oder kleiner sind.

Wenn Sie diese Option verwenden, dürfen Sie die SFX-Module nicht mit Hilfe von Programmen, die ausführbare Dateien packen können, komprimieren.

Der entsprechende Kommandozeilenschalter lautet -iimg.

Lade SFX-Icon aus Datei

Ersetzt das Standard-SFX-Icon durch das in der angegebenen ".ico"-Datei enthaltene Icon. Wenn Sie diese Option verwenden, dürfen Sie die SFX-Module nicht mit Hilfe von Programmen, die ausführbare Dateien packen können, komprimieren.

Der entsprechende Kommandozeilenschalter lautet -iicon.


SFX-Optionen: Update

Dieser Dialog ist Teil des Dialogs "Erweiterte SFX-Optionen" und beinhaltet die folgenden Einstellungen:

Updatemodus/Dateien entpacken und ersetzen

Entpackt alle Dateien, ohne die Dateizeit zu beachten.

Updatemodus/Dateien entpacken und erneuern

Entpackt Dateien, die im Zielverzeichnis entweder überhaupt nicht vorhanden oder älter als die zu entpackenden Dateien sind.

Entsprechender SFX-Skriptbefehl - Update=U

Updatemodus/Nur vorhandene Dateien erneuern

Entpackt nur die Dateien, die im Zielverzeichnis vorhanden und älter als die entsprechenden Dateien im Archiv sind. Existiert eine Datei nicht auf dem Datenträger, wird sie übersprungen.

Entsprechender SFX-Skriptbefehl - Update=F

Überschreibmodus/Vor dem Überschreiben nachfragen (Standardvorgabe)

Vor dem Überschreiben einer Datei erfolgt eine Rückfrage.

Überschreibmodus/Alle Dateien überschreiben

Dateien werden ohne irgendeine Rückfrage überschrieben.

Entsprechender SFX-Skriptbefehl - Overwrite=1

Überschreibmodus/Vorhandene Dateien überspringen

Bereits vorhandene Dateien werden nicht überschrieben.

Entsprechender SFX-Skriptbefehl - Overwrite=2


SFX-Befehle: Overwrite

Overwrite=[n]

Wenn 'n'=0 ist, erfolgt eine Nachfrage beim Benutzer, bevor vorhandene Dateien überschrieben werden. Das ist das Standardverhalten und der Overwrite-Befehl muss dafür nicht extra angegeben werden. Fehlt 'n' oder ist 'n' gleich '1', werden alle Dateien ohne Nachfrage überschrieben. Wenn 'n' gleich '2' ist, werden vorhandene Dateien nicht überschrieben.

Beispiel

Overwrite=1


SFX-Befehle: Path

Path=<Verzeichnispfad>

Setzt das Standardzielverzeichnis für die entpackten Dateien. Absolute Pfadangaben, die mit "<Laufwerksbuchstabe>:" beginnen, werden ohne Änderungen benutzt. Wenn <Verzeichnispfad> nur ein Verzeichnisname enthält, wird dieser an den Pfad des Windows-Standardverzeichnisses für Programme (meist "C:\Programme") angehängt. Wenn Sie dieses Verhalten umgehen und das angegebene Verzeichnis im aktuellen Verzeichnis erstellen wollen, starten Sie die Verzeichnisangabe <Verzeichnispfad> mit ".\".

Beispiele

  1. Setze das Standardzielverzeichnis auf "C:\Programme\Rechner 3.05":

Path=Rechner 3.05

  2. Setze das vorgegebene Zielverzeichnis auf "C:\Rechner":

Path=C:\Rechner

  3. Setze das Verzeichnis "Rechner" ohne irgendeinen vorangestellten Text als vorgegebenes Zielverzeichnis:

Path=.\Rechner

Anmerkungen

  1. Es ist erlaubt System-Umgebungsvariablen im Format %variablenname% in Path anzugeben, z. B. "Path=%APPDATA%\MeineApp". Das SFX-Modul setzt die Werte der Umgebungsvariablen automatisch ein. Die Werte von dynamischen Umgebungsvariablen wie %date% oder %random% werden nicht eingesetzt.
  2. SFX-Module setzen die Umgebungsvariable sfxstime. Die Variable enthält die Startzeit des Moduls im Format "YYYY-MM-DD-HH-MM-SS-ms". Man kann diese Variable in der Befehlszeile beim Befehl Path verwenden, wenn eine zeitbasierte eindeutige Pfadangabe für die Installation benötigt wird, z. B. "Path=meineapp-%sfxstime%".


SFX-Befehle: Presetup

Presetup=<Programm>

Das SFX-Modul wird versuchen, vor dem Beginn des Entpackvorgangs das Programm <Programm> auszuführen, <Programm> muss bereits auf dem Datenträger vorhanden sein. Das Zielverzeichnis wird zum aktuellen Verzeichnis, bevor <Programm> ausgeführt wird. Sie können diesen Befehl zum Beispiel dazu benutzen, eine ältere Version eines Programms zu entfernen, wenn Sie eine neue Version über die alte installieren. Enthält ein Programmname Leerzeichen, muss er in Anführungszeichen eingeschlossen werden.

Beispiel

Presetup=uninstall.exe /clean

Bemerkungen

  1. SFX-Module zeigen die Schaltfläche "Entpacken" anstelle von "Installieren" an, wenn weder der Befehl Setup noch Presetup im Archivkommentar vorhanden ist. Wenn Sie die Schaltfläche "Installieren" bevorzugen, aber kein Setup-Programm ausführen müssen, dann verwenden Sie den Befehl Setup einfach ohne irgendwelche Paramter.


SFX-Befehle: Beispielskript

Das folgende Skript setzt den Titel des Dialogs auf "Rechner 3.05", ändert den im Dialog angezeigten Text, setzt das Standardzielverzeichnis auf "Programme\Rechner", erzwingt das Überschreiben bereits vorhandener Dateien und führt das Programm setup.exe aus, nachdem alle Dateien entpackt worden sind.

Title=Rechner 3.05

Text

{

Rechner ist Shareware. Jeder darf diese

Software während der Testzeit von 40 Tagen benutzen.

Wenn Sie Rechner nach dieser Testphase weiterhin

benutzen möchten, MÜSSEN Sie das Programm registrieren.

}

Path=Rechner

Overwrite=1

Setup=setup.exe


SFX-Befehle: SavePath

SavePath

Dieser Befehl erlaubt es dem SFX-Modul, das vom Benutzer eingegebene Zielverzeichnis in der Registry zu speichern und wiederherzustellen, wenn ein SFX-Archiv mit demselben Parameter beim Befehl Path ausgeführt wird. Der ursprüngliche Wert des Befehls Path wird der Liste hinzugefügt, die mit dem Eingabefeld für das Zielverzeichnis verknüpft ist. Der Benutzer kann so zwischen dem vorher eingegebenen und dem originalen Pfad wählen.

Dies kann sehr nützlich sein, wenn man neue Versionen oder Upgrades irgendeiner Software in das gleiche Verzeichnis installieren muss. Dann braucht das vorgeschlagene Zielverzeichnis nur einmalig zum gewünschten Zielverzeichnis abgeändert zu werden, anstatt es jedesmal neu einzugeben.

Der Befehl SavePath kann nur zusammen mit dem Befehl Path verwendet werden.

Beispiel

Path=Rechner 3.05

SavePath


SFX-Befehle: Setup

Setup=<Programm>

Das SFX-Modul wird versuchen, nach dem erfolgreichen Abschluss des Entpackvorgangs das Programm <Programm> auszuführen. Das Verzeichnis, welches die entpackten Dateien beinhaltet, wird zum aktuellen Verzeichnis, bevor <Programm> ausgeführt wird. Enthält ein Programmname Leerzeichen, muss er in Anführungszeichen eingeschlossen werden.

Beispiel

Setup=setup.exe

Bemerkungen

  1. Wenn Sie Probleme haben, mit dem SFX-Modul ein InstallShield setup.exe auszuführen, versuchen Sie es mit "setup.exe /SMS" anstelle eines einfachen "setup.exe" auszuführen. Dieser Schalter ermöglicht es dem SFX-Modul zu erkennen, wann das InstallShield Setup-Programm beendet wurde.
  2. Hat das beim Befehl Setup angegebene Programm keine Parameter, können Sie mit dem Schalter -sp<Par> für SFX-Module auf der Kommandozeile optionale Parameter an dieses Programm weiterreichen.
  3. Das SFX-Modul setzt vor der Ausführung des Setup-Programms die Umgebungsvariablen sfxname, sfxcmd und sfxpar. Die Variable sfxname enthält den Namen des SFX-Archivs. Die Variable sfxcmd enthält die komplette Komandozeile, die das SFX-Modul entgegengenommen hat. Der erste Parameter in dieser Kommandozeile ist der Name des SFX-Moduls. Die Variable sfxpar enthält nur die SFX-Befehlszeilenparameter ohne den führenden Namen des SFX-Moduls. Ein Setup-Programm kann diese Variablen auslesen, wenn es diese Informationen benötigt. Es ist auch möglich, eine erweiterte Umgebungsvariable %variable% anzugeben, wie z. B. "Setup=setup.exe %sfxpar%".
  4. SFX-Module zeigen die Schaltfläche "Entpacken" anstelle von "Installieren" an, wenn weder der Befehl Setup noch Presetup im Archivkommentar vorhanden ist. Wenn Sie die Schaltfläche "Installieren" bevorzugen, aber kein Setup-Programm ausführen müssen, dann verwenden Sie einfach den Befehl Setup=<>. Wenn Sie SFX-Archive mit Hilfe des Dialogs "SFX-Optionen" in der WinRAR-Oberfläche konfigurieren, dann geben Sie <> als Setup-Programm an. SFX-Module versuchen erst garnicht, ein Programm mit so einem Namen zu starten, sondern ändern nur den Text der Schaltfläche.


SFX-Befehle: SetupCode

SetupCode

Ist dieser Befehl vorhanden, wartet das SFX-Archiv, bis das bei dem Befehl Setup oder Presetup angegebene Programm beendet wurde, und gibt den um 1000 erhöhten Exit-Code des angegebenen Programms als Exit-Code des SFX-Archivs zurück.

Wird durch das selbstentpackende Archiv kein Setupprogramm gestartet, weil vorher bereits irgendwelche Fehler auftraten, gibt das SFX-Archiv eigene Fehlercodes zurück. Diese Fehlercodes sind dieselben wie die WinRAR-Exit-Codes. Kann zum Beispiel ein SFX-Archiv wegen eines Prüfsummenfehlers nicht ausgeführt werden, gibt der SFX-Prozess den Fehlercode 3 zurück. Konnte das SFX-Archiv ein Setupprogramm erfolgreich starten und wurde das Setupprogramm mit dem Code 0 beendet, so gibt das SFX 1000 zurück. Gibt das Setupprogramm als Exit-Code 10 zurück, so gibt das SFX 1010 zurück.

Wenn also der Befehl SetupCode angegeben wurde und der SFX-Exit-Code kleiner als 1000 ist, traten irgendwelche Fehler auf und das Setup wurde nicht gestartet. Gibt ein Setupprogramm im Erfolgsfall den Code 0 und im Fehlerfall einen Code ungleich Null zurück, bedeutet der Exit-Code 1000 beim SFX, dass die Ausführung erfolgreich war. Alle anderen Werte weisen auf einen Fehler hin.

Werden mehrere Setup- und Presetup-Befehle verwendet und ist der Befehl SetupCode vorhanden, wartet das SFX auf jeden einzelnen Setup- und Presetup-Befehl und gibt den höchsten Exit-Code aller Setupprogramme zurück.

Beispiel

Setup=setup.exe

SetupCode


SFX-Befehle: Shortcut

Shortcut=<Zielort>,<Dateiname>,<Zielverzeichnis>,<Beschreibung>,<Name der Verknüpfung>,<Icon der Verknüpfung>

Erstellt eine Verknüpfung auf eine entpackte Datei.

Zielort ist ein ein Zeichen breites Feld, welches die folgenden Werte annehmen kann:

D | Verknüpfung auf dem Desktop erstellen
P | Verknüpfung im Startmenü im Verzeichnis "Programme" erstellen
T | Verknüpfung im Autostart-Verzeichnis erstellen

Dateiname ist ein Name einer archivierten Datei. Ist das eine ausführbare Datei, können weitere Parameter nach dem Namen angegeben werden. Der Name muss dann in Anführungszeichen eingeschlossen sein.

Zielverzeichnis ist das Verzeichnis, in dem die Verknüpfung erstellt wird. Wenn es nicht existiert, wird es vom SFX-Archiv angelegt.

Beschreibung ist eine kurze Beschreibung der Verknüpfung.

Name der Verknüpfung ist der Name der Verknüpfungsdatei mit der Erweiterung ".lnk", die vom SFX-Modul erzeugt wird.

Icon der Verknüpfung ist der Name einer Icondatei, die der Verknüpfung zugeordnet wird. Wird dieser Parameter nicht angegeben, wird das Standardicon verwendet. Enthält der Dateiname des Icons nicht den vollen Pfad, sucht das SFX-Archiv die Icondatei in dem Verzeichnis, das die entpackten Dateien enthält.

Alle Parameter werden durch Kommata voneinander getrennt. Wenn Sie ein Komma in einem Parameter benötigen, schließen Sie den ganzen Parameter in Anführungszeichen ein. Wenn Sie ein Anführungszeichen innerhalb eines Parameters benötigen, fügen Sie ein doppeltes Anführungszeichen ein. Nur Zielort und Dateiname müssen angegeben werden, die anderen Parameter sind optional und können entfallen oder leer gelassen werden.

Beispiele

1. Erstelle eine Verknüpfung im Verzeichnis WinRAR auf dem Desktop auf die archivierte Datei winrar.exe mit der Beschreibung "Ausführbare Datei von WinRAR", dem Namen "WinRAR Archivierer" und dem Icon winrar.ico:

Shortcut=D, winrar.exe, WinRAR, "Ausführbare Programmdatei von WinRAR", "WinRAR Archivierer", winrar.ico

2. Erstelle eine Verknüpfung für ein tägliches Backup. Es werden weitere Parameter für rar.exe angegeben, die Parameter DestFolder und ShortcutIcon werden weggelassen:

Shortcut=D, "rar.exe" a -ag c:\meinedaten\backup\täglich c:\meinedaten\dateien, , Tägliches Backup, Backup


SFX-Befehle: Silent

Silent[=Parameter]

Startet den Entpackvorgang, ohne den Startdialog anzuzeigen.

Parameter kann 1 oder 2 sein.

Wenn Parameter gleich 1 ist, wird der Startdialog komplett ausgeblendet, einschließlich der Fortschrittsanzeige und den Dateinamen. In diesem Modus wird auch der Lizenz-Dialog nicht angezeigt.

Wenn Parameter gleich 2 ist oder weggelassen wird, wird die Bestätigung zum Starten des Entpackvorgangs übersprungen, der Benutzer sieht aber immer noch die Fortschrittsanzeige, während das Archiv entpackt wird.

Beispiel

Silent=2


SFX-Befehle: TempMode

TempMode=[Frage][,Titel]

Dieser Befehl veranlasst das SFX-Modul, ein temporäres Verzeichnis anzulegen, alle Dateien aus dem Archiv in dies Verzeichnis zu entpacken, das im Befehl Setup angegebene Programm auszuführen und nach der Beendigung des Setupprogramms das temporäre Verzeichnis einschließlich dessen Inhalt zu löschen. Das SFX-Modul setzt automatisch den "silent mode" auf den Wert 2, damit der Startdialog während der Ausführung dieser Operationen nicht angezeigt wird. Durch die Angabe eines anderen Wertes beim Befehl Silent kann der automatisch gewählte Anzeigemodus überschrieben werden. Das temporäre Verzeichnis mit den entpackten Dateien wird als aktuelles Arbeitsverzeichnis für das Setupprogramm festgelegt.

Der Befehl TempMode kann zwei weitere optionale Parameter enthalten. Der erste optionale Parameter enthält die Frage, die vor dem Entpacken angezeigt wird. In diesem Fall beginnt der Entpackvorgang nur, wenn der Benutzer auf die Schaltfläche "Ja" klickt. Der zweite optionale Parameter bestimmt den Titel des Dialogs, in welchem die Frage erscheint.

Gibt es den Befehl TempMode, sollte ein Skript auch den Befehl Setup enthalten. In diesem Fall wird der Befehl Path ignoriert.

Bei TempMode versucht das SFX-Modul zu erkennen, wann das Setupprogramm beendet wurde, um anschließend die temporären Dateien zu löschen. Dieser Ansatz funktioniert nur dann, wenn das Setupprogramm nicht vor dem Abschluss der Installation beendet wird. Manchmal startet das Setupprogramm ein Kindprozess, beendet sich und der Kindprozess führt die Installation fort. In diesem Fall löscht das SFX-Modul die temporären Dateien sofort nach dem Beenden des Hauptsetupprogramms, was zu einer Fehlfunktion des Kindprozesses wegen fehlender Dateien führt. Daher funktioniert TempMode ordnungsgemäß nur mit Setupprogrammen, die keine weiteren Prozesse starten oder zumindest nicht beendet werden, bis alle Kindprozesse beendet sind.

Beispiele

a) TempMode

b) TempMode=Wollen Sie mit der Installation von "Rechner 3.05" fortfahren?, Installation von Rechner


SFX-Befehle: Text

Dieser Befehl hat zwei verschiedene Syntax:

Text=<Zeichenkette>

Text

{

Zeichenkette1

Zeichenkette2

…

}

Der Befehl fügt die im HTML- oder Nur-Text-Format angegebenen Zeichenketten zum Textausgabefenster des SFX-Moduls hinzu. Sobald das SFX-Modul das erste Mal auf den Befehl Text stößt, löscht es den standardmäßig vorgegebenen Inhalt des Ausgabefensters und fügt dann <Zeichenkette> hinzu. Weitere Text-Befehle hängen <Zeichenkette> an den schon vorhandenen Text an.

Abhängig von der benutzten Syntax fügt dieser Befehl entweder eine einzelne Zeichenkette oder mehrere Zeichenketten auf einmal hinzu.

Wird nur reiner Text verwendet, fasst das SFX-Modul die angegebenen Texte zusammen und formatiert diese neu, damit sie optimal in den Dialog passen. Möchten Sie einen neuen Absatz beginnen, brauchen Sie nur eine Leerzeile davor einfügen.

Durch die Verwendung von HTML können Sie Farben, Schriftarten und Formatierung des anzuzeigenden Textes bestimmen. Eine Beschreibung der Syntax von HTML ist auf der Website vom The World Wide Web Consortium verfügbar. Es ist auch möglich, den HTML-Text mit einem beliebigen Web-Editor zu erstellen.

Besteht der Text aus mehreren Zeichenketten, interpretiert das SFX-Modul das Zeichen "}" als die Markierung für das Textende. Sie sollten also niemals dieses Zeichen an die erste Position einer Zeichenkette setzen. Benötigen Sie das Zeichen "}" dennoch am Anfang einer Zeichenkette, fügen Sie davor ein Leerzeichen ein.

Beispiele

  1. Füge eine einzelne Zeichenkette zu Dialogfenster hinzu:

Text=Hier ist mein neues Programm

  2. Füge den angegebenen Text zum Dialogfenster hinzu:

Text

{

Die interessantesten Eigenschaften des Programms sind:

- Unterstützung der Windows-Zwischenablage;

- Dateien bis zu einer Größe von 10 kB werden verarbeitet;

}


SFX-Befehle: Title

Title=<Titel>

Setzt den Titel des SFX-Fensters.

Beispiel

Title=Rechner, Version 3.05


SFX-Befehle: Update

Update=<c>

Der Parameter <c> kann entweder das Zeichen U oder F sein.

Ist <c> gleich U, entpackt das SFX-Modul Dateien, die auf dem Datenträger noch nicht vorhanden oder neuer als die auf dem Datenträger vorhandenen Dateien sind.

Ist <c> gleich F, entpackt das SFX-Modul nur Dateien, die neuer als die auf dem Datenträger vorhandenen Dateien sind. Existiert eine Datei nicht im Zielverzeichnis, wird sie auch nicht entpackt.

Beispiel

Update=U


Schaltflächen der Symbolleiste auswählen

In diesem Dialog können Sie festlegen, welche Schaltflächen in der Symbolleiste während der Anzeige eines Verzeichnisses auf einem Laufwerk (Optionengruppe "Außerhalb von Archiven anzeigen") oder während der Anzeige eines Archivinhalts (Optionengruppe "Innerhalb von Archiven anzeigen") angezeigt werden sollen. Es ist möglich, die Reihenfolge der Schaltflächen zu verändern, wählen Sie dazu einfach die Schaltflächen aus, die Sie verschieben möchten, und klicken dann auf "Rauf" oder "Runter", um deren Position zu verändern. Wenn Sie die Standardkonfiguration der Symbolleiste wiederherstellen möchten, klicken Sie auf die Schaltfläche "Standard".

Die Schaltfläche "Trennlinie" fügt eine Trennlinie vor der derzeit ausgewählten Schaltfläche ein. Wenn Sie eine Trennlinie entfernen möchten, entfernen Sie den Haken vor dem Eintrag oder platzieren Sie den Cursor darauf und klicken auf die Schaltfläche "Trennlinie".

Beachten Sie, dass Sie die Schaltflächen der Symbolleiste auch direkt mit der Maus auf der Symbolleiste mit gedrückter Alt-Taste verschieben können.